BEGIN TRANSACTION;

CREATE TABLE IF NOT EXISTS "time_season" (
	"t_season"	text,
	PRIMARY KEY("t_season")
);



CREATE TABLE IF NOT EXISTS "time_periods" (
	"t_periods"	integer,
	"flag"	text,
	PRIMARY KEY("t_periods"),
	FOREIGN KEY("flag") REFERENCES "time_period_labels"("t_period_labels")
);
INSERT INTO `time_periods` VALUES (1900,'e');
INSERT INTO `time_periods` VALUES (1901,'e');
INSERT INTO `time_periods` VALUES (1971,'e');
INSERT INTO `time_periods` VALUES (1975,'e');
INSERT INTO `time_periods` VALUES (1976,'e');
INSERT INTO `time_periods` VALUES (1977,'e');
INSERT INTO `time_periods` VALUES (1979,'e');
INSERT INTO `time_periods` VALUES (1980,'e');
INSERT INTO `time_periods` VALUES (1981,'e');
INSERT INTO `time_periods` VALUES (1991,'e');
INSERT INTO `time_periods` VALUES (1995,'e');
INSERT INTO `time_periods` VALUES (2000,'e');
INSERT INTO `time_periods` VALUES (2001,'e');
INSERT INTO `time_periods` VALUES (2004,'e');
INSERT INTO `time_periods` VALUES (2005,'e');
INSERT INTO `time_periods` VALUES (2006,'e');
INSERT INTO `time_periods` VALUES (2009,'e');
INSERT INTO `time_periods` VALUES (2010,'e');
INSERT INTO `time_periods` VALUES (2011,'e');
INSERT INTO `time_periods` VALUES (2012,'e');
INSERT INTO `time_periods` VALUES (2015,'e');
INSERT INTO `time_periods` VALUES (2019,'e');
INSERT INTO `time_periods` VALUES (2020,'f');
INSERT INTO `time_periods` VALUES (2030,'f');
INSERT INTO `time_periods` VALUES (2040,'f');
INSERT INTO `time_periods` VALUES (2050,'f');
INSERT INTO `time_periods` VALUES (2060,'f');




CREATE TABLE IF NOT EXISTS "time_period_labels" (
	"t_period_labels"	text,
	"t_period_labels_desc"	text,
	PRIMARY KEY("t_period_labels")
);
INSERT INTO `time_period_labels` VALUES ('e','existing vintages');
INSERT INTO `time_period_labels` VALUES ('f','future');





CREATE TABLE IF NOT EXISTS "time_of_day" (
	"t_day"	text,
	PRIMARY KEY("t_day")
);
INSERT INTO `time_of_day` VALUES ('H00');
INSERT INTO `time_of_day` VALUES ('H01');
INSERT INTO `time_of_day` VALUES ('H02');
INSERT INTO `time_of_day` VALUES ('H03');
INSERT INTO `time_of_day` VALUES ('H04');
INSERT INTO `time_of_day` VALUES ('H05');
INSERT INTO `time_of_day` VALUES ('H06');
INSERT INTO `time_of_day` VALUES ('H07');
INSERT INTO `time_of_day` VALUES ('H08');
INSERT INTO `time_of_day` VALUES ('H09');
INSERT INTO `time_of_day` VALUES ('H10');
INSERT INTO `time_of_day` VALUES ('H11');
INSERT INTO `time_of_day` VALUES ('H12');
INSERT INTO `time_of_day` VALUES ('H13');
INSERT INTO `time_of_day` VALUES ('H14');
INSERT INTO `time_of_day` VALUES ('H15');
INSERT INTO `time_of_day` VALUES ('H16');
INSERT INTO `time_of_day` VALUES ('H17');
INSERT INTO `time_of_day` VALUES ('H18');
INSERT INTO `time_of_day` VALUES ('H19');
INSERT INTO `time_of_day` VALUES ('H20');
INSERT INTO `time_of_day` VALUES ('H21');
INSERT INTO `time_of_day` VALUES ('H22');
INSERT INTO `time_of_day` VALUES ('H23');




CREATE TABLE IF NOT EXISTS "technology_labels" (
	"tech_labels"	text,
	"tech_labels_desc"	text,
	PRIMARY KEY("tech_labels")
);
INSERT INTO `technology_labels` VALUES ('r','resource technology');
INSERT INTO `technology_labels` VALUES ('p','production technology');
INSERT INTO `technology_labels` VALUES ('pb','baseload production technology');
INSERT INTO `technology_labels` VALUES ('ps','storage production technology');



CREATE TABLE IF NOT EXISTS "technologies" (
	"tech"	text,
	"flag"	text,
	"sector"	text,
	"subsector"	text,
	"tech_desc"	text,
	"tech_category"	text,
	"cap_units",
	"color"	text,
	"plot_order"	text,
	FOREIGN KEY("sector") REFERENCES "sector_labels"("sector"),
	FOREIGN KEY("subsector") REFERENCES "subsector_labels"("subsector"),
	PRIMARY KEY("tech"),
	FOREIGN KEY("flag") REFERENCES "technology_labels"("tech_labels")
);


INSERT INTO "technologies" VALUES ('E_WIND-ON-1','p','electricity','generation','Wind (Onshore; 1)','Wind','GW','#b3e1f5','21');
INSERT INTO "technologies" VALUES ('E_WIND-ON-2','p','electricity','generation','Wind (Onshore; 2)','Wind','GW','#b3e1f5','21');
INSERT INTO "technologies" VALUES ('E_WIND-ON-3','p','electricity','generation','Wind (Onshore; 3)','Wind','GW','#b3e1f5','21');
INSERT INTO "technologies" VALUES ('E_WIND-ON-4','p','electricity','generation','Wind (Onshore; 4)','Wind','GW','#b3e1f5','21');
INSERT INTO "technologies" VALUES ('E_WIND-OFF','p','electricity','generation','Wind (Offshore)','Offshore Wind','GW','#53a0c2','23');
INSERT INTO "technologies" VALUES ('E_SOLPV-CEN','p','electricity','generation','Solar PV (Utility Scale)','Solar','GW','#faff5e','10');
INSERT INTO "technologies" VALUES ('E_SOLPV-RES','p','electricity','generation','Solar PV (Residential)','Solar','GW','#faff5e','10');
INSERT INTO "technologies" VALUES ('E_BIO','p','electricity','generation','Biomass','Biomass','GW','#17940c','3');
INSERT INTO "technologies" VALUES ('E_BECCS','p','electricity','generation','BECCS','','GW','#77d96f','5');
INSERT INTO "technologies" VALUES ('E_BATT_4HR','ps','electricity','storage','Battery Storage (4hr)','','GW','#b12bff','111');
INSERT INTO "technologies" VALUES ('E_NGACC','p','electricity','generation','Natural Gas (Combined Cycle)','Natural Gas','GW','#a39b81','11');
INSERT INTO "technologies" VALUES ('E_NGACC-CCS','p','electricity','generation','Natural Gas with CCS (Combined Cycle)','Natural Gas (CCS)','GW','#ede3c0','13');
INSERT INTO "technologies" VALUES ('E_NGACT','p','electricity','generation','Natural Gas (Combustion Turbine)','Natural Gas','GW','#a39b81','11');
INSERT INTO "technologies" VALUES ('E_GEO-F','p','electricity','generation','Geothermal (Flash)','Geothermal','GW','#e3bc34','7');
INSERT INTO "technologies" VALUES ('E_GEO-B','p','electricity','generation','Geothermal (Binary)','Geothermal','GW','#e3bc34','7');
INSERT INTO "technologies" VALUES ('E_NUC-LWR','pb','electricity','generation','Nuclear','Nuclear','GW','#db075c','0');
INSERT INTO "technologies" VALUES ('E_H2CC','p','electricity','generation','Hydrogen Combustion Turbine','','GW','#bde6ff','13');
INSERT INTO "technologies" VALUES ('E_ELCZR-PEM','p','electricity','misc.','Electrolyzer (PEM)','Electrolyzer','GW','#159bed','');

INSERT INTO "technologies" VALUES ('E_COAL-BIT_EX-1','p','electricity','generation','Coal (Bituminous; Existing)','Coal','GW','#4f4e4b','1');
INSERT INTO "technologies" VALUES ('E_COAL-BIT_EX-2','p','electricity','generation','Coal (Bituminous; Existing)','Coal','GW','#4f4e4b','1');
INSERT INTO "technologies" VALUES ('E_COAL-BIT_EX-3','p','electricity','generation','Coal (Bituminous; Existing)','Coal','GW','#4f4e4b','1');
INSERT INTO "technologies" VALUES ('E_COAL-COKE_EX','p','electricity','generation','Coal (Petcoke; Existing)','Coal','GW','#4f4e4b','1');
INSERT INTO "technologies" VALUES ('E_NUC-LWR_EX','pb','electricity','generation','Nuclear (Existing)','Nuclear','GW','#db075c','0');
INSERT INTO "technologies" VALUES ('E_NGACT_EX','p','electricity','generation','Natural Gas (Combustion Turbine; Existing)','Natural Gas','GW','#a39b81','11');
INSERT INTO "technologies" VALUES ('E_NGACC_EX','p','electricity','generation','Natural Gas (Combined Cycle; Existing)','Natural Gas','GW','#a39b81','11');
INSERT INTO "technologies" VALUES ('E_NG-COGEN_EX','p','electricity','generation','Natural Gas (Cogeneration; Existing)','Natural Gas','GW','#a39b81','11');
INSERT INTO "technologies" VALUES ('E_HFO-CT_EX','p','electricity','generation','Heavy Fuel Oil (Combustion Turbine; Existing)','Oil','GW','#a39b82','12');
INSERT INTO "technologies" VALUES ('E_DIESEL-CT_EX','p','electricity','generation','Desiel CT (Existing)','Oil','GW','#a39b82','12');
INSERT INTO "technologies" VALUES ('E_BIO-COGEN_EX','pb','electricity','generation','Biomass (Cogeneration; Existing)','Biomass','GW','#17940c','3');
INSERT INTO "technologies" VALUES ('E_BIO_EX','p','electricity','generation','Biomass (Existing)','Biomass','GW','#17940c','3');
INSERT INTO "technologies" VALUES ('E_WIND-ON_EX','p','electricity','generation','Wind (Onshore; Existing)','Wind','GW','#b3e1f5','21');
INSERT INTO "technologies" VALUES ('E_HYDRO-LIMDSP_EX','p','electricity','generation','Hydro (Dispatch Limited; Existing)','Hydro','GW','#3651c9','9');
INSERT INTO "technologies" VALUES ('E_HYDRO-DSP_EX','p','electricity','generation','Hydro (Dispatchable; Existing)','Hydro','GW','#3651c9','9');
INSERT INTO "technologies" VALUES ('E_HYDRO-ROR_EX','p','electricity','generation','Hydro (Run-of-river; Existing)','Hydro','GW','#3651c9','9');

INSERT INTO "technologies" VALUES ('E_NGACC-CCS-emissions','p','electricity','dummy','linked process that produces emissions associated with NAGCC-CCS','','kt','','');
INSERT INTO "technologies" VALUES ('E_BECCS-emissions','p','electricity','dummy','linked process that produces emissions associated with BECCS','','kt','','');
INSERT INTO "technologies" VALUES ('H2_SMR-CCS-emissions','p','electricity','dummy','linked process that produces emissions associated with SMR-CCS','','kt','','');


INSERT INTO "technologies" VALUES ('CO2_PASSTHROUGH','p','electricity','dummy','passing through co2 sequestration,  allowing a dummy demand to be set. ','','kt','','');
INSERT INTO "technologies" VALUES ('CO2_PASSTHROUGH-2','p','electricity','dummy','passing through co2 sequestration,  allowing a dummy demand to be set. ','','kt','','');
INSERT INTO "technologies" VALUES ('CO2_TRNSPSEQ','p','electricity','misc.','Transportation and sequestration of captured CO2.','','kt','','');

INSERT INTO "technologies" VALUES ('E_TRANS-DIST','p','electricity','T&D','Electricity transmission and distribution (intra-regional)','','GW','','');
INSERT INTO "technologies" VALUES ('E_TRANS_EXPORT','p','electricity','exports','Electricity export','','GW','#d62b00','302');
INSERT INTO "technologies" VALUES ('E_AC-TO-DC','p','electricity','misc.','AC to DC Electricity Transformation','','GW','','');
INSERT INTO "technologies" VALUES ('E_EXPORT_PASSTHROUGH','p','electricity','dummy','','','GW','','');
INSERT INTO "technologies" VALUES ('E_EXPORT_DUMMY','p','electricity','dummy','','','GW','','');
INSERT INTO "technologies" VALUES ('E_TRANS','p','electricity','transmission','Electricity transmission','','GW','#f28900','301');
INSERT INTO "technologies" VALUES ('E_TRANS_EX','p','electricity','transmission','Electricity transmission (existing)','','GW','#c47308','300');

INSERT INTO "technologies" VALUES ('H2_distribution','p','electricity','T&D','Hydrogen distribution','','PJ','','');
INSERT INTO "technologies" VALUES ('H2_COMP-10-100','p','electricity','misc.','Hydrogen compression from 10 to 100 bar','','GW','','');
INSERT INTO "technologies" VALUES ('H2_STORAGE','ps','electricity','storage','Hydrogen storage','','GW','','');
INSERT INTO "technologies" VALUES ('H2_SMR-CCS','p','electricity','misc.','Steam methane reforming','','GW','','');


INSERT INTO "technologies" VALUES ('IMP_NG_ALL','r','electricity','supply','imported natural gas to the system','','PJ','','');
INSERT INTO "technologies" VALUES ('IMP_URN_ELC','r','electricity','supply','imported uranium to electrcity sector','','PJ','','');
INSERT INTO "technologies" VALUES ('IMP_NG_ELC','r','electricity','supply','imported natural gas to electricity sector','','PJ','','');
INSERT INTO "technologies" VALUES ('IMP_WOOD_ELC','r','electricity','supply','imported forest residues to electricity sector','','PJ','','');
INSERT INTO "technologies" VALUES ('IMP_WOOD-REN_ELC','r','electricity','supply','imported forest residues to electricity sector','','PJ','','');
INSERT INTO "technologies" VALUES ('IMP_COAL-BIT_ELC','r','electricity','supply','imported bituminous coal for electricity generation','','PJ','','');
INSERT INTO "technologies" VALUES ('IMP_COKE_ELC','r','electricity','supply','imported petcoke for electricity generation','','PJ','','');
INSERT INTO "technologies" VALUES ('IMP_DSL_ELC','r','electricity','supply','imported diesel for electricity generation','','PJ','','');
INSERT INTO "technologies" VALUES ('IMP_HFO_ELC','r','electricity','supply','imported heavy fuel oil for electricity generation','','PJ','','');

INSERT INTO "technologies" VALUES ('IMP_ELC-QC','p','electricity','generation-imports','Electricity Imports (Quebec)','Imports','GW','#ffcccc','9999');
INSERT INTO "technologies" VALUES ('IMP_ELC-USA','p','electricity','generation-imports','Electricity Imports (USA)','Imports','GW','#ffcccc','9999');






----------------------------------- New Industry -----------------------------------


INSERT INTO "technologies" VALUES ('BLND_ELCNGA','p','new-industry','misc.','Blending technology for electricity and natural gas.','','PJ','','');
INSERT INTO "technologies" VALUES ('CO2_CAPTURE-ELCNGA','p','new-industry','misc.','Direct Air Capture (powered by electricity and natural gas; Nth plant)','','kt-CO2/year','','');
INSERT INTO "technologies" VALUES ('CO2_CAPTURE-NGA','p','new-industry','misc.','Direct Air Capture (powered by natural gas; Nth plant)','','kt-CO2/year','','');
INSERT INTO "technologies" VALUES ('CO2_CAPTURE-NGA-1STGEN','p','new-industry','misc.','Direct Air Capture (powered by natural gas)','','kt-CO2/year','','');
INSERT INTO "technologies" VALUES ('CO2_ROUTER','p','new-industry','misc.','Technology that routes captured CO2 to either be buried or blended into synthetic fuels.','','kt-CO2/year','','');
INSERT INTO "technologies" VALUES ('SNGSYN','p','new-industry','misc.','Technology for generating synthetic natural gas from H2 and CO2.','','GW','','');
INSERT INTO "technologies" VALUES ('SNG_COMP-20-100','p','new-industry','misc.','Technology for compressing synthetic natural gas from 20 to 100 bar.','','GW','','');
INSERT INTO "technologies" VALUES ('SNG_ROUTER','p','new-industry','misc.','Technology that routes synthetic natural gas into specific sectors.','','PJ','','');
INSERT INTO "technologies" VALUES ('H2_BLND_NG_E','p','new-industry','misc.','Technology that blends H2 directly into the natural gas supply.','','PJ','','');








CREATE TABLE IF NOT EXISTS "tech_reserve" (
	"tech"	text,
	"notes"	text,
	PRIMARY KEY("tech")
);
INSERT INTO `tech_reserve` VALUES ('E_WIND-ON-1','');
INSERT INTO `tech_reserve` VALUES ('E_WIND-ON-2','');
INSERT INTO `tech_reserve` VALUES ('E_WIND-ON-3','');
INSERT INTO `tech_reserve` VALUES ('E_WIND-ON-4','');
INSERT INTO `tech_reserve` VALUES ('E_WIND-OFF','');
INSERT INTO `tech_reserve` VALUES ('E_SOLPV-CEN','');
INSERT INTO `tech_reserve` VALUES ('E_SOLPV-RES','');
INSERT INTO `tech_reserve` VALUES ('E_BIO','');
INSERT INTO `tech_reserve` VALUES ('E_BECCS','');
INSERT INTO `tech_reserve` VALUES ('E_BATT_4HR','');
INSERT INTO `tech_reserve` VALUES ('E_NGACC','');
INSERT INTO `tech_reserve` VALUES ('E_NGACC-CCS','');
INSERT INTO `tech_reserve` VALUES ('E_NGACT','');
INSERT INTO `tech_reserve` VALUES ('E_GEO-F','');
INSERT INTO `tech_reserve` VALUES ('E_GEO-B','');
INSERT INTO `tech_reserve` VALUES ('E_NUC-LWR','');
INSERT INTO `tech_reserve` VALUES ('E_H2CC','');
INSERT INTO `tech_reserve` VALUES ('E_COAL-BIT_EX-1','');
INSERT INTO `tech_reserve` VALUES ('E_COAL-BIT_EX-2','');
INSERT INTO `tech_reserve` VALUES ('E_COAL-BIT_EX-3','');
INSERT INTO `tech_reserve` VALUES ('E_COAL-COKE_EX','');
INSERT INTO `tech_reserve` VALUES ('E_NGACT_EX','');
INSERT INTO `tech_reserve` VALUES ('E_NGACC_EX','');
INSERT INTO `tech_reserve` VALUES ('E_NG-COGEN_EX','');
INSERT INTO `tech_reserve` VALUES ('E_HFO-CT_EX','');
INSERT INTO `tech_reserve` VALUES ('E_DIESEL-CT_EX','');
INSERT INTO `tech_reserve` VALUES ('E_BIO-COGEN_EX','');
INSERT INTO `tech_reserve` VALUES ('E_BIO_EX','');
INSERT INTO `tech_reserve` VALUES ('E_NUC-LWR_EX','');
INSERT INTO `tech_reserve` VALUES ('E_WIND-ON_EX','');
INSERT INTO `tech_reserve` VALUES ('E_HYDRO-LIMDSP_EX','');
INSERT INTO `tech_reserve` VALUES ('E_HYDRO-DSP_EX','');
INSERT INTO `tech_reserve` VALUES ('E_HYDRO-ROR_EX','');


INSERT INTO `tech_reserve` VALUES ('IMP_ELC-QC','');
INSERT INTO `tech_reserve` VALUES ('IMP_ELC-USA','');





CREATE TABLE IF NOT EXISTS "tech_exchange" (
	"tech"	text,
	"notes"	TEXT,
	PRIMARY KEY("tech"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);
INSERT INTO `tech_exchange` VALUES ('E_TRANS','');
INSERT INTO `tech_exchange` VALUES ('E_TRANS_EX','');






CREATE TABLE IF NOT EXISTS "tech_ramping" (
	"tech"	text,
	"notes"	TEXT,
	PRIMARY KEY("tech"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);
INSERT INTO `tech_ramping` VALUES ('E_COAL-BIT_EX-1','');
INSERT INTO `tech_ramping` VALUES ('E_COAL-BIT_EX-2','');
INSERT INTO `tech_ramping` VALUES ('E_COAL-BIT_EX-3','');
INSERT INTO `tech_ramping` VALUES ('E_COAL-COKE_EX','');
INSERT INTO `tech_ramping` VALUES ('E_DIESEL-CT_EX','');
INSERT INTO `tech_ramping` VALUES ('E_BIO_EX','');
INSERT INTO `tech_ramping` VALUES ('E_BIO','');
INSERT INTO `tech_ramping` VALUES ('E_HFO-CT_EX','');
INSERT INTO `tech_ramping` VALUES ('E_BECCS','');
INSERT INTO `tech_ramping` VALUES ('E_NGACC_EX','');
INSERT INTO `tech_ramping` VALUES ('E_NGACC','');
INSERT INTO `tech_ramping` VALUES ('E_H2CC','');
INSERT INTO `tech_ramping` VALUES ('E_NGACC-CCS','');
INSERT INTO `tech_ramping` VALUES ('E_NUC-LWR','');
INSERT INTO `tech_ramping` VALUES ('E_NUC-LWR_EX','');




CREATE TABLE IF NOT EXISTS "tech_curtailment" (
	"tech"	text,
	"notes"	TEXT,
	PRIMARY KEY("tech"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);
INSERT INTO `tech_curtailment` VALUES ('E_WIND-ON-1','');
INSERT INTO `tech_curtailment` VALUES ('E_WIND-ON-2','');
INSERT INTO `tech_curtailment` VALUES ('E_WIND-ON-3','');
INSERT INTO `tech_curtailment` VALUES ('E_WIND-ON-4','');
INSERT INTO `tech_curtailment` VALUES ('E_WIND-OFF','');
INSERT INTO `tech_curtailment` VALUES ('E_SOLPV-CEN','');
INSERT INTO `tech_curtailment` VALUES ('E_SOLPV-RES','');
INSERT INTO `tech_curtailment` VALUES ('E_WIND-ON_EX','');
--INSERT INTO `tech_curtailment` VALUES ('E_HYDRO-ROR_EX','');
--INSERT INTO `tech_curtailment` VALUES ('E_HYDRO-LIMDSP_EX','');
--INSERT INTO `tech_curtailment` VALUES ('E_HYDRO-DSP_EX','');


CREATE TABLE "tech_flex" (
	"tech"	text,
	"notes"	TEXT,
	PRIMARY KEY("tech"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);

CREATE TABLE IF NOT EXISTS "tech_variable" (
	"tech"	text,
	"notes"	TEXT,
	PRIMARY KEY("tech"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);

CREATE TABLE IF NOT EXISTS "tech_annual" (
	"tech"	text,
	"notes"	TEXT,
	PRIMARY KEY("tech"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);


CREATE TABLE IF NOT EXISTS "tech_mga" (
	"tech"	text,
	"notes"	TEXT,
	PRIMARY KEY("tech")--,
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);

CREATE TABLE IF NOT EXISTS "tech_groups" (
	"region" text,
	"group_name" text,
	"tech"	text,
	"notes"	TEXT,
	PRIMARY KEY("region", "group_name", "tech"),
	FOREIGN KEY("region") REFERENCES "regions"("regions"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech"),
	FOREIGN KEY("group_name") REFERENCES "groups"("group_name")
);

CREATE TABLE IF NOT EXISTS "tech_asynchronous" (
	"tech"	text,
	"notes"	TEXT,
	PRIMARY KEY("tech")--,
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);

CREATE TABLE IF NOT EXISTS "sector_labels" (
	"sector"	text,
	"description"	text,
	"color"	text,
	"plot_order"	text,
	PRIMARY KEY("sector")
);

INSERT INTO "sector_labels" VALUES ('electricity','Electricity','#27badb','1');
INSERT INTO "sector_labels" VALUES ('new-industry','New Industry','#6932cf','0');

CREATE TABLE IF NOT EXISTS "subsector_labels" (
	"subsector"	text,
	"description"	text,
	"color"	text,
	"plot_order"	text,
	PRIMARY KEY("subsector")
);
INSERT INTO "subsector_labels" VALUES ('dummy','Dummy Technologies','','1');
INSERT INTO "subsector_labels" VALUES ('supply','Supply Technologies','','1');
INSERT INTO "subsector_labels" VALUES ('T&D','Intra-Regional Transmission and Distribution Technology','','1');
INSERT INTO "subsector_labels" VALUES ('generation','Generation Technologies','','1');
INSERT INTO "subsector_labels" VALUES ('generation-imports','Import of Generated Electricity','','1');
INSERT INTO "subsector_labels" VALUES ('misc.','Miscellaneous','','1');
INSERT INTO "subsector_labels" VALUES ('storage','Storage Technologies','','1');
INSERT INTO "subsector_labels" VALUES ('exports','Storage Technologies','','1');
INSERT INTO "subsector_labels" VALUES ('transmission','Inter-Regional Transmission Technologies','','1');

INSERT INTO "subsector_labels" VALUES ('LDV-Car','Light Duty Vehicle; Cars','','1');
INSERT INTO "subsector_labels" VALUES ('LDV-PLT','Light Duty Vehicle; Passenger Light Trucks','','1');
INSERT INTO "subsector_labels" VALUES ('LDV-FLT','Light Duty Vehicle; Freight Light Trucks','','1');
INSERT INTO "subsector_labels" VALUES ('MDV-T','Medium Duty Vehicle; Trucks','','1');
INSERT INTO "subsector_labels" VALUES ('HDV-T','Heavy Duty Vehicle; Trucks','','1');
INSERT INTO "subsector_labels" VALUES ('HDV-Air','Heavy Duty Vehicle; Passenger Air','','1');
INSERT INTO "subsector_labels" VALUES ('HDV-Rail','Heavy Duty Vehicle; Freight Rail','','1');
INSERT INTO "subsector_labels" VALUES ('HDV-Marine','Heavy Duty Vehicle; Marine','','1');
INSERT INTO "subsector_labels" VALUES ('Space Heating','Space Heating','','1');
INSERT INTO "subsector_labels" VALUES ('Water Heating','Water Heating','','1');


CREATE TABLE IF NOT EXISTS "regions" (
	"regions"	TEXT,
	"plot_order"	integer,
	"region_note"	TEXT,
	PRIMARY KEY("regions")
);
INSERT INTO `regions` VALUES ('NB', 1, 'New Brunswick');
INSERT INTO `regions` VALUES ('NS', 2, 'Nova Scotia');
INSERT INTO `regions` VALUES ('PEI', 3, 'Prince Edward Island');
INSERT INTO `regions` VALUES ('NL', 4, 'Newfoundland');
INSERT INTO `regions` VALUES ('LAB', 5, 'Labrador');




CREATE TABLE IF NOT EXISTS "groups" (
	"group_name"	text,
	"notes"	text,
	PRIMARY KEY("group_name")
);



CREATE TABLE IF NOT EXISTS "commodity_labels" (
	"comm_labels"	text,
	"comm_labels_desc"	text,
	PRIMARY KEY("comm_labels")
);
INSERT INTO `commodity_labels` VALUES ('p','physical commodity');
INSERT INTO `commodity_labels` VALUES ('e','emissions commodity');
INSERT INTO `commodity_labels` VALUES ('d','demand commodity');


CREATE TABLE IF NOT EXISTS "commodities" (
	"comm_name"	text,
	"flag"	text,
	"comm_desc"	text,
	"units"	text,
	FOREIGN KEY("flag") REFERENCES "commodity_labels"("comm_labels"),
	PRIMARY KEY("comm_name")
);

----------------------------- Ethos and Emissions ---------------------------

INSERT INTO "commodities" VALUES ('ethos','p','dummy commodity to supply inputs','N/A');
INSERT INTO "commodities" VALUES ('CO2e','e','CO2 equivalent emissions commodity','kt');
INSERT INTO "commodities" VALUES ('CO2','e','CO2 emissions commodity','kt');
INSERT INTO "commodities" VALUES ('N2O','e','N2O emissions commodity','kt');
INSERT INTO "commodities" VALUES ('NOX','e','NOX emissions commodity','kt');
INSERT INTO "commodities" VALUES ('PM10','e','PM10 emissions commodity','kt');
INSERT INTO "commodities" VALUES ('PM25','e','PM25 emissions commodity','kt');
INSERT INTO "commodities" VALUES ('SO2','e','SO2 emissions commodity','kt');
INSERT INTO "commodities" VALUES ('VOC','e','VOC emissions commodity','kt');
INSERT INTO "commodities" VALUES ('Hg','e','Hg emissions commodity','kt');
INSERT INTO "commodities" VALUES ('CH4','e','CH4 emissions commodity','kt');


-------------------------- Electricity --------------------------------

INSERT INTO "commodities" VALUES ('D_ELEC','d','electricity demand','PJ');
INSERT INTO "commodities" VALUES ('ELC','p','electricity','PJ');
INSERT INTO "commodities" VALUES ('ELC_DC','p','DC Electricity','PJ');
INSERT INTO "commodities" VALUES ('H2P','p','Hydrogen produced via electrolysis or SMR','PJ');
INSERT INTO "commodities" VALUES ('H2_10','p','Hydrogen at 10 bar','PJ');
INSERT INTO "commodities" VALUES ('H2_100','p','Hydrogen at 100 bar','PJ');
INSERT INTO "commodities" VALUES ('NG','p','natural gas','PJ');
INSERT INTO "commodities" VALUES ('E_NG','p','natural gas (electricity sector)','PJ');
INSERT INTO "commodities" VALUES ('E_WOOD','p','woody biomass (electricity sector)','PJ');
INSERT INTO "commodities" VALUES ('URN','p','enriched uranium (electricity sector)','PJ');
INSERT INTO "commodities" VALUES ('COAL-BIT','p','bituminous coal (electricity sector)','PJ');
INSERT INTO "commodities" VALUES ('COKE','p','petcoke (electricity sector)','PJ');
INSERT INTO "commodities" VALUES ('E_DSL','p','diesel (electricty sector)','PJ');
INSERT INTO "commodities" VALUES ('E_HFO','p','heavy fuel oil (electricty sector)','PJ');

INSERT INTO "commodities" VALUES ('CO2_CAPTURED','p','CO2 captured from CCS or DAC technologies','kt');
INSERT INTO "commodities" VALUES ('CO2_DUMMY','p','dummy co2 commodity to meet dummy co2_ccs demand','kt');
INSERT INTO "commodities" VALUES ('CO2_SEQ','p','sequestered co2 (geologic storage)','kt');
INSERT INTO "commodities" VALUES ('CO2_SEQ-SINK','d','dummy demand for sequestered co2 (geologic storage)','kt');
INSERT INTO "commodities" VALUES ('ELC_DUMMY','p','dummy commodity to meet dummy export demand','PJ');
INSERT INTO "commodities" VALUES ('D_ELEC_EXPORT','d','dummy export electrcity demand','PJ');
INSERT INTO "commodities" VALUES ('ELC_EXPORT','p','dummy commodity to meet dummy export demand','PJ');


------------------------ New Industry ------------------------


INSERT INTO "commodities" VALUES ('ELCNGA','p','Electricity and Natural Gas Blend','PJ');
INSERT INTO "commodities" VALUES ('CO2_TO_GROUND','p','CO2 to be buried','kt');
INSERT INTO "commodities" VALUES ('CO2_TO_FUEL','p','CO2 to be used in synthetic fuels','kt');
INSERT INTO "commodities" VALUES ('SNG_20','p','Synthetic Natural Gas (20 bar)','PJ');
INSERT INTO "commodities" VALUES ('SNG_100','p','Synthetic Natural Gas (100 bar)','PJ');
INSERT INTO "commodities" VALUES ('E_NG-PREH2','p','Natural Gas before possible H2 blending','PJ');




CREATE TABLE IF NOT EXISTS "TechOutputSplit" (
	"regions"	TEXT,
	"periods"	integer,
	"tech"	text,
	"output_comm"	text,
	"to_split"	real,
	"to_split_notes"	text,
	FOREIGN KEY("output_comm") REFERENCES "commodities"("comm_name"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods"),
	PRIMARY KEY("regions","periods","tech","output_comm"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);




CREATE TABLE IF NOT EXISTS "TechInputSplit" (
	"regions"	TEXT,
	"periods"	integer,
	"input_comm"	text,
	"tech"	text,
	"ti_split"	real,
	"ti_split_notes"	text,
	PRIMARY KEY("regions","periods","input_comm","tech"),
	FOREIGN KEY("input_comm") REFERENCES "commodities"("comm_name"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods")
);
INSERT INTO `TechInputSplit` VALUES ('NB',2020,'ELC','H2_COMP-10-100',0.057,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('NB',2020,'H2_10','H2_COMP-10-100',0.943,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('NB',2030,'ELC','H2_COMP-10-100',0.057,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('NB',2030,'H2_10','H2_COMP-10-100',0.943,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('NB',2040,'ELC','H2_COMP-10-100',0.057,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('NB',2040,'H2_10','H2_COMP-10-100',0.943,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('NB',2050,'ELC','H2_COMP-10-100',0.057,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('NB',2050,'H2_10','H2_COMP-10-100',0.943,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');

INSERT INTO `TechInputSplit` VALUES ('NS',2020,'ELC','H2_COMP-10-100',0.057,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('NS',2020,'H2_10','H2_COMP-10-100',0.943,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('NS',2030,'ELC','H2_COMP-10-100',0.057,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('NS',2030,'H2_10','H2_COMP-10-100',0.943,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('NS',2040,'ELC','H2_COMP-10-100',0.057,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('NS',2040,'H2_10','H2_COMP-10-100',0.943,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('NS',2050,'ELC','H2_COMP-10-100',0.057,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('NS',2050,'H2_10','H2_COMP-10-100',0.943,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');

INSERT INTO `TechInputSplit` VALUES ('PEI',2020,'ELC','H2_COMP-10-100',0.057,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('PEI',2020,'H2_10','H2_COMP-10-100',0.943,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('PEI',2030,'ELC','H2_COMP-10-100',0.057,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('PEI',2030,'H2_10','H2_COMP-10-100',0.943,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('PEI',2040,'ELC','H2_COMP-10-100',0.057,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('PEI',2040,'H2_10','H2_COMP-10-100',0.943,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('PEI',2050,'ELC','H2_COMP-10-100',0.057,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('PEI',2050,'H2_10','H2_COMP-10-100',0.943,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');

INSERT INTO `TechInputSplit` VALUES ('NL',2020,'ELC','H2_COMP-10-100',0.057,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('NL',2020,'H2_10','H2_COMP-10-100',0.943,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('NL',2030,'ELC','H2_COMP-10-100',0.057,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('NL',2030,'H2_10','H2_COMP-10-100',0.943,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('NL',2040,'ELC','H2_COMP-10-100',0.057,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('NL',2040,'H2_10','H2_COMP-10-100',0.943,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('NL',2050,'ELC','H2_COMP-10-100',0.057,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');
INSERT INTO `TechInputSplit` VALUES ('NL',2050,'H2_10','H2_COMP-10-100',0.943,'5.7 J of electricity are required to compress 94.3 joules of hydrogen. Taken from Open Energy Outlook');



------------------------------------------- New Industry -------------------------------------------



INSERT INTO `TechInputSplit` VALUES ('NB', 2030,'E_NG','BLND_ELCNGA',      0.9498,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NB', 2040,'E_NG','BLND_ELCNGA',      0.9498,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NB', 2050,'E_NG','BLND_ELCNGA',      0.9498,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NS', 2030,'E_NG','BLND_ELCNGA',      0.9498,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NS', 2040,'E_NG','BLND_ELCNGA',      0.9498,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NS', 2050,'E_NG','BLND_ELCNGA',      0.9498,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NB', 2030,'ELC','BLND_ELCNGA',      0.0502,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NB', 2040,'ELC','BLND_ELCNGA',      0.0502,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NB', 2050,'ELC','BLND_ELCNGA',      0.0502,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NS', 2030,'ELC','BLND_ELCNGA',      0.0502,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NS', 2040,'ELC','BLND_ELCNGA',      0.0502,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NS', 2050,'ELC','BLND_ELCNGA',      0.0502,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NB', 2020,'H2_100','SNGSYN',              0.0253,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NB', 2030,'H2_100','SNGSYN',              0.0253,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NB', 2040,'H2_100','SNGSYN',              0.0253,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NB', 2050,'H2_100','SNGSYN',              0.0253,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NS', 2020,'H2_100','SNGSYN',              0.0253,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NS', 2030,'H2_100','SNGSYN',              0.0253,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NS', 2040,'H2_100','SNGSYN',              0.0253,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NS', 2050,'H2_100','SNGSYN',              0.0253,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NB', 2020,'CO2_TO_FUEL','SNGSYN',              0.9747,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NB', 2030,'CO2_TO_FUEL','SNGSYN',              0.9747,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NB', 2040,'CO2_TO_FUEL','SNGSYN',              0.9747,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NB', 2050,'CO2_TO_FUEL','SNGSYN',              0.9747,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NS', 2020,'CO2_TO_FUEL','SNGSYN',              0.9747,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NS', 2030,'CO2_TO_FUEL','SNGSYN',              0.9747,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NS', 2040,'CO2_TO_FUEL','SNGSYN',              0.9747,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NS', 2050,'CO2_TO_FUEL','SNGSYN',              0.9747,        'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NB', 2020,'SNG_20','SNG_COMP-20-100',     0.98,          'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NB', 2030,'SNG_20','SNG_COMP-20-100',     0.98,          'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NB', 2040,'SNG_20','SNG_COMP-20-100',     0.98,          'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NB', 2050,'SNG_20','SNG_COMP-20-100',     0.98,          'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NS', 2020,'SNG_20','SNG_COMP-20-100',     0.98,          'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NS', 2030,'SNG_20','SNG_COMP-20-100',     0.98,          'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NS', 2040,'SNG_20','SNG_COMP-20-100',     0.98,          'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NS', 2050,'SNG_20','SNG_COMP-20-100',     0.98,          'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NB', 2020,'ELC','SNG_COMP-20-100',     0.02,          'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NB', 2030,'ELC','SNG_COMP-20-100',     0.02,          'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NB', 2040,'ELC','SNG_COMP-20-100',     0.02,          'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NB', 2050,'ELC','SNG_COMP-20-100',     0.02,          'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NS', 2020,'ELC','SNG_COMP-20-100',     0.02,          'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NS', 2030,'ELC','SNG_COMP-20-100',     0.02,          'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NS', 2040,'ELC','SNG_COMP-20-100',     0.02,          'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NS', 2050,'ELC','SNG_COMP-20-100',     0.02,          'Keith (2018)');
INSERT INTO `TechInputSplit` VALUES ('NB', 2020,'E_NG-PREH2','H2_BLND_NG_E',        0.9657,        'Open Energy Outlook (2021); The NG H2 blend can consist of up to a maximum of 3.434% of H2 by energy content.');
INSERT INTO `TechInputSplit` VALUES ('NB', 2030,'E_NG-PREH2','H2_BLND_NG_E',        0.9657,        'Open Energy Outlook (2021); The NG H2 blend can consist of up to a maximum of 3.434% of H2 by energy content.');
INSERT INTO `TechInputSplit` VALUES ('NB', 2040,'E_NG-PREH2','H2_BLND_NG_E',        0.9657,        'Open Energy Outlook (2021); The NG H2 blend can consist of up to a maximum of 3.434% of H2 by energy content.');
INSERT INTO `TechInputSplit` VALUES ('NB', 2050,'E_NG-PREH2','H2_BLND_NG_E',        0.9657,        'Open Energy Outlook (2021); The NG H2 blend can consist of up to a maximum of 3.434% of H2 by energy content.');
INSERT INTO `TechInputSplit` VALUES ('NS', 2020,'E_NG-PREH2','H2_BLND_NG_E',        0.9657,        'Open Energy Outlook (2021); The NG H2 blend can consist of up to a maximum of 3.434% of H2 by energy content.');
INSERT INTO `TechInputSplit` VALUES ('NS', 2030,'E_NG-PREH2','H2_BLND_NG_E',        0.9657,        'Open Energy Outlook (2021); The NG H2 blend can consist of up to a maximum of 3.434% of H2 by energy content.');
INSERT INTO `TechInputSplit` VALUES ('NS', 2040,'E_NG-PREH2','H2_BLND_NG_E',        0.9657,        'Open Energy Outlook (2021); The NG H2 blend can consist of up to a maximum of 3.434% of H2 by energy content.');
INSERT INTO `TechInputSplit` VALUES ('NS', 2050,'E_NG-PREH2','H2_BLND_NG_E',        0.9657,        'Open Energy Outlook (2021); The NG H2 blend can consist of up to a maximum of 3.434% of H2 by energy content.');



CREATE TABLE IF NOT EXISTS "TechInputSplitAverage" (
	"regions"	TEXT,
	"periods"	integer,
	"input_comm"	text,
	"tech"	text,
	"ti_split"	real CHECK("ti_split" < 1.0),
	"ti_split_notes"	text,
	PRIMARY KEY("regions","periods","input_comm","tech"),
	FOREIGN KEY("input_comm") REFERENCES "commodities"("comm_name"),
	FOREIGN KEY("tech") REFERENCES "tech_variable"("tech"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods")
);




CREATE TABLE IF NOT EXISTS "StorageDuration" (
	"regions"	text,
	"tech"	text,
	"duration"	real,
	"duration_notes"	text,
	PRIMARY KEY("regions","tech")
);
INSERT INTO "StorageDuration" VALUES ('NB','E_BATT_4HR',4.0,'units of hours');
INSERT INTO "StorageDuration" VALUES ('NB','H2_STORAGE',2000.0,'units of hours. Taken from Open Energy Outlook.');

INSERT INTO "StorageDuration" VALUES ('NS','E_BATT_4HR',4.0,'units of hours');
INSERT INTO "StorageDuration" VALUES ('NS','H2_STORAGE',2000.0,'units of hours. Taken from Open Energy Outlook.');

INSERT INTO "StorageDuration" VALUES ('PEI','E_BATT_4HR',4.0,'units of hours');
INSERT INTO "StorageDuration" VALUES ('PEI','H2_STORAGE',2000.0,'units of hours. Taken from Open Energy Outlook.');

INSERT INTO "StorageDuration" VALUES ('NL','E_BATT_4HR',4.0,'units of hours');
INSERT INTO "StorageDuration" VALUES ('NL','H2_STORAGE',2000.0,'units of hours. Taken from Open Energy Outlook.');

INSERT INTO "StorageDuration" VALUES ('LAB','E_BATT_4HR',4.0,'units of hours');



CREATE TABLE IF NOT EXISTS "SegFrac" (
	"season_name"	text,
	"time_of_day_name"	text,
	"segfrac"	real CHECK("segfrac" >= 0 AND "segfrac" <= 1),
	"segfrac_notes"	text,
	PRIMARY KEY("season_name","time_of_day_name"),
	FOREIGN KEY("season_name") REFERENCES "time_season"("t_season"),
	FOREIGN KEY("time_of_day_name") REFERENCES "time_of_day"("t_day")
);


CREATE TABLE IF NOT EXISTS "PlanningReserveMargin" (
	"regions"	text,
	"reserve_margin"	REAL,
	PRIMARY KEY("regions"),
	FOREIGN KEY("regions") REFERENCES "regions"
);
INSERT INTO "PlanningReserveMargin" VALUES ('NB',0.20);
INSERT INTO "PlanningReserveMargin" VALUES ('NS',0.20);
INSERT INTO "PlanningReserveMargin" VALUES ('PEI',0.01);
--Note, this should be 0.15 for PEI. Temoa does not currently recognize inter-regional transmission as acceptable reserve capacity. Since PEI relies heavily on imports, its planning reserve margin is set to 0.0 until transmission can be included in the reserves.
INSERT INTO "PlanningReserveMargin" VALUES ('NL',0.14);
INSERT INTO "PlanningReserveMargin" VALUES ('LAB',0.14);

CREATE TABLE IF NOT EXISTS "Output_V_Capacity" (
	"regions"	text,
	"scenario"	text,
	"sector"	text,
	"tech"	text,
	"vintage"	integer,
	"capacity"	real,
	FOREIGN KEY("tech") REFERENCES "technologies"("tech"),
	PRIMARY KEY("regions","scenario","tech","vintage"),
	FOREIGN KEY("sector") REFERENCES "sector_labels"("sector"),
	FOREIGN KEY("vintage") REFERENCES "time_periods"("t_periods")
);
CREATE TABLE IF NOT EXISTS "Output_VFlow_Out" (
	"regions"	text,
	"scenario"	text,
	"sector"	text,
	"t_periods"	integer,
	"t_season"	text,
	"t_day"	text,
	"input_comm"	text,
	"tech"	text,
	"vintage"	integer,
	"output_comm"	text,
	"vflow_out"	real,
	FOREIGN KEY("input_comm") REFERENCES "commodities"("comm_name"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech"),
	FOREIGN KEY("sector") REFERENCES "sector_labels"("sector"),
	PRIMARY KEY("regions","scenario","t_periods","t_season","t_day","input_comm","tech","vintage","output_comm"),
	FOREIGN KEY("t_day") REFERENCES "time_of_day"("t_day"),
	FOREIGN KEY("t_season") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("t_periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("vintage") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("output_comm") REFERENCES "commodities"("comm_name")
);
CREATE TABLE IF NOT EXISTS "Output_VFlow_In" (
	"regions"	text,
	"scenario"	text,
	"sector"	text,
	"t_periods"	integer,
	"t_season"	text,
	"t_day"	text,
	"input_comm"	text,
	"tech"	text,
	"vintage"	integer,
	"output_comm"	text,
	"vflow_in"	real,
	PRIMARY KEY("regions","scenario","t_periods","t_season","t_day","input_comm","tech","vintage","output_comm"),
	FOREIGN KEY("output_comm") REFERENCES "commodities"("comm_name"),
	FOREIGN KEY("t_day") REFERENCES "time_of_day"("t_day"),
	FOREIGN KEY("t_season") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("t_periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("input_comm") REFERENCES "commodities"("comm_name"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech"),
	FOREIGN KEY("vintage") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("sector") REFERENCES "sector_labels"("sector")
);
CREATE TABLE IF NOT EXISTS "Output_VStorageSOC" (
	"regions"	text,
	"scenario"	text,
	"sector"	text,
	"t_periods"	integer,
	"t_season"	text,
	"t_day"	text,
	"tech"	text,
	"vintage"	integer,
	"level"	real,
	PRIMARY KEY("regions","scenario","t_periods","t_season","t_day","tech","vintage"),
	FOREIGN KEY("t_day") REFERENCES "time_of_day"("t_day"),
	FOREIGN KEY("t_season") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("t_periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech"),
	FOREIGN KEY("vintage") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("sector") REFERENCES "sector_labels"("sector")
);

CREATE TABLE IF NOT EXISTS "Output_Objective" (
	"scenario"	text,
	"objective_name"	text,
	"total_system_cost"	real
);
CREATE TABLE IF NOT EXISTS "Output_Emissions" (
	"regions"	text,
	"scenario"	text,
	"sector"	text,
	"t_periods"	integer,
	"emissions_comm"	text,
	"tech"	text,
	"vintage"	integer,
	"emissions"	real,
	FOREIGN KEY("tech") REFERENCES "technologies"("tech"),
	PRIMARY KEY("regions","scenario","t_periods","emissions_comm","tech","vintage"),
	FOREIGN KEY("emissions_comm") REFERENCES "EmissionActivity"("emis_comm"),
	FOREIGN KEY("sector") REFERENCES "sector_labels"("sector"),
	FOREIGN KEY("t_periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("vintage") REFERENCES "time_periods"("t_periods")
);
CREATE TABLE IF NOT EXISTS "Output_Employment" (
	"regions"	text,
	"scenario"	text,
	"sector"	text,
	"t_periods"	integer,
	"tech"	text,
	"vintage"	integer,
	"jobs"	real,
	FOREIGN KEY("tech") REFERENCES "technologies"("tech"),
	PRIMARY KEY("regions","scenario","t_periods","tech","vintage"),
	FOREIGN KEY("sector") REFERENCES "sector_labels"("sector"),
	FOREIGN KEY("t_periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("vintage") REFERENCES "time_periods"("t_periods")
);
CREATE TABLE IF NOT EXISTS "Output_ImplicitEmissionsPrice" (
	"regions"	text,
	"scenario"	text,
	"sector"	text,
	"t_periods"	integer,
	"emissions_comm"	text,
	"emissions_price"	real,
	PRIMARY KEY("regions","scenario","t_periods","emissions_comm"),
	FOREIGN KEY("emissions_comm") REFERENCES "commodities"("comm_name"),
	FOREIGN KEY("sector") REFERENCES "sector_labels"("sector"),
	FOREIGN KEY("t_periods") REFERENCES "time_periods"("t_periods")
);
CREATE TABLE IF NOT EXISTS "Output_Curtailment" (
	"regions"	text,
	"scenario"	text,
	"sector"	text,
	"t_periods"	integer,
	"t_season"	text,
	"t_day"	text,
	"input_comm"	text,
	"tech"	text,
	"vintage"	integer,
	"output_comm"	text,
	"curtailment"	real,
	PRIMARY KEY("regions","scenario","t_periods","t_season","t_day","input_comm","tech","vintage","output_comm"),
	FOREIGN KEY("output_comm") REFERENCES "commodities"("comm_name"),
	FOREIGN KEY("t_day") REFERENCES "time_of_day"("t_day"),
	FOREIGN KEY("input_comm") REFERENCES "commodities"("comm_name"),
	FOREIGN KEY("vintage") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("t_periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech"),
	FOREIGN KEY("t_season") REFERENCES "time_periods"("t_periods")
);
CREATE TABLE IF NOT EXISTS "Output_Costs" (
	"regions"	text,
	"scenario"	text,
	"sector"	text,
	"output_name"	text,
	"tech"	text,
	"vintage"	integer,
	"output_cost"	real,
	FOREIGN KEY("sector") REFERENCES "sector_labels"("sector"),
	FOREIGN KEY("vintage") REFERENCES "time_periods"("t_periods"),
	PRIMARY KEY("regions","scenario","output_name","tech","vintage"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);
CREATE TABLE "Output_Duals" (
	"constraint_name"	text,
	"scenario"	text,
	"dual"	real,
	PRIMARY KEY("constraint_name","scenario")
);
CREATE TABLE IF NOT EXISTS "Output_CapacityByPeriodAndTech" (
	"regions"	text,
	"scenario"	text,
	"sector"	text,
	"t_periods"	integer,
	"tech"	text,
	"capacity"	real,
	PRIMARY KEY("regions","scenario","t_periods","tech"),
	FOREIGN KEY("t_periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("sector") REFERENCES "sector_labels"("sector"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);
CREATE TABLE IF NOT EXISTS "MyopicBaseyear" (
	"year"	real,
	"notes" text
);


CREATE TABLE "LinkedTechs" (
	"primary_region"	text,
	"primary_tech"	text,
	"emis_comm" text,
 	"linked_tech"	text,
	"tech_linked_notes"	text,
	FOREIGN KEY("primary_tech") REFERENCES "technologies"("tech"),
	FOREIGN KEY("linked_tech") REFERENCES "technologies"("tech"),
	FOREIGN KEY("emis_comm") REFERENCES "commodities"("comm_name"),
	PRIMARY KEY("primary_region","primary_tech", "emis_comm")
);
INSERT INTO `LinkedTechs` VALUES ('NS','E_NGACC-CCS','CO2','E_NGACC-CCS-emissions',NULL);
INSERT INTO `LinkedTechs` VALUES ('NS','E_BECCS','CO2','E_BECCS-emissions',NULL);
INSERT INTO `LinkedTechs` VALUES ('NS','H2_SMR-CCS','CO2','H2_SMR-CCS-emissions',NULL);

INSERT INTO `LinkedTechs` VALUES ('NB','E_NGACC-CCS','CO2','E_NGACC-CCS-emissions',NULL);
INSERT INTO `LinkedTechs` VALUES ('NB','E_BECCS','CO2','E_BECCS-emissions',NULL);
INSERT INTO `LinkedTechs` VALUES ('NB','H2_SMR-CCS','CO2','H2_SMR-CCS-emissions',NULL);

INSERT INTO `LinkedTechs` VALUES ('PEI','E_BECCS','CO2','E_BECCS-emissions',NULL);

INSERT INTO `LinkedTechs` VALUES ('NL','E_BECCS','CO2','E_BECCS-emissions',NULL);




CREATE TABLE IF NOT EXISTS "MinCapacity" (
	"regions"	text,
	"periods"	integer,
	"tech"	text,
	"mincap"	real,
	"mincap_units"	text,
	"mincap_notes"	text,
	PRIMARY KEY("regions","periods","tech"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);

CREATE TABLE IF NOT EXISTS "MinActivity" (
	"regions"	text,
	"periods"	integer,
	"tech"	text,
	"minact"	real,
	"minact_units"	text,
	"minact_notes"	text,
	PRIMARY KEY("regions","periods","tech"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);
INSERT INTO `MinActivity` VALUES ('NB',2020,'E_BIO-COGEN_EX',1.836,'PJ','Biomass in NB accounted for 1.836 PJ of output in 2018 (source: CER Provincial Energy Profile)');
INSERT INTO `MinActivity` VALUES ('NB',2030,'E_BIO-COGEN_EX',1.836,'PJ','Biomass in NB accounted for 1.836 PJ of output in 2018 (source: CER Provincial Energy Profile)');
INSERT INTO `MinActivity` VALUES ('NB',2040,'E_BIO-COGEN_EX',1.836,'PJ','Biomass in NB accounted for 1.836 PJ of output in 2018 (source: CER Provincial Energy Profile)');
INSERT INTO `MinActivity` VALUES ('NB',2050,'E_BIO-COGEN_EX',1.836,'PJ','Biomass in NB accounted for 1.836 PJ of output in 2018 (source: CER Provincial Energy Profile)');

INSERT INTO "MinActivity" VALUES ('NS',2020,'E_BIO-COGEN_EX',0.54,'PJ','Assumption. Equates to 150 GWh per annum. Plant typically runs this much per year to generate steam for mill. Otherwise it is rarely dispatched.');
INSERT INTO "MinActivity" VALUES ('NS',2030,'E_BIO-COGEN_EX',0.54,'PJ','Assumption. Equates to 150 GWh per annum. Plant typically runs this much per year to generate steam for mill. Otherwise it is rarely dispatched.');
INSERT INTO "MinActivity" VALUES ('NS',2040,'E_BIO-COGEN_EX',0.54,'PJ','Assumption. Equates to 150 GWh per annum. Plant typically runs this much per year to generate steam for mill. Otherwise it is rarely dispatched.');
INSERT INTO "MinActivity" VALUES ('NS',2050,'E_BIO-COGEN_EX',0.54,'PJ','Assumption. Equates to 150 GWh per annum. Plant typically runs this much per year to generate steam for mill. Otherwise it is rarely dispatched.');












CREATE TABLE IF NOT EXISTS "MinSeasonalActivity" (
	"regions"	text,
	"periods"	integer,
	"season_name" text,
	"tech"	text,
	"minact"	real,
	"minact_units"	text,
	"minact_notes"	text,
	PRIMARY KEY("regions","periods","season_name","tech"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("season_name") REFERENCES "time_season"("t_season"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);


CREATE TABLE IF NOT EXISTS "MinAnnualCapacityFactor" (
	"regions"	text,
	"periods"	integer,
	"tech"	text,
	"min_acf"	real,
	"source" text,
	"min_acf_notes"	text,
	PRIMARY KEY("regions","periods","tech"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);
CREATE TABLE IF NOT EXISTS "MaxAnnualCapacityFactor" (
	"regions"	text,
	"periods"	integer,
	"tech"	text,
	"max_acf"	real,
	"source" text,
	"max_acf_notes"	text,
	PRIMARY KEY("regions","periods","tech"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);


CREATE TABLE IF NOT EXISTS "MinNewCapacity" (
	"regions"	text,
	"periods"	integer,
	"tech"	text,
	"mincap"	real,
	"mincap_units"	text,
	"mincap_notes"	text,
	PRIMARY KEY("regions","periods","tech"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);
CREATE TABLE IF NOT EXISTS "MaxNewCapacity" (
	"regions"	text,
	"periods"	integer,
	"tech"	text,
	"maxcap"	real,
	"maxcap_units"	text,
	"maxcap_notes"	text,
	PRIMARY KEY("regions","periods","tech"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);
CREATE TABLE IF NOT EXISTS "MinActivityGroup" (
	"regions"	text,
	"t_periods"	integer,
	"group_name"	text,
	"min_act_g"	real,
	"notes"	text,
	PRIMARY KEY("regions","t_periods","group_name"),
	FOREIGN KEY("t_periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("group_name") REFERENCES "groups"("group_name")
);
CREATE TABLE IF NOT EXISTS "MaxActivityGroup" (
	"regions"	text,
	"t_periods"	integer,
	"group_name"	text,
	"max_act_g"	real,
	"notes"	text,
	PRIMARY KEY("regions","t_periods","group_name"),
	FOREIGN KEY("t_periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("group_name") REFERENCES "groups"("group_name")
);
CREATE TABLE IF NOT EXISTS "MinActivityShare" (
	"regions"	text,
	"periods"	integer,
	"tech"	text,
	"group_name" text,
	"minactshare"	real,
	"minactshare_notes"	text,
	PRIMARY KEY("regions","periods","tech","group_name"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
	FOREIGN KEY("group_name") REFERENCES "groups"("group_name")
);
CREATE TABLE IF NOT EXISTS "MaxActivityShare" (
	"regions"	text,
	"periods"	integer,
	"tech"	text,
	"group_name" text,
	"maxactshare"	real,
	"maxactshare_notes"	text,
	PRIMARY KEY("regions","periods","tech","group_name"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
	FOREIGN KEY("group_name") REFERENCES "groups"("group_name")
);
CREATE TABLE IF NOT EXISTS "MinCapacityGroup" (
	"regions"	text,
	"t_periods"	integer,
	"group_name"	text,
	"min_cap_g"	real,
	"notes"	text,
	PRIMARY KEY("regions","t_periods","group_name"),
	FOREIGN KEY("t_periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("group_name") REFERENCES "groups"("group_name")
);
CREATE TABLE IF NOT EXISTS "MaxCapacityGroup" (
	"regions"	text,
	"t_periods"	integer,
	"group_name"	text,
	"max_cap_g"	real,
	"notes"	text,
	PRIMARY KEY("regions","t_periods","group_name"),
	FOREIGN KEY("t_periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("group_name") REFERENCES "groups"("group_name")
);
CREATE TABLE IF NOT EXISTS "MinCapacityShare" (
	"regions"	text,
	"periods"	integer,
	"tech"	text,
	"group_name" text,
	"mincapshare"	real,
	"mincapshare_notes"	text,
	PRIMARY KEY("regions","periods","tech","group_name"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
	FOREIGN KEY("group_name") REFERENCES "groups"("group_name")
);
CREATE TABLE IF NOT EXISTS "MaxCapacityShare" (
	"regions"	text,
	"periods"	integer,
	"tech"	text,
	"group_name" text,
	"maxcapshare"	real,
	"maxcapshare_notes"	text,
	PRIMARY KEY("regions","periods","tech","group_name"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
	FOREIGN KEY("group_name") REFERENCES "groups"("group_name")
);
CREATE TABLE IF NOT EXISTS "MaxNewCapacityShare" (
	"regions"	text,
	"periods"	integer,
	"tech"	text,
	"group_name" text,
	"maxcapshare"	real,
	"maxcapshare_notes"	text,
	PRIMARY KEY("regions","periods","tech","group_name"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
	FOREIGN KEY("group_name") REFERENCES "groups"("group_name")
);
CREATE TABLE IF NOT EXISTS "MinNewCapacityShare" (
	"regions"	text,
	"periods"	integer,
	"tech"	text,
	"group_name" text,
	"maxcapshare"	real,
	"maxcapshare_notes"	text,
	PRIMARY KEY("regions","periods","tech","group_name"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
	FOREIGN KEY("group_name") REFERENCES "groups"("group_name")
);

CREATE TABLE IF NOT EXISTS "MaxCapacity" (
	"regions"	text,
	"periods"	integer,
	"tech"	text,
	"maxcap"	real,
	"maxcap_units"	text,
	"maxcap_notes"	text,
	PRIMARY KEY("regions","periods","tech"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);


INSERT INTO "MaxCapacity" VALUES ('NB',2020,'E_WIND-ON-1',0.0,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NB',2020,'E_WIND-ON-2',0.0,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NB',2020,'E_WIND-ON-3',0.0,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NB',2020,'E_WIND-ON-4',0.0,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NB',2030,'E_WIND-ON-1',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NB',2030,'E_WIND-ON-2',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NB',2030,'E_WIND-ON-3',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NB',2030,'E_WIND-ON-4',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NB',2040,'E_WIND-ON-1',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NB',2040,'E_WIND-ON-2',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NB',2040,'E_WIND-ON-3',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NB',2040,'E_WIND-ON-4',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NB',2050,'E_WIND-ON-1',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NB',2050,'E_WIND-ON-2',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NB',2050,'E_WIND-ON-3',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NB',2050,'E_WIND-ON-4',0.625,'GW','');

INSERT INTO "MaxCapacity" VALUES ('NB',2020,'E_WIND-OFF',0.0,'GW','Canadian Geological Survey does not include a max resource constraint. 2.5 is a placeholder.');
INSERT INTO "MaxCapacity" VALUES ('NB',2030,'E_WIND-OFF',2.5,'GW','Canadian Geological Survey does not include a max resource constraint. 2.5 is a placeholder.');
INSERT INTO "MaxCapacity" VALUES ('NB',2040,'E_WIND-OFF',2.5,'GW','Canadian Geological Survey does not include a max resource constraint. 2.5 is a placeholder.');
INSERT INTO "MaxCapacity" VALUES ('NB',2050,'E_WIND-OFF',2.5,'GW','Canadian Geological Survey does not include a max resource constraint. 2.5 is a placeholder.');

INSERT INTO "MaxCapacity" VALUES ('NB',2020,'E_GEO-F',0.0,'GW','It is assumed that NB does not have the requisite geology for geothermal electricity generation.');
INSERT INTO "MaxCapacity" VALUES ('NB',2020,'E_GEO-B',0.0,'GW','It is assumed that NB does not have the requisite geology for geothermal electricity generation.');
INSERT INTO "MaxCapacity" VALUES ('NB',2030,'E_GEO-F',0.0,'GW','It is assumed that NB does not have the requisite geology for geothermal electricity generation.');
INSERT INTO "MaxCapacity" VALUES ('NB',2030,'E_GEO-B',0.0,'GW','It is assumed that NB does not have the requisite geology for geothermal electricity generation.');
INSERT INTO "MaxCapacity" VALUES ('NB',2040,'E_GEO-F',0.0,'GW','It is assumed that NB does not have the requisite geology for geothermal electricity generation.');
INSERT INTO "MaxCapacity" VALUES ('NB',2040,'E_GEO-B',0.0,'GW','It is assumed that NB does not have the requisite geology for geothermal electricity generation.');
INSERT INTO "MaxCapacity" VALUES ('NB',2050,'E_GEO-F',0.0,'GW','It is assumed that NB does not have the requisite geology for geothermal electricity generation.');
INSERT INTO "MaxCapacity" VALUES ('NB',2050,'E_GEO-B',0.0,'GW','It is assumed that NB does not have the requisite geology for geothermal electricity generation.');

INSERT INTO "MaxCapacity" VALUES ('NS',2020,'E_NUC-LWR',0.0,'GW','NS IRP does not include nuclear.');
INSERT INTO "MaxCapacity" VALUES ('NS',2030,'E_NUC-LWR',0.0,'GW','NS IRP does not include nuclear.');
INSERT INTO "MaxCapacity" VALUES ('NS',2040,'E_NUC-LWR',0.0,'GW','NS IRP does not include nuclear.');
INSERT INTO "MaxCapacity" VALUES ('NS',2050,'E_NUC-LWR',0.0,'GW','NS IRP does not include nuclear.');

INSERT INTO "MaxCapacity" VALUES ('NS',2020,'E_GEO-F',0.0,'GW','NS does not have the requisite geology.');
INSERT INTO "MaxCapacity" VALUES ('NS',2020,'E_GEO-B',0.0,'GW','NS does not have the requisite geology.');
INSERT INTO "MaxCapacity" VALUES ('NS',2030,'E_GEO-F',0.0,'GW','NS does not have the requisite geology.');
INSERT INTO "MaxCapacity" VALUES ('NS',2030,'E_GEO-B',0.0,'GW','NS does not have the requisite geology.');
INSERT INTO "MaxCapacity" VALUES ('NS',2040,'E_GEO-F',0.0,'GW','NS does not have the requisite geology.');
INSERT INTO "MaxCapacity" VALUES ('NS',2040,'E_GEO-B',0.0,'GW','NS does not have the requisite geology.');
INSERT INTO "MaxCapacity" VALUES ('NS',2050,'E_GEO-F',0.0,'GW','NS does not have the requisite geology.');
INSERT INTO "MaxCapacity" VALUES ('NS',2050,'E_GEO-B',0.0,'GW','NS does not have the requisite geology.');

INSERT INTO "MaxCapacity" VALUES ('NS',2020,'E_WIND-ON-1',0.0,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NS',2020,'E_WIND-ON-2',0.0,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NS',2020,'E_WIND-ON-3',0.0,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NS',2020,'E_WIND-ON-4',0.0,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NS',2030,'E_WIND-ON-1',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NS',2030,'E_WIND-ON-2',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NS',2030,'E_WIND-ON-3',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NS',2030,'E_WIND-ON-4',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NS',2040,'E_WIND-ON-1',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NS',2040,'E_WIND-ON-2',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NS',2040,'E_WIND-ON-3',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NS',2040,'E_WIND-ON-4',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NS',2050,'E_WIND-ON-1',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NS',2050,'E_WIND-ON-2',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NS',2050,'E_WIND-ON-3',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NS',2050,'E_WIND-ON-4',0.625,'GW','');

INSERT INTO "MaxCapacity" VALUES ('NS',2020,'E_WIND-OFF',0.0,'GW','Canadian Geological Survey.');
INSERT INTO "MaxCapacity" VALUES ('NS',2030,'E_WIND-OFF',5.1,'GW','Canadian Geological Survey.');
INSERT INTO "MaxCapacity" VALUES ('NS',2040,'E_WIND-OFF',5.1,'GW','Canadian Geological Survey.');
INSERT INTO "MaxCapacity" VALUES ('NS',2050,'E_WIND-OFF',5.1,'GW','Canadian Geological Survey.');

INSERT INTO "MaxCapacity" VALUES ('PEI',2020,'E_GEO-F',0.0,'GW','It is assumed that PEI does not have the requisite geology for geothermal electricity generation.');
INSERT INTO "MaxCapacity" VALUES ('PEI',2020,'E_GEO-B',0.0,'GW','It is assumed that PEI does not have the requisite geology for geothermal electricity generation.');
INSERT INTO "MaxCapacity" VALUES ('PEI',2030,'E_GEO-F',0.0,'GW','It is assumed that PEI does not have the requisite geology for geothermal electricity generation.');
INSERT INTO "MaxCapacity" VALUES ('PEI',2030,'E_GEO-B',0.0,'GW','It is assumed that PEI does not have the requisite geology for geothermal electricity generation.');
INSERT INTO "MaxCapacity" VALUES ('PEI',2040,'E_GEO-F',0.0,'GW','It is assumed that PEI does not have the requisite geology for geothermal electricity generation.');
INSERT INTO "MaxCapacity" VALUES ('PEI',2040,'E_GEO-B',0.0,'GW','It is assumed that PEI does not have the requisite geology for geothermal electricity generation.');
INSERT INTO "MaxCapacity" VALUES ('PEI',2050,'E_GEO-F',0.0,'GW','It is assumed that PEI does not have the requisite geology for geothermal electricity generation.');
INSERT INTO "MaxCapacity" VALUES ('PEI',2050,'E_GEO-B',0.0,'GW','It is assumed that PEI does not have the requisite geology for geothermal electricity generation.');

INSERT INTO "MaxCapacity" VALUES ('PEI',2020,'E_WIND-ON-1',0.0,'GW','');
INSERT INTO "MaxCapacity" VALUES ('PEI',2020,'E_WIND-ON-2',0.0,'GW','');
INSERT INTO "MaxCapacity" VALUES ('PEI',2020,'E_WIND-ON-3',0.0,'GW','');
INSERT INTO "MaxCapacity" VALUES ('PEI',2020,'E_WIND-ON-4',0.0,'GW','');
INSERT INTO "MaxCapacity" VALUES ('PEI',2030,'E_WIND-ON-1',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('PEI',2030,'E_WIND-ON-2',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('PEI',2030,'E_WIND-ON-3',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('PEI',2030,'E_WIND-ON-4',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('PEI',2040,'E_WIND-ON-1',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('PEI',2040,'E_WIND-ON-2',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('PEI',2040,'E_WIND-ON-3',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('PEI',2040,'E_WIND-ON-4',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('PEI',2050,'E_WIND-ON-1',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('PEI',2050,'E_WIND-ON-2',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('PEI',2050,'E_WIND-ON-3',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('PEI',2050,'E_WIND-ON-4',0.625,'GW','');

INSERT INTO "MaxCapacity" VALUES ('PEI',2020,'E_WIND-OFF',0.0,'GW','No limit given by Canadian Geological Survey. 2.5 is acting as a placeholder');
INSERT INTO "MaxCapacity" VALUES ('PEI',2030,'E_WIND-OFF',2.5,'GW','No limit given by Canadian Geological Survey. 2.5 is acting as a placeholder');
INSERT INTO "MaxCapacity" VALUES ('PEI',2040,'E_WIND-OFF',2.5,'GW','No limit given by Canadian Geological Survey. 2.5 is acting as a placeholder');
INSERT INTO "MaxCapacity" VALUES ('PEI',2050,'E_WIND-OFF',2.5,'GW','No limit given by Canadian Geological Survey. 2.5 is acting as a placeholder');

INSERT INTO "MaxCapacity" VALUES ('NL',2020,'E_GEO-F',0.0,'GW','It is assumed that NL does not have the requisite geology for geothermal electricity generation.');
INSERT INTO "MaxCapacity" VALUES ('NL',2020,'E_GEO-B',0.0,'GW','It is assumed that NL does not have the requisite geology for geothermal electricity generation.');
INSERT INTO "MaxCapacity" VALUES ('NL',2030,'E_GEO-F',0.0,'GW','It is assumed that NL does not have the requisite geology for geothermal electricity generation.');
INSERT INTO "MaxCapacity" VALUES ('NL',2030,'E_GEO-B',0.0,'GW','It is assumed that NL does not have the requisite geology for geothermal electricity generation.');
INSERT INTO "MaxCapacity" VALUES ('NL',2040,'E_GEO-F',0.0,'GW','It is assumed that NL does not have the requisite geology for geothermal electricity generation.');
INSERT INTO "MaxCapacity" VALUES ('NL',2040,'E_GEO-B',0.0,'GW','It is assumed that NL does not have the requisite geology for geothermal electricity generation.');
INSERT INTO "MaxCapacity" VALUES ('NL',2050,'E_GEO-F',0.0,'GW','It is assumed that NL does not have the requisite geology for geothermal electricity generation.');
INSERT INTO "MaxCapacity" VALUES ('NL',2050,'E_GEO-B',0.0,'GW','It is assumed that NL does not have the requisite geology for geothermal electricity generation.');

INSERT INTO "MaxCapacity" VALUES ('NL',2020,'E_WIND-ON-1',0.0,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NL',2020,'E_WIND-ON-2',0.0,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NL',2030,'E_WIND-ON-1',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NL',2030,'E_WIND-ON-2',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NL',2040,'E_WIND-ON-1',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NL',2040,'E_WIND-ON-2',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NL',2050,'E_WIND-ON-1',0.625,'GW','');
INSERT INTO "MaxCapacity" VALUES ('NL',2050,'E_WIND-ON-2',0.625,'GW','');


INSERT INTO "MaxCapacity" VALUES ('NL',2020,'E_WIND-OFF',0.0,'GW','Canadian Geological Survey.');
INSERT INTO "MaxCapacity" VALUES ('NL',2030,'E_WIND-OFF',1.0,'GW','Canadian Geological Survey.');
INSERT INTO "MaxCapacity" VALUES ('NL',2040,'E_WIND-OFF',1.0,'GW','Canadian Geological Survey.');
INSERT INTO "MaxCapacity" VALUES ('NL',2050,'E_WIND-OFF',1.0,'GW','Canadian Geological Survey.');

INSERT INTO "MaxCapacity" VALUES ('NB',2030,'CO2_CAPTURE-ELCNGA',0.0,'kt CO2 / year','Modelling choice. Do not allow Nth plant type, only first gen.');
INSERT INTO "MaxCapacity" VALUES ('NB',2040,'CO2_CAPTURE-ELCNGA',0.0,'kt CO2 / year','Modelling choice. Do not allow Nth plant type, only first gen.');
INSERT INTO "MaxCapacity" VALUES ('NB',2050,'CO2_CAPTURE-ELCNGA',0.0,'kt CO2 / year','Modelling choice. Do not allow Nth plant type, only first gen.');
INSERT INTO "MaxCapacity" VALUES ('NS',2030,'CO2_CAPTURE-ELCNGA',0.0,'kt CO2 / year','Modelling choice. Do not allow Nth plant type, only first gen.');
INSERT INTO "MaxCapacity" VALUES ('NS',2040,'CO2_CAPTURE-ELCNGA',0.0,'kt CO2 / year','Modelling choice. Do not allow Nth plant type, only first gen.');
INSERT INTO "MaxCapacity" VALUES ('NS',2050,'CO2_CAPTURE-ELCNGA',0.0,'kt CO2 / year','Modelling choice. Do not allow Nth plant type, only first gen.');
INSERT INTO "MaxCapacity" VALUES ('NB',2030,'CO2_CAPTURE-NGA',0.0,'kt CO2 / year','Modelling choice. Do not allow Nth plant type, only first gen.');
INSERT INTO "MaxCapacity" VALUES ('NB',2040,'CO2_CAPTURE-NGA',0.0,'kt CO2 / year','Modelling choice. Do not allow Nth plant type, only first gen.');
INSERT INTO "MaxCapacity" VALUES ('NB',2050,'CO2_CAPTURE-NGA',0.0,'kt CO2 / year','Modelling choice. Do not allow Nth plant type, only first gen.');
INSERT INTO "MaxCapacity" VALUES ('NS',2030,'CO2_CAPTURE-NGA',0.0,'kt CO2 / year','Modelling choice. Do not allow Nth plant type, only first gen.');
INSERT INTO "MaxCapacity" VALUES ('NS',2040,'CO2_CAPTURE-NGA',0.0,'kt CO2 / year','Modelling choice. Do not allow Nth plant type, only first gen.');
INSERT INTO "MaxCapacity" VALUES ('NS',2050,'CO2_CAPTURE-NGA',0.0,'kt CO2 / year','Modelling choice. Do not allow Nth plant type, only first gen.');




INSERT INTO "MaxCapacity" VALUES ('NB',2020,'E_NGACC',0.0,'GW','Do not allow this technology in first model year.');
INSERT INTO "MaxCapacity" VALUES ('NS',2020,'E_NGACC',0.0,'GW','Do not allow this technology in first model year.');
INSERT INTO "MaxCapacity" VALUES ('NB',2020,'E_NGACC-CCS',0.0,'GW','Do not allow this technology in first model year.');
INSERT INTO "MaxCapacity" VALUES ('NS',2020,'E_NGACC-CCS',0.0,'GW','Do not allow this technology in first model year.');

INSERT INTO "MaxCapacity" VALUES ('NB',2020, 'E_SOLPV-CEN',0.0,'GW','Do not allow this technology in first model year.');
INSERT INTO "MaxCapacity" VALUES ('NS',2020, 'E_SOLPV-CEN',0.0,'GW','Do not allow this technology in first model year.');
INSERT INTO "MaxCapacity" VALUES ('PEI',2020,'E_SOLPV-CEN',0.0,'GW','Do not allow this technology in first model year.');
INSERT INTO "MaxCapacity" VALUES ('NL',2020, 'E_SOLPV-CEN',0.0,'GW','Do not allow this technology in first model year.');

INSERT INTO "MaxCapacity" VALUES ('NB',2020, 'E_SOLPV-RES',0.0,'GW','Do not allow this technology in first model year.');
INSERT INTO "MaxCapacity" VALUES ('NS',2020, 'E_SOLPV-RES',0.0,'GW','Do not allow this technology in first model year.');
INSERT INTO "MaxCapacity" VALUES ('PEI',2020,'E_SOLPV-RES',0.0,'GW','Do not allow this technology in first model year.');
INSERT INTO "MaxCapacity" VALUES ('NL',2020, 'E_SOLPV-RES',0.0,'GW','Do not allow this technology in first model year.');

INSERT INTO "MaxCapacity" VALUES ('NB',2020, 'E_NUC-LWR',0.0,'GW','Do not allow this technology in first model year.');
INSERT INTO "MaxCapacity" VALUES ('PEI',2020,'E_NUC-LWR',0.0,'GW','Do not allow this technology in first model year.');
INSERT INTO "MaxCapacity" VALUES ('NL',2020, 'E_NUC-LWR',0.0,'GW','Do not allow this technology in first model year.');

INSERT INTO "MaxCapacity" VALUES ('NB',2020, 'E_BECCS',0.0,'GW','Do not allow this technology in first model year.');
INSERT INTO "MaxCapacity" VALUES ('NS',2020, 'E_BECCS',0.0,'GW','Do not allow this technology in first model year.');
INSERT INTO "MaxCapacity" VALUES ('PEI',2020,'E_BECCS',0.0,'GW','Do not allow this technology in first model year.');
INSERT INTO "MaxCapacity" VALUES ('NL',2020, 'E_BECCS',0.0,'GW','Do not allow this technology in first model year.');

INSERT INTO "MaxCapacity" VALUES ('NB-NS',2020, 'E_TRANS',0.0,'GW','Do not allow this technology in first model year.');
INSERT INTO "MaxCapacity" VALUES ('NS-NB',2020, 'E_TRANS',0.0,'GW','Do not allow this technology in first model year.');
INSERT INTO "MaxCapacity" VALUES ('NS-NL',2020, 'E_TRANS',0.0,'GW','Do not allow this technology in first model year.');
INSERT INTO "MaxCapacity" VALUES ('NL-NS',2020, 'E_TRANS',0.0,'GW','Do not allow this technology in first model year.');
INSERT INTO "MaxCapacity" VALUES ('PEI-NB',2020,'E_TRANS',0.0,'GW','Do not allow this technology in first model year.');
INSERT INTO "MaxCapacity" VALUES ('NB-PEI',2020,'E_TRANS',0.0,'GW','Do not allow this technology in first model year.');





CREATE TABLE IF NOT EXISTS "MaxActivity" (
	"regions"	text,
	"periods"	integer,
	"tech"	text,
	"maxact"	real,
	"maxact_units"	text,
	"maxact_notes"	text,
	PRIMARY KEY("regions","periods","tech"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);

INSERT INTO `MaxActivity` VALUES ('NB',2020,'E_TRANS_EXPORT',5.697,'PJ', "CER Canada's Energy Future");
INSERT INTO `MaxActivity` VALUES ('NB',2030,'E_TRANS_EXPORT',9.668,'PJ', "CER Canada's Energy Future");
INSERT INTO `MaxActivity` VALUES ('NB',2040,'E_TRANS_EXPORT',15.37,'PJ', "CER Canada's Energy Future");
INSERT INTO `MaxActivity` VALUES ('NB',2050,'E_TRANS_EXPORT',15.296,'PJ',"CER Canada's Energy Future");

INSERT INTO `MaxActivity` VALUES ('NB',2020,'IMP_ELC-USA',0,'PJ', "CER Canada's Energy Future");
INSERT INTO `MaxActivity` VALUES ('NB',2030,'IMP_ELC-USA',3.09,'PJ', "CER Canada's Energy Future");
INSERT INTO `MaxActivity` VALUES ('NB',2040,'IMP_ELC-USA',3.09,'PJ', "CER Canada's Energy Future");
INSERT INTO `MaxActivity` VALUES ('NB',2050,'IMP_ELC-USA',3.09,'PJ',"CER Canada's Energy Future");


INSERT INTO `MaxActivity` VALUES ('NB',2020,'E_BIO-COGEN_EX',1.836,'PJ','Biomass in NB accounted for 1.836 PJ of output in 2018 (source: CER Provincial Energy Profile).');
INSERT INTO `MaxActivity` VALUES ('NB',2030,'E_BIO-COGEN_EX',1.836,'PJ','Biomass in NB accounted for 1.836 PJ of output in 2018 (source: CER Provincial Energy Profile).');
INSERT INTO `MaxActivity` VALUES ('NB',2040,'E_BIO-COGEN_EX',1.836,'PJ','Biomass in NB accounted for 1.836 PJ of output in 2018 (source: CER Provincial Energy Profile).');
INSERT INTO `MaxActivity` VALUES ('NB',2050,'E_BIO-COGEN_EX',1.836,'PJ','Biomass in NB accounted for 1.836 PJ of output in 2018 (source: CER Provincial Energy Profile).');



INSERT INTO "MaxActivity" VALUES ('NS',2020,'E_HYDRO-DSP_EX',1.9,'PJ','NS hydro typically generates 3.1 PJ per annum. The reservoir hydro (Wreck Cove) generates 1.2 PJ. Therefore the dispatchable hydro generates 1.9 PJ. Without this constraint, hydro would run at 100% capacity factor.');
INSERT INTO "MaxActivity" VALUES ('NS',2030,'E_HYDRO-DSP_EX',1.9,'PJ','NS hydro typically generates 3.1 PJ per annum. The reservoir hydro (Wreck Cove) generates 1.2 PJ. Therefore the dispatchable hydro generates 1.9 PJ. Without this constraint, hydro would run at 100% capacity factor.');
INSERT INTO "MaxActivity" VALUES ('NS',2040,'E_HYDRO-DSP_EX',1.9,'PJ','NS hydro typically generates 3.1 PJ per annum. The reservoir hydro (Wreck Cove) generates 1.2 PJ. Therefore the dispatchable hydro generates 1.9 PJ. Without this constraint, hydro would run at 100% capacity factor.');
INSERT INTO "MaxActivity" VALUES ('NS',2050,'E_HYDRO-DSP_EX',1.9,'PJ','NS hydro typically generates 3.1 PJ per annum. The reservoir hydro (Wreck Cove) generates 1.2 PJ. Therefore the dispatchable hydro generates 1.9 PJ. Without this constraint, hydro would run at 100% capacity factor.');


INSERT INTO "MaxActivity" VALUES ('NL',2020,'E_HYDRO-DSP_EX',16.9,'PJ','');
INSERT INTO "MaxActivity" VALUES ('NL',2030,'E_HYDRO-DSP_EX',16.9,'PJ','');
INSERT INTO "MaxActivity" VALUES ('NL',2040,'E_HYDRO-DSP_EX',16.9,'PJ','');
INSERT INTO "MaxActivity" VALUES ('NL',2050,'E_HYDRO-DSP_EX',16.9,'PJ','');




INSERT INTO "MaxActivity" VALUES ('NS',2020,'IMP_WOOD-REN_ELC',7.7175,'PJ','NS stipulates max of 350,000 dry tonnes of biomass qualifies for renewable electricity standard. This equates to 7.7175 PJ of wood pellets (using an energy content of 22.05 GJ per dry tonne from https://content.ces.ncsu.edu/conversion-factors-for-bioenergy).');
INSERT INTO "MaxActivity" VALUES ('NS',2030,'IMP_WOOD-REN_ELC',7.7175,'PJ','NS stipulates max of 350,000 dry tonnes of biomass qualifies for renewable electricity standard. This equates to 7.7175 PJ of wood pellets (using an energy content of 22.05 GJ per dry tonne from https://content.ces.ncsu.edu/conversion-factors-for-bioenergy).');
INSERT INTO "MaxActivity" VALUES ('NS',2040,'IMP_WOOD-REN_ELC',7.7175,'PJ','NS stipulates max of 350,000 dry tonnes of biomass qualifies for renewable electricity standard. This equates to 7.7175 PJ of wood pellets (using an energy content of 22.05 GJ per dry tonne from https://content.ces.ncsu.edu/conversion-factors-for-bioenergy).');
INSERT INTO "MaxActivity" VALUES ('NS',2050,'IMP_WOOD-REN_ELC',7.7175,'PJ','NS stipulates max of 350,000 dry tonnes of biomass qualifies for renewable electricity standard. This equates to 7.7175 PJ of wood pellets (using an energy content of 22.05 GJ per dry tonne from https://content.ces.ncsu.edu/conversion-factors-for-bioenergy).');

INSERT INTO "MaxActivity" VALUES ('NB',2020,'IMP_WOOD-REN_ELC',7.7175,'PJ','NB does not provide information regarding amount of woody biomass that is considered renewable. We assume it has the same regulation as NS.');
INSERT INTO "MaxActivity" VALUES ('NB',2030,'IMP_WOOD-REN_ELC',7.7175,'PJ','NB does not provide information regarding amount of woody biomass that is considered renewable. We assume it has the same regulation as NS.');
INSERT INTO "MaxActivity" VALUES ('NB',2040,'IMP_WOOD-REN_ELC',7.7175,'PJ','NB does not provide information regarding amount of woody biomass that is considered renewable. We assume it has the same regulation as NS.');
INSERT INTO "MaxActivity" VALUES ('NB',2050,'IMP_WOOD-REN_ELC',7.7175,'PJ','NB does not provide information regarding amount of woody biomass that is considered renewable. We assume it has the same regulation as NS.');

INSERT INTO "MaxActivity" VALUES ('PEI',2020,'IMP_WOOD-REN_ELC',7.7175,'PJ','PEI does not provide information regarding amount of woody biomass that is considered renewable. We assume it has the same regulation as NS.');
INSERT INTO "MaxActivity" VALUES ('PEI',2030,'IMP_WOOD-REN_ELC',7.7175,'PJ','PEI does not provide information regarding amount of woody biomass that is considered renewable. We assume it has the same regulation as NS.');
INSERT INTO "MaxActivity" VALUES ('PEI',2040,'IMP_WOOD-REN_ELC',7.7175,'PJ','PEI does not provide information regarding amount of woody biomass that is considered renewable. We assume it has the same regulation as NS.');
INSERT INTO "MaxActivity" VALUES ('PEI',2050,'IMP_WOOD-REN_ELC',7.7175,'PJ','PEI does not provide information regarding amount of woody biomass that is considered renewable. We assume it has the same regulation as NS.');

INSERT INTO "MaxActivity" VALUES ('NL',2020,'IMP_WOOD-REN_ELC',7.7175,'PJ','NL does not provide information regarding amount of woody biomass that is considered renewable. We assume it has the same regulation as NS.');
INSERT INTO "MaxActivity" VALUES ('NL',2030,'IMP_WOOD-REN_ELC',7.7175,'PJ','NL does not provide information regarding amount of woody biomass that is considered renewable. We assume it has the same regulation as NS.');
INSERT INTO "MaxActivity" VALUES ('NL',2040,'IMP_WOOD-REN_ELC',7.7175,'PJ','NL does not provide information regarding amount of woody biomass that is considered renewable. We assume it has the same regulation as NS.');
INSERT INTO "MaxActivity" VALUES ('NL',2050,'IMP_WOOD-REN_ELC',7.7175,'PJ','NL does not provide information regarding amount of woody biomass that is considered renewable. We assume it has the same regulation as NS.');








CREATE TABLE IF NOT EXISTS "MaxSeasonalActivity" (
	"regions"	text,
	"periods"	integer,
	"season_name" text,
	"tech"	text,
	"minact"	real,
	"minact_units"	text,
	"minact_notes"	text,
	PRIMARY KEY("regions","periods","season_name","tech"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("season_name") REFERENCES "time_season"("t_season"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);






CREATE TABLE IF NOT EXISTS "RampUp" (
	"regions"	text,
	"tech"	text,
	"ramp_up"	real,
	"reamp_up_notes" text,
	PRIMARY KEY("regions","tech"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);

INSERT INTO "RampUp" VALUES ('NB','E_COAL-BIT_EX-1',0.1,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampUp" VALUES ('NB','E_COAL-BIT_EX-2',0.1,'Dolter,  Rivers (2019)');
INSERT INTO "RampUp" VALUES ('NB','E_COAL-BIT_EX-3',0.1,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampUp" VALUES ('NB','E_COAL-COKE_EX',0.1,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampUp" VALUES ('NB','E_DIESEL-CT_EX',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampUp" VALUES ('NB','E_BIO_EX',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampUp" VALUES ('NB','E_BIO',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampUp" VALUES ('NB','E_BECCS',0.25,'Assumption: Same as E_BIO.');
INSERT INTO "RampUp" VALUES ('NB','E_NGACC_EX',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampUp" VALUES ('NB','E_NGACC',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampUp" VALUES ('NB','E_H2CC',0.25,'Assumption: Same as NGACC');
INSERT INTO "RampUp" VALUES ('NB','E_NGACC-CCS',0.25,'Assumption: Same as NGACC');
INSERT INTO "RampUp" VALUES ('NB','E_NUC-LWR',0.01,		'Dolters, Rivers (2019');
INSERT INTO "RampUp" VALUES ('NB','E_NUC-LWR_EX',0.01,'Dolters, Rivers (2019');
INSERT INTO "RampUp" VALUES ('NB','E_HFO-CT_EX',0.25,'Assumption: Same as Diesel CT');


INSERT INTO "RampUp" VALUES ('NS','E_COAL-BIT_EX-1',0.1,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampUp" VALUES ('NS','E_COAL-BIT_EX-2',0.1,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampUp" VALUES ('NS','E_COAL-BIT_EX-3',0.1,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampUp" VALUES ('NS','E_COAL-COKE_EX',0.1,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampUp" VALUES ('NS','E_DIESEL-CT_EX',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampUp" VALUES ('NS','E_BIO_EX',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampUp" VALUES ('NS','E_BIO',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampUp" VALUES ('NS','E_BECCS',0.25,'Assumption: Same as E_BIO.');
INSERT INTO "RampUp" VALUES ('NS','E_NGACC_EX',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampUp" VALUES ('NS','E_NGACC',0.25,'Dolter, Rivers (2019');
INSERT INTO "RampUp" VALUES ('NS','E_H2CC',0.25,'Assumption: Same as NGACC');
INSERT INTO "RampUp" VALUES ('NS','E_NGACC-CCS',0.25,'Assumption: Same as NGACC');
INSERT INTO "RampUp" VALUES ('NS','E_NUC-LWR',0.01,		'Dolters, Rivers (2019');
INSERT INTO "RampUp" VALUES ('NS','E_NUC-LWR_EX',0.01,'Dolters, Rivers (2019');
INSERT INTO "RampUp" VALUES ('NS','E_HFO-CT_EX',0.25,'Assumption: Same as Diesel CT');


INSERT INTO "RampUp" VALUES ('PEI','E_DIESEL-CT_EX',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampUp" VALUES ('PEI','E_BIO',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampUp" VALUES ('PEI','E_BECCS',0.25,'Assumption: Same as E_BIO.');
INSERT INTO "RampUp" VALUES ('PEI','E_NUC-LWR',0.01,		'Dolters, Rivers (2019');
INSERT INTO "RampUp" VALUES ('PEI','E_H2CC',0.25,'Assumption: Same as NGACC');


INSERT INTO "RampUp" VALUES ('NL','E_DIESEL-CT_EX',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampUp" VALUES ('NL','E_BIO',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampUp" VALUES ('NL','E_BECCS',0.25,'Assumption: Same as E_BIO.');
INSERT INTO "RampUp" VALUES ('NL','E_NUC-LWR',0.01,		'Dolters, Rivers (2019');
INSERT INTO "RampUp" VALUES ('NL','E_H2CC',0.25,'Assumption: Same as NGACC');





CREATE TABLE IF NOT EXISTS "RampDown" (
	"regions"	text,
	"tech"	text,
	"ramp_down"	real,
	"reamp_down_notes" text,
	PRIMARY KEY("regions","tech"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);

INSERT INTO "RampDown" VALUES ('NB','E_COAL-BIT_EX-1',0.1,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampDown" VALUES ('NB','E_COAL-BIT_EX-2',0.1,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampDown" VALUES ('NB','E_COAL-BIT_EX-3',0.1,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampDown" VALUES ('NB','E_COAL-COKE_EX',0.1,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampDown" VALUES ('NB','E_DIESEL-CT_EX',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampDown" VALUES ('NB','E_BIO_EX',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampDown" VALUES ('NB','E_BIO',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampDown" VALUES ('NB','E_BECCS',0.25,'Assumption: Same as E_BIO.');
INSERT INTO "RampDown" VALUES ('NB','E_NGACC_EX',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampDown" VALUES ('NB','E_NGACC',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampDown" VALUES ('NB','E_H2CC',0.25,'Assumption: Same as NGACC');
INSERT INTO "RampDown" VALUES ('NB','E_NGACC-CCS',0.25,'Assumption: Same as NGACC');
INSERT INTO "RampDown" VALUES ('NB','E_NUC-LWR',0.01,		'Dolters, Rivers (2019');
INSERT INTO "RampDown" VALUES ('NB','E_NUC-LWR_EX',0.01,'Dolters, Rivers (2019');
INSERT INTO "RampDown" VALUES ('NB','E_HFO-CT_EX',0.25,'Assumption: Same as Diesel CT');


INSERT INTO "RampDown" VALUES ('NS','E_COAL-BIT_EX-1',0.1,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampDown" VALUES ('NS','E_COAL-BIT_EX-2',0.1,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampDown" VALUES ('NS','E_COAL-BIT_EX-3',0.1,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampDown" VALUES ('NS','E_COAL-COKE_EX',0.1,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampDown" VALUES ('NS','E_DIESEL-CT_EX',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampDown" VALUES ('NS','E_BIO_EX',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampDown" VALUES ('NS','E_BIO',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampDown" VALUES ('NS','E_BECCS',0.25,'Assumption: Same as E_BIO.');
INSERT INTO "RampDown" VALUES ('NS','E_NGACC_EX',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampDown" VALUES ('NS','E_NGACC',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampDown" VALUES ('NS','E_H2CC',0.25,'Assumption: Same as NGACC');
INSERT INTO "RampDown" VALUES ('NS','E_NGACC-CCS',0.25,'Assumption: Same as NGACC');
INSERT INTO "RampDown" VALUES ('NS','E_NUC-LWR',0.01,		'Dolters, Rivers (2019');
INSERT INTO "RampDown" VALUES ('NS','E_NUC-LWR_EX',0.01,'Dolters, Rivers (2019');
INSERT INTO "RampDown" VALUES ('NS','E_HFO-CT_EX',0.25,'Assumption: Same as Diesel CT');

INSERT INTO "RampDown" VALUES ('PEI','E_DIESEL-CT_EX',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampDown" VALUES ('PEI','E_BIO',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampDown" VALUES ('PEI','E_BECCS',0.25,'Assumption: Same as E_BIO.');
INSERT INTO "RampDown" VALUES ('PEI','E_NUC-LWR',0.01,		'Dolters, Rivers (2019');
INSERT INTO "RampDown" VALUES ('PEI','E_H2CC',0.25,'Assumption: Same as NGACC');

INSERT INTO "RampDown" VALUES ('NL','E_DIESEL-CT_EX',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampDown" VALUES ('NL','E_BIO',0.25,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO "RampDown" VALUES ('NL','E_BECCS',0.25,'Assumption: Same as E_BIO.');
INSERT INTO "RampDown" VALUES ('NL','E_NUC-LWR',0.01,		'Dolters, Rivers (2019');
INSERT INTO "RampDown" VALUES ('NL','E_H2CC',0.25,'Assumption: Same as NGACC');




CREATE TABLE IF NOT EXISTS "LifetimeTech" (
	"regions"	text,
	"tech"	text,
	"life"	real,
	"life_notes"	text,
	PRIMARY KEY("regions","tech"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);

----------------------- Dummy Technologies ------------------------

INSERT INTO `LifetimeTech` VALUES ('NB','E_BECCS-emissions',30			,'Open Energy Outlook (2021)');
INSERT INTO `LifetimeTech` VALUES ('NB','E_NGACC-CCS-emissions',55	,'NREL ATB 2020');
INSERT INTO 'LifetimeTech' VALUES ('NB','H2_SMR-CCS-emissions',25		,'Dummy technology linked to H2_SMR-CCS-emissions');
INSERT INTO 'LifetimeTech' VALUES ('NB','IMP_HFO_ELC',200						,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('NB','IMP_URN_ELC',200						,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('NB','IMP_NG_ELC',200						,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('NB','IMP_WOOD_ELC',200					,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('NB','IMP_WOOD-REN_ELC',200					,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('NB','IMP_COAL-BIT_ELC',200			,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('NB','IMP_DSL_ELC',200						,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('NB','E_TRANS-DIST',200					,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('NB','E_TRANS_EXPORT',200							,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('NB','E_EXPORT_DUMMY',200							,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('NB','E_EXPORT_PASSTHROUGH',200							,'Dummy technology with no capital costs');

INSERT INTO 'LifetimeTech' VALUES ('NB','IMP_ELC-QC',200						,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('NB','IMP_ELC-USA',200						,'Dummy technology with no capital costs');


INSERT INTO `LifetimeTech` VALUES ('NS','E_BECCS-emissions',30			,'Open Energy Outlook (2021)');
INSERT INTO `LifetimeTech` VALUES ('NS','E_NGACC-CCS-emissions',55	,'NREL ATB 2020');
INSERT INTO 'LifetimeTech' VALUES ('NS','H2_SMR-CCS-emissions',25		,'Dummy technology linked to H2_SMR-CCS-emissions');
INSERT INTO 'LifetimeTech' VALUES ('NS','IMP_URN_ELC',200						,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('NS','IMP_NG_ELC',200						,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('NS','IMP_WOOD_ELC',200					,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('NS','IMP_WOOD-REN_ELC',200					,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('NS','IMP_COAL-BIT_ELC',200			,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('NS','IMP_COKE_ELC',200					,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('NS','IMP_DSL_ELC',200						,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('NS','E_TRANS-DIST',200					,'Dummy technology with no capital costs');


INSERT INTO `LifetimeTech` VALUES ('PEI','E_BECCS-emissions',30			,'Open Energy Outlook (2021)');
INSERT INTO 'LifetimeTech' VALUES ('PEI','IMP_URN_ELC',200					,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('PEI','IMP_WOOD_ELC',200					,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('PEI','IMP_WOOD-REN_ELC',200					,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('PEI','IMP_DSL_ELC',200					,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('PEI','E_TRANS-DIST',200					,'Dummy technology with no capital costs');


INSERT INTO `LifetimeTech` VALUES ('NL','E_BECCS-emissions',30			,'Open Energy Outlook (2021)');
INSERT INTO 'LifetimeTech' VALUES ('NL','IMP_URN_ELC',200						,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('NL','IMP_WOOD_ELC',200					,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('NL','IMP_WOOD-REN_ELC',200					,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('NL','IMP_DSL_ELC',200						,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('NL','E_TRANS-DIST',200					,'Dummy technology with no capital costs');

INSERT INTO 'LifetimeTech' VALUES ('LAB','E_TRANS-DIST',200					,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('LAB','E_TRANS_EXPORT',200							,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('LAB','E_EXPORT_DUMMY',200							,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('LAB','E_EXPORT_PASSTHROUGH',200							,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('LAB','IMP_ELC-QC',200						,'Dummy technology with no capital costs');
INSERT INTO 'LifetimeTech' VALUES ('LAB','IMP_ELC-USA',200					,'Dummy technology with no capital costs');

---------------------- Existing Technologies ---------------------------

INSERT INTO `LifetimeTech` VALUES ('NB','E_HFO-CT_EX',50,'Assumption');
INSERT INTO `LifetimeTech` VALUES ('NB','E_COAL-BIT_EX-1',50,'NS IRP 2020');
INSERT INTO `LifetimeTech` VALUES ('NB','E_NGACC_EX',50,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NB','E_DIESEL-CT_EX',50,'Assumption: Same as NGas CT');
INSERT INTO `LifetimeTech` VALUES ('NB','E_BIO-COGEN_EX',155,'TK');
INSERT INTO `LifetimeTech` VALUES ('NB','E_NG-COGEN_EX',50,'TK');
INSERT INTO `LifetimeTech` VALUES ('NB','E_WIND-ON_EX',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NB','E_HYDRO-LIMDSP_EX',100,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NB','E_NUC-LWR_EX',60,'NREL ATB 2020');




INSERT INTO `LifetimeTech` VALUES ('NS','E_COAL-BIT_EX-1',50,'NS IRP 2020');
INSERT INTO `LifetimeTech` VALUES ('NS','E_COAL-BIT_EX-2',50,'NS IRP 2020');
INSERT INTO `LifetimeTech` VALUES ('NS','E_COAL-BIT_EX-3',50,'NS IRP 2020');
INSERT INTO `LifetimeTech` VALUES ('NS','E_COAL-COKE_EX',50,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NS','E_NGACT_EX',155,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NS','E_NGACC_EX',155,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NS','E_DIESEL-CT_EX',155,'Assumption: Same as NGas CT');
INSERT INTO `LifetimeTech` VALUES ('NS','E_BIO_EX',155,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NS','E_BIO-COGEN_EX',155,'TK');
INSERT INTO `LifetimeTech` VALUES ('NS','E_WIND-ON_EX',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NS','E_HYDRO-LIMDSP_EX',100,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NS','E_HYDRO-DSP_EX',100,'NREL ATB 2020');


INSERT INTO `LifetimeTech` VALUES ('PEI','E_DIESEL-CT_EX',50,'Assumption: Same as NGas CT');
INSERT INTO `LifetimeTech` VALUES ('PEI','E_WIND-ON_EX',30,'Assumption: Same as NGas CT');

INSERT INTO `LifetimeTech` VALUES ('NL','E_DIESEL-CT_EX',155,'Assumption: Same as NGas CT');
INSERT INTO `LifetimeTech` VALUES ('NL','E_WIND-ON_EX',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NL','E_HYDRO-DSP_EX',100,'NREL ATB 2020');



INSERT INTO `LifetimeTech` VALUES ('LAB','E_HYDRO-LIMDSP_EX',100,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('LAB','E_HYDRO-ROR_EX',100,'NREL ATB 2020');


---------------------- New Technologies --------------------------




INSERT INTO `LifetimeTech` VALUES ('NB','E_WIND-ON-1',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NB','E_WIND-ON-2',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NB','E_WIND-ON-3',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NB','E_WIND-ON-4',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NB','E_WIND-OFF',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NB','E_SOLPV-CEN',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NB','E_SOLPV-RES',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NB','E_BIO',45,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NB','E_BECCS',30,'Open Energy Outlook (2021)');
INSERT INTO `LifetimeTech` VALUES ('NB','E_BATT_4HR',15,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NB','E_NGACC',55,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NB','E_NGACC-CCS',55,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NB','E_NGACT',55,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NB','E_GEO-F',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NB','E_GEO-B',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NB','E_NUC-LWR',60,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NB','E_H2CC',55,'Same characteristics of NGCC (as per Open Energy Outlook)');
INSERT INTO `LifetimeTech` VALUES ('NB','E_ELCZR-PEM',25,'Open Energy Outlook (2021)');
INSERT INTO 'LifetimeTech' VALUES ('NB','E_AC-TO-DC',25,'Open Energy Outlook (2021)');
INSERT INTO 'LifetimeTech' VALUES ('NB','CO2_TRNSPSEQ',50,'Princeton Net Zero America: Annex I co2 Transport and Storage Transition. https://acee.princeton.edu/rapidswitch/projects/net-zero-america-project/ ');
INSERT INTO 'LifetimeTech' VALUES ('NB','H2_distribution',100,'TK (Open Energy Outlook)');
INSERT INTO 'LifetimeTech' VALUES ('NB','H2_COMP-10-100',15,'TK (Open Energy Outlook)');
INSERT INTO 'LifetimeTech' VALUES ('NB','H2_STORAGE',30,'TK (Open Energy Outlook)');
INSERT INTO 'LifetimeTech' VALUES ('NB','H2_SMR-CCS',25,'IEA "The Future of Hydrogen Assumptions Annex"');





INSERT INTO `LifetimeTech` VALUES ('NS','E_WIND-ON-1',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NS','E_WIND-ON-2',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NS','E_WIND-ON-3',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NS','E_WIND-ON-4',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NS','E_WIND-OFF',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NS','E_SOLPV-CEN',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NS','E_SOLPV-RES',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NS','E_BIO',45,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NS','E_BECCS',30,'Open Energy Outlook (2021)');
INSERT INTO `LifetimeTech` VALUES ('NS','E_BATT_4HR',15,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NS','E_NGACC',55,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NS','E_NGACC-CCS',55,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NS','E_NGACT',55,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NS','E_GEO-F',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NS','E_GEO-B',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NS','E_NUC-LWR',60,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NS','E_H2CC',55,'Same characteristics of NGCC (as per Open Energy Outlook)');
INSERT INTO `LifetimeTech` VALUES ('NS','E_ELCZR-PEM',25,'Open Energy Outlook (2021)');
INSERT INTO 'LifetimeTech' VALUES ('NS','CO2_TRNSPSEQ',50,'Princeton Net Zero America: Annex I co2 Transport and Storage Transition. https://acee.princeton.edu/rapidswitch/projects/net-zero-america-project/ ');
INSERT INTO 'LifetimeTech' VALUES ('NS','H2_distribution',100,'TK (Open Energy Outlook)');
INSERT INTO 'LifetimeTech' VALUES ('NS','H2_COMP-10-100',15,'TK (Open Energy Outlook)');
INSERT INTO 'LifetimeTech' VALUES ('NS','H2_STORAGE',30,'TK (Open Energy Outlook)');
INSERT INTO 'LifetimeTech' VALUES ('NS','H2_SMR-CCS',25,'IEA "The Future of Hydrogen Assumptions Annex"');




INSERT INTO `LifetimeTech` VALUES ('PEI','E_WIND-ON-1',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('PEI','E_WIND-ON-2',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('PEI','E_WIND-ON-3',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('PEI','E_WIND-ON-4',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('PEI','E_WIND-OFF',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('PEI','E_SOLPV-CEN',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('PEI','E_SOLPV-RES',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('PEI','E_BIO',45,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('PEI','E_BECCS',30,'Open Energy Outlook (2021)');
INSERT INTO `LifetimeTech` VALUES ('PEI','E_BATT_4HR',15,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('PEI','E_GEO-F',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('PEI','E_GEO-B',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('PEI','E_NUC-LWR',60,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('PEI','E_H2CC',55,'Same characteristics of NGCC (as per Open Energy Outlook)');
INSERT INTO `LifetimeTech` VALUES ('PEI','E_ELCZR-PEM',25,'Open Energy Outlook (2021)');
INSERT INTO 'LifetimeTech' VALUES ('PEI','CO2_TRNSPSEQ',50,'Princeton Net Zero America: Annex I co2 Transport and Storage Transition. https://acee.princeton.edu/rapidswitch/projects/net-zero-america-project/ ');
INSERT INTO 'LifetimeTech' VALUES ('PEI','H2_distribution',100,'TK (Open Energy Outlook)');
INSERT INTO 'LifetimeTech' VALUES ('PEI','H2_COMP-10-100',15,'TK (Open Energy Outlook)');
INSERT INTO 'LifetimeTech' VALUES ('PEI','H2_STORAGE',30,'TK (Open Energy Outlook)');



INSERT INTO `LifetimeTech` VALUES ('NL','E_WIND-ON-1',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NL','E_WIND-ON-2',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NL','E_WIND-OFF',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NL','E_SOLPV-CEN',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NL','E_SOLPV-RES',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NL','E_BIO',45,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NL','E_BECCS',30,'Open Energy Outlook (2021)');
INSERT INTO `LifetimeTech` VALUES ('NL','E_BATT_4HR',15,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NL','E_GEO-F',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NL','E_GEO-B',30,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NL','E_NUC-LWR',60,'NREL ATB 2020');
INSERT INTO `LifetimeTech` VALUES ('NL','E_H2CC',55,'Same characteristics of NGCC (as per Open Energy Outlook)');
INSERT INTO `LifetimeTech` VALUES ('NL','E_ELCZR-PEM',25,'Open Energy Outlook (2021)');
INSERT INTO 'LifetimeTech' VALUES ('NL','E_AC-TO-DC',25,'Open Energy Outlook (2021)');
INSERT INTO 'LifetimeTech' VALUES ('NL','CO2_TRNSPSEQ',50,'Princeton Net Zero America: Annex I co2 Transport and Storage Transition. https://acee.princeton.edu/rapidswitch/projects/net-zero-america-project/ ');
INSERT INTO 'LifetimeTech' VALUES ('NL','H2_distribution',100,'TK (Open Energy Outlook)');
INSERT INTO 'LifetimeTech' VALUES ('NL','H2_COMP-10-100',15,'TK (Open Energy Outlook)');
INSERT INTO 'LifetimeTech' VALUES ('NL','H2_STORAGE',30,'TK (Open Energy Outlook)');




INSERT INTO 'LifetimeTech' VALUES ('NS-NB','E_TRANS',60,'Open Energy Outlook (2021)');
INSERT INTO 'LifetimeTech' VALUES ('NB-NS','E_TRANS',60,'Open Energy Outlook (2021)');
INSERT INTO 'LifetimeTech' VALUES ('NB-PEI','E_TRANS',60,'Open Energy Outlook (2021)');
INSERT INTO 'LifetimeTech' VALUES ('PEI-NB','E_TRANS',60,'Open Energy Outlook (2021)');
INSERT INTO 'LifetimeTech' VALUES ('NS-NL','E_TRANS',60,'Open Energy Outlook (2021)');
INSERT INTO 'LifetimeTech' VALUES ('NL-NS','E_TRANS',60,'Open Energy Outlook (2021)');


INSERT INTO 'LifetimeTech' VALUES ('NS-NB','E_TRANS_EX',160,'Open Energy Outlook (2021)');
INSERT INTO 'LifetimeTech' VALUES ('NB-NS','E_TRANS_EX',160,'Open Energy Outlook (2021)');
INSERT INTO 'LifetimeTech' VALUES ('NB-PEI','E_TRANS_EX',160,'Open Energy Outlook (2021)');
INSERT INTO 'LifetimeTech' VALUES ('PEI-NB','E_TRANS_EX',160,'Open Energy Outlook (2021)');
INSERT INTO 'LifetimeTech' VALUES ('NS-NL','E_TRANS_EX',160,'Open Energy Outlook (2021)');
INSERT INTO 'LifetimeTech' VALUES ('NL-NS','E_TRANS_EX',160,'Open Energy Outlook (2021)');
INSERT INTO 'LifetimeTech' VALUES ('LAB-NL','E_TRANS_EX',160,'Open Energy Outlook (2021)');
INSERT INTO 'LifetimeTech' VALUES ('NL-LAB','E_TRANS_EX',160,'Open Energy Outlook (2021)');



------------------------------------------------- New Industry ---------------------------------

INSERT INTO `LifetimeTech` VALUES ('NB','BLND_ELCNGA',      50.0,'OEO (New England)');
INSERT INTO `LifetimeTech` VALUES ('NS','BLND_ELCNGA',      50.0,'OEO (New England)');
INSERT INTO `LifetimeTech` VALUES ('NB','CO2_CAPTURE-ELCNGA',  25.0,'Keith (2018)');
INSERT INTO `LifetimeTech` VALUES ('NS','CO2_CAPTURE-ELCNGA',  25.0,'Keith (2018)');
INSERT INTO `LifetimeTech` VALUES ('NB','CO2_CAPTURE-NGA',     25.0,'Keith (2018)');
INSERT INTO `LifetimeTech` VALUES ('NS','CO2_CAPTURE-NGA',     25.0,'Keith (2018)');
INSERT INTO `LifetimeTech` VALUES ('NB','CO2_CAPTURE-NGA-1STGEN',     25.0,'Keith (2018)');
INSERT INTO `LifetimeTech` VALUES ('NS','CO2_CAPTURE-NGA-1STGEN',     25.0,'Keith (2018)');
INSERT INTO `LifetimeTech` VALUES ('NB','CO2_ROUTER',          200.0,'Non-physical technology. Lifetime arbitrarily set to 200.');
INSERT INTO `LifetimeTech` VALUES ('NS','CO2_ROUTER',          200.0,'Non-physical technology. Lifetime arbitrarily set to 200.');
INSERT INTO `LifetimeTech` VALUES ('NB','SNGSYN',              20.0,'OEO (New England)');
INSERT INTO `LifetimeTech` VALUES ('NS','SNGSYN',              20.0,'OEO (New England)');
INSERT INTO `LifetimeTech` VALUES ('NB','SNG_COMP-20-100',     15.0,'OEO (New England)');
INSERT INTO `LifetimeTech` VALUES ('NS','SNG_COMP-20-100',     15.0,'OEO (New England)');
INSERT INTO `LifetimeTech` VALUES ('NB','SNG_ROUTER',          200.0,'Non-physical technology. Lifetime arbitrarily set to 200.');
INSERT INTO `LifetimeTech` VALUES ('NS','SNG_ROUTER',          200.0,'Non-physical technology. Lifetime arbitrarily set to 200.');
INSERT INTO `LifetimeTech` VALUES ('NB','H2_BLND_NG_E',        200.0,'Non-physical technology. Lifetime arbitrarily set to 200.');
INSERT INTO `LifetimeTech` VALUES ('NS','H2_BLND_NG_E',        200.0,'Non-physical technology. Lifetime arbitrarily set to 200.');







CREATE TABLE IF NOT EXISTS "LifetimeProcess" (
	"regions"	text,
	"tech"	text,
	"vintage"	integer,
	"life_process"	real,
	"life_process_notes"	text,
	PRIMARY KEY("regions","tech","vintage"),
	FOREIGN KEY("vintage") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);




CREATE TABLE IF NOT EXISTS "LifetimeLoanTech" (
	"regions"	text,
	"tech"	text,
	"loan"	real,
	"loan_notes"	text,
	PRIMARY KEY("regions","tech"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);

INSERT INTO `LifetimeLoanTech` VALUES ('NB','E_WIND-ON-1',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NB','E_WIND-ON-2',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NB','E_WIND-ON-3',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NB','E_WIND-ON-4',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NB','E_WIND-OFF',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NB','E_SOLPV-CEN',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NB','E_SOLPV-RES',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NB','E_BIO',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NB','E_BECCS',30,'Open Energy Outlook (2021)');
INSERT INTO `LifetimeLoanTech` VALUES ('NB','E_BATT_4HR',15,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NB','E_NGACC',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NB','E_NGACC-CCS',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NB','E_NGACT',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NB','E_GEO-F',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NB','E_GEO-B',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NB','E_NUC-LWR',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NB','E_H2CC',30,'Same characteristics of NGCC (as per Open Energy Outlook)');
INSERT INTO `LifetimeLoanTech` VALUES ('NB','H2_SMR-CCS',25,'IEA "The Future of Hydrogen Assumptions Annex"');

INSERT INTO `LifetimeLoanTech` VALUES ('NS','E_WIND-ON-1',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NS','E_WIND-ON-2',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NS','E_WIND-ON-3',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NS','E_WIND-ON-4',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NS','E_WIND-OFF',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NS','E_SOLPV-CEN',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NS','E_SOLPV-RES',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NS','E_BIO',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NS','E_BECCS',30,'Open Energy Outlook (2021)');
INSERT INTO `LifetimeLoanTech` VALUES ('NS','E_BATT_4HR',15,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NS','E_NGACC',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NS','E_NGACC-CCS',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NS','E_NGACT',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NS','E_GEO-F',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NS','E_GEO-B',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NS','E_NUC-LWR',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NS','E_H2CC',30,'Same characteristics of NGCC (as per Open Energy Outlook)');
INSERT INTO `LifetimeLoanTech` VALUES ('NS','H2_SMR-CCS',25,'IEA "The Future of Hydrogen Assumptions Annex"');


INSERT INTO `LifetimeLoanTech` VALUES ('PEI','E_WIND-ON-1',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('PEI','E_WIND-ON-2',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('PEI','E_WIND-ON-3',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('PEI','E_WIND-ON-4',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('PEI','E_WIND-OFF',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('PEI','E_SOLPV-CEN',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('PEI','E_SOLPV-RES',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('PEI','E_BIO',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('PEI','E_BECCS',30,'Open Energy Outlook (2021)');
INSERT INTO `LifetimeLoanTech` VALUES ('PEI','E_BATT_4HR',15,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('PEI','E_GEO-F',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('PEI','E_GEO-B',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('PEI','E_NUC-LWR',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('PEI','E_H2CC',30,'Same characteristics of NGCC (as per Open Energy Outlook)');


INSERT INTO `LifetimeLoanTech` VALUES ('NL','E_WIND-ON-1',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NL','E_WIND-ON-2',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NL','E_WIND-OFF',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NL','E_SOLPV-CEN',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NL','E_SOLPV-RES',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NL','E_BIO',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NL','E_BECCS',30,'Open Energy Outlook (2021)');
INSERT INTO `LifetimeLoanTech` VALUES ('NL','E_BATT_4HR',15,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NL','E_GEO-F',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NL','E_GEO-B',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NL','E_NUC-LWR',30,'NREL ATB 2020');
INSERT INTO `LifetimeLoanTech` VALUES ('NL','E_H2CC',30,'Same characteristics of NGCC (as per Open Energy Outlook)');


INSERT INTO `LifetimeLoanTech` VALUES ('NS-NB','E_TRANS',25,'');
INSERT INTO `LifetimeLoanTech` VALUES ('NB-NS','E_TRANS',25,'');
INSERT INTO `LifetimeLoanTech` VALUES ('PEI-NB','E_TRANS',25,'');
INSERT INTO `LifetimeLoanTech` VALUES ('NB-PEI','E_TRANS',25,'');
INSERT INTO `LifetimeLoanTech` VALUES ('NS-NL','E_TRANS',25,'');
INSERT INTO `LifetimeLoanTech` VALUES ('NL-NS','E_TRANS',25,'');


CREATE TABLE IF NOT EXISTS "GrowthRateSeed" (
	"regions"	text,
	"tech"	text,
	"growthrate_seed"	real,
	"growthrate_seed_units"	text,
	"growthrate_seed_notes"	text,
	PRIMARY KEY("regions","tech"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);
/*
INSERT INTO `GrowthRateSeed` VALUES ('NB','E_WIND-ON-1',0.1,'GW','');
INSERT INTO `GrowthRateSeed` VALUES ('NB','E_WIND-ON-2',0.1,'GW','');
INSERT INTO `GrowthRateSeed` VALUES ('NB','E_WIND-ON-3',0.1,'GW','');
INSERT INTO `GrowthRateSeed` VALUES ('NB','E_WIND-ON-4',0.1,'GW','');
INSERT INTO `GrowthRateSeed` VALUES ('NS','E_WIND-ON-1',0.1,'GW','');
INSERT INTO `GrowthRateSeed` VALUES ('NS','E_WIND-ON-2',0.1,'GW','');
INSERT INTO `GrowthRateSeed` VALUES ('NS','E_WIND-ON-3',0.1,'GW','');
INSERT INTO `GrowthRateSeed` VALUES ('NS','E_WIND-ON-4',0.1,'GW','');
INSERT INTO `GrowthRateSeed` VALUES ('PEI','E_WIND-ON-1',0.1,'GW','');
INSERT INTO `GrowthRateSeed` VALUES ('PEI','E_WIND-ON-2',0.1,'GW','');
INSERT INTO `GrowthRateSeed` VALUES ('PEI','E_WIND-ON-3',0.1,'GW','');
INSERT INTO `GrowthRateSeed` VALUES ('PEI','E_WIND-ON-4',0.1,'GW','');
INSERT INTO `GrowthRateSeed` VALUES ('NL','E_WIND-ON-1',0.1,'GW','');
INSERT INTO `GrowthRateSeed` VALUES ('NL','E_WIND-ON-2',0.1,'GW','');


INSERT INTO `GrowthRateSeed` VALUES ('NB','E_WIND-OFF', 0.3,'GW','');
INSERT INTO `GrowthRateSeed` VALUES ('NS','E_WIND-OFF', 0.3,'GW','');
INSERT INTO `GrowthRateSeed` VALUES ('PEI','E_WIND-OFF', 0.3,'GW','');
INSERT INTO `GrowthRateSeed` VALUES ('NL','E_WIND-OFF', 0.3,'GW','');
*/


CREATE TABLE IF NOT EXISTS "GrowthRateMax" (
	"regions"	text,
	"tech"	text,
	"growthrate_max"	real,
	"growthrate_max_notes"	text,
	PRIMARY KEY("regions","tech"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);

/*
INSERT INTO `GrowthRateMax` VALUES ('NB','E_WIND-ON-1', 2.0,'');
INSERT INTO `GrowthRateMax` VALUES ('NB','E_WIND-ON-2', 2.0,'');
INSERT INTO `GrowthRateMax` VALUES ('NB','E_WIND-ON-3', 2.0,'');
INSERT INTO `GrowthRateMax` VALUES ('NB','E_WIND-ON-4', 2.0,'');
INSERT INTO `GrowthRateMax` VALUES ('NS','E_WIND-ON-1', 2.0,'');
INSERT INTO `GrowthRateMax` VALUES ('NS','E_WIND-ON-2', 2.0,'');
INSERT INTO `GrowthRateMax` VALUES ('NS','E_WIND-ON-3', 2.0,'');
INSERT INTO `GrowthRateMax` VALUES ('NS','E_WIND-ON-4', 2.0,'');
INSERT INTO `GrowthRateMax` VALUES ('PEI','E_WIND-ON-1',2.0,'');
INSERT INTO `GrowthRateMax` VALUES ('PEI','E_WIND-ON-2',2.0,'');
INSERT INTO `GrowthRateMax` VALUES ('PEI','E_WIND-ON-3',2.0,'');
INSERT INTO `GrowthRateMax` VALUES ('PEI','E_WIND-ON-4',2.0,'');
INSERT INTO `GrowthRateMax` VALUES ('NL','E_WIND-ON-1', 2.0,'');
INSERT INTO `GrowthRateMax` VALUES ('NL','E_WIND-ON-2', 2.0,'');


INSERT INTO `GrowthRateMax` VALUES ('NB','E_WIND-OFF', 2.0,'');
INSERT INTO `GrowthRateMax` VALUES ('NS','E_WIND-OFF', 2.0,'');
INSERT INTO `GrowthRateMax` VALUES ('PEI','E_WIND-OFF',2.0,'');
INSERT INTO `GrowthRateMax` VALUES ('NL','E_WIND-OFF', 2.0,'');
*/
CREATE TABLE IF NOT EXISTS "GlobalDiscountRate" (
	"rate"	real
);
INSERT INTO `GlobalDiscountRate` VALUES (0.05);


CREATE TABLE IF NOT EXISTS "ExistingCapacity" (
	"regions"	text,
	"tech"	text,
	"vintage"	integer,
	"exist_cap"	real,
	"exist_cap_units"	text,
	"exist_cap_notes"	text,
	PRIMARY KEY("regions","tech","vintage"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech"),
	FOREIGN KEY("vintage") REFERENCES "time_periods"("t_periods")
);


INSERT INTO `ExistingCapacity` VALUES ('NB','E_HFO-CT_EX',1991,0.972,'GW','Coleson Cove');
INSERT INTO `ExistingCapacity` VALUES ('NB','E_COAL-BIT_EX-1',1980,0.467,'GW','Belledune');
INSERT INTO `ExistingCapacity` VALUES ('NB','E_NGACC_EX',1977,0.277,'GW','Bayside');
INSERT INTO `ExistingCapacity` VALUES ('NB','E_NG-COGEN_EX',1975,0.095,'GW','Grandview');
INSERT INTO `ExistingCapacity` VALUES ('NB','E_BIO-COGEN_EX',2000,0.119,'GW','All four biomass plants in NB');
INSERT INTO `ExistingCapacity` VALUES ('NB','E_NUC-LWR_EX',1980,0.660,'GW','Pt. Lepreau');
INSERT INTO `ExistingCapacity` VALUES ('NB','E_DIESEL-CT_EX',1981,0.496,'GW','Millbank and Ste. Rose');
INSERT INTO `ExistingCapacity` VALUES ('NB','E_DIESEL-CT_EX',1976,0.029,'GW','Grand Manan');
INSERT INTO `ExistingCapacity` VALUES ('NB','E_WIND-ON_EX',					2009,0.099,'GW','Caribou Mountain');
INSERT INTO `ExistingCapacity` VALUES ('NB','E_WIND-ON_EX',					2011,0.212,'GW','Kent Hills and Lameque');
INSERT INTO `ExistingCapacity` VALUES ('NB','E_WIND-ON_EX',					2019,0.018,'GW','Wisokolamson');
INSERT INTO `ExistingCapacity` VALUES ('NB','E_HYDRO-LIMDSP_EX',				2000,0.913,'GW','All Hydro units');
INSERT INTO `ExistingCapacity` VALUES ('NB','IMP_NG_ELC',1900,1000.0,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NB','IMP_WOOD_ELC',1900,1000.0,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NB','IMP_WOOD-REN_ELC',1900,1000.0,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NB','IMP_URN_ELC',1900,1000.0,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NB','IMP_DSL_ELC',1900,1000.0,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NB','IMP_COAL-BIT_ELC',1900,1000.0,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NB','IMP_HFO_ELC',1900,1000.0,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NB','IMP_ELC-QC',1900,1.130,'GW','Imports from Quebec');
INSERT INTO `ExistingCapacity` VALUES ('NB','IMP_ELC-USA',1900,0.678,'GW','Imports from Maine');

INSERT INTO `ExistingCapacity` VALUES ('NB','E_TRANS_EXPORT',1900,1.808,'GW','All export capacity in province (not including transmission to modelled regions).');
INSERT INTO `ExistingCapacity` VALUES ('NB','E_EXPORT_DUMMY',1900,5.0,'GW','Dummy technology');
INSERT INTO `ExistingCapacity` VALUES ('NB','E_EXPORT_PASSTHROUGH',1900,5.0,'GW','Dummy technology');



INSERT INTO `ExistingCapacity` VALUES ('NS','E_COAL-BIT_EX-1',1971,0.153,'GW','Lingan 1');
INSERT INTO `ExistingCapacity` VALUES ('NS','E_COAL-BIT_EX-1',1980,0.459,'GW','Expected retirement of Lingan 1 in 2021 (replacaed with Maritime Link block 1)');
INSERT INTO `ExistingCapacity` VALUES ('NS','E_COAL-BIT_EX-2',1980,0.304,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NS','E_COAL-BIT_EX-3',1980,0.150,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NS','E_COAL-COKE_EX',1980,0.168,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NS','E_NGACT_EX',2000,0.318,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NS','E_NGACC_EX',2010,0.144,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NS','E_DIESEL-CT_EX',2000,0.231,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NS','E_BIO-COGEN_EX',2000,0.06,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NS','E_BIO_EX',2000,0.027,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NS','E_WIND-ON_EX',2005,0.03385,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NS','E_WIND-ON_EX',2010,0.3861,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NS','E_WIND-ON_EX',2012,0.036,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NS','E_WIND-ON_EX',2015, 0.140,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NS','E_HYDRO-LIMDSP_EX',2000,0.212,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NS','E_HYDRO-DSP_EX',2000,0.162,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NS','IMP_NG_ELC',1900,1000.0,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NS','IMP_WOOD_ELC',1900,1000.0,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NS','IMP_WOOD-REN_ELC',1900,1000.0,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NS','IMP_URN_ELC',1900,1000.0,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NS','IMP_DSL_ELC',1900,1000.0,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NS','IMP_COKE_ELC',1900,1000.0,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NS','IMP_COAL-BIT_ELC',1900,1000.0,'GW','');



INSERT INTO `ExistingCapacity` VALUES ('PEI','E_WIND-ON_EX',					2001,0.0136,'GW','Caribou Mountain');
INSERT INTO `ExistingCapacity` VALUES ('PEI','E_WIND-ON_EX',					2006,0.039,'GW','Kent Hills and Lameque');
INSERT INTO `ExistingCapacity` VALUES ('PEI','E_WIND-ON_EX',					2011,0.151,'GW','Wisokolamson');
INSERT INTO `ExistingCapacity` VALUES ('PEI','E_DIESEL-CT_EX',				1979,0.04,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('PEI','E_DIESEL-CT_EX',				2004,0.064,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('PEI','IMP_WOOD_ELC',1900,1000.0,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('PEI','IMP_WOOD-REN_ELC',1900,1000.0,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('PEI','IMP_URN_ELC',1900,1000.0,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('PEI','IMP_DSL_ELC',1900,1000.0,'GW','');


INSERT INTO `ExistingCapacity` VALUES ('NL','E_WIND-ON_EX',					2009,0.054,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NL','E_DIESEL-CT_EX',				2001,0.119,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NL','E_HYDRO-DSP_EX',				2000,1.204,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NL','IMP_WOOD_ELC',1900,1000.0,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NL','IMP_WOOD-REN_ELC',1900,1000.0,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NL','IMP_URN_ELC',1900,1000.0,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NL','IMP_DSL_ELC',1900,1000.0,'GW','');


INSERT INTO `ExistingCapacity` VALUES ('LAB','E_HYDRO-LIMDSP_EX',				2000,0.824,'GW','Muskrat Falls');
INSERT INTO `ExistingCapacity` VALUES ('LAB','E_HYDRO-ROR_EX',				2000,0.525,'GW','Churchill Falls -- TwinCo Block (225 MW) and Recall Block (300 MW)');

INSERT INTO `ExistingCapacity` VALUES ('LAB','E_TRANS_EXPORT',1900,0.265,'GW','via the Open Access Transmission Tariff');
INSERT INTO `ExistingCapacity` VALUES ('LAB','E_EXPORT_DUMMY',1900,5.0,'GW','Dummy technology');
INSERT INTO `ExistingCapacity` VALUES ('LAB','E_EXPORT_PASSTHROUGH',1900,5.0,'GW','Dummy technology');
INSERT INTO `ExistingCapacity` VALUES ('LAB','IMP_ELC-QC',1900,0.265,'GW','via the Open Access Transmission Tariff');

INSERT INTO `ExistingCapacity` VALUES ('NS-NB','E_TRANS_EX',1900,0.35,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NB-NS','E_TRANS_EX',1900,0.35,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('PEI-NB','E_TRANS_EX',1900,0.56,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NB-PEI','E_TRANS_EX',1900,0.56,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NS-NL','E_TRANS_EX',1900,0.5,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NL-NS','E_TRANS_EX',1900,0.5,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('NL-LAB','E_TRANS_EX',1900,0.9,'GW','');
INSERT INTO `ExistingCapacity` VALUES ('LAB-NL','E_TRANS_EX',1900,0.9,'GW','');


CREATE TABLE IF NOT EXISTS "EmissionLimit" (
	"regions"	text,
	"sector" text,
	"periods"	integer,
	"emis_comm"	text,
	"emis_limit"	real,
	"emis_limit_units"	text,
	"emis_limit_notes"	text,
	PRIMARY KEY("regions","periods","sector","emis_comm"),
	FOREIGN KEY("sector") REFERENCES "sector_labels"("sector"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("emis_comm") REFERENCES "commodities"("comm_name")
);






CREATE TABLE IF NOT EXISTS "EmissionActivity" (
	"regions"	text,
	"emis_comm"	text,
	"input_comm"	text,
	"tech"	text,
	"vintage"	integer,
	"output_comm"	text,
	"emis_act"	real,
	"emis_act_units"	text,
	"emis_act_notes"	text,
	PRIMARY KEY("regions","emis_comm","input_comm","tech","vintage","output_comm"),
	FOREIGN KEY("vintage") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("input_comm") REFERENCES "commodities"("comm_name"),
	FOREIGN KEY("output_comm") REFERENCES "commodities"("comm_name"),
	FOREIGN KEY("emis_comm") REFERENCES "commodities"("comm_name"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);

----------------------------------------------------- Dummy Technologies ----------------------------------------------


INSERT INTO "EmissionActivity" VALUES ('NB','CO2','NG', 'IMP_NG_ELC',				1900,'E_NG-PREH2',49.61, 'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions. Table 4-4');
INSERT INTO "EmissionActivity" VALUES ('NB','CH4','NG', 'IMP_NG_ELC',				1900,'E_NG-PREH2',0.01279, 'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions. Table 4-5');
INSERT INTO "EmissionActivity" VALUES ('NB','N2O','NG', 'IMP_NG_ELC',				1900,'E_NG-PREH2',0.001279, 'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions. Table 4-5');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2e','NG', 'IMP_NG_ELC',			1900,'E_NG-PREH2',50.31, 'kt/PJout','Calculated using warming potentials of 298 for N2O and 25 for CH4 (IPCC Fourth Assessment Report)');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2','NG', 'IMP_NG_ELC',				1900,'E_NG-PREH2',49.61, 'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions. Table 4-4');
INSERT INTO "EmissionActivity" VALUES ('NS','CH4','NG', 'IMP_NG_ELC',				1900,'E_NG-PREH2',0.01279, 'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions. Table 4-5');
INSERT INTO "EmissionActivity" VALUES ('NS','N2O','NG', 'IMP_NG_ELC',				1900,'E_NG-PREH2',0.001279, 'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions. Table 4-5');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2e','NG', 'IMP_NG_ELC',			1900,'E_NG-PREH2',50.31, 'kt/PJout','Calculated using warming potentials of 298 for N2O and 25 for CH4 (IPCC Fourth Assessment Report)');




INSERT INTO "EmissionActivity" VALUES ('NB','CO2','ethos','IMP_COAL-BIT_ELC',	1900,'COAL-BIT',85.5,'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-6.');
INSERT INTO "EmissionActivity" VALUES ('NB','CH4','ethos','IMP_COAL-BIT_ELC',	1900,'COAL-BIT',0.000836,'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-7');
INSERT INTO "EmissionActivity" VALUES ('NB','N2O','ethos','IMP_COAL-BIT_ELC',	1900,'COAL-BIT',0.001216,'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-7');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2e','ethos','IMP_COAL-BIT_ELC',1900,'COAL-BIT',85.88,'kt/PJout','Calculated using warming potentials of 298 for N2O and 25 for CH4 (IPCC Fourth Assessment Report)');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2','ethos','IMP_COAL-BIT_ELC',	1900,'COAL-BIT',85.5,'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-6.');
INSERT INTO "EmissionActivity" VALUES ('NS','CH4','ethos','IMP_COAL-BIT_ELC',	1900,'COAL-BIT',0.000836,'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-7');
INSERT INTO "EmissionActivity" VALUES ('NS','N2O','ethos','IMP_COAL-BIT_ELC',	1900,'COAL-BIT',0.001216,'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-7');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2e','ethos','IMP_COAL-BIT_ELC',1900,'COAL-BIT',85.88,'kt/PJout','Calculated using warming potentials of 298 for N2O and 25 for CH4 (IPCC Fourth Assessment Report)');



INSERT INTO "EmissionActivity" VALUES ('NB','CO2','ethos','IMP_DSL_ELC',			1900,'E_DSL',70.23,'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('NB','CH4','ethos','IMP_DSL_ELC',			1900,'E_DSL',0.004639,'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('NB','N2O','ethos','IMP_DSL_ELC',			1900,'E_DSL',0.000799,'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2e','ethos','IMP_DSL_ELC',			1900,'E_DSL',70.58,'kt/PJout','Calculated using warming potentials of 298 for N2O and 25 for CH4 (IPCC Fourth Assessment Report)');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2','ethos','IMP_DSL_ELC',			1900,'E_DSL',70.23,'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('NS','CH4','ethos','IMP_DSL_ELC',			1900,'E_DSL',0.004639,'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('NS','N2O','ethos','IMP_DSL_ELC',			1900,'E_DSL',0.000799,'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2e','ethos','IMP_DSL_ELC',			1900,'E_DSL',70.58,'kt/PJout','Calculated using warming potentials of 298 for N2O and 25 for CH4 (IPCC Fourth Assessment Report)');
INSERT INTO "EmissionActivity" VALUES ('PEI','CO2','ethos','IMP_DSL_ELC',			1900,'E_DSL',70.23,'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('PEI','CH4','ethos','IMP_DSL_ELC',			1900,'E_DSL',0.004639,'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('PEI','N2O','ethos','IMP_DSL_ELC',			1900,'E_DSL',0.000799,'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('PEI','CO2e','ethos','IMP_DSL_ELC',			1900,'E_DSL',70.58,'kt/PJout','Calculated using warming potentials of 298 for N2O and 25 for CH4 (IPCC Fourth Assessment Report)');
INSERT INTO "EmissionActivity" VALUES ('NL','CO2','ethos','IMP_DSL_ELC',			1900,'E_DSL',70.23,'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('NL','CH4','ethos','IMP_DSL_ELC',			1900,'E_DSL',0.004639,'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('NL','N2O','ethos','IMP_DSL_ELC',			1900,'E_DSL',0.000799,'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('NL','CO2e','ethos','IMP_DSL_ELC',			1900,'E_DSL',70.58,'kt/PJout','Calculated using warming potentials of 298 for N2O and 25 for CH4 (IPCC Fourth Assessment Report)');



INSERT INTO "EmissionActivity" VALUES ('NB','CO2e','ethos','IMP_WOOD-REN_ELC',		1900,'E_WOOD',0.0,'kt/PJout','');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2','ethos','IMP_WOOD-REN_ELC',			1900,'E_WOOD',0.0,'kt/PJout','');
INSERT INTO "EmissionActivity" VALUES ('NB','CH4','ethos','IMP_WOOD-REN_ELC',			1900,'E_WOOD',0.0,'kt/PJout','');
INSERT INTO "EmissionActivity" VALUES ('NB','N2O','ethos','IMP_WOOD-REN_ELC',			1900,'E_WOOD',0.0,'kt/PJout','');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2e','ethos','IMP_WOOD-REN_ELC',		1900,'E_WOOD',0.0,'kt/PJout','');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2','ethos','IMP_WOOD-REN_ELC',			1900,'E_WOOD',0.0,'kt/PJout','');
INSERT INTO "EmissionActivity" VALUES ('NS','CH4','ethos','IMP_WOOD-REN_ELC',			1900,'E_WOOD',0.0,'kt/PJout','');
INSERT INTO "EmissionActivity" VALUES ('NS','N2O','ethos','IMP_WOOD-REN_ELC',			1900,'E_WOOD',0.0,'kt/PJout','');
INSERT INTO "EmissionActivity" VALUES ('PEI','CO2e','ethos','IMP_WOOD-REN_ELC',		1900,'E_WOOD',0.0,'kt/PJout','');
INSERT INTO "EmissionActivity" VALUES ('PEI','CO2','ethos','IMP_WOOD-REN_ELC',		1900,'E_WOOD',0.0,'kt/PJout','');
INSERT INTO "EmissionActivity" VALUES ('PEI','CH4','ethos','IMP_WOOD-REN_ELC',		1900,'E_WOOD',0.0,'kt/PJout','');
INSERT INTO "EmissionActivity" VALUES ('PEI','N2O','ethos','IMP_WOOD-REN_ELC',		1900,'E_WOOD',0.0,'kt/PJout','');
INSERT INTO "EmissionActivity" VALUES ('NL','CO2e','ethos','IMP_WOOD-REN_ELC',		1900,'E_WOOD',0.0,'kt/PJout','');
INSERT INTO "EmissionActivity" VALUES ('NL','CO2','ethos','IMP_WOOD-REN_ELC',			1900,'E_WOOD',0.0,'kt/PJout','');
INSERT INTO "EmissionActivity" VALUES ('NL','CH4','ethos','IMP_WOOD-REN_ELC',			1900,'E_WOOD',0.0,'kt/PJout','');
INSERT INTO "EmissionActivity" VALUES ('NL','N2O','ethos','IMP_WOOD-REN_ELC',			1900,'E_WOOD',0.0,'kt/PJout','');

INSERT INTO "EmissionActivity" VALUES ('NB','CO2e','ethos','IMP_WOOD_ELC',			1900,'E_WOOD',113.776,'kt/PJout','Calculated using warming potentials of 298 for N2O and 25 for CH4 (IPCC Fourth Assessment Report)');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2', 'ethos','IMP_WOOD_ELC',			1900,'E_WOOD',93.71,'kt/PJout',  'Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('NB','CH4', 'ethos','IMP_WOOD_ELC',			1900,'E_WOOD',0.302,'kt/PJout',  'Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('NB','N2O', 'ethos','IMP_WOOD_ELC',			1900,'E_WOOD',0.042,'kt/PJout',  'Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2e','ethos','IMP_WOOD_ELC',			1900,'E_WOOD',113.776,'kt/PJout','Calculated using warming potentials of 298 for N2O and 25 for CH4 (IPCC Fourth Assessment Report)');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2', 'ethos','IMP_WOOD_ELC',			1900,'E_WOOD',93.71,'kt/PJout',  'Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('NS','CH4', 'ethos','IMP_WOOD_ELC',			1900,'E_WOOD',0.302,'kt/PJout',  'Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('NS','N2O', 'ethos','IMP_WOOD_ELC',			1900,'E_WOOD',0.042,'kt/PJout',  'Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('PEI','CO2e','ethos','IMP_WOOD_ELC',			1900,'E_WOOD',113.776,'kt/PJout','Calculated using warming potentials of 298 for N2O and 25 for CH4 (IPCC Fourth Assessment Report)');
INSERT INTO "EmissionActivity" VALUES ('PEI','CO2', 'ethos','IMP_WOOD_ELC',			1900,'E_WOOD',93.71,'kt/PJout',  'Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('PEI','CH4', 'ethos','IMP_WOOD_ELC',			1900,'E_WOOD',0.302,'kt/PJout',  'Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('PEI','N2O', 'ethos','IMP_WOOD_ELC',			1900,'E_WOOD',0.042,'kt/PJout',  'Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('NL','CO2e','ethos','IMP_WOOD_ELC',			1900,'E_WOOD',113.776,'kt/PJout','Calculated using warming potentials of 298 for N2O and 25 for CH4 (IPCC Fourth Assessment Report)');
INSERT INTO "EmissionActivity" VALUES ('NL','CO2', 'ethos','IMP_WOOD_ELC',			1900,'E_WOOD',93.71,'kt/PJout',  'Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('NL','CH4', 'ethos','IMP_WOOD_ELC',			1900,'E_WOOD',0.302,'kt/PJout',  'Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('NL','N2O', 'ethos','IMP_WOOD_ELC',			1900,'E_WOOD',0.042,'kt/PJout',  'Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');



INSERT INTO "EmissionActivity" VALUES ('NB','CO2e','ethos','IMP_HFO_ELC',			1900,'E_HFO',73.98,'kt/PJout','Calculated using warming potentials of 298 for N2O and 25 for CH4 (IPCC Fourth Assessment Report)');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2', 'ethos','IMP_HFO_ELC',			1900,'E_HFO',73.51,'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('NB','CH4', 'ethos','IMP_HFO_ELC',			1900,'E_HFO',0.0008,'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');
INSERT INTO "EmissionActivity" VALUES ('NB','N2O', 'ethos','IMP_HFO_ELC',			1900,'E_HFO',0.001506,'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3');



INSERT INTO "EmissionActivity" VALUES ('NS','CO2e','ethos','IMP_COKE_ELC',		1900,'COKE',86.253,'kt/PJout',	'Calculated using warming potentials of 298 for N2O and 25 for CH4 (IPCC Fourth Assessment Report)');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2','ethos','IMP_COKE_ELC',			1900,'COKE',86.02,'kt/PJout',		'Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3.');
INSERT INTO "EmissionActivity" VALUES ('NS','CH4','ethos','IMP_COKE_ELC',			1900,'COKE',0.001041,'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3.');
INSERT INTO "EmissionActivity" VALUES ('NS','N2O','ethos','IMP_COKE_ELC',			1900,'COKE',0.000694,'kt/PJout','Nova Scotia Standards for Quantification, Reporting, and Verification of Greenhouse Gas Emissions  Table 4-3.');




------------------------------------------------ Existing Technologies ----------------------------------------------

INSERT INTO "EmissionActivity" VALUES ('NB','PM10','E_HFO','E_HFO-CT_EX',1991,'ELC',0.011,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NB','PM10','COAL-BIT','E_COAL-BIT_EX-1',1980,'ELC',0.0378,'kt/PJout','NAPPAE');

INSERT INTO "EmissionActivity" VALUES ('NB','PM25','E_HFO','E_HFO-CT_EX',1991,'ELC',0.007,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NB','PM25','COAL-BIT','E_COAL-BIT_EX-1',1980,'ELC',0.027,'kt/PJout','NAPPAE');

INSERT INTO "EmissionActivity" VALUES ('NB','SO2','E_HFO','E_HFO-CT_EX',			 1991,'ELC',0.921,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NB','SO2','COAL-BIT','E_COAL-BIT_EX-1',1980,'ELC',0.397,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NB','SO2','E_NG','E_NGACC_EX',					 1977,'ELC',0.003,'kt/PJout','NAPPAE');

INSERT INTO "EmissionActivity" VALUES ('NB','NOX','E_HFO','E_HFO-CT_EX',			 1991,'ELC',0.404,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NB','NOX','COAL-BIT','E_COAL-BIT_EX-1',1980,'ELC',0.447,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NB','NOX','E_NG','E_NGACC_EX',					 1977,'ELC',0.025,'kt/PJout','NAPPAE');

INSERT INTO "EmissionActivity" VALUES ('NB','Hg','E_HFO','E_HFO-CT_EX',			  1991,'ELC',0.001,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NB','Hg','COAL-BIT','E_COAL-BIT_EX-1',1980,'ELC',0.003,'kt/PJout','NAPPAE');

INSERT INTO "EmissionActivity" VALUES ('NB','N2O','E_NG','E_NGACC_EX',					 1977,'ELC',0.025,'kt/PJout','NAPPAE');




INSERT INTO "EmissionActivity" VALUES ('NS','PM10','COAL-BIT','E_COAL-BIT_EX-1',1971,'ELC',0.01,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','PM10','COAL-BIT','E_COAL-BIT_EX-1',1980,'ELC',0.01,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','PM10','COAL-BIT','E_COAL-BIT_EX-2',1980,'ELC',0.026,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','PM10','COAL-BIT','E_COAL-BIT_EX-3',1980,'ELC',0.040,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','PM10','COKE','E_COAL-COKE_EX',1980,'ELC',0.006,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','PM10','E_NG','E_NGACT_EX',2000,'ELC',0.022,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NS','PM10','E_DSL','E_DIESEL-CT_EX',2000,'ELC',0.0,'kt/PJout','NAPPAE');

INSERT INTO "EmissionActivity" VALUES ('NS','PM25','COAL-BIT','E_COAL-BIT_EX-1',1971,'ELC',0.004,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','PM25','COAL-BIT','E_COAL-BIT_EX-1',1980,'ELC',0.004,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','PM25','COAL-BIT','E_COAL-BIT_EX-2',1980,'ELC',0.011,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','PM25','COAL-BIT','E_COAL-BIT_EX-3',1980,'ELC',0.018,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','PM25','COKE','E_COAL-COKE_EX',1980,'ELC',0.003,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','PM25','E_NG','E_NGACT_EX',2000,'ELC',0.003,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NS','PM25','E_DSL','E_DIESEL-CT_EX',2000,'ELC',0.0,'kt/PJout','NAPPAE');

INSERT INTO "EmissionActivity" VALUES ('NS','SO2','COAL-BIT','E_COAL-BIT_EX-1',1971,'ELC',2.436,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','SO2','COAL-BIT','E_COAL-BIT_EX-1',1980,'ELC',2.436,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','SO2','COAL-BIT','E_COAL-BIT_EX-2',1980,'ELC',5.012,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','SO2','COAL-BIT','E_COAL-BIT_EX-3',1980,'ELC',1.788,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','SO2','COKE','E_COAL-COKE_EX',1980,'ELC',1.194,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','SO2','E_NG','E_NGACT_EX',2000,'ELC',0.001,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NS','SO2','E_DSL','E_DIESEL-CT_EX',2000,'ELC',0.0,'kt/PJout','NAPPAE');

INSERT INTO "EmissionActivity" VALUES ('NS','NOX','COAL-BIT','E_COAL-BIT_EX-1',1971,'ELC',0.948,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','NOX','COAL-BIT','E_COAL-BIT_EX-1',1980,'ELC',0.948,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','NOX','COAL-BIT','E_COAL-BIT_EX-2',1980,'ELC',1.036,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','NOX','COAL-BIT','E_COAL-BIT_EX-3',1980,'ELC',0.836,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','NOX','COKE','E_COAL-COKE_EX',1980,'ELC',0.413,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','NOX','E_NG','E_NGACT_EX',2000,'ELC',0.031,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NS','NOX','E_NG','E_NGACC_EX',2010,'ELC',0.009,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NS','NOX','E_DSL','E_DIESEL-CT_EX',2000,'ELC',0.005,'kt/PJout','NAPPAE');

INSERT INTO "EmissionActivity" VALUES ('NS','Hg','COAL-BIT','E_COAL-BIT_EX-1',1971,'ELC',0.003,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','Hg','COAL-BIT','E_COAL-BIT_EX-1',1980,'ELC',0.003,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','Hg','COAL-BIT','E_COAL-BIT_EX-2',1980,'ELC',0.005,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','Hg','COAL-BIT','E_COAL-BIT_EX-3',1980,'ELC',0.003,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','Hg','COKE','E_COAL-COKE_EX',1980,'ELC',0.001,'kt/PJout','NAPPAE');
INSERT INTO "EmissionActivity" VALUES ('NS','Hg','E_DSL','E_DIESEL-CT_EX',2000,'ELC',0.0,'kt/PJout','NAPPAE');




----------------------------------------------------- New Technologies ----------------------------------------------

INSERT INTO "EmissionActivity" VALUES ('NB','CO2e','E_WOOD','E_BECCS',			    2020,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of on PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2', 'E_WOOD','E_BECCS',				  2020,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of on PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2e','E_NG','E_NGACC-CCS',				2020,'ELC',-98.563,'kt/PJout','Total CO2 emission per Pjout is 109.51 kt out (i.e. the CO2 content of one PJ of NG divdided by the NGCC-CCS efficiency [49.61/0.453]) of which 10.95 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2','E_NG','E_NGACC-CCS',					2020,'ELC',-98.563,'kt/PJout','Total CO2 emission per Pjout is 109.51 kt out (i.e. the CO2 content of one PJ of NG divdided by the NGCC-CCS efficiency [49.61/0.453]) of which 10.95 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NB','NOX','E_NG','E_NGACC-CCS',					2020,'ELC',0.0194,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NB','NOX','E_NG','E_NGACC',							2020,'ELC',0.0088,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NB','NOX','E_NG','E_NGACT',							2020,'ELC',0.012,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NB','SO2','E_NG','E_NGACT',							2020,'ELC',0.0006,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2e','E_NG','H2_SMR-CCS',					2020,'H2P',-64.71,'kt/PJout','Total CO2 emission per Pjout is 71.90 kt out (i.e. the CO2 content of one PJ of NG divdided by the SMR-CCS efficiency [49.61/0.69])  of which 7.19 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2','E_NG','H2_SMR-CCS',					2020,'H2P',-64.71,'kt/PJout','Total CO2 emission per Pjout is 71.90 kt out (i.e. the CO2 content of one PJ of NG divdided by the SMR-CCS efficiency [49.61/0.69])  of which 7.19 kt is not captured.');


INSERT INTO "EmissionActivity" VALUES ('NB','CO2e','E_WOOD','E_BECCS',			    2030,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2', 'E_WOOD','E_BECCS',				  2030,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2e','E_NG','E_NGACC-CCS',			2030,'ELC',-98.563,'kt/PJout','Total CO2 emission per Pjout is 109.51 kt out (i.e. the CO2 content of one PJ of NG divdided by the NGCC-CCS efficiency [49.61/0.453]) of which 10.95 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2','E_NG','E_NGACC-CCS',				2030,'ELC',-98.563,'kt/PJout','Total CO2 emission per Pjout is 109.51 kt out (i.e. the CO2 content of one PJ of NG divdided by the NGCC-CCS efficiency [49.61/0.453]) of which 10.95 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NB','NOX','E_NG','E_NGACC-CCS',				2030,'ELC',0.0194,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NB','NOX','E_NG','E_NGACC',						2030,'ELC',0.0088,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NB','NOX','E_NG','E_NGACT',						2030,'ELC',0.012,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NB','SO2','E_NG','E_NGACT',						2030,'ELC',0.0006,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2e','E_NG','H2_SMR-CCS',						2030,'H2P',-64.71,'kt/PJout','Total CO2 emission per Pjout is 71.90 kt out (i.e. the CO2 content of one PJ of NG divdided by the SMR-CCS efficiency [49.61/0.69])  of which 7.19 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2','E_NG','H2_SMR-CCS',						2030,'H2P',-64.71,'kt/PJout','Total CO2 emission per Pjout is 71.90 kt out (i.e. the CO2 content of one PJ of NG divdided by the SMR-CCS efficiency [49.61/0.69])  of which 7.19 kt is not captured.');


INSERT INTO "EmissionActivity" VALUES ('NB','CO2e','E_WOOD','E_BECCS',			    2040,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2', 'E_WOOD','E_BECCS',				  2040,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2e','E_NG','E_NGACC-CCS',			2040,'ELC',-98.563,'kt/PJout','Total CO2 emission per Pjout is 109.51 kt out (i.e. the CO2 content of one PJ of NG divdided by the NGCC-CCS efficiency [49.61/0.453]) of which 10.95 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2','E_NG','E_NGACC-CCS',				2040,'ELC',-98.563,'kt/PJout','Total CO2 emission per Pjout is 109.51 kt out (i.e. the CO2 content of one PJ of NG divdided by the NGCC-CCS efficiency [49.61/0.453]) of which 10.95 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NB','NOX','E_NG','E_NGACC-CCS',				2040,'ELC',0.0194,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NB','NOX','E_NG','E_NGACC',						2040,'ELC',0.0088,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NB','NOX','E_NG','E_NGACT',						2040,'ELC',0.012,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NB','SO2','E_NG','E_NGACT',						2040,'ELC',0.0006,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2e','E_NG','H2_SMR-CCS',						2040,'H2P',-64.71,'kt/PJout','Total CO2 emission per Pjout is 71.90 kt out (i.e. the CO2 content of one PJ of NG divdided by the SMR-CCS efficiency [49.61/0.69])  of which 7.19 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2','E_NG','H2_SMR-CCS',						2040,'H2P',-64.71,'kt/PJout','Total CO2 emission per Pjout is 71.90 kt out (i.e. the CO2 content of one PJ of NG divdided by the SMR-CCS efficiency [49.61/0.69])  of which 7.19 kt is not captured.');


INSERT INTO "EmissionActivity" VALUES ('NB','CO2e','E_WOOD','E_BECCS',			    2050,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2', 'E_WOOD','E_BECCS',				  2050,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2e','E_NG','E_NGACC-CCS',			2050,'ELC',-98.563,'kt/PJout','Total CO2 emission per Pjout is 109.51 kt out (i.e. the CO2 content of one PJ of NG divdided by the NGCC-CCS efficiency [49.61/0.453]) of which 10.95 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2','E_NG','E_NGACC-CCS',				2050,'ELC',-98.563,'kt/PJout','Total CO2 emission per Pjout is 109.51 kt out (i.e. the CO2 content of one PJ of NG divdided by the NGCC-CCS efficiency [49.61/0.453]) of which 10.95 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NB','NOX','E_NG','E_NGACC-CCS',				2050,'ELC',0.0194,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NB','NOX','E_NG','E_NGACC',						2050,'ELC',0.0088,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NB','NOX','E_NG','E_NGACT',						2050,'ELC',0.012,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NB','SO2','E_NG','E_NGACT',						2050,'ELC',0.0006,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2e','E_NG','H2_SMR-CCS',						2050,'H2P',-64.71,'kt/PJout','Total CO2 emission per Pjout is 71.90 kt out (i.e. the CO2 content of one PJ of NG divdided by the SMR-CCS efficiency [49.61/0.69])  of which 7.19 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NB','CO2','E_NG','H2_SMR-CCS',						2050,'H2P',-64.71,'kt/PJout','Total CO2 emission per Pjout is 71.90 kt out (i.e. the CO2 content of one PJ of NG divdided by the SMR-CCS efficiency [49.61/0.69])  of which 7.19 kt is not captured.');



INSERT INTO "EmissionActivity" VALUES ('NS','CO2e','E_WOOD','E_BECCS',			    2020,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2', 'E_WOOD','E_BECCS',				  2020,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2e','E_NG','E_NGACC-CCS',			2020,'ELC',-98.563,'kt/PJout','Total CO2 emission per Pjout is 109.51 kt out (i.e. the CO2 content of one PJ of NG divdided by the NGCC-CCS efficiency [49.61/0.453]) of which 10.95 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2','E_NG','E_NGACC-CCS',				2020,'ELC',-98.563,'kt/PJout','Total CO2 emission per Pjout is 109.51 kt out (i.e. the CO2 content of one PJ of NG divdided by the NGCC-CCS efficiency [49.61/0.453]) of which 10.95 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NS','NOX','E_NG','E_NGACC-CCS',				2020,'ELC',0.0194,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NS','NOX','E_NG','E_NGACC',						2020,'ELC',0.0088,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NS','NOX','E_NG','E_NGACT',						2020,'ELC',0.012,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NS','SO2','E_NG','E_NGACT',						2020,'ELC',0.0006,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2e','E_NG','H2_SMR-CCS',						2020,'H2P',-64.71,'kt/PJout','Total CO2 emission per Pjout is 71.90 kt out (i.e. the CO2 content of one PJ of NG divdided by the SMR-CCS efficiency [49.61/0.69])  of which 7.19 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2','E_NG','H2_SMR-CCS',						2020,'H2P',-64.71,'kt/PJout','Total CO2 emission per Pjout is 71.90 kt out (i.e. the CO2 content of one PJ of NG divdided by the SMR-CCS efficiency [49.61/0.69])  of which 7.19 kt is not captured.');


INSERT INTO "EmissionActivity" VALUES ('NS','CO2e','E_WOOD','E_BECCS',			    2030,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2', 'E_WOOD','E_BECCS',				  2030,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2e','E_NG','E_NGACC-CCS',			2030,'ELC',-98.563,'kt/PJout','Total CO2 emission per Pjout is 109.51 kt out (i.e. the CO2 content of one PJ of NG divdided by the NGCC-CCS efficiency [49.61/0.453]) of which 10.95 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2','E_NG','E_NGACC-CCS',				2030,'ELC',-98.563,'kt/PJout','Total CO2 emission per Pjout is 109.51 kt out (i.e. the CO2 content of one PJ of NG divdided by the NGCC-CCS efficiency [49.61/0.453]) of which 10.95 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NS','NOX','E_NG','E_NGACC-CCS',				2030,'ELC',0.0194,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NS','NOX','E_NG','E_NGACC',						2030,'ELC',0.0088,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NS','NOX','E_NG','E_NGACT',						2030,'ELC',0.012,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NS','SO2','E_NG','E_NGACT',						2030,'ELC',0.0006,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2e','E_NG','H2_SMR-CCS',						2030,'H2P',-64.71,'kt/PJout','Total CO2 emission per Pjout is 71.90 kt out (i.e. the CO2 content of one PJ of NG divdided by the SMR-CCS efficiency [49.61/0.69])  of which 7.19 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2','E_NG','H2_SMR-CCS',						2030,'H2P',-64.71,'kt/PJout','Total CO2 emission per Pjout is 71.90 kt out (i.e. the CO2 content of one PJ of NG divdided by the SMR-CCS efficiency [49.61/0.69])  of which 7.19 kt is not captured.');


INSERT INTO "EmissionActivity" VALUES ('NS','CO2e','E_WOOD','E_BECCS',			    2040,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2', 'E_WOOD','E_BECCS',				  2040,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2e','E_NG','E_NGACC-CCS',			2040,'ELC',-98.563,'kt/PJout','Total CO2 emission per Pjout is 109.51 kt out (i.e. the CO2 content of one PJ of NG divdided by the NGCC-CCS efficiency [49.61/0.453]) of which 10.95 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2','E_NG','E_NGACC-CCS',				2040,'ELC',-98.563,'kt/PJout','Total CO2 emission per Pjout is 109.51 kt out (i.e. the CO2 content of one PJ of NG divdided by the NGCC-CCS efficiency [49.61/0.453]) of which 10.95 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NS','NOX','E_NG','E_NGACC-CCS',				2040,'ELC',0.0194,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NS','NOX','E_NG','E_NGACC',						2040,'ELC',0.0088,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NS','NOX','E_NG','E_NGACT',						2040,'ELC',0.012,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NS','SO2','E_NG','E_NGACT',						2040,'ELC',0.0006,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2e','E_NG','H2_SMR-CCS',						2040,'H2P',-64.71,'kt/PJout','Total CO2 emission per Pjout is 71.90 kt out (i.e. the CO2 content of one PJ of NG divdided by the SMR-CCS efficiency [49.61/0.69])  of which 7.19 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2','E_NG','H2_SMR-CCS',						2040,'H2P',-64.71,'kt/PJout','Total CO2 emission per Pjout is 71.90 kt out (i.e. the CO2 content of one PJ of NG divdided by the SMR-CCS efficiency [49.61/0.69])  of which 7.19 kt is not captured.');


INSERT INTO "EmissionActivity" VALUES ('NS','CO2e','E_WOOD','E_BECCS',			    2050,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2', 'E_WOOD','E_BECCS',				  2050,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2e','E_NG','E_NGACC-CCS',			2050,'ELC',-98.563,'kt/PJout','Total CO2 emission per Pjout is 109.51 kt out (i.e. the CO2 content of one PJ of NG divdided by the NGCC-CCS efficiency [49.61/0.453]) of which 10.95 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2','E_NG','E_NGACC-CCS',				2050,'ELC',-98.563,'kt/PJout','Total CO2 emission per Pjout is 109.51 kt out (i.e. the CO2 content of one PJ of NG divdided by the NGCC-CCS efficiency [49.61/0.453]) of which 10.95 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NS','NOX','E_NG','E_NGACC-CCS',				2050,'ELC',0.0194,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NS','NOX','E_NG','E_NGACC',						2050,'ELC',0.0088,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NS','NOX','E_NG','E_NGACT',						2050,'ELC',0.012,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NS','SO2','E_NG','E_NGACT',						2050,'ELC',0.0006,'kt/PJout','Open Energy Outlook (2021)');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2e','E_NG','H2_SMR-CCS',						2050,'H2P',-64.71,'kt/PJout','Total CO2 emission per Pjout is 71.90 kt out (i.e. the CO2 content of one PJ of NG divdided by the SMR-CCS efficiency [49.61/0.69])  of which 7.19 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NS','CO2','E_NG','H2_SMR-CCS',						2050,'H2P',-64.71,'kt/PJout','Total CO2 emission per Pjout is 71.90 kt out (i.e. the CO2 content of one PJ of NG divdided by the SMR-CCS efficiency [49.61/0.69])  of which 7.19 kt is not captured.');


INSERT INTO "EmissionActivity" VALUES ('PEI','CO2e','E_WOOD','E_BECCS',			    2020,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('PEI','CO2', 'E_WOOD','E_BECCS',				  2020,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');


INSERT INTO "EmissionActivity" VALUES ('PEI','CO2e','E_WOOD','E_BECCS',			    2030,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('PEI','CO2', 'E_WOOD','E_BECCS',				  2030,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');


INSERT INTO "EmissionActivity" VALUES ('PEI','CO2e','E_WOOD','E_BECCS',			    2040,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('PEI','CO2', 'E_WOOD','E_BECCS',				  2040,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');


INSERT INTO "EmissionActivity" VALUES ('PEI','CO2e','E_WOOD','E_BECCS',			    2050,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('PEI','CO2', 'E_WOOD','E_BECCS',				  2050,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');


INSERT INTO "EmissionActivity" VALUES ('NL','CO2e','E_WOOD','E_BECCS',			    2020,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NL','CO2', 'E_WOOD','E_BECCS',				  2020,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');


INSERT INTO "EmissionActivity" VALUES ('NL','CO2e','E_WOOD','E_BECCS',			    2030,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NL','CO2', 'E_WOOD','E_BECCS',				  2030,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');


INSERT INTO "EmissionActivity" VALUES ('NL','CO2e','E_WOOD','E_BECCS',			    2040,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NL','CO2', 'E_WOOD','E_BECCS',				  2040,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');


INSERT INTO "EmissionActivity" VALUES ('NL','CO2e','E_WOOD','E_BECCS',			    2050,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');
INSERT INTO "EmissionActivity" VALUES ('NL','CO2', 'E_WOOD','E_BECCS',				  2050,'ELC',-345.652,'kt/PJout','Total CO2e emission per Pjout is 384 kt out (i.e. the CO2 content of one PJ of wood divdided by the NGCC-CCS efficiency [93.71/0.244])  of which 38.4 kt is not captured.');







---------------------------------- New Industry --------------------------------------



INSERT INTO `EmissionActivity` VALUES ('NB','CO2','ELCNGA','CO2_CAPTURE-ELCNGA',  2030, 'CO2_CAPTURED', -1.0,        'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NB','CO2','ELCNGA','CO2_CAPTURE-ELCNGA',  2040, 'CO2_CAPTURED', -1.0,        'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NB','CO2','ELCNGA','CO2_CAPTURE-ELCNGA',  2050, 'CO2_CAPTURED', -1.0,        'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NS','CO2','ELCNGA','CO2_CAPTURE-ELCNGA',  2030, 'CO2_CAPTURED', -1.0,        'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NS','CO2','ELCNGA','CO2_CAPTURE-ELCNGA',  2040, 'CO2_CAPTURED', -1.0,        'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NS','CO2','ELCNGA','CO2_CAPTURE-ELCNGA',  2050, 'CO2_CAPTURED', -1.0,        'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NB','CO2e','ELCNGA','CO2_CAPTURE-ELCNGA',  2030, 'CO2_CAPTURED', -1.0,       'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NB','CO2e','ELCNGA','CO2_CAPTURE-ELCNGA',  2040, 'CO2_CAPTURED', -1.0,       'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NB','CO2e','ELCNGA','CO2_CAPTURE-ELCNGA',  2050, 'CO2_CAPTURED', -1.0,       'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NS','CO2e','ELCNGA','CO2_CAPTURE-ELCNGA',  2030, 'CO2_CAPTURED', -1.0,       'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NS','CO2e','ELCNGA','CO2_CAPTURE-ELCNGA',  2040, 'CO2_CAPTURED', -1.0,       'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NS','CO2e','ELCNGA','CO2_CAPTURE-ELCNGA',  2050, 'CO2_CAPTURED', -1.0,       'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NB','CO2','E_NG','CO2_CAPTURE-NGA',     2030, 'CO2_CAPTURED', -1.0,          	'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NB','CO2','E_NG','CO2_CAPTURE-NGA',     2040, 'CO2_CAPTURED', -1.0,          	'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NB','CO2','E_NG','CO2_CAPTURE-NGA',     2050, 'CO2_CAPTURED', -1.0,          	'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NS','CO2','E_NG','CO2_CAPTURE-NGA',     2030, 'CO2_CAPTURED', -1.0,          	'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NS','CO2','E_NG','CO2_CAPTURE-NGA',     2040, 'CO2_CAPTURED', -1.0,          	'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NS','CO2','E_NG','CO2_CAPTURE-NGA',     2050, 'CO2_CAPTURED', -1.0,          	'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NB','CO2e','E_NG','CO2_CAPTURE-NGA',     2030, 'CO2_CAPTURED', -1.0,          'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NB','CO2e','E_NG','CO2_CAPTURE-NGA',     2040, 'CO2_CAPTURED', -1.0,          'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NB','CO2e','E_NG','CO2_CAPTURE-NGA',     2050, 'CO2_CAPTURED', -1.0,          'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NS','CO2e','E_NG','CO2_CAPTURE-NGA',     2030, 'CO2_CAPTURED', -1.0,          'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NS','CO2e','E_NG','CO2_CAPTURE-NGA',     2040, 'CO2_CAPTURED', -1.0,          'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NS','CO2e','E_NG','CO2_CAPTURE-NGA',     2050, 'CO2_CAPTURED', -1.0,          'kt/kt CO2 captured', 'Keith (2018)');

INSERT INTO `EmissionActivity` VALUES ('NB','CO2','E_NG','CO2_CAPTURE-NGA-1STGEN',     2030, 'CO2_CAPTURED', -1.0,          	'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NB','CO2','E_NG','CO2_CAPTURE-NGA-1STGEN',     2040, 'CO2_CAPTURED', -1.0,          	'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NB','CO2','E_NG','CO2_CAPTURE-NGA-1STGEN',     2050, 'CO2_CAPTURED', -1.0,          	'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NS','CO2','E_NG','CO2_CAPTURE-NGA-1STGEN',     2030, 'CO2_CAPTURED', -1.0,          	'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NS','CO2','E_NG','CO2_CAPTURE-NGA-1STGEN',     2040, 'CO2_CAPTURED', -1.0,          	'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NS','CO2','E_NG','CO2_CAPTURE-NGA-1STGEN',     2050, 'CO2_CAPTURED', -1.0,          	'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NB','CO2e','E_NG','CO2_CAPTURE-NGA-1STGEN',     2030, 'CO2_CAPTURED', -1.0,          'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NB','CO2e','E_NG','CO2_CAPTURE-NGA-1STGEN',     2040, 'CO2_CAPTURED', -1.0,          'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NB','CO2e','E_NG','CO2_CAPTURE-NGA-1STGEN',     2050, 'CO2_CAPTURED', -1.0,          'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NS','CO2e','E_NG','CO2_CAPTURE-NGA-1STGEN',     2030, 'CO2_CAPTURED', -1.0,          'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NS','CO2e','E_NG','CO2_CAPTURE-NGA-1STGEN',     2040, 'CO2_CAPTURED', -1.0,          'kt/kt CO2 captured', 'Keith (2018)');
INSERT INTO `EmissionActivity` VALUES ('NS','CO2e','E_NG','CO2_CAPTURE-NGA-1STGEN',     2050, 'CO2_CAPTURED', -1.0,          'kt/kt CO2 captured', 'Keith (2018)');






CREATE TABLE IF NOT EXISTS "OutputBasedStandard" (
	"regions"	text,
	"period"	integer,
	"emis_comm"	text,
	"input_comm"	text,
	"tech"	text,
	"output_comm"	text,
	"offset"	real,
	"offset_units"	text,
  "source" text,
	"notes"	text,
	PRIMARY KEY("regions","emis_comm","input_comm","tech","period","output_comm"),
	FOREIGN KEY("period") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("input_comm") REFERENCES "commodities"("comm_name"),
	FOREIGN KEY("output_comm") REFERENCES "commodities"("comm_name"),
	FOREIGN KEY("emis_comm") REFERENCES "commodities"("comm_name"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);









CREATE TABLE IF NOT EXISTS "Efficiency" (
	"regions"	text,
	"input_comm"	text,
	"tech"	text,
	"vintage"	integer,
	"output_comm"	text,
	"efficiency"	real CHECK("efficiency" > 0),
	"eff_notes"	text,
	PRIMARY KEY("regions","input_comm","tech","vintage","output_comm"),
	FOREIGN KEY("vintage") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("input_comm") REFERENCES "commodities"("comm_name"),
	FOREIGN KEY("output_comm") REFERENCES "commodities"("comm_name"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);
----------------------------------------------------- Dummy Technologies ----------------------------------------------
INSERT INTO `Efficiency` VALUES ('NB','ethos','IMP_NG_ALL',							2020,'NG',1.0,'');
INSERT INTO `Efficiency` VALUES ('NB','NG','IMP_NG_ELC',								1900,'E_NG-PREH2',1.0,'');


INSERT INTO `Efficiency` VALUES ('NB','ethos','IMP_URN_ELC',						1900,'URN',1.0,'');
INSERT INTO `Efficiency` VALUES ('NB','ethos','IMP_WOOD_ELC',						1900,'E_WOOD',1.0,'');
INSERT INTO `Efficiency` VALUES ('NB','ethos','IMP_WOOD-REN_ELC',				1900,'E_WOOD',1.0,'');
INSERT INTO `Efficiency` VALUES ('NB','ethos','IMP_COAL-BIT_ELC',				1900,'COAL-BIT',1.0,'');
INSERT INTO `Efficiency` VALUES ('NB','ethos','IMP_DSL_ELC',						1900,'E_DSL',1.0,'');
INSERT INTO `Efficiency` VALUES ('NB','ethos','IMP_HFO_ELC',						1900,'E_HFO',1.0,'');
INSERT INTO `Efficiency` VALUES ('NB','ethos','IMP_ELC-QC',							1900,'ELC',1.0,'');
INSERT INTO `Efficiency` VALUES ('NB','ethos','IMP_ELC-USA',						1900,'ELC',1.0,'');


INSERT INTO `Efficiency` VALUES ('NB','ELC'  					,'E_TRANS_EXPORT',					1900,'ELC_EXPORT' ,1.0,'');
INSERT INTO `Efficiency` VALUES ('NB','ELC_EXPORT'  	,'E_EXPORT_PASSTHROUGH',		1900,'D_ELEC_EXPORT' ,1.0,'');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC_DUMMY'		,'E_EXPORT_DUMMY',   				1900,'ELC_EXPORT', 1.0,'');

INSERT INTO `Efficiency` VALUES ('NB', 'CO2_DUMMY','CO2_PASSTHROUGH',   2020, 'CO2_SEQ', 1.0,'');
INSERT INTO `Efficiency` VALUES ('NB', 'CO2_SEQ','CO2_PASSTHROUGH-2',   2020, 'CO2_SEQ-SINK', 1.0,'');

INSERT INTO `Efficiency` VALUES ('NB', 'ethos','E_NGACC-CCS-emissions',  2020, 'CO2_CAPTURED', 1.0,'');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos','E_NGACC-CCS-emissions',  2030, 'CO2_CAPTURED', 1.0,'');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos','E_NGACC-CCS-emissions',  2040, 'CO2_CAPTURED', 1.0,'');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos','E_NGACC-CCS-emissions',  2050, 'CO2_CAPTURED', 1.0,'');

INSERT INTO `Efficiency` VALUES ('NB', 'ethos','E_BECCS-emissions',  2020, 'CO2_CAPTURED', 1.0,'');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos','E_BECCS-emissions',  2030, 'CO2_CAPTURED', 1.0,'');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos','E_BECCS-emissions',  2040, 'CO2_CAPTURED', 1.0,'');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos','E_BECCS-emissions',  2050, 'CO2_CAPTURED', 1.0,'');

INSERT INTO `Efficiency` VALUES ('NB', 'ethos','H2_SMR-CCS-emissions',  2020, 'CO2_CAPTURED', 1.0,'');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos','H2_SMR-CCS-emissions',  2030, 'CO2_CAPTURED', 1.0,'');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos','H2_SMR-CCS-emissions',  2040, 'CO2_CAPTURED', 1.0,'');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos','H2_SMR-CCS-emissions',  2050, 'CO2_CAPTURED', 1.0,'');

INSERT INTO `Efficiency` VALUES ('NS','ethos','IMP_NG_ALL',							2020,'NG',1.0,'');
INSERT INTO `Efficiency` VALUES ('NS','NG','IMP_NG_ELC',								1900,'E_NG-PREH2',1.0,'');

INSERT INTO `Efficiency` VALUES ('NS','ethos','IMP_URN_ELC',						1900,'URN',1.0,'');
INSERT INTO `Efficiency` VALUES ('NS','ethos','IMP_WOOD_ELC',						1900,'E_WOOD',1.0,'');
INSERT INTO `Efficiency` VALUES ('NS','ethos','IMP_WOOD-REN_ELC',				1900,'E_WOOD',1.0,'');
INSERT INTO `Efficiency` VALUES ('NS','ethos','IMP_COAL-BIT_ELC',				1900,'COAL-BIT',1.0,'');
INSERT INTO `Efficiency` VALUES ('NS','ethos','IMP_COKE_ELC',						1900,'COKE',1.0,'');
INSERT INTO `Efficiency` VALUES ('NS','ethos','IMP_DSL_ELC',						1900,'E_DSL',1.0,'');


INSERT INTO `Efficiency` VALUES ('NS', 'CO2_DUMMY','CO2_PASSTHROUGH',   2020, 'CO2_SEQ', 1.0,'');


INSERT INTO `Efficiency` VALUES ('NS', 'CO2_SEQ','CO2_PASSTHROUGH-2',   2020, 'CO2_SEQ-SINK', 1.0,'');


INSERT INTO `Efficiency` VALUES ('NS', 'ethos','E_NGACC-CCS-emissions',  2020, 'CO2_CAPTURED', 1.0,'');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos','E_NGACC-CCS-emissions',  2030, 'CO2_CAPTURED', 1.0,'');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos','E_NGACC-CCS-emissions',  2040, 'CO2_CAPTURED', 1.0,'');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos','E_NGACC-CCS-emissions',  2050, 'CO2_CAPTURED', 1.0,'');

INSERT INTO `Efficiency` VALUES ('NS', 'ethos','E_BECCS-emissions',  2020, 'CO2_CAPTURED', 1.0,'');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos','E_BECCS-emissions',  2030, 'CO2_CAPTURED', 1.0,'');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos','E_BECCS-emissions',  2040, 'CO2_CAPTURED', 1.0,'');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos','E_BECCS-emissions',  2050, 'CO2_CAPTURED', 1.0,'');

INSERT INTO `Efficiency` VALUES ('NS', 'ethos','H2_SMR-CCS-emissions',  2020, 'CO2_CAPTURED', 1.0,'');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos','H2_SMR-CCS-emissions',  2030, 'CO2_CAPTURED', 1.0,'');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos','H2_SMR-CCS-emissions',  2040, 'CO2_CAPTURED', 1.0,'');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos','H2_SMR-CCS-emissions',  2050, 'CO2_CAPTURED', 1.0,'');


INSERT INTO `Efficiency` VALUES ('PEI','ethos','IMP_URN_ELC',						1900,'URN',1.0,'');
INSERT INTO `Efficiency` VALUES ('PEI','ethos','IMP_WOOD_ELC',					1900,'E_WOOD',1.0,'');
INSERT INTO `Efficiency` VALUES ('PEI','ethos','IMP_WOOD-REN_ELC',				1900,'E_WOOD',1.0,'');
INSERT INTO `Efficiency` VALUES ('PEI','ethos','IMP_DSL_ELC',						1900,'E_DSL',1.0,'');

INSERT INTO `Efficiency` VALUES ('PEI', 'CO2_DUMMY','CO2_PASSTHROUGH',   2020, 'CO2_SEQ', 1.0,'');
INSERT INTO `Efficiency` VALUES ('PEI', 'CO2_SEQ','CO2_PASSTHROUGH-2',   2020, 'CO2_SEQ-SINK', 1.0,'');

INSERT INTO `Efficiency` VALUES ('PEI', 'ethos','E_BECCS-emissions',  2020, 'CO2_CAPTURED', 1.0,'');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos','E_BECCS-emissions',  2030, 'CO2_CAPTURED', 1.0,'');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos','E_BECCS-emissions',  2040, 'CO2_CAPTURED', 1.0,'');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos','E_BECCS-emissions',  2050, 'CO2_CAPTURED', 1.0,'');



INSERT INTO `Efficiency` VALUES ('NL','ethos','IMP_URN_ELC',						1900,'URN',1.0,'');
INSERT INTO `Efficiency` VALUES ('NL','ethos','IMP_WOOD_ELC',						1900,'E_WOOD',1.0,'');
INSERT INTO `Efficiency` VALUES ('NL','ethos','IMP_WOOD-REN_ELC',				1900,'E_WOOD',1.0,'');
INSERT INTO `Efficiency` VALUES ('NL','ethos','IMP_DSL_ELC',						1900,'E_DSL',1.0,'');

INSERT INTO `Efficiency` VALUES ('NL', 'CO2_DUMMY','CO2_PASSTHROUGH',   2020, 'CO2_SEQ', 1.0,'');
INSERT INTO `Efficiency` VALUES ('NL', 'CO2_SEQ','CO2_PASSTHROUGH-2',   2020, 'CO2_SEQ-SINK', 1.0,'');


INSERT INTO `Efficiency` VALUES ('NL', 'ethos','E_BECCS-emissions',  2020, 'CO2_CAPTURED', 1.0,'');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos','E_BECCS-emissions',  2030, 'CO2_CAPTURED', 1.0,'');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos','E_BECCS-emissions',  2040, 'CO2_CAPTURED', 1.0,'');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos','E_BECCS-emissions',  2050, 'CO2_CAPTURED', 1.0,'');


INSERT INTO `Efficiency` VALUES ('LAB','ELC'  				,'E_TRANS_EXPORT',				1900,'ELC_EXPORT' ,1.0,'');
INSERT INTO `Efficiency` VALUES ('LAB','ELC_EXPORT'  	,'E_EXPORT_PASSTHROUGH',	1900,'D_ELEC_EXPORT' ,1.0,'');
INSERT INTO `Efficiency` VALUES ('LAB', 'ELC_DUMMY'		,'E_EXPORT_DUMMY',   			1900,'ELC_EXPORT', 1.0,'');


INSERT INTO `Efficiency` VALUES ('LAB','ethos','IMP_ELC-QC',							1900,'ELC',1.0,'');

----------------------------------------------------- Existing Technologies ----------------------------------------------


INSERT INTO `Efficiency` VALUES ('NB','COAL-BIT','E_COAL-BIT_EX-1',			1980,'ELC',0.348,'Calculated using reported emission intensities from the North American Power Plant Air Emissions database and assumptions on fuel emission intensity.');
INSERT INTO `Efficiency` VALUES ('NB','E_HFO','E_HFO-CT_EX',						1991,'ELC',0.2857,'Princeton Net Zero America Project');
INSERT INTO `Efficiency` VALUES ('NB','E_NG','E_NGACC_EX',							1977,'ELC',0.525,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NB','E_DSL','E_DIESEL-CT_EX',					1981,'ELC',0.3900,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `Efficiency` VALUES ('NB','E_DSL','E_DIESEL-CT_EX',					1976,'ELC',0.3900,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `Efficiency` VALUES ('NB','E_WOOD','E_BIO-COGEN_EX',				2000,'ELC',0.108,'Princeton Net Zero America Project');
INSERT INTO `Efficiency` VALUES ('NB','E_NG','E_NG-COGEN_EX',						1975,'ELC',0.2136,'Princeton Net Zero America Project');
INSERT INTO `Efficiency` VALUES ('NB','URN','E_NUC-LWR_EX',							1980,'ELC',0.326,'Open Energy Outlook (2021)');

INSERT INTO `Efficiency` VALUES ('NB','ethos','E_WIND-ON_EX',						2009,'ELC',1.0,'');
INSERT INTO `Efficiency` VALUES ('NB','ethos','E_WIND-ON_EX',						2011,'ELC',1.0,'');
INSERT INTO `Efficiency` VALUES ('NB','ethos','E_WIND-ON_EX',						2019,'ELC',1.0,'');
INSERT INTO `Efficiency` VALUES ('NB','ethos','E_HYDRO-LIMDSP_EX',			2000,'ELC',1.0,'');



INSERT INTO `Efficiency` VALUES ('NS','COAL-BIT','E_COAL-BIT_EX-1',			1971,'ELC',0.3122,'Calculated using reported emission intensities of NS Power and assumptions on fuel emission intensity.');
INSERT INTO `Efficiency` VALUES ('NS','COAL-BIT','E_COAL-BIT_EX-1',			1980,'ELC',0.3122,'Calculated using reported emission intensities of NS Power and assumptions on fuel emission intensity.');
INSERT INTO `Efficiency` VALUES ('NS','COAL-BIT','E_COAL-BIT_EX-2',			1980,'ELC',0.3325,'Calculated using reported emission intensities of NS Power and assumptions on fuel emission intensity.');
INSERT INTO `Efficiency` VALUES ('NS','COAL-BIT','E_COAL-BIT_EX-3',			1980,'ELC',0.3344,'Calculated using reported emission intensities of NS Power and assumptions on fuel emission intensity.');
INSERT INTO `Efficiency` VALUES ('NS','COKE','E_COAL-COKE_EX',					1980,'ELC',0.2810,'Calculated using reported emission intensities of NS Power and assumptions on fuel emission intensity.');
INSERT INTO `Efficiency` VALUES ('NS','E_NG','E_NGACT_EX',							2000,'ELC',0.2784,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NS','E_NG','E_NGACC_EX',							2010,'ELC',0.45,	'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NS','E_DSL','E_DIESEL-CT_EX',					2000,'ELC',0.3900,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `Efficiency` VALUES ('NS','E_WOOD','E_BIO-COGEN_EX',				2000,'ELC',0.108, 'Princeton Net Zero America Project');
INSERT INTO `Efficiency` VALUES ('NS','E_WOOD','E_BIO_EX',							2000,'ELC',0.2355,'Princeton Net Zero America Project');
INSERT INTO `Efficiency` VALUES ('NS','ethos','E_WIND-ON_EX',						2005,'ELC',1.0,'');
INSERT INTO `Efficiency` VALUES ('NS','ethos','E_WIND-ON_EX',						2010,'ELC',1.0,'');
INSERT INTO `Efficiency` VALUES ('NS','ethos','E_WIND-ON_EX',						2012,'ELC',1.0,'');
INSERT INTO `Efficiency` VALUES ('NS','ethos','E_WIND-ON_EX',						2015,'ELC',1.0,'');
INSERT INTO `Efficiency` VALUES ('NS','ethos','E_HYDRO-LIMDSP_EX',			2000,'ELC',1.0,'');
INSERT INTO `Efficiency` VALUES ('NS','ethos','E_HYDRO-DSP_EX',					2000,'ELC',1.0,'');

INSERT INTO `Efficiency` VALUES ('PEI','E_DSL','E_DIESEL-CT_EX',					1979,'ELC',0.3900,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `Efficiency` VALUES ('PEI','E_DSL','E_DIESEL-CT_EX',					2004,'ELC',0.3900,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `Efficiency` VALUES ('PEI','ethos','E_WIND-ON_EX',					2001,'ELC',1.0,'');
INSERT INTO `Efficiency` VALUES ('PEI','ethos','E_WIND-ON_EX',					2006,'ELC',1.0,'');
INSERT INTO `Efficiency` VALUES ('PEI','ethos','E_WIND-ON_EX',					2011,'ELC',1.0,'');



INSERT INTO `Efficiency` VALUES ('NL','E_DSL','E_DIESEL-CT_EX',					2001,'ELC',0.3900,'Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `Efficiency` VALUES ('NL','ethos','E_WIND-ON_EX',					2009,'ELC',1.0,'');
INSERT INTO `Efficiency` VALUES ('NL','ethos','E_HYDRO-DSP_EX',				2000,'ELC',1.0,'');


INSERT INTO `Efficiency` VALUES ('LAB','ethos','E_HYDRO-LIMDSP_EX',				2000,'ELC',1.0,'');
INSERT INTO `Efficiency` VALUES ('LAB','ethos','E_HYDRO-ROR_EX',					2000,'ELC',1.0,'');



INSERT INTO `Efficiency` VALUES ('NS-NB', 'ELC',      'E_TRANS_EX',      1900, 'ELC', 1.0,'Transmission losses are accounted for with intra-provincial flows (the E_TRANS-DIST technology).');
INSERT INTO `Efficiency` VALUES ('NB-NS', 'ELC',      'E_TRANS_EX',      1900, 'ELC', 1.0,'Transmission losses are accounted for with intra-provincial flows (the E_TRANS-DIST technology).');
INSERT INTO `Efficiency` VALUES ('PEI-NB', 'ELC',     'E_TRANS_EX',      1900, 'ELC', 1.0,'Transmission losses are accounted for with intra-provincial flows (the E_TRANS-DIST technology).');
INSERT INTO `Efficiency` VALUES ('NB-PEI', 'ELC',     'E_TRANS_EX',      1900, 'ELC', 1.0,'Transmission losses are accounted for with intra-provincial flows (the E_TRANS-DIST technology).');
INSERT INTO `Efficiency` VALUES ('NS-NL', 'ELC',      'E_TRANS_EX',      1900, 'ELC', 0.9518,'The Maritime Link has a loss factor of 4.82%. https://www.nspower.ca/oasis/maritime-link.');
INSERT INTO `Efficiency` VALUES ('NL-NS', 'ELC',      'E_TRANS_EX',      1900, 'ELC', 0.9518,'The Maritime Link has a loss factor of 4.82%. https://www.nspower.ca/oasis/maritime-link.');
INSERT INTO `Efficiency` VALUES ('NL-LAB', 'ELC',     'E_TRANS_EX',      1900, 'ELC', 1.0,'Transmission losses are accounted for with intra-provincial flows (the E_TRANS-DIST technology).');
INSERT INTO `Efficiency` VALUES ('LAB-NL', 'ELC',     'E_TRANS_EX',      1900, 'ELC', 1.0,'Transmission losses are accounted for with intra-provincial flows (the E_TRANS-DIST technology).');



----------------------------------------------------- New Technologies ---------------------------------------------



INSERT INTO `Efficiency` VALUES ('NS', 'E_WOOD',     'E_BIO',               2020, 'ELC', 0.2527,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'E_WOOD',     'E_BIO',               2030, 'ELC', 0.2527,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'E_WOOD',     'E_BIO',               2040, 'ELC', 0.2527,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'E_WOOD',     'E_BIO',               2050, 'ELC', 0.2527,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'E_WOOD',     'E_BIO',               2020, 'ELC', 0.2527,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'E_WOOD',     'E_BIO',               2030, 'ELC', 0.2527,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'E_WOOD',     'E_BIO',               2040, 'ELC', 0.2527,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'E_WOOD',     'E_BIO',               2050, 'ELC', 0.2527,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'E_WOOD',     'E_BIO',               2020, 'ELC', 0.2527,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'E_WOOD',     'E_BIO',               2030, 'ELC', 0.2527,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'E_WOOD',     'E_BIO',               2040, 'ELC', 0.2527,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'E_WOOD',     'E_BIO',               2050, 'ELC', 0.2527,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'E_WOOD',     'E_BIO',               2020, 'ELC', 0.2527,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'E_WOOD',     'E_BIO',               2030, 'ELC', 0.2527,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'E_WOOD',     'E_BIO',               2040, 'ELC', 0.2527,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'E_WOOD',     'E_BIO',               2050, 'ELC', 0.2527,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'E_WOOD',     'E_BECCS',             2020, 'ELC', 0.244,'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `Efficiency` VALUES ('NS', 'E_WOOD',     'E_BECCS',             2030, 'ELC', 0.244,'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `Efficiency` VALUES ('NS', 'E_WOOD',     'E_BECCS',             2040, 'ELC', 0.244,'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `Efficiency` VALUES ('NS', 'E_WOOD',     'E_BECCS',             2050, 'ELC', 0.244,'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `Efficiency` VALUES ('NB', 'E_WOOD',     'E_BECCS',             2020, 'ELC', 0.244,'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `Efficiency` VALUES ('NB', 'E_WOOD',     'E_BECCS',             2030, 'ELC', 0.244,'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `Efficiency` VALUES ('NB', 'E_WOOD',     'E_BECCS',             2040, 'ELC', 0.244,'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `Efficiency` VALUES ('NB', 'E_WOOD',     'E_BECCS',             2050, 'ELC', 0.244,'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `Efficiency` VALUES ('PEI', 'E_WOOD',     'E_BECCS',             2020, 'ELC', 0.244,'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `Efficiency` VALUES ('PEI', 'E_WOOD',     'E_BECCS',             2030, 'ELC', 0.244,'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `Efficiency` VALUES ('PEI', 'E_WOOD',     'E_BECCS',             2040, 'ELC', 0.244,'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `Efficiency` VALUES ('PEI', 'E_WOOD',     'E_BECCS',             2050, 'ELC', 0.244,'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `Efficiency` VALUES ('NL', 'E_WOOD',     'E_BECCS',             2020, 'ELC', 0.244,'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `Efficiency` VALUES ('NL', 'E_WOOD',     'E_BECCS',             2030, 'ELC', 0.244,'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `Efficiency` VALUES ('NL', 'E_WOOD',     'E_BECCS',             2040, 'ELC', 0.244,'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `Efficiency` VALUES ('NL', 'E_WOOD',     'E_BECCS',             2050, 'ELC', 0.244,'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC',      'E_BATT_4HR',          2020, 'ELC', 0.85,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC',      'E_BATT_4HR',          2030, 'ELC', 0.85,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC',      'E_BATT_4HR',          2040, 'ELC', 0.85,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC',      'E_BATT_4HR',          2050, 'ELC', 0.85,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC',      'E_BATT_4HR',          2020, 'ELC', 0.85,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC',      'E_BATT_4HR',          2030, 'ELC', 0.85,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC',      'E_BATT_4HR',          2040, 'ELC', 0.85,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC',      'E_BATT_4HR',          2050, 'ELC', 0.85,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ELC',      'E_BATT_4HR',          2020, 'ELC', 0.85,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ELC',      'E_BATT_4HR',          2030, 'ELC', 0.85,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ELC',      'E_BATT_4HR',          2040, 'ELC', 0.85,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ELC',      'E_BATT_4HR',          2050, 'ELC', 0.85,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ELC',      'E_BATT_4HR',          2020, 'ELC', 0.85,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ELC',      'E_BATT_4HR',          2030, 'ELC', 0.85,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ELC',      'E_BATT_4HR',          2040, 'ELC', 0.85,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ELC',      'E_BATT_4HR',          2050, 'ELC', 0.85,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'E_NG',     'E_NGACC',             2020, 'ELC', 0.5365,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'E_NG',     'E_NGACC',             2030, 'ELC', 0.5365,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'E_NG',     'E_NGACC',             2040, 'ELC', 0.5365,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'E_NG',     'E_NGACC',             2050, 'ELC', 0.5365,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'E_NG',     'E_NGACC',             2020, 'ELC', 0.5365,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'E_NG',     'E_NGACC',             2030, 'ELC', 0.5365,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'E_NG',     'E_NGACC',             2040, 'ELC', 0.5365,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'E_NG',     'E_NGACC',             2050, 'ELC', 0.5365,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'E_NG',     'E_NGACC-CCS',         2020, 'ELC', 0.4765,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'E_NG',     'E_NGACC-CCS',         2030, 'ELC', 0.4765,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'E_NG',     'E_NGACC-CCS',         2040, 'ELC', 0.4765,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'E_NG',     'E_NGACC-CCS',         2050, 'ELC', 0.4765,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'E_NG',     'E_NGACC-CCS',         2020, 'ELC', 0.4765,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'E_NG',     'E_NGACC-CCS',         2030, 'ELC', 0.4765,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'E_NG',     'E_NGACC-CCS',         2040, 'ELC', 0.4765,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'E_NG',     'E_NGACC-CCS',         2050, 'ELC', 0.4765,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'E_NG',     'E_NGACT',             2020, 'ELC', 0.351,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'E_NG',     'E_NGACT',             2030, 'ELC', 0.351,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'E_NG',     'E_NGACT',             2040, 'ELC', 0.351,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'E_NG',     'E_NGACT',             2050, 'ELC', 0.351,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'E_NG',     'E_NGACT',             2020, 'ELC', 0.351,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'E_NG',     'E_NGACT',             2030, 'ELC', 0.351,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'E_NG',     'E_NGACT',             2040, 'ELC', 0.351,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'E_NG',     'E_NGACT',             2050, 'ELC', 0.351,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'URN',      'E_NUC-LWR',           2020, 'ELC', 0.3262,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'URN',      'E_NUC-LWR',           2030, 'ELC', 0.3262,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'URN',      'E_NUC-LWR',           2040, 'ELC', 0.3262,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'URN',      'E_NUC-LWR',           2050, 'ELC', 0.3262,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'URN',      'E_NUC-LWR',           2020, 'ELC', 0.3262,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'URN',      'E_NUC-LWR',           2030, 'ELC', 0.3262,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'URN',      'E_NUC-LWR',           2040, 'ELC', 0.3262,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'URN',      'E_NUC-LWR',           2050, 'ELC', 0.3262,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'URN',      'E_NUC-LWR',           2020, 'ELC', 0.3262,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'URN',      'E_NUC-LWR',           2030, 'ELC', 0.3262,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'URN',      'E_NUC-LWR',           2040, 'ELC', 0.3262,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'URN',      'E_NUC-LWR',           2050, 'ELC', 0.3262,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'URN',      'E_NUC-LWR',           2020, 'ELC', 0.3262,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'URN',      'E_NUC-LWR',           2030, 'ELC', 0.3262,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'URN',      'E_NUC-LWR',           2040, 'ELC', 0.3262,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'URN',      'E_NUC-LWR',           2050, 'ELC', 0.3262,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC_DC',   'E_ELCZR-PEM',         2020, 'H2P', 0.821,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC_DC',   'E_ELCZR-PEM',         2030, 'H2P', 0.838,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC_DC',   'E_ELCZR-PEM',         2040, 'H2P', 0.856,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC_DC',   'E_ELCZR-PEM',         2050, 'H2P', 0.856,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC_DC',   'E_ELCZR-PEM',         2020, 'H2P', 0.821,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC_DC',   'E_ELCZR-PEM',         2030, 'H2P', 0.838,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC_DC',   'E_ELCZR-PEM',         2040, 'H2P', 0.856,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC_DC',   'E_ELCZR-PEM',         2050, 'H2P', 0.856,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('PEI', 'ELC_DC',   'E_ELCZR-PEM',         2020, 'H2P', 0.821,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('PEI', 'ELC_DC',   'E_ELCZR-PEM',         2030, 'H2P', 0.838,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('PEI', 'ELC_DC',   'E_ELCZR-PEM',         2040, 'H2P', 0.856,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('PEI', 'ELC_DC',   'E_ELCZR-PEM',         2050, 'H2P', 0.856,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NL', 'ELC_DC',   'E_ELCZR-PEM',         2020, 'H2P', 0.821,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NL', 'ELC_DC',   'E_ELCZR-PEM',         2030, 'H2P', 0.838,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NL', 'ELC_DC',   'E_ELCZR-PEM',         2040, 'H2P', 0.856,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NL', 'ELC_DC',   'E_ELCZR-PEM',         2050, 'H2P', 0.856,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NS', 'H2_100',   'E_H2CC',              2020, 'ELC', 0.5365,'2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `Efficiency` VALUES ('NS', 'H2_100',   'E_H2CC',              2030, 'ELC', 0.5365,'2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `Efficiency` VALUES ('NS', 'H2_100',   'E_H2CC',              2040, 'ELC', 0.5365,'2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `Efficiency` VALUES ('NS', 'H2_100',   'E_H2CC',              2050, 'ELC', 0.5365,'2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `Efficiency` VALUES ('NB', 'H2_100',   'E_H2CC',              2020, 'ELC', 0.5365,'2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `Efficiency` VALUES ('NB', 'H2_100',   'E_H2CC',              2030, 'ELC', 0.5365,'2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `Efficiency` VALUES ('NB', 'H2_100',   'E_H2CC',              2040, 'ELC', 0.5365,'2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `Efficiency` VALUES ('NB', 'H2_100',   'E_H2CC',              2050, 'ELC', 0.5365,'2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `Efficiency` VALUES ('PEI', 'H2_100',   'E_H2CC',              2020, 'ELC', 0.5365,'2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `Efficiency` VALUES ('PEI', 'H2_100',   'E_H2CC',              2030, 'ELC', 0.5365,'2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `Efficiency` VALUES ('PEI', 'H2_100',   'E_H2CC',              2040, 'ELC', 0.5365,'2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `Efficiency` VALUES ('PEI', 'H2_100',   'E_H2CC',              2050, 'ELC', 0.5365,'2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `Efficiency` VALUES ('NL', 'H2_100',   'E_H2CC',              2020, 'ELC', 0.5365,'2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `Efficiency` VALUES ('NL', 'H2_100',   'E_H2CC',              2030, 'ELC', 0.5365,'2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `Efficiency` VALUES ('NL', 'H2_100',   'E_H2CC',              2040, 'ELC', 0.5365,'2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `Efficiency` VALUES ('NL', 'H2_100',   'E_H2CC',              2050, 'ELC', 0.5365,'2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `Efficiency` VALUES ('NS', 'H2_10',    'H2_COMP-10-100',      2020, 'H2_100', 1.0,'Open Energy Outlook (2021); The energetic value of the H2 is conserved.');
INSERT INTO `Efficiency` VALUES ('NS', 'H2_10',    'H2_COMP-10-100',      2030, 'H2_100', 1.0,'Open Energy Outlook (2021); The energetic value of the H2 is conserved.');
INSERT INTO `Efficiency` VALUES ('NS', 'H2_10',    'H2_COMP-10-100',      2040, 'H2_100', 1.0,'Open Energy Outlook (2021); The energetic value of the H2 is conserved.');
INSERT INTO `Efficiency` VALUES ('NS', 'H2_10',    'H2_COMP-10-100',      2050, 'H2_100', 1.0,'Open Energy Outlook (2021); The energetic value of the H2 is conserved.');
INSERT INTO `Efficiency` VALUES ('NB', 'H2_10',    'H2_COMP-10-100',      2020, 'H2_100', 1.0,'Open Energy Outlook (2021); The energetic value of the H2 is conserved.');
INSERT INTO `Efficiency` VALUES ('NB', 'H2_10',    'H2_COMP-10-100',      2030, 'H2_100', 1.0,'Open Energy Outlook (2021); The energetic value of the H2 is conserved.');
INSERT INTO `Efficiency` VALUES ('NB', 'H2_10',    'H2_COMP-10-100',      2040, 'H2_100', 1.0,'Open Energy Outlook (2021); The energetic value of the H2 is conserved.');
INSERT INTO `Efficiency` VALUES ('NB', 'H2_10',    'H2_COMP-10-100',      2050, 'H2_100', 1.0,'Open Energy Outlook (2021); The energetic value of the H2 is conserved.');
INSERT INTO `Efficiency` VALUES ('PEI', 'H2_10',    'H2_COMP-10-100',      2020, 'H2_100', 1.0,'Open Energy Outlook (2021); The energetic value of the H2 is conserved.');
INSERT INTO `Efficiency` VALUES ('PEI', 'H2_10',    'H2_COMP-10-100',      2030, 'H2_100', 1.0,'Open Energy Outlook (2021); The energetic value of the H2 is conserved.');
INSERT INTO `Efficiency` VALUES ('PEI', 'H2_10',    'H2_COMP-10-100',      2040, 'H2_100', 1.0,'Open Energy Outlook (2021); The energetic value of the H2 is conserved.');
INSERT INTO `Efficiency` VALUES ('PEI', 'H2_10',    'H2_COMP-10-100',      2050, 'H2_100', 1.0,'Open Energy Outlook (2021); The energetic value of the H2 is conserved.');
INSERT INTO `Efficiency` VALUES ('NL', 'H2_10',    'H2_COMP-10-100',      2020, 'H2_100', 1.0,'Open Energy Outlook (2021); The energetic value of the H2 is conserved.');
INSERT INTO `Efficiency` VALUES ('NL', 'H2_10',    'H2_COMP-10-100',      2030, 'H2_100', 1.0,'Open Energy Outlook (2021); The energetic value of the H2 is conserved.');
INSERT INTO `Efficiency` VALUES ('NL', 'H2_10',    'H2_COMP-10-100',      2040, 'H2_100', 1.0,'Open Energy Outlook (2021); The energetic value of the H2 is conserved.');
INSERT INTO `Efficiency` VALUES ('NL', 'H2_10',    'H2_COMP-10-100',      2050, 'H2_100', 1.0,'Open Energy Outlook (2021); The energetic value of the H2 is conserved.');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC',      'H2_COMP-10-100',      2020, 'H2_100', 0.01,'Open Energy Outlook (2021); The electricity is used to compress the input hydrogen – none of its energetic value is transformed into output hydrogen. This value is not set to zero because doing so can introduce numerical instabilities to the model. ');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC',      'H2_COMP-10-100',      2030, 'H2_100', 0.01,'Open Energy Outlook (2021); The electricity is used to compress the input hydrogen – none of its energetic value is transformed into output hydrogen. This value is not set to zero because doing so can introduce numerical instabilities to the model. ');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC',      'H2_COMP-10-100',      2040, 'H2_100', 0.01,'Open Energy Outlook (2021); The electricity is used to compress the input hydrogen – none of its energetic value is transformed into output hydrogen. This value is not set to zero because doing so can introduce numerical instabilities to the model. ');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC',      'H2_COMP-10-100',      2050, 'H2_100', 0.01,'Open Energy Outlook (2021); The electricity is used to compress the input hydrogen – none of its energetic value is transformed into output hydrogen. This value is not set to zero because doing so can introduce numerical instabilities to the model. ');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC',      'H2_COMP-10-100',      2020, 'H2_100', 0.01,'Open Energy Outlook (2021); The electricity is used to compress the input hydrogen – none of its energetic value is transformed into output hydrogen. This value is not set to zero because doing so can introduce numerical instabilities to the model. ');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC',      'H2_COMP-10-100',      2030, 'H2_100', 0.01,'Open Energy Outlook (2021); The electricity is used to compress the input hydrogen – none of its energetic value is transformed into output hydrogen. This value is not set to zero because doing so can introduce numerical instabilities to the model. ');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC',      'H2_COMP-10-100',      2040, 'H2_100', 0.01,'Open Energy Outlook (2021); The electricity is used to compress the input hydrogen – none of its energetic value is transformed into output hydrogen. This value is not set to zero because doing so can introduce numerical instabilities to the model. ');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC',      'H2_COMP-10-100',      2050, 'H2_100', 0.01,'Open Energy Outlook (2021); The electricity is used to compress the input hydrogen – none of its energetic value is transformed into output hydrogen. This value is not set to zero because doing so can introduce numerical instabilities to the model. ');
INSERT INTO `Efficiency` VALUES ('PEI', 'ELC',      'H2_COMP-10-100',      2020, 'H2_100', 0.01,'Open Energy Outlook (2021); The electricity is used to compress the input hydrogen – none of its energetic value is transformed into output hydrogen. This value is not set to zero because doing so can introduce numerical instabilities to the model. ');
INSERT INTO `Efficiency` VALUES ('PEI', 'ELC',      'H2_COMP-10-100',      2030, 'H2_100', 0.01,'Open Energy Outlook (2021); The electricity is used to compress the input hydrogen – none of its energetic value is transformed into output hydrogen. This value is not set to zero because doing so can introduce numerical instabilities to the model. ');
INSERT INTO `Efficiency` VALUES ('PEI', 'ELC',      'H2_COMP-10-100',      2040, 'H2_100', 0.01,'Open Energy Outlook (2021); The electricity is used to compress the input hydrogen – none of its energetic value is transformed into output hydrogen. This value is not set to zero because doing so can introduce numerical instabilities to the model. ');
INSERT INTO `Efficiency` VALUES ('PEI', 'ELC',      'H2_COMP-10-100',      2050, 'H2_100', 0.01,'Open Energy Outlook (2021); The electricity is used to compress the input hydrogen – none of its energetic value is transformed into output hydrogen. This value is not set to zero because doing so can introduce numerical instabilities to the model. ');
INSERT INTO `Efficiency` VALUES ('NL', 'ELC',      'H2_COMP-10-100',      2020, 'H2_100', 0.01,'Open Energy Outlook (2021); The electricity is used to compress the input hydrogen – none of its energetic value is transformed into output hydrogen. This value is not set to zero because doing so can introduce numerical instabilities to the model. ');
INSERT INTO `Efficiency` VALUES ('NL', 'ELC',      'H2_COMP-10-100',      2030, 'H2_100', 0.01,'Open Energy Outlook (2021); The electricity is used to compress the input hydrogen – none of its energetic value is transformed into output hydrogen. This value is not set to zero because doing so can introduce numerical instabilities to the model. ');
INSERT INTO `Efficiency` VALUES ('NL', 'ELC',      'H2_COMP-10-100',      2040, 'H2_100', 0.01,'Open Energy Outlook (2021); The electricity is used to compress the input hydrogen – none of its energetic value is transformed into output hydrogen. This value is not set to zero because doing so can introduce numerical instabilities to the model. ');
INSERT INTO `Efficiency` VALUES ('NL', 'ELC',      'H2_COMP-10-100',      2050, 'H2_100', 0.01,'Open Energy Outlook (2021); The electricity is used to compress the input hydrogen – none of its energetic value is transformed into output hydrogen. This value is not set to zero because doing so can introduce numerical instabilities to the model. ');
INSERT INTO `Efficiency` VALUES ('NS', 'H2_100',   'H2_STORAGE',          2020, 'H2_100', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NS', 'H2_100',   'H2_STORAGE',          2030, 'H2_100', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NS', 'H2_100',   'H2_STORAGE',          2040, 'H2_100', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NS', 'H2_100',   'H2_STORAGE',          2050, 'H2_100', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NB', 'H2_100',   'H2_STORAGE',          2020, 'H2_100', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NB', 'H2_100',   'H2_STORAGE',          2030, 'H2_100', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NB', 'H2_100',   'H2_STORAGE',          2040, 'H2_100', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NB', 'H2_100',   'H2_STORAGE',          2050, 'H2_100', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('PEI', 'H2_100',   'H2_STORAGE',          2020, 'H2_100', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('PEI', 'H2_100',   'H2_STORAGE',          2030, 'H2_100', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('PEI', 'H2_100',   'H2_STORAGE',          2040, 'H2_100', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('PEI', 'H2_100',   'H2_STORAGE',          2050, 'H2_100', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NL', 'H2_100',   'H2_STORAGE',          2020, 'H2_100', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NL', 'H2_100',   'H2_STORAGE',          2030, 'H2_100', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NL', 'H2_100',   'H2_STORAGE',          2040, 'H2_100', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NL', 'H2_100',   'H2_STORAGE',          2050, 'H2_100', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC',      'E_AC-TO-DC',          2020, 'ELC_DC', 0.99,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC',      'E_AC-TO-DC',          2030, 'ELC_DC', 0.99,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC',      'E_AC-TO-DC',          2040, 'ELC_DC', 0.99,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC',      'E_AC-TO-DC',          2050, 'ELC_DC', 0.99,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC',      'E_AC-TO-DC',          2020, 'ELC_DC', 0.99,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC',      'E_AC-TO-DC',          2030, 'ELC_DC', 0.99,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC',      'E_AC-TO-DC',          2040, 'ELC_DC', 0.99,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC',      'E_AC-TO-DC',          2050, 'ELC_DC', 0.99,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('PEI', 'ELC',      'E_AC-TO-DC',          2020, 'ELC_DC', 0.99,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('PEI', 'ELC',      'E_AC-TO-DC',          2030, 'ELC_DC', 0.99,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('PEI', 'ELC',      'E_AC-TO-DC',          2040, 'ELC_DC', 0.99,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('PEI', 'ELC',      'E_AC-TO-DC',          2050, 'ELC_DC', 0.99,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NL', 'ELC',      'E_AC-TO-DC',          2020, 'ELC_DC', 0.99,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NL', 'ELC',      'E_AC-TO-DC',          2030, 'ELC_DC', 0.99,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NL', 'ELC',      'E_AC-TO-DC',          2040, 'ELC_DC', 0.99,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NL', 'ELC',      'E_AC-TO-DC',          2050, 'ELC_DC', 0.99,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NS', 'H2P',      'H2_distribution',     2020, 'H2_10', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NS', 'H2P',      'H2_distribution',     2030, 'H2_10', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NS', 'H2P',      'H2_distribution',     2040, 'H2_10', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NS', 'H2P',      'H2_distribution',     2050, 'H2_10', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NB', 'H2P',      'H2_distribution',     2020, 'H2_10', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NB', 'H2P',      'H2_distribution',     2030, 'H2_10', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NB', 'H2P',      'H2_distribution',     2040, 'H2_10', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NB', 'H2P',      'H2_distribution',     2050, 'H2_10', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('PEI', 'H2P',      'H2_distribution',     2020, 'H2_10', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('PEI', 'H2P',      'H2_distribution',     2030, 'H2_10', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('PEI', 'H2P',      'H2_distribution',     2040, 'H2_10', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('PEI', 'H2P',      'H2_distribution',     2050, 'H2_10', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NL', 'H2P',      'H2_distribution',     2020, 'H2_10', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NL', 'H2P',      'H2_distribution',     2030, 'H2_10', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NL', 'H2P',      'H2_distribution',     2040, 'H2_10', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NL', 'H2P',      'H2_distribution',     2050, 'H2_10', 1.0,'Open Energy Outlook (2021)');
INSERT INTO `Efficiency` VALUES ('NS', 'E_NG',     'H2_SMR-CCS',          2020, 'H2P', 0.69,'IEA The Future of Hydrogen Assumptions Annex');
INSERT INTO `Efficiency` VALUES ('NS', 'E_NG',     'H2_SMR-CCS',          2030, 'H2P', 0.69,'IEA The Future of Hydrogen Assumptions Annex');
INSERT INTO `Efficiency` VALUES ('NS', 'E_NG',     'H2_SMR-CCS',          2040, 'H2P', 0.69,'IEA The Future of Hydrogen Assumptions Annex');
INSERT INTO `Efficiency` VALUES ('NS', 'E_NG',     'H2_SMR-CCS',          2050, 'H2P', 0.69,'IEA The Future of Hydrogen Assumptions Annex');
INSERT INTO `Efficiency` VALUES ('NB', 'E_NG',     'H2_SMR-CCS',          2020, 'H2P', 0.69,'IEA The Future of Hydrogen Assumptions Annex');
INSERT INTO `Efficiency` VALUES ('NB', 'E_NG',     'H2_SMR-CCS',          2030, 'H2P', 0.69,'IEA The Future of Hydrogen Assumptions Annex');
INSERT INTO `Efficiency` VALUES ('NB', 'E_NG',     'H2_SMR-CCS',          2040, 'H2P', 0.69,'IEA The Future of Hydrogen Assumptions Annex');
INSERT INTO `Efficiency` VALUES ('NB', 'E_NG',     'H2_SMR-CCS',          2050, 'H2P', 0.69,'IEA The Future of Hydrogen Assumptions Annex');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_WIND-ON-1',         2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_WIND-ON-2',         2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_WIND-ON-3',         2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_WIND-ON-4',         2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_WIND-ON-1',         2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_WIND-ON-2',         2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_WIND-ON-3',         2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_WIND-ON-4',         2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_WIND-ON-1',         2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_WIND-ON-2',         2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_WIND-ON-3',         2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_WIND-ON-4',         2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_WIND-ON-1',         2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_WIND-ON-2',         2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_WIND-ON-3',         2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_WIND-ON-4',         2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_WIND-ON-1',         2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_WIND-ON-2',         2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_WIND-ON-3',         2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_WIND-ON-4',         2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_WIND-ON-1',         2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_WIND-ON-2',         2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_WIND-ON-3',         2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_WIND-ON-4',         2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_WIND-ON-1',         2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_WIND-ON-2',         2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_WIND-ON-3',         2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_WIND-ON-4',         2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_WIND-ON-1',         2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_WIND-ON-2',         2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_WIND-ON-3',         2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_WIND-ON-4',         2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_WIND-ON-1',         2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_WIND-ON-2',         2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_WIND-ON-3',         2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_WIND-ON-4',         2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_WIND-ON-1',         2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_WIND-ON-2',         2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_WIND-ON-3',         2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_WIND-ON-4',         2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_WIND-ON-1',         2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_WIND-ON-2',         2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_WIND-ON-3',         2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_WIND-ON-4',         2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_WIND-ON-1',         2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_WIND-ON-2',         2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_WIND-ON-3',         2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_WIND-ON-4',         2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_WIND-ON-1',         2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_WIND-ON-2',         2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_WIND-ON-1',         2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_WIND-ON-2',         2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_WIND-ON-1',         2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_WIND-ON-2',         2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_WIND-ON-1',         2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_WIND-ON-2',         2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_WIND-OFF',          2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_WIND-OFF',          2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_WIND-OFF',          2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_WIND-OFF',          2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_WIND-OFF',          2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_WIND-OFF',          2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_WIND-OFF',          2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_WIND-OFF',          2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_WIND-OFF',          2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_WIND-OFF',          2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_WIND-OFF',          2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_WIND-OFF',          2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_WIND-OFF',          2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_WIND-OFF',          2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_WIND-OFF',          2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_WIND-OFF',          2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_SOLPV-CEN',         2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_SOLPV-CEN',         2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_SOLPV-CEN',         2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_SOLPV-CEN',         2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_SOLPV-CEN',         2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_SOLPV-CEN',         2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_SOLPV-CEN',         2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_SOLPV-CEN',         2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_SOLPV-CEN',         2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_SOLPV-CEN',         2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_SOLPV-CEN',         2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_SOLPV-CEN',         2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_SOLPV-CEN',         2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_SOLPV-CEN',         2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_SOLPV-CEN',         2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_SOLPV-CEN',         2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_SOLPV-RES',         2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_SOLPV-RES',         2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_SOLPV-RES',         2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_SOLPV-RES',         2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_SOLPV-RES',         2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_SOLPV-RES',         2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_SOLPV-RES',         2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_SOLPV-RES',         2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_SOLPV-RES',         2020,'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_SOLPV-RES',         2030,'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_SOLPV-RES',         2040,'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_SOLPV-RES',         2050,'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_SOLPV-RES',         2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_SOLPV-RES',         2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_SOLPV-RES',         2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_SOLPV-RES',         2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_GEO-F',             2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_GEO-F',             2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_GEO-F',             2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_GEO-F',             2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_GEO-F',             2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_GEO-F',             2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_GEO-F',             2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_GEO-F',             2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_GEO-F',             2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_GEO-F',             2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_GEO-F',             2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_GEO-F',             2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_GEO-F',             2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_GEO-F',             2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_GEO-F',             2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_GEO-F',             2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_GEO-B',             2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_GEO-B',             2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_GEO-B',             2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ethos',  'E_GEO-B',             2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_GEO-B',             2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_GEO-B',             2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_GEO-B',             2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NB', 'ethos',  'E_GEO-B',             2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_GEO-B',             2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_GEO-B',             2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_GEO-B',             2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('PEI', 'ethos',  'E_GEO-B',             2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_GEO-B',             2020, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_GEO-B',             2030, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_GEO-B',             2040, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NL', 'ethos',  'E_GEO-B',             2050, 'ELC', 1.0,'2021 NREL ATB');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC',      'E_TRANS-DIST',        2020, 'D_ELEC', 0.9777,'Trottier Energy Futures Projec');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC',      'E_TRANS-DIST',        2030, 'D_ELEC', 0.9777,'Trottier Energy Futures Projec');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC',      'E_TRANS-DIST',        2040, 'D_ELEC', 0.9777,'Trottier Energy Futures Projec');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC',      'E_TRANS-DIST',        2050, 'D_ELEC', 0.9777,'Trottier Energy Futures Projec');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC',      'E_TRANS-DIST',        2020, 'D_ELEC', 0.9518,'Trottier Energy Futures Projec');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC',      'E_TRANS-DIST',        2030, 'D_ELEC', 0.9566,'Trottier Energy Futures Projec');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC',      'E_TRANS-DIST',        2040, 'D_ELEC', 0.9566,'Trottier Energy Futures Projec');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC',      'E_TRANS-DIST',        2050, 'D_ELEC', 0.9566,'Trottier Energy Futures Projec');
INSERT INTO `Efficiency` VALUES ('PEI', 'ELC',      'E_TRANS-DIST',        2020, 'D_ELEC', 0.9941,'Trottier Energy Futures Projec');
INSERT INTO `Efficiency` VALUES ('PEI', 'ELC',      'E_TRANS-DIST',        2030, 'D_ELEC', 0.9941,'Trottier Energy Futures Projec');
INSERT INTO `Efficiency` VALUES ('PEI', 'ELC',      'E_TRANS-DIST',        2040, 'D_ELEC', 0.9941,'Trottier Energy Futures Projec');
INSERT INTO `Efficiency` VALUES ('PEI', 'ELC',      'E_TRANS-DIST',        2050, 'D_ELEC', 0.9941,'Trottier Energy Futures Projec');
INSERT INTO `Efficiency` VALUES ('NL', 'ELC',      'E_TRANS-DIST',        2020, 'D_ELEC', 0.8676,'Trottier Energy Futures Projec; Trottier Energy Futures gives one value for NL and Lab. Here, we assign that value to NL and assign 1 to Lab.');
INSERT INTO `Efficiency` VALUES ('NL', 'ELC',      'E_TRANS-DIST',        2030, 'D_ELEC', 0.8719,'Trottier Energy Futures Projec; Trottier Energy Futures gives one value for NL and Lab. Here, we assign that value to NL and assign 1 to Lab.');
INSERT INTO `Efficiency` VALUES ('NL', 'ELC',      'E_TRANS-DIST',        2040, 'D_ELEC', 0.8719,'Trottier Energy Futures Projec; Trottier Energy Futures gives one value for NL and Lab. Here, we assign that value to NL and assign 1 to Lab.');
INSERT INTO `Efficiency` VALUES ('NL', 'ELC',      'E_TRANS-DIST',        2050, 'D_ELEC', 0.8719,'Trottier Energy Futures Projec; Trottier Energy Futures gives one value for NL and Lab. Here, we assign that value to NL and assign 1 to Lab.');
INSERT INTO `Efficiency` VALUES ('LAB', 'ELC',      'E_TRANS-DIST',        2020, 'D_ELEC', 1.0,'Trottier Energy Futures Projec; Trottier Energy Futures gives one value for NL and Lab. Here, we assign that value to NL and assign 1 to Lab.');
INSERT INTO `Efficiency` VALUES ('LAB', 'ELC',      'E_TRANS-DIST',        2030, 'D_ELEC', 1.0,'Trottier Energy Futures Projec; Trottier Energy Futures gives one value for NL and Lab. Here, we assign that value to NL and assign 1 to Lab.');
INSERT INTO `Efficiency` VALUES ('LAB', 'ELC',      'E_TRANS-DIST',        2040, 'D_ELEC', 1.0,'Trottier Energy Futures Projec; Trottier Energy Futures gives one value for NL and Lab. Here, we assign that value to NL and assign 1 to Lab.');
INSERT INTO `Efficiency` VALUES ('LAB', 'ELC',      'E_TRANS-DIST',        2050, 'D_ELEC', 1.0,'Trottier Energy Futures Projec; Trottier Energy Futures gives one value for NL and Lab. Here, we assign that value to NL and assign 1 to Lab.');
INSERT INTO `Efficiency` VALUES ('NS-NL', 'ELC',      'E_TRANS',             2020, 'ELC', 0.9517,'Trottier Energy Futures Projec; The Maritime Link has an efficiency of 95.17% (https://www.nspower.ca/oasis/maritime-link)');
INSERT INTO `Efficiency` VALUES ('NS-NL', 'ELC',      'E_TRANS',             2030, 'ELC', 0.9517,'Trottier Energy Futures Projec; The Maritime Link has an efficiency of 95.17% (https://www.nspower.ca/oasis/maritime-link)');
INSERT INTO `Efficiency` VALUES ('NS-NL', 'ELC',      'E_TRANS',             2040, 'ELC', 0.9517,'Trottier Energy Futures Projec; The Maritime Link has an efficiency of 95.17% (https://www.nspower.ca/oasis/maritime-link)');
INSERT INTO `Efficiency` VALUES ('NS-NL', 'ELC',      'E_TRANS',             2050, 'ELC', 0.9517,'Trottier Energy Futures Projec; The Maritime Link has an efficiency of 95.17% (https://www.nspower.ca/oasis/maritime-link)');
INSERT INTO `Efficiency` VALUES ('NL-NS', 'ELC',      'E_TRANS',             2020, 'ELC', 0.9517,'Trottier Energy Futures Projec; The Maritime Link has an efficiency of 95.17% (https://www.nspower.ca/oasis/maritime-link)');
INSERT INTO `Efficiency` VALUES ('NL-NS', 'ELC',      'E_TRANS',             2030, 'ELC', 0.9517,'Trottier Energy Futures Projec; The Maritime Link has an efficiency of 95.17% (https://www.nspower.ca/oasis/maritime-link)');
INSERT INTO `Efficiency` VALUES ('NL-NS', 'ELC',      'E_TRANS',             2040, 'ELC', 0.9517,'Trottier Energy Futures Projec; The Maritime Link has an efficiency of 95.17% (https://www.nspower.ca/oasis/maritime-link)');
INSERT INTO `Efficiency` VALUES ('NL-NS', 'ELC',      'E_TRANS',             2050, 'ELC', 0.9517,'Trottier Energy Futures Projec; The Maritime Link has an efficiency of 95.17% (https://www.nspower.ca/oasis/maritime-link)');
INSERT INTO `Efficiency` VALUES ('NS-NB', 'ELC',      'E_TRANS',             2020, 'ELC', 1.0,'Trottier Energy Futures Projec; Assumption. No data publicly available.');
INSERT INTO `Efficiency` VALUES ('NS-NB', 'ELC',      'E_TRANS',             2030, 'ELC', 1.0,'Trottier Energy Futures Projec; Assumption. No data publicly available.');
INSERT INTO `Efficiency` VALUES ('NS-NB', 'ELC',      'E_TRANS',             2040, 'ELC', 1.0,'Trottier Energy Futures Projec; Assumption. No data publicly available.');
INSERT INTO `Efficiency` VALUES ('NS-NB', 'ELC',      'E_TRANS',             2050, 'ELC', 1.0,'Trottier Energy Futures Projec; Assumption. No data publicly available.');
INSERT INTO `Efficiency` VALUES ('NB-NS', 'ELC',      'E_TRANS',             2020, 'ELC', 1.0,'Trottier Energy Futures Projec; Assumption. No data publicly available.');
INSERT INTO `Efficiency` VALUES ('NB-NS', 'ELC',      'E_TRANS',             2030, 'ELC', 1.0,'Trottier Energy Futures Projec; Assumption. No data publicly available.');
INSERT INTO `Efficiency` VALUES ('NB-NS', 'ELC',      'E_TRANS',             2040, 'ELC', 1.0,'Trottier Energy Futures Projec; Assumption. No data publicly available.');
INSERT INTO `Efficiency` VALUES ('NB-NS', 'ELC',      'E_TRANS',             2050, 'ELC', 1.0,'Trottier Energy Futures Projec; Assumption. No data publicly available.');
INSERT INTO `Efficiency` VALUES ('NB-PEI', 'ELC',      'E_TRANS',             2020, 'ELC', 1.0,'Trottier Energy Futures Projec; Assumption. No data publicly available.');
INSERT INTO `Efficiency` VALUES ('NB-PEI', 'ELC',      'E_TRANS',             2030, 'ELC', 1.0,'Trottier Energy Futures Projec; Assumption. No data publicly available.');
INSERT INTO `Efficiency` VALUES ('NB-PEI', 'ELC',      'E_TRANS',             2040, 'ELC', 1.0,'Trottier Energy Futures Projec; Assumption. No data publicly available.');
INSERT INTO `Efficiency` VALUES ('NB-PEI', 'ELC',      'E_TRANS',             2050, 'ELC', 1.0,'Trottier Energy Futures Projec; Assumption. No data publicly available.');
INSERT INTO `Efficiency` VALUES ('PEI-NB', 'ELC',      'E_TRANS',             2020, 'ELC', 1.0,'Trottier Energy Futures Projec; Assumption. No data publicly available.');
INSERT INTO `Efficiency` VALUES ('PEI-NB', 'ELC',      'E_TRANS',             2030, 'ELC', 1.0,'Trottier Energy Futures Projec; Assumption. No data publicly available.');
INSERT INTO `Efficiency` VALUES ('PEI-NB', 'ELC',      'E_TRANS',             2040, 'ELC', 1.0,'Trottier Energy Futures Projec; Assumption. No data publicly available.');
INSERT INTO `Efficiency` VALUES ('PEI-NB', 'ELC',      'E_TRANS',             2050, 'ELC', 1.0,'Trottier Energy Futures Projec; Assumption. No data publicly available.');






--------------------------- New Industry -------------------------


INSERT INTO `Efficiency` VALUES ('NB', 'ELC',    'BLND_ELCNGA',      2020, 'ELCNGA', 1.0,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC',    'BLND_ELCNGA',      2020, 'ELCNGA', 1.0,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NB', 'E_NG',     'BLND_ELCNGA',      2020, 'ELCNGA', 1.0,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NS', 'E_NG',     'BLND_ELCNGA',      2020, 'ELCNGA', 1.0,'OEO (New England)');



INSERT INTO `Efficiency` VALUES ('NB', 'ELCNGA',  'CO2_CAPTURE-ELCNGA',  2030, 'CO2_CAPTURED', 223.3332,'Keith -- Values in Keith (2018) are per ton of atmospheric co2 captured. ACES units are provided in per kt of co2 captured (assuming 51.16 kt CO2/PJ of NG).');
INSERT INTO `Efficiency` VALUES ('NB', 'ELCNGA',  'CO2_CAPTURE-ELCNGA',  2040, 'CO2_CAPTURED', 223.3332,'Keith -- Values in Keith (2018) are per ton of atmospheric co2 captured. ACES units are provided in per kt of co2 captured (assuming 51.16 kt CO2/PJ of NG).');
INSERT INTO `Efficiency` VALUES ('NB', 'ELCNGA',  'CO2_CAPTURE-ELCNGA',  2050, 'CO2_CAPTURED', 223.3332,'Keith -- Values in Keith (2018) are per ton of atmospheric co2 captured. ACES units are provided in per kt of co2 captured (assuming 51.16 kt CO2/PJ of NG).');
INSERT INTO `Efficiency` VALUES ('NS', 'ELCNGA',  'CO2_CAPTURE-ELCNGA',  2030, 'CO2_CAPTURED', 223.3332,'Keith -- Values in Keith (2018) are per ton of atmospheric co2 captured. ACES units are provided in per kt of co2 captured (assuming 51.16 kt CO2/PJ of NG).');
INSERT INTO `Efficiency` VALUES ('NS', 'ELCNGA',  'CO2_CAPTURE-ELCNGA',  2040, 'CO2_CAPTURED', 223.3332,'Keith -- Values in Keith (2018) are per ton of atmospheric co2 captured. ACES units are provided in per kt of co2 captured (assuming 51.16 kt CO2/PJ of NG).');
INSERT INTO `Efficiency` VALUES ('NS', 'ELCNGA',  'CO2_CAPTURE-ELCNGA',  2050, 'CO2_CAPTURED', 223.3332,'Keith -- Values in Keith (2018) are per ton of atmospheric co2 captured. ACES units are provided in per kt of co2 captured (assuming 51.16 kt CO2/PJ of NG).');
INSERT INTO `Efficiency` VALUES ('NB', 'E_NG',     'CO2_CAPTURE-NGA',     2030, 'CO2_CAPTURED', 158.1564,'Keith -- Values in Keith (2018) are per ton of atmospheric co2 captured. ACES units are provided in per kt of co2 captured (taking into account the co2 captured from the NG feedstock).');
INSERT INTO `Efficiency` VALUES ('NB', 'E_NG',     'CO2_CAPTURE-NGA',     2040, 'CO2_CAPTURED', 158.1564,'Keith -- Values in Keith (2018) are per ton of atmospheric co2 captured. ACES units are provided in per kt of co2 captured (taking into account the co2 captured from the NG feedstock).');
INSERT INTO `Efficiency` VALUES ('NB', 'E_NG',     'CO2_CAPTURE-NGA',     2050, 'CO2_CAPTURED', 158.1564,'Keith -- Values in Keith (2018) are per ton of atmospheric co2 captured. ACES units are provided in per kt of co2 captured (taking into account the co2 captured from the NG feedstock).');
INSERT INTO `Efficiency` VALUES ('NS', 'E_NG',     'CO2_CAPTURE-NGA',     2030, 'CO2_CAPTURED', 158.1564,'Keith -- Values in Keith (2018) are per ton of atmospheric co2 captured. ACES units are provided in per kt of co2 captured (taking into account the co2 captured from the NG feedstock).');
INSERT INTO `Efficiency` VALUES ('NS', 'E_NG',     'CO2_CAPTURE-NGA',     2040, 'CO2_CAPTURED', 158.1564,'Keith -- Values in Keith (2018) are per ton of atmospheric co2 captured. ACES units are provided in per kt of co2 captured (taking into account the co2 captured from the NG feedstock).');
INSERT INTO `Efficiency` VALUES ('NS', 'E_NG',     'CO2_CAPTURE-NGA',     2050, 'CO2_CAPTURED', 158.1564,'Keith -- Values in Keith (2018) are per ton of atmospheric co2 captured. ACES units are provided in per kt of co2 captured (taking into account the co2 captured from the NG feedstock).');
INSERT INTO `Efficiency` VALUES ('NB', 'E_NG',     'CO2_CAPTURE-NGA-1STGEN',     2030, 'CO2_CAPTURED', 158.1564,'Keith -- Values in Keith (2018) are per ton of atmospheric co2 captured. ACES units are provided in per kt of co2 captured (taking into account the co2 captured from the NG feedstock).');
INSERT INTO `Efficiency` VALUES ('NB', 'E_NG',     'CO2_CAPTURE-NGA-1STGEN',     2040, 'CO2_CAPTURED', 158.1564,'Keith -- Values in Keith (2018) are per ton of atmospheric co2 captured. ACES units are provided in per kt of co2 captured (taking into account the co2 captured from the NG feedstock).');
INSERT INTO `Efficiency` VALUES ('NB', 'E_NG',     'CO2_CAPTURE-NGA-1STGEN',     2050, 'CO2_CAPTURED', 158.1564,'Keith -- Values in Keith (2018) are per ton of atmospheric co2 captured. ACES units are provided in per kt of co2 captured (taking into account the co2 captured from the NG feedstock).');
INSERT INTO `Efficiency` VALUES ('NS', 'E_NG',     'CO2_CAPTURE-NGA-1STGEN',     2030, 'CO2_CAPTURED', 158.1564,'Keith -- Values in Keith (2018) are per ton of atmospheric co2 captured. ACES units are provided in per kt of co2 captured (taking into account the co2 captured from the NG feedstock).');
INSERT INTO `Efficiency` VALUES ('NS', 'E_NG',     'CO2_CAPTURE-NGA-1STGEN',     2040, 'CO2_CAPTURED', 158.1564,'Keith -- Values in Keith (2018) are per ton of atmospheric co2 captured. ACES units are provided in per kt of co2 captured (taking into account the co2 captured from the NG feedstock).');
INSERT INTO `Efficiency` VALUES ('NS', 'E_NG',     'CO2_CAPTURE-NGA-1STGEN',     2050, 'CO2_CAPTURED', 158.1564,'Keith -- Values in Keith (2018) are per ton of atmospheric co2 captured. ACES units are provided in per kt of co2 captured (taking into account the co2 captured from the NG feedstock).');
INSERT INTO `Efficiency` VALUES ('NB', 'CO2_CAPTURED', 'CO2_ROUTER',          2020, 'CO2_TO_GROUND', 1.0,' ');
INSERT INTO `Efficiency` VALUES ('NS', 'CO2_CAPTURED', 'CO2_ROUTER',          2020, 'CO2_TO_GROUND', 1.0,' ');
INSERT INTO `Efficiency` VALUES ('PEI', 'CO2_CAPTURED', 'CO2_ROUTER',          2020, 'CO2_TO_GROUND', 1.0,' ');
INSERT INTO `Efficiency` VALUES ('NL', 'CO2_CAPTURED', 'CO2_ROUTER',          2020, 'CO2_TO_GROUND', 1.0,' ');
INSERT INTO `Efficiency` VALUES ('NB', 'CO2_CAPTURED', 'CO2_ROUTER',          2020, 'CO2_TO_FUEL', 1.0,' ');
INSERT INTO `Efficiency` VALUES ('NS', 'CO2_CAPTURED', 'CO2_ROUTER',          2020, 'CO2_TO_FUEL', 1.0,' ');
INSERT INTO `Efficiency` VALUES ('NB', 'CO2_TO_GROUND', 'CO2_TRNSPSEQ',        2020, 'CO2_SEQ', 1.0,' ');
INSERT INTO `Efficiency` VALUES ('NB', 'CO2_TO_GROUND', 'CO2_TRNSPSEQ',        2030, 'CO2_SEQ', 1.0,' ');
INSERT INTO `Efficiency` VALUES ('NB', 'CO2_TO_GROUND', 'CO2_TRNSPSEQ',        2040, 'CO2_SEQ', 1.0,' ');
INSERT INTO `Efficiency` VALUES ('NB', 'CO2_TO_GROUND', 'CO2_TRNSPSEQ',        2050, 'CO2_SEQ', 1.0,' ');
INSERT INTO `Efficiency` VALUES ('NS', 'CO2_TO_GROUND', 'CO2_TRNSPSEQ',        2020, 'CO2_SEQ', 1.0,' ');
INSERT INTO `Efficiency` VALUES ('NS', 'CO2_TO_GROUND', 'CO2_TRNSPSEQ',        2030, 'CO2_SEQ', 1.0,' ');
INSERT INTO `Efficiency` VALUES ('NS', 'CO2_TO_GROUND', 'CO2_TRNSPSEQ',        2040, 'CO2_SEQ', 1.0,' ');
INSERT INTO `Efficiency` VALUES ('NS', 'CO2_TO_GROUND', 'CO2_TRNSPSEQ',        2050, 'CO2_SEQ', 1.0,' ');
INSERT INTO `Efficiency` VALUES ('NB', 'CO2_TO_FUEL', 'SNGSYN',              2020, 'SNG_20', 0.01,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NB', 'CO2_TO_FUEL', 'SNGSYN',              2030, 'SNG_20', 0.01,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NB', 'CO2_TO_FUEL', 'SNGSYN',              2040, 'SNG_20', 0.01,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NB', 'CO2_TO_FUEL', 'SNGSYN',              2050, 'SNG_20', 0.01,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NS', 'CO2_TO_FUEL', 'SNGSYN',              2020, 'SNG_20', 0.01,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NS', 'CO2_TO_FUEL', 'SNGSYN',              2030, 'SNG_20', 0.01,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NS', 'CO2_TO_FUEL', 'SNGSYN',              2040, 'SNG_20', 0.01,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NS', 'CO2_TO_FUEL', 'SNGSYN',              2050, 'SNG_20', 0.01,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NB', 'H2_100',   'SNGSYN',              2020, 'SNG_20', 0.8,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NB', 'H2_100',   'SNGSYN',              2030, 'SNG_20', 0.81,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NB', 'H2_100',   'SNGSYN',              2040, 'SNG_20', 0.81,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NB', 'H2_100',   'SNGSYN',              2050, 'SNG_20', 0.81,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NS', 'H2_100',   'SNGSYN',              2020, 'SNG_20', 0.8,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NS', 'H2_100',   'SNGSYN',              2030, 'SNG_20', 0.81,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NS', 'H2_100',   'SNGSYN',              2040, 'SNG_20', 0.81,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NS', 'H2_100',   'SNGSYN',              2050, 'SNG_20', 0.81,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NB', 'SNG_20',   'SNG_COMP-20-100',     2020, 'SNG_100', 0.98,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NB', 'SNG_20',   'SNG_COMP-20-100',     2030, 'SNG_100', 0.98,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NB', 'SNG_20',   'SNG_COMP-20-100',     2040, 'SNG_100', 0.98,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NB', 'SNG_20',   'SNG_COMP-20-100',     2050, 'SNG_100', 0.98,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NS', 'SNG_20',   'SNG_COMP-20-100',     2020, 'SNG_100', 0.98,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NS', 'SNG_20',   'SNG_COMP-20-100',     2030, 'SNG_100', 0.98,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NS', 'SNG_20',   'SNG_COMP-20-100',     2040, 'SNG_100', 0.98,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NS', 'SNG_20',   'SNG_COMP-20-100',     2050, 'SNG_100', 0.98,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC',    'SNG_COMP-20-100',     2020, 'SNG_100', 0.01,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC',    'SNG_COMP-20-100',     2030, 'SNG_100', 0.01,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC',    'SNG_COMP-20-100',     2040, 'SNG_100', 0.01,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NB', 'ELC',    'SNG_COMP-20-100',     2050, 'SNG_100', 0.01,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC',    'SNG_COMP-20-100',     2020, 'SNG_100', 0.01,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC',    'SNG_COMP-20-100',     2030, 'SNG_100', 0.01,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC',    'SNG_COMP-20-100',     2040, 'SNG_100', 0.01,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NS', 'ELC',    'SNG_COMP-20-100',     2050, 'SNG_100', 0.01,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NB', 'SNG_100',  'SNG_ROUTER',          2020, 'E_NG', 1.0,' ');
INSERT INTO `Efficiency` VALUES ('NS', 'SNG_100',  'SNG_ROUTER',          2020, 'E_NG', 1.0,' ');
INSERT INTO `Efficiency` VALUES ('NB', 'E_NG-PREH2', 'H2_BLND_NG_E',        2020, 'E_NG', 1.0,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NS', 'E_NG-PREH2', 'H2_BLND_NG_E',        2020, 'E_NG', 1.0,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NB', 'H2_100',   'H2_BLND_NG_E',        2020, 'E_NG', 1.0,'OEO (New England)');
INSERT INTO `Efficiency` VALUES ('NS', 'H2_100',   'H2_BLND_NG_E',        2020, 'E_NG', 1.0,'OEO (New England)');

INSERT INTO `Efficiency` VALUES ('PEI', 'CO2_TO_GROUND', 'CO2_TRNSPSEQ',        2020, 'CO2_SEQ', 1.0,' ');
INSERT INTO `Efficiency` VALUES ('PEI', 'CO2_TO_GROUND', 'CO2_TRNSPSEQ',        2030, 'CO2_SEQ', 1.0,' ');
INSERT INTO `Efficiency` VALUES ('PEI', 'CO2_TO_GROUND', 'CO2_TRNSPSEQ',        2040, 'CO2_SEQ', 1.0,' ');
INSERT INTO `Efficiency` VALUES ('PEI', 'CO2_TO_GROUND', 'CO2_TRNSPSEQ',        2050, 'CO2_SEQ', 1.0,' ');
INSERT INTO `Efficiency` VALUES ('NL', 'CO2_TO_GROUND', 'CO2_TRNSPSEQ',        2020, 'CO2_SEQ', 1.0,' ');
INSERT INTO `Efficiency` VALUES ('NL', 'CO2_TO_GROUND', 'CO2_TRNSPSEQ',        2030, 'CO2_SEQ', 1.0,' ');
INSERT INTO `Efficiency` VALUES ('NL', 'CO2_TO_GROUND', 'CO2_TRNSPSEQ',        2040, 'CO2_SEQ', 1.0,' ');
INSERT INTO `Efficiency` VALUES ('NL', 'CO2_TO_GROUND', 'CO2_TRNSPSEQ',        2050, 'CO2_SEQ', 1.0,' ');













CREATE TABLE IF NOT EXISTS "EfficiencyVariable" (
	"regions"	text,
	"input_comm"	text,
	"tech"	text,
	"season_name"	text,
	"time_of_day_name"	text,
	"output_comm"	text,
	"efficiencyvar"	real CHECK("efficiencyvar" > 0),
	"source"	text,
	"eff_notes"	text,
	PRIMARY KEY("regions","input_comm","tech","season_name","time_of_day_name","output_comm"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech"),
	FOREIGN KEY("season_name") REFERENCES "time_season"("t_season"),
	FOREIGN KEY("output_comm") REFERENCES "commodities"("comm_name"),
	FOREIGN KEY("time_of_day_name") REFERENCES "time_of_day"("t_day"),
	FOREIGN KEY("input_comm") REFERENCES "commodities"("comm_name")
);





CREATE TABLE IF NOT EXISTS "EmploymentPerCapacity" (
	"regions"	text NOT NULL,
	"periods"	integer NOT NULL,
	"tech"	text NOT NULL,
	"vintage"	integer NOT NULL,
	"employment_cap"	real,
	"employment_cap_units"	text,
	"employment_cap_notes"	text,
	FOREIGN KEY("tech") REFERENCES "technologies"("tech"),
	PRIMARY KEY("regions","periods","tech","vintage"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("vintage") REFERENCES "time_periods"("t_periods")
);


INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2020,'E_HFO-CT_EX',				1991,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');;
INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2020,'E_COAL-BIT_EX-1',		1980,0.3349,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2020,'E_NGACC_EX',					1977,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2020,'E_NG-COGEN_EX',			1975,1.711,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2020,'E_NUC-LWR_EX',				1980,0.513,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2020,'E_DIESEL-CT_EX',			1976,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2020,'E_DIESEL-CT_EX',			1981,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2020,'E_BIO-COGEN_EX',			2000,0.346,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2020,'E_HYDRO-LIMDSP_EX',	2000,0.08,'k jobs/GW','Pai, Sandeep, et al. "Meeting well-below 2° C target would increase energy sector jobs globally." (2021)');
iNSERT INTO `EmploymentPerCapacity` VALUES ('NB',2020,'E_WIND-ON_EX',				2009,0.894,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2020,'E_WIND-ON_EX',				2011,0.894,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2020,'E_WIND-ON_EX',				2019,0.894,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');


INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2030,'E_HFO-CT_EX',				1991,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');;
INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2030,'E_NUC-LWR_EX',				1980,0.513,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2030,'E_DIESEL-CT_EX',			1981,1.711,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2030,'E_BIO-COGEN_EX',			2000,0.346,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2030,'E_HYDRO-LIMDSP_EX',	2000,0.08,'k jobs/GW','Pai, Sandeep, et al. "Meeting well-below 2° C target would increase energy sector jobs globally." (2021)');
iNSERT INTO `EmploymentPerCapacity` VALUES ('NB',2030,'E_WIND-ON_EX',				2009,0.894,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2030,'E_WIND-ON_EX',				2011,0.894,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2030,'E_WIND-ON_EX',				2019,0.894,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');


INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2040,'E_HFO-CT_EX',				1991,1.711,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2040,'E_BIO-COGEN_EX',			2000,0.346,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2040,'E_HYDRO-LIMDSP_EX',	2000,0.08,'k jobs/GW','Pai, Sandeep, et al. "Meeting well-below 2° C target would increase energy sector jobs globally." (2021)');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2040,'E_WIND-ON_EX',				2011,0.8942,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2040,'E_WIND-ON_EX',				2019,0.8942,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');


INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2050,'E_BIO-COGEN_EX',			2000,0.346,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB',2050,'E_HYDRO-LIMDSP_EX',	2000,0.08,'k jobs/GW','Pai, Sandeep, et al. "Meeting well-below 2° C target would increase energy sector jobs globally." (2021)');




INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2020,'E_COAL-BIT_EX-1',	1971,1.0249,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2020,'E_COAL-BIT_EX-1',	1980,0.3349,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2020,'E_COAL-BIT_EX-2',	1980,0.3349,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2020,'E_COAL-BIT_EX-3',	1980,0.3349,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2020,'E_COAL-COKE_EX',		1980,0.3349,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2020,'E_NGACT_EX',				2000,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2020,'E_NGACC_EX',				2010,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2020,'E_DIESEL-CT_EX',		2000,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2020,'E_BIO-COGEN_EX',		2000,0.346,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2020,'E_BIO_EX',					2000,0.346,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2020,'E_WIND-ON_EX',			2005,0.8942,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2020,'E_WIND-ON_EX',			2010,0.8942,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2020,'E_WIND-ON_EX',			2012,0.8942,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2020,'E_WIND-ON_EX',			2015,0.8942,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2020,'E_HYDRO-LIMDSP_EX',2000,0.08,'k jobs/GW','Pai, Sandeep, et al. "Meeting well-below 2° C target would increase energy sector jobs globally." (2021)');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2020,'E_HYDRO-DSP_EX',		2000,0.08,'k jobs/GW','Pai, Sandeep, et al. "Meeting well-below 2° C target would increase energy sector jobs globally." (2021)');



INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2030,'E_NGACT_EX',				2000,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2030,'E_NGACC_EX',				2010,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2030,'E_DIESEL-CT_EX',		2000,0.123,'k jobs/GW','Dolte	r, Rivers (2019)');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2030,'E_BIO-COGEN_EX',		2000,0.346,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2030,'E_BIO_EX',					2000,0.346,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2030,'E_WIND-ON_EX',			2005,0.8942,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2030,'E_WIND-ON_EX',			2010,0.8942,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2030,'E_WIND-ON_EX',			2012,0.8942,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2030,'E_WIND-ON_EX',			2015,0.8942,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2030,'E_HYDRO-LIMDSP_EX',2000,0.08,'k jobs/GW','Pai, Sandeep, et al. "Meeting well-below 2° C target would increase energy sector jobs globally." (2021)');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2030,'E_HYDRO-DSP_EX',		2000,0.08,'k jobs/GW','Pai, Sandeep, et al. "Meeting well-below 2° C target would increase energy sector jobs globally." (2021)');


INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2040,'E_NGACT_EX',				2000,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2040,'E_NGACC_EX',				2010,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2040,'E_DIESEL-CT_EX',		2000,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2040,'E_BIO-COGEN_EX',		2000,0.346,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2040,'E_BIO_EX',					2000,0.346,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2040,'E_WIND-ON_EX',			2012,0.8942,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2040,'E_WIND-ON_EX',			2015,0.8942,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2040,'E_HYDRO-LIMDSP_EX',2000,0.08,'k jobs/GW','Pai, Sandeep, et al. "Meeting well-below 2° C target would increase energy sector jobs globally." (2021)');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2040,'E_HYDRO-DSP_EX',		2000,0.08,'k jobs/GW','Pai, Sandeep, et al. "Meeting well-below 2° C target would increase energy sector jobs globally." (2021)');


INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2050,'E_NGACT_EX',				2000,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2050,'E_NGACC_EX',				2010,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2050,'E_DIESEL-CT_EX',		2000,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2050,'E_BIO-COGEN_EX',		2000,0.346,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2050,'E_BIO_EX',					2000,0.346,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2050,'E_HYDRO-LIMDSP_EX',2000,0.08,'k jobs/GW','Pai, Sandeep, et al. "Meeting well-below 2° C target would increase energy sector jobs globally." (2021)');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS',2050,'E_HYDRO-DSP_EX',		2000,0.08,'k jobs/GW','Pai, Sandeep, et al. "Meeting well-below 2° C target would increase energy sector jobs globally." (2021)');





INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2020,'E_DIESEL-CT_EX',			1979,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2020,'E_DIESEL-CT_EX',			2004,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2030,'E_DIESEL-CT_EX',			2004,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2040,'E_DIESEL-CT_EX',			2004,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2050,'E_DIESEL-CT_EX',			2004,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');



INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2020,'E_WIND-ON_EX',			2001,0.8942,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2020,'E_WIND-ON_EX',			2006,0.8942,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2020,'E_WIND-ON_EX',			2011,0.8942,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2030,'E_WIND-ON_EX',			2001,0.8942,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2030,'E_WIND-ON_EX',			2006,0.8942,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2030,'E_WIND-ON_EX',			2011,0.8942,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2040,'E_WIND-ON_EX',			2011,0.8942,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');


INSERT INTO `EmploymentPerCapacity` VALUES ('NL',2020,'E_DIESEL-CT_EX',		2001,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL',2020,'E_WIND-ON_EX',			2009,0.8942,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL',2020,'E_HYDRO-DSP_EX',		2000,0.08,'k jobs/GW','Pai, Sandeep, et al. "Meeting well-below 2° C target would increase energy sector jobs globally." (2021)');


INSERT INTO `EmploymentPerCapacity` VALUES ('NL',2030,'E_DIESEL-CT_EX',		2001,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL',2030,'E_WIND-ON_EX',			2009,0.8942,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL',2030,'E_HYDRO-DSP_EX',		2000,0.08,'k jobs/GW','Pai, Sandeep, et al. "Meeting well-below 2° C target would increase energy sector jobs globally." (2021)');


INSERT INTO `EmploymentPerCapacity` VALUES ('NL',2040,'E_DIESEL-CT_EX',		2001,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL',2040,'E_HYDRO-DSP_EX',		2000,0.08,'k jobs/GW','Pai, Sandeep, et al. "Meeting well-below 2° C target would increase energy sector jobs globally." (2021)');


INSERT INTO `EmploymentPerCapacity` VALUES ('NL',2050,'E_DIESEL-CT_EX',		2001,0.123,'k jobs/GW','Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL',2050,'E_HYDRO-DSP_EX',		2000,0.08,'k jobs/GW','Pai, Sandeep, et al. "Meeting well-below 2° C target would increase energy sector jobs globally." (2021)');




INSERT INTO `EmploymentPerCapacity` VALUES ('LAB',2020,'E_HYDRO-LIMDSP_EX',2000,0.08,'k jobs/GW','Pai, Sandeep, et al. "Meeting well-below 2° C target would increase energy sector jobs globally." (2021)');
INSERT INTO `EmploymentPerCapacity` VALUES ('LAB',2030,'E_HYDRO-LIMDSP_EX',2000,0.08,'k jobs/GW','Pai, Sandeep, et al. "Meeting well-below 2° C target would increase energy sector jobs globally." (2021)');
INSERT INTO `EmploymentPerCapacity` VALUES ('LAB',2040,'E_HYDRO-LIMDSP_EX',2000,0.08,'k jobs/GW','Pai, Sandeep, et al. "Meeting well-below 2° C target would increase energy sector jobs globally." (2021)');
INSERT INTO `EmploymentPerCapacity` VALUES ('LAB',2050,'E_HYDRO-LIMDSP_EX',2000,0.08,'k jobs/GW','Pai, Sandeep, et al. "Meeting well-below 2° C target would increase energy sector jobs globally." (2021)');

INSERT INTO `EmploymentPerCapacity` VALUES ('LAB',2020,'E_HYDRO-ROR_EX',2000,0.08,'k jobs/GW','Pai, Sandeep, et al. "Meeting well-below 2° C target would increase energy sector jobs globally." (2021)');
INSERT INTO `EmploymentPerCapacity` VALUES ('LAB',2030,'E_HYDRO-ROR_EX',2000,0.08,'k jobs/GW','Pai, Sandeep, et al. "Meeting well-below 2° C target would increase energy sector jobs globally." (2021)');
INSERT INTO `EmploymentPerCapacity` VALUES ('LAB',2040,'E_HYDRO-ROR_EX',2000,0.08,'k jobs/GW','Pai, Sandeep, et al. "Meeting well-below 2° C target would increase energy sector jobs globally." (2021)');
INSERT INTO `EmploymentPerCapacity` VALUES ('LAB',2050,'E_HYDRO-ROR_EX',2000,0.08,'k jobs/GW','Pai, Sandeep, et al. "Meeting well-below 2° C target would increase energy sector jobs globally." (2021)');




INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2020, 'E_WIND-ON-1',         2020, 1.157,         'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2020, 'E_WIND-ON-2',         2020, 1.157,         'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2020, 'E_WIND-ON-3',         2020, 1.157,         'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2020, 'E_WIND-ON-4',         2020, 1.157,         'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_WIND-ON-1',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_WIND-ON-2',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_WIND-ON-3',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_WIND-ON-4',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_WIND-ON-1',         2030, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_WIND-ON-2',         2030, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_WIND-ON-3',         2030, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_WIND-ON-4',         2030, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_WIND-ON-1',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_WIND-ON-2',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_WIND-ON-3',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_WIND-ON-4',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_WIND-ON-1',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_WIND-ON-2',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_WIND-ON-3',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_WIND-ON-4',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_WIND-ON-1',         2040, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_WIND-ON-2',         2040, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_WIND-ON-3',         2040, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_WIND-ON-4',         2040, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_WIND-ON-1',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_WIND-ON-2',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_WIND-ON-3',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_WIND-ON-4',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_WIND-ON-1',         2040, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_WIND-ON-2',         2040, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_WIND-ON-3',         2040, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_WIND-ON-4',         2040, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_WIND-ON-1',         2050, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_WIND-ON-2',         2050, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_WIND-ON-3',         2050, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_WIND-ON-4',         2050, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2020, 'E_WIND-ON-1',         2020, 1.157,         'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2020, 'E_WIND-ON-2',         2020, 1.157,         'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2020, 'E_WIND-ON-3',         2020, 1.157,         'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2020, 'E_WIND-ON-4',         2020, 1.157,         'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_WIND-ON-1',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_WIND-ON-2',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_WIND-ON-3',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_WIND-ON-4',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_WIND-ON-1',         2030, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_WIND-ON-2',         2030, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_WIND-ON-3',         2030, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_WIND-ON-4',         2030, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_WIND-ON-1',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_WIND-ON-2',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_WIND-ON-3',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_WIND-ON-4',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_WIND-ON-1',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_WIND-ON-2',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_WIND-ON-3',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_WIND-ON-4',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_WIND-ON-1',         2040, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_WIND-ON-2',         2040, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_WIND-ON-3',         2040, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_WIND-ON-4',         2040, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_WIND-ON-1',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_WIND-ON-2',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_WIND-ON-3',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_WIND-ON-4',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_WIND-ON-1',         2040, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_WIND-ON-2',         2040, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_WIND-ON-3',         2040, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_WIND-ON-4',         2040, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_WIND-ON-1',         2050, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_WIND-ON-2',         2050, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_WIND-ON-3',         2050, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_WIND-ON-4',         2050, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2020, 'E_WIND-ON-1',         2020, 1.157,         'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2020, 'E_WIND-ON-2',         2020, 1.157,         'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2020, 'E_WIND-ON-3',         2020, 1.157,         'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2020, 'E_WIND-ON-4',         2020, 1.157,         'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2030, 'E_WIND-ON-1',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2030, 'E_WIND-ON-2',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2030, 'E_WIND-ON-3',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2030, 'E_WIND-ON-4',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2030, 'E_WIND-ON-1',         2030, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2030, 'E_WIND-ON-2',         2030, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2030, 'E_WIND-ON-3',         2030, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2030, 'E_WIND-ON-4',         2030, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2040, 'E_WIND-ON-1',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2040, 'E_WIND-ON-2',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2040, 'E_WIND-ON-3',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2040, 'E_WIND-ON-4',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2040, 'E_WIND-ON-1',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2040, 'E_WIND-ON-2',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2040, 'E_WIND-ON-3',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2040, 'E_WIND-ON-4',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2040, 'E_WIND-ON-1',         2040, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2040, 'E_WIND-ON-2',         2040, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2040, 'E_WIND-ON-3',         2040, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2040, 'E_WIND-ON-4',         2040, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2050, 'E_WIND-ON-1',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2050, 'E_WIND-ON-2',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2050, 'E_WIND-ON-3',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2050, 'E_WIND-ON-4',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2050, 'E_WIND-ON-1',         2040, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2050, 'E_WIND-ON-2',         2040, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2050, 'E_WIND-ON-3',         2040, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2050, 'E_WIND-ON-4',         2040, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2050, 'E_WIND-ON-1',         2050, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2050, 'E_WIND-ON-2',         2050, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2050, 'E_WIND-ON-3',         2050, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2050, 'E_WIND-ON-4',         2050, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2020, 'E_WIND-ON-1',         2020, 1.157,         'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2020, 'E_WIND-ON-2',         2020, 1.157,         'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2030, 'E_WIND-ON-1',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2030, 'E_WIND-ON-2',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2030, 'E_WIND-ON-1',         2030, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2030, 'E_WIND-ON-2',         2030, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_WIND-ON-1',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_WIND-ON-2',         2020, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_WIND-ON-1',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_WIND-ON-2',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_WIND-ON-1',         2040, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_WIND-ON-2',         2040, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_WIND-ON-1',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_WIND-ON-2',         2030, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_WIND-ON-1',         2040, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_WIND-ON-2',         2040, 0.894,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_WIND-ON-1',         2050, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_WIND-ON-2',         2050, 1.157,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');







INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2020, 'E_WIND-OFF',          2020, 1.157,      'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_WIND-OFF',          2020, 0.894,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_WIND-OFF',          2030, 1.157,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_WIND-OFF',          2020, 0.894,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_WIND-OFF',          2030, 0.894,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_WIND-OFF',          2040, 1.157,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_WIND-OFF',          2030, 0.894,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_WIND-OFF',          2040, 0.894,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_WIND-OFF',          2050, 1.157,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2020, 'E_WIND-OFF',          2020, 1.157,      'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_WIND-OFF',          2020, 0.894,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_WIND-OFF',          2030, 1.157,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_WIND-OFF',          2020, 0.894,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_WIND-OFF',          2030, 0.894,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_WIND-OFF',          2040, 1.157,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_WIND-OFF',          2030, 0.894,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_WIND-OFF',          2040, 0.894,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_WIND-OFF',          2050, 1.157,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2020, 'E_WIND-OFF',          2020, 1.157,      'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2030, 'E_WIND-OFF',          2020, 0.894,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2030, 'E_WIND-OFF',          2030, 1.157,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2040, 'E_WIND-OFF',          2020, 0.894,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2040, 'E_WIND-OFF',          2030, 0.894,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2040, 'E_WIND-OFF',          2040, 1.157,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2050, 'E_WIND-OFF',          2030, 0.894,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2050, 'E_WIND-OFF',          2040, 0.894,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2050, 'E_WIND-OFF',          2050, 1.157,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2020, 'E_WIND-OFF',          2020, 1.157,      'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2030, 'E_WIND-OFF',          2020, 0.894,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2030, 'E_WIND-OFF',          2030, 1.157,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_WIND-OFF',          2020, 0.894,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_WIND-OFF',          2030, 0.894,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_WIND-OFF',          2040, 1.157,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_WIND-OFF',          2030, 0.894,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_WIND-OFF',          2040, 0.894,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_WIND-OFF',          2050, 1.157,       'k jobs/GW', 'Mayfield et al. do not provide data for this technology. Assume it is the same as onshore wind.');






INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2020, 'E_SOLPV-CEN',         2020, 6.916,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_SOLPV-CEN',         2020, 0.448,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_SOLPV-CEN',         2030, 6.916,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_SOLPV-CEN',         2020, 0.448,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_SOLPV-CEN',         2030, 0.448,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_SOLPV-CEN',         2040, 6.916,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_SOLPV-CEN',         2030, 0.448,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_SOLPV-CEN',         2040, 0.448,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_SOLPV-CEN',         2050, 6.916,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2020, 'E_SOLPV-CEN',         2020, 6.916,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_SOLPV-CEN',         2020, 0.448,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_SOLPV-CEN',         2030, 6.916,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_SOLPV-CEN',         2020, 0.448,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_SOLPV-CEN',         2030, 0.448,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_SOLPV-CEN',         2040, 6.916,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_SOLPV-CEN',         2030, 0.448,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_SOLPV-CEN',         2040, 0.448,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_SOLPV-CEN',         2050, 6.916,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2020, 'E_SOLPV-CEN',         2020, 6.916,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2030, 'E_SOLPV-CEN',         2020, 0.448,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2030, 'E_SOLPV-CEN',         2030, 6.916,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2040, 'E_SOLPV-CEN',         2020, 0.448,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2040, 'E_SOLPV-CEN',         2030, 0.448,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2040, 'E_SOLPV-CEN',         2040, 6.916,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2050, 'E_SOLPV-CEN',         2030, 0.448,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2050, 'E_SOLPV-CEN',         2040, 0.448,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2050, 'E_SOLPV-CEN',         2050, 6.916,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2020, 'E_SOLPV-CEN',         2020, 6.916,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2030, 'E_SOLPV-CEN',         2020, 0.448,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2030, 'E_SOLPV-CEN',         2030, 6.916,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_SOLPV-CEN',         2020, 0.448,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_SOLPV-CEN',         2030, 0.448,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_SOLPV-CEN',         2040, 6.916,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_SOLPV-CEN',         2030, 0.448,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_SOLPV-CEN',         2040, 0.448,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_SOLPV-CEN',         2050, 6.916,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2020, 'E_SOLPV-RES',         2020, 35.878,         'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_SOLPV-RES',         2020, 0.541,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_SOLPV-RES',         2030, 35.878,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_SOLPV-RES',         2020, 0.541,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_SOLPV-RES',         2030, 0.541,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_SOLPV-RES',         2040, 35.878,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_SOLPV-RES',         2030, 0.541,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_SOLPV-RES',         2040, 0.541,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_SOLPV-RES',         2050, 35.878,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2020, 'E_SOLPV-RES',         2020, 35.878,         'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_SOLPV-RES',         2020, 0.541,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_SOLPV-RES',         2030, 35.878,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_SOLPV-RES',         2020, 0.541,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_SOLPV-RES',         2030, 0.541,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_SOLPV-RES',         2040, 35.878,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_SOLPV-RES',         2030, 0.541,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_SOLPV-RES',         2040, 0.541,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_SOLPV-RES',         2050, 35.878,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2020, 'E_SOLPV-RES',         2020, 35.878,         'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2030, 'E_SOLPV-RES',         2020, 0.541,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2030, 'E_SOLPV-RES',         2030, 35.878,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2040, 'E_SOLPV-RES',         2020, 0.541,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2040, 'E_SOLPV-RES',         2030, 0.541,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2040, 'E_SOLPV-RES',         2040, 35.878,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2050, 'E_SOLPV-RES',         2030, 0.541,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2050, 'E_SOLPV-RES',         2040, 0.541,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI',2050, 'E_SOLPV-RES',         2050, 35.878,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2020, 'E_SOLPV-RES',         2020, 35.878,         'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2030, 'E_SOLPV-RES',         2020, 0.541,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2030, 'E_SOLPV-RES',         2030, 35.878,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_SOLPV-RES',         2020, 0.541,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_SOLPV-RES',         2030, 0.541,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_SOLPV-RES',         2040, 35.878,       'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_SOLPV-RES',         2030, 0.541,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_SOLPV-RES',         2040, 0.541,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_SOLPV-RES',         2050, 35.878,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');


INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2020, 'E_BIO',               2020, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_BIO',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_BIO',               2030, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_BIO',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_BIO',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_BIO',               2040, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_BIO',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_BIO',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_BIO',               2040, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_BIO',               2050, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2020, 'E_BIO',               2020, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_BIO',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_BIO',               2030, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_BIO',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_BIO',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_BIO',               2040, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_BIO',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_BIO',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_BIO',               2040, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_BIO',               2050, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2020, 'E_BIO',               2020, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2030, 'E_BIO',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2030, 'E_BIO',               2030, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2040, 'E_BIO',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2040, 'E_BIO',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2040, 'E_BIO',               2040, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2050, 'E_BIO',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2050, 'E_BIO',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2050, 'E_BIO',               2040, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2050, 'E_BIO',               2050, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2020, 'E_BIO',               2020, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2030, 'E_BIO',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2030, 'E_BIO',               2030, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_BIO',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_BIO',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_BIO',               2040, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_BIO',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_BIO',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_BIO',               2040, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_BIO',               2050, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');


INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2020, 'E_BECCS',             2020, 0.469,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_BECCS',             2020, 0.123,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_BECCS',             2030, 0.469,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_BECCS',             2020, 0.123,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_BECCS',             2030, 0.123,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_BECCS',             2040, 0.469,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_BECCS',             2030, 0.123,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_BECCS',             2040, 0.123,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_BECCS',             2050, 0.469,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2020, 'E_BECCS',             2020, 0.469,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_BECCS',             2020, 0.123,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_BECCS',             2030, 0.469,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_BECCS',             2020, 0.123,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_BECCS',             2030, 0.123,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_BECCS',             2040, 0.469,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_BECCS',             2030, 0.123,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_BECCS',             2040, 0.123,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_BECCS',             2050, 0.469,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2020, 'E_BECCS',             2020, 0.469,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2030, 'E_BECCS',             2020, 0.123,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2030, 'E_BECCS',             2030, 0.469,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2040, 'E_BECCS',             2020, 0.123,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2040, 'E_BECCS',             2030, 0.123,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2040, 'E_BECCS',             2040, 0.469,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2050, 'E_BECCS',             2030, 0.123,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2050, 'E_BECCS',             2040, 0.123,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2050, 'E_BECCS',             2050, 0.469,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2020, 'E_BECCS',             2020, 0.469,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2030, 'E_BECCS',             2020, 0.123,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2030, 'E_BECCS',             2030, 0.469,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_BECCS',             2020, 0.123,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_BECCS',             2030, 0.123,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_BECCS',             2040, 0.469,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_BECCS',             2030, 0.123,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_BECCS',             2040, 0.123,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_BECCS',             2050, 0.469,      'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021).');


INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2020, 'E_NGACC',               2020, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_NGACC',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_NGACC',               2030, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_NGACC',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_NGACC',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_NGACC',               2040, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_NGACC',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_NGACC',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_NGACC',               2040, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_NGACC',               2050, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2020, 'E_NGACC',               2020, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_NGACC',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_NGACC',               2030, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_NGACC',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_NGACC',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_NGACC',               2040, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_NGACC',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_NGACC',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_NGACC',               2040, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_NGACC',               2050, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');


INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2020, 'E_NGACC-CCS',               2020, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_NGACC-CCS',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_NGACC-CCS',               2030, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_NGACC-CCS',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_NGACC-CCS',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_NGACC-CCS',               2040, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_NGACC-CCS',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_NGACC-CCS',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_NGACC-CCS',               2040, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_NGACC-CCS',               2050, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2020, 'E_NGACC-CCS',               2020, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_NGACC-CCS',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_NGACC-CCS',               2030, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_NGACC-CCS',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_NGACC-CCS',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_NGACC-CCS',               2040, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_NGACC-CCS',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_NGACC-CCS',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_NGACC-CCS',               2040, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_NGACC-CCS',               2050, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');

INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2020, 'E_NGACT',               2020, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_NGACT',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_NGACT',               2030, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_NGACT',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_NGACT',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_NGACT',               2040, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_NGACT',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_NGACT',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_NGACT',               2040, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_NGACT',               2050, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2020, 'E_NGACT',               2020, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_NGACT',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_NGACT',               2030, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_NGACT',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_NGACT',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_NGACT',               2040, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_NGACT',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_NGACT',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_NGACT',               2040, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_NGACT',               2050, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');

INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2020, 'E_H2CC',               2020, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_H2CC',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_H2CC',               2030, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_H2CC',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_H2CC',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_H2CC',               2040, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_H2CC',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_H2CC',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_H2CC',               2040, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_H2CC',               2050, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2020, 'E_H2CC',               2020, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_H2CC',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_H2CC',               2030, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_H2CC',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_H2CC',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_H2CC',               2040, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_H2CC',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_H2CC',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_H2CC',               2040, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_H2CC',               2050, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2020, 'E_H2CC',               2020, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2030, 'E_H2CC',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2030, 'E_H2CC',               2030, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2040, 'E_H2CC',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2040, 'E_H2CC',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2040, 'E_H2CC',               2040, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2050, 'E_H2CC',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2050, 'E_H2CC',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2050, 'E_H2CC',               2040, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2050, 'E_H2CC',               2050, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2020, 'E_H2CC',               2020, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2030, 'E_H2CC',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2030, 'E_H2CC',               2030, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_H2CC',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_H2CC',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_H2CC',               2040, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_H2CC',               2020, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_H2CC',               2030, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_H2CC',               2040, 0.123,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_H2CC',               2050, 0.469,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');


INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2020, 'E_NUC-LWR',               2020, 10.443,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_NUC-LWR',               2020, 0.513,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2030, 'E_NUC-LWR',               2030, 10.443,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_NUC-LWR',               2020, 0.513,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_NUC-LWR',               2030, 0.513,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2040, 'E_NUC-LWR',               2040, 10.443,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_NUC-LWR',               2020, 0.513,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_NUC-LWR',               2030, 0.513,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_NUC-LWR',               2040, 0.513,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NS', 2050, 'E_NUC-LWR',               2050, 10.443,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2020, 'E_NUC-LWR',               2020, 10.443,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_NUC-LWR',               2020, 0.513,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2030, 'E_NUC-LWR',               2030, 10.443,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_NUC-LWR',               2020, 0.513,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_NUC-LWR',               2030, 0.513,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2040, 'E_NUC-LWR',               2040, 10.443,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_NUC-LWR',               2020, 0.513,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_NUC-LWR',               2030, 0.513,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_NUC-LWR',               2040, 0.513,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NB', 2050, 'E_NUC-LWR',               2050, 10.443,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2020, 'E_NUC-LWR',               2020, 10.443,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2030, 'E_NUC-LWR',               2020, 0.513,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2030, 'E_NUC-LWR',               2030, 10.443,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2040, 'E_NUC-LWR',               2020, 0.513,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2040, 'E_NUC-LWR',               2030, 0.513,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2040, 'E_NUC-LWR',               2040, 10.443,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2050, 'E_NUC-LWR',               2020, 0.513,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2050, 'E_NUC-LWR',               2030, 0.513,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2050, 'E_NUC-LWR',               2040, 0.513,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('PEI', 2050, 'E_NUC-LWR',               2050, 10.443,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2020, 'E_NUC-LWR',               2020, 10.443,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2030, 'E_NUC-LWR',               2020, 0.513,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2030, 'E_NUC-LWR',               2030, 10.443,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_NUC-LWR',               2020, 0.513,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_NUC-LWR',               2030, 0.513,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2040, 'E_NUC-LWR',               2040, 10.443,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_NUC-LWR',               2020, 0.513,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_NUC-LWR',               2030, 0.513,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_NUC-LWR',               2040, 0.513,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');
INSERT INTO `EmploymentPerCapacity` VALUES ('NL', 2050, 'E_NUC-LWR',               2050, 10.443,        'k jobs/GW', 'Mayfield, Erin, et al. "Labor pathways to achieve net-zero emissions in the United States by mid-century." (2021). ');


CREATE TABLE IF NOT EXISTS "DiscountRate" (
	"regions"	text,
	"tech"	text,
	"vintage"	integer,
	"tech_rate"	real,
	"tech_rate_notes"	text,
	PRIMARY KEY("regions","tech","vintage"),
	FOREIGN KEY("vintage") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);


INSERT INTO `DiscountRate` VALUES ('NB','E_WIND-ON-1',				2020,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_WIND-ON-2',				2020,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_WIND-ON-3',				2020,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_WIND-ON-4',				2020,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_WIND-OFF',					2020,0.052,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_SOLPV-CEN',				2020,0.043,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_SOLPV-RES',				2020,0.044,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_BIO',							2020,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_BECCS',						2020,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NB','E_BATT_4HR',					2020,0.05,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NB','E_NGACC-CCS',				2020,0.065,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_NGACC',						2020,0.065,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_NGACT',						2020,0.065,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_GEO-F',						2020,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_GEO-B',						2020,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_NUC-LWR',					2020,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_H2CC',							2020,0.054,'Same characteristics of NGCC (as per Open Energy Outlook)');
INSERT INTO `DiscountRate` VALUES ('NB','H2_COMP-10-100',			2020,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NB','H2_STORAGE',					2020,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NB','H2_SMR-CCS',					2020,0.08,'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"');
INSERT INTO `DiscountRate` VALUES ('NB','E_AC-TO-DC',					2020,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NB','E_ELCZR-PEM',				2020,0.06,'Open Energy Outlook (2021)');


INSERT INTO `DiscountRate` VALUES ('NB','E_WIND-ON-1',				2030,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_WIND-ON-2',				2030,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_WIND-ON-3',				2030,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_WIND-ON-4',				2030,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_WIND-OFF',					2030,0.052,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_SOLPV-CEN',				2030,0.042,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_SOLPV-RES',				2030,0.044,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_BIO',							2030,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_BECCS',						2030,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NB','E_BATT_4HR',					2030,0.05,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NB','E_NGACC-CCS',				2030,0.054,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_NGACC',						2030,0.054,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_NGACT',						2030,0.054,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_GEO-F',						2030,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_GEO-B',						2030,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_NUC-LWR',					2030,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_H2CC',							2030,0.054,'Same characteristics of NGCC (as per Open Energy Outlook)');
INSERT INTO `DiscountRate` VALUES ('NB','H2_COMP-10-100',			2030,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NB','H2_STORAGE',					2030,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NB','H2_SMR-CCS',							2030,0.08,'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"');
INSERT INTO `DiscountRate` VALUES ('NB','E_AC-TO-DC',					2030,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NB','E_ELCZR-PEM',				2030,0.06,'Open Energy Outlook (2021)');


INSERT INTO `DiscountRate` VALUES ('NB','E_WIND-ON-1',				2040,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_WIND-ON-2',				2040,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_WIND-ON-3',				2040,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_WIND-ON-4',				2040,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_WIND-OFF',					2040,0.052,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_SOLPV-CEN',				2040,0.042,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_SOLPV-RES',				2040,0.044,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_BIO',							2040,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_BECCS',						2040,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NB','E_BATT_4HR',					2040,0.05,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NB','E_NGACC-CCS',				2040,0.054,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_NGACC',						2040,0.054,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_NGACT',						2040,0.054,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_GEO-F',						2040,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_GEO-B',						2040,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_NUC-LWR',					2040,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_H2CC',							2040,0.054,'Same characteristics of NGCC (as per Open Energy Outlook)');
INSERT INTO `DiscountRate` VALUES ('NB','H2_COMP-10-100',			2040,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NB','H2_STORAGE',					2040,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NB','H2_SMR-CCS',							2040,0.08,'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"');
INSERT INTO `DiscountRate` VALUES ('NB','E_AC-TO-DC',					2040,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NB','E_ELCZR-PEM',				2040,0.06,'Open Energy Outlook (2021)');


INSERT INTO `DiscountRate` VALUES ('NB','E_WIND-ON-1',				2050,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_WIND-ON-2',				2050,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_WIND-ON-3',				2050,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_WIND-ON-4',				2050,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_WIND-OFF',					2050,0.052,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_SOLPV-CEN',				2050,0.042,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_SOLPV-RES',				2050,0.044,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_BIO',							2050,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_BECCS',						2050,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NB','E_BATT_4HR',					2050,0.05,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NB','E_NGACC-CCS',				2050,0.054,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_NGACC',						2050,0.054,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_NGACT',						2050,0.054,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_GEO-F',						2050,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_GEO-B',						2050,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_NUC-LWR',					2050,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NB','E_H2CC',							2050,0.054,'Same characteristics of NGCC (as per Open Energy Outlook)');
INSERT INTO `DiscountRate` VALUES ('NB','H2_COMP-10-100',			2050,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NB','H2_STORAGE',					2050,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NB','H2_SMR-CCS',					2050,0.08,'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"');
INSERT INTO `DiscountRate` VALUES ('NB','E_AC-TO-DC',					2050,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NB','E_ELCZR-PEM',				2050,0.06,'Open Energy Outlook (2021)');



INSERT INTO `DiscountRate` VALUES ('NS','E_WIND-ON-1',				2020,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_WIND-ON-2',				2020,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_WIND-ON-3',				2020,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_WIND-ON-4',				2020,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_WIND-OFF',					2020,0.052,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_SOLPV-CEN',				2020,0.042,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_SOLPV-RES',				2020,0.044,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_BIO',							2020,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_BECCS',						2020,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NS','E_BATT_4HR',					2020,0.05,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NS','E_NGACC-CCS',				2020,0.054,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_NGACC',						2020,0.054,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_NGACT',						2020,0.054,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_GEO-F',						2020,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_GEO-B',						2020,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_NUC-LWR',					2020,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_H2CC',							2020,0.054,'Same characteristics of NGCC (as per Open Energy Outlook)');
INSERT INTO `DiscountRate` VALUES ('NS','H2_COMP-10-100',			2020,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NS','H2_STORAGE',					2020,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NS','H2_SMR-CCS',							2020,0.08,'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"');
INSERT INTO `DiscountRate` VALUES ('NS','E_AC-TO-DC',					2020,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NS','E_ELCZR-PEM',				2020,0.06,'Open Energy Outlook (2021)');


INSERT INTO `DiscountRate` VALUES ('NS','E_WIND-ON-1',				2030,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_WIND-ON-2',				2030,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_WIND-ON-3',				2030,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_WIND-ON-4',				2030,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_WIND-OFF',					2030,0.052,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_SOLPV-CEN',				2030,0.042,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_SOLPV-RES',				2030,0.044,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_BIO',							2030,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_BECCS',						2030,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NS','E_BATT_4HR',					2030,0.05,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NS','E_NGACC-CCS',				2030,0.054,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_NGACC',						2030,0.054,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_NGACT',						2030,0.054,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_GEO-F',						2030,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_GEO-B',						2030,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_NUC-LWR',					2030,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_H2CC',							2030,0.054,'Same characteristics of NGCC (as per Open Energy Outlook)');
INSERT INTO `DiscountRate` VALUES ('NS','H2_COMP-10-100',			2030,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NS','H2_STORAGE',					2030,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NS','H2_SMR-CCS',							2030,0.08,'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"');
INSERT INTO `DiscountRate` VALUES ('NS','E_AC-TO-DC',					2030,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NS','E_ELCZR-PEM',				2030,0.06,'Open Energy Outlook (2021)');


INSERT INTO `DiscountRate` VALUES ('NS','E_WIND-ON-1',				2040,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_WIND-ON-2',				2040,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_WIND-ON-3',				2040,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_WIND-ON-4',				2040,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_WIND-OFF',					2040,0.052,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_SOLPV-CEN',				2040,0.042,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_SOLPV-RES',				2040,0.044,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_BIO',							2040,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_BECCS',						2040,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NS','E_BATT_4HR',					2040,0.05,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NS','E_NGACC-CCS',				2040,0.054,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_NGACC',						2040,0.054,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_NGACT',						2040,0.054,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_GEO-F',						2040,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_GEO-B',						2040,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_NUC-LWR',					2040,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_H2CC',							2040,0.054,'Same characteristics of NGCC (as per Open Energy Outlook)');
INSERT INTO `DiscountRate` VALUES ('NS','H2_COMP-10-100',			2040,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NS','H2_STORAGE',					2040,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NS','H2_SMR-CCS',							2040,0.08,'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"');
INSERT INTO `DiscountRate` VALUES ('NS','E_AC-TO-DC',					2040,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NS','E_ELCZR-PEM',				2040,0.06,'Open Energy Outlook (2021)');


INSERT INTO `DiscountRate` VALUES ('NS','E_WIND-ON-1',				2050,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_WIND-ON-2',				2050,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_WIND-ON-3',				2050,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_WIND-ON-4',				2050,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_WIND-OFF',					2050,0.052,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_SOLPV-CEN',				2050,0.042,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_SOLPV-RES',				2050,0.044,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_BIO',							2050,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_BECCS',						2050,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NS','E_BATT_4HR',					2050,0.05,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NS','E_NGACC-CCS',				2050,0.054,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_NGACC',						2050,0.054,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_NGACT',						2050,0.054,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_GEO-F',						2050,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_GEO-B',						2050,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_NUC-LWR',					2050,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NS','E_H2CC',							2050,0.054,'Same characteristics of NGCC (as per Open Energy Outlook)');
INSERT INTO `DiscountRate` VALUES ('NS','H2_COMP-10-100',			2050,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NS','H2_STORAGE',					2050,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NS','H2_SMR-CCS',							2050,0.08,'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"');
INSERT INTO `DiscountRate` VALUES ('NS','E_AC-TO-DC',					2050,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NS','E_ELCZR-PEM',				2050,0.06,'Open Energy Outlook (2021)');



INSERT INTO `DiscountRate` VALUES ('PEI','E_WIND-ON-1',				2020,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_WIND-ON-2',				2020,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_WIND-ON-3',				2020,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_WIND-ON-4',				2020,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_WIND-OFF',				2020,0.052,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_SOLPV-CEN',				2020,0.042,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_SOLPV-RES',				2020,0.044,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_BIO',							2020,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_BECCS',						2020,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('PEI','E_BATT_4HR',				2020,0.05,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('PEI','E_GEO-F',						2020,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_GEO-B',						2020,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_NUC-LWR',					2020,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_H2CC',						2020,0.054,'Same characteristics of NGCC (as per Open Energy Outlook)');
INSERT INTO `DiscountRate` VALUES ('PEI','H2_COMP-10-100',		2020,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('PEI','H2_STORAGE',				2020,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('PEI','E_AC-TO-DC',				2020,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('PEI','E_ELCZR-PEM',				2020,0.06,'Open Energy Outlook (2021)');


INSERT INTO `DiscountRate` VALUES ('PEI','E_WIND-ON-1',				2030,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_WIND-ON-2',				2030,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_WIND-ON-3',				2030,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_WIND-ON-4',				2030,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_WIND-OFF',				2030,0.052,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_SOLPV-CEN',				2030,0.042,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_SOLPV-RES',				2030,0.044,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_BIO',							2030,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_BECCS',						2030,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('PEI','E_BATT_4HR',				2030,0.05,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('PEI','E_GEO-F',						2030,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_GEO-B',						2030,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_NUC-LWR',					2030,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_H2CC',						2030,0.054,'Same characteristics of NGCC (as per Open Energy Outlook)');
INSERT INTO `DiscountRate` VALUES ('PEI','H2_COMP-10-100',		2030,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('PEI','H2_STORAGE',				2030,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('PEI','E_AC-TO-DC',				2030,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('PEI','E_ELCZR-PEM',				2030,0.06,'Open Energy Outlook (2021)');


INSERT INTO `DiscountRate` VALUES ('PEI','E_WIND-ON-1',				2040,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_WIND-ON-2',				2040,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_WIND-ON-3',				2040,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_WIND-ON-4',				2040,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_WIND-OFF',				2040,0.052,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_SOLPV-CEN',				2040,0.042,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_SOLPV-RES',				2040,0.044,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_BIO',							2040,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_BECCS',						2040,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('PEI','E_BATT_4HR',				2040,0.05,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('PEI','E_GEO-F',						2040,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_GEO-B',						2040,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_NUC-LWR',					2040,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_H2CC',						2040,0.054,'Same characteristics of NGCC (as per Open Energy Outlook)');
INSERT INTO `DiscountRate` VALUES ('PEI','H2_COMP-10-100',		2040,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('PEI','H2_STORAGE',				2040,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('PEI','E_AC-TO-DC',				2040,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('PEI','E_ELCZR-PEM',				2040,0.06,'Open Energy Outlook (2021)');


INSERT INTO `DiscountRate` VALUES ('PEI','E_WIND-ON-1',				2050,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_WIND-ON-2',				2050,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_WIND-ON-3',				2050,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_WIND-ON-4',				2050,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_WIND-OFF',				2050,0.052,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_SOLPV-CEN',				2050,0.042,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_SOLPV-RES',				2050,0.044,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_BIO',							2050,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_BECCS',						2050,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('PEI','E_BATT_4HR',				2050,0.05,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('PEI','E_GEO-F',						2050,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_GEO-B',						2050,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_NUC-LWR',					2050,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('PEI','E_H2CC',						2050,0.054,'Same characteristics of NGCC (as per Open Energy Outlook)');
INSERT INTO `DiscountRate` VALUES ('PEI','H2_COMP-10-100',		2050,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('PEI','H2_STORAGE',				2050,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('PEI','E_AC-TO-DC',				2050,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('PEI','E_ELCZR-PEM',				2050,0.06,'Open Energy Outlook (2021)');




INSERT INTO `DiscountRate` VALUES ('NL','E_WIND-ON-1',				2020,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_WIND-ON-2',				2020,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_WIND-OFF',				2020,0.052,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_SOLPV-CEN',				2020,0.042,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_SOLPV-RES',				2020,0.044,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_BIO',							2020,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_BECCS',						2020,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NL','E_BATT_4HR',				2020,0.05,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NL','E_GEO-F',						2020,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_GEO-B',						2020,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_NUC-LWR',					2020,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_H2CC',						2020,0.054,'Same characteristics of NGCC (as per Open Energy Outlook)');
INSERT INTO `DiscountRate` VALUES ('NL','H2_COMP-10-100',		2020,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NL','H2_STORAGE',				2020,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NL','E_AC-TO-DC',				2020,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NL','E_ELCZR-PEM',				2020,0.06,'Open Energy Outlook (2021)');


INSERT INTO `DiscountRate` VALUES ('NL','E_WIND-ON-1',				2030,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_WIND-ON-2',				2030,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_WIND-OFF',				2030,0.052,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_SOLPV-CEN',				2030,0.042,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_SOLPV-RES',				2030,0.044,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_BIO',							2030,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_BECCS',						2030,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NL','E_BATT_4HR',				2030,0.05,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NL','E_GEO-F',						2030,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_GEO-B',						2030,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_NUC-LWR',					2030,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_H2CC',						2030,0.054,'Same characteristics of NGCC (as per Open Energy Outlook)');
INSERT INTO `DiscountRate` VALUES ('NL','H2_COMP-10-100',		2030,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NL','H2_STORAGE',				2030,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NL','E_AC-TO-DC',				2030,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NL','E_ELCZR-PEM',				2030,0.06,'Open Energy Outlook (2021)');


INSERT INTO `DiscountRate` VALUES ('NL','E_WIND-ON-1',				2040,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_WIND-ON-2',				2040,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_WIND-OFF',				2040,0.052,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_SOLPV-CEN',				2040,0.042,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_SOLPV-RES',				2040,0.044,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_BIO',							2040,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_BECCS',						2040,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NL','E_BATT_4HR',				2040,0.05,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NL','E_GEO-F',						2040,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_GEO-B',						2040,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_NUC-LWR',					2040,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_H2CC',						2040,0.054,'Same characteristics of NGCC (as per Open Energy Outlook)');
INSERT INTO `DiscountRate` VALUES ('NL','H2_COMP-10-100',		2040,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NL','H2_STORAGE',				2040,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NL','E_AC-TO-DC',				2040,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NL','E_ELCZR-PEM',				2040,0.06,'Open Energy Outlook (2021)');


INSERT INTO `DiscountRate` VALUES ('NL','E_WIND-ON-1',				2050,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_WIND-ON-2',				2050,0.05,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_WIND-OFF',				2050,0.052,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_SOLPV-CEN',				2050,0.042,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_SOLPV-RES',				2050,0.044,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_BIO',							2050,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_BECCS',						2050,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NL','E_BATT_4HR',				2050,0.05,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NL','E_GEO-F',						2050,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_GEO-B',						2050,0.048,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_NUC-LWR',					2050,0.058,'2021 NREL ATB (Reported as WACC [NOMINAL %])');
INSERT INTO `DiscountRate` VALUES ('NL','E_H2CC',						2050,0.054,'Same characteristics of NGCC (as per Open Energy Outlook)');
INSERT INTO `DiscountRate` VALUES ('NL','H2_COMP-10-100',		2050,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NL','H2_STORAGE',				2050,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NL','E_AC-TO-DC',				2050,0.06,'Open Energy Outlook (2021)');
INSERT INTO `DiscountRate` VALUES ('NL','E_ELCZR-PEM',				2050,0.06,'Open Energy Outlook (2021)');





---------------------- New Industry -------------------------

INSERT INTO `DiscountRate` VALUES ('NB','CO2_CAPTURE-NGA',				2030,0.125,'Keith et al (2018) provide two possible rates: 7.5% and 12.5%. We conservatively use the higher value.');
INSERT INTO `DiscountRate` VALUES ('NB','CO2_CAPTURE-NGA',				2040,0.125,'Keith et al (2018) provide two possible rates: 7.5% and 12.5%. We conservatively use the higher value.');
INSERT INTO `DiscountRate` VALUES ('NB','CO2_CAPTURE-NGA',				2050,0.125,'Keith et al (2018) provide two possible rates: 7.5% and 12.5%. We conservatively use the higher value.');
INSERT INTO `DiscountRate` VALUES ('NS','CO2_CAPTURE-NGA',				2030,0.125,'Keith et al (2018) provide two possible rates: 7.5% and 12.5%. We conservatively use the higher value.');
INSERT INTO `DiscountRate` VALUES ('NS','CO2_CAPTURE-NGA',				2040,0.125,'Keith et al (2018) provide two possible rates: 7.5% and 12.5%. We conservatively use the higher value.');
INSERT INTO `DiscountRate` VALUES ('NS','CO2_CAPTURE-NGA',				2050,0.125,'Keith et al (2018) provide two possible rates: 7.5% and 12.5%. We conservatively use the higher value.');
INSERT INTO `DiscountRate` VALUES ('NB','CO2_CAPTURE-ELCNGA',				2030,0.125,'Keith et al (2018) provide two possible rates: 7.5% and 12.5%. We conservatively use the higher value.');
INSERT INTO `DiscountRate` VALUES ('NB','CO2_CAPTURE-ELCNGA',				2040,0.125,'Keith et al (2018) provide two possible rates: 7.5% and 12.5%. We conservatively use the higher value.');
INSERT INTO `DiscountRate` VALUES ('NB','CO2_CAPTURE-ELCNGA',				2050,0.125,'Keith et al (2018) provide two possible rates: 7.5% and 12.5%. We conservatively use the higher value.');
INSERT INTO `DiscountRate` VALUES ('NS','CO2_CAPTURE-ELCNGA',				2030,0.125,'Keith et al (2018) provide two possible rates: 7.5% and 12.5%. We conservatively use the higher value.');
INSERT INTO `DiscountRate` VALUES ('NS','CO2_CAPTURE-ELCNGA',				2040,0.125,'Keith et al (2018) provide two possible rates: 7.5% and 12.5%. We conservatively use the higher value.');
INSERT INTO `DiscountRate` VALUES ('NS','CO2_CAPTURE-ELCNGA',				2050,0.125,'Keith et al (2018) provide two possible rates: 7.5% and 12.5%. We conservatively use the higher value.');
INSERT INTO `DiscountRate` VALUES ('NB','CO2_CAPTURE-NGA-1STGEN',				2030,0.125,'Keith et al (2018) provide two possible rates: 7.5% and 12.5%. We conservatively use the higher value.');
INSERT INTO `DiscountRate` VALUES ('NB','CO2_CAPTURE-NGA-1STGEN',				2040,0.125,'Keith et al (2018) provide two possible rates: 7.5% and 12.5%. We conservatively use the higher value.');
INSERT INTO `DiscountRate` VALUES ('NB','CO2_CAPTURE-NGA-1STGEN',				2050,0.125,'Keith et al (2018) provide two possible rates: 7.5% and 12.5%. We conservatively use the higher value.');
INSERT INTO `DiscountRate` VALUES ('NS','CO2_CAPTURE-NGA-1STGEN',				2030,0.125,'Keith et al (2018) provide two possible rates: 7.5% and 12.5%. We conservatively use the higher value.');
INSERT INTO `DiscountRate` VALUES ('NS','CO2_CAPTURE-NGA-1STGEN',				2040,0.125,'Keith et al (2018) provide two possible rates: 7.5% and 12.5%. We conservatively use the higher value.');
INSERT INTO `DiscountRate` VALUES ('NS','CO2_CAPTURE-NGA-1STGEN',				2050,0.125,'Keith et al (2018) provide two possible rates: 7.5% and 12.5%. We conservatively use the higher value.');

CREATE TABLE IF NOT EXISTS "DemandSpecificDistribution" (
	"regions"	text,
	"periods"	integer,
	"season_name"	text,
	"time_of_day_name"	text,
	"demand_name"	text,
	"dsd"	real CHECK("dsd" >= 0 AND "dsd" <= 1),
	"dsd_notes"	text,
	PRIMARY KEY("regions","periods","season_name","time_of_day_name","demand_name"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods")
	FOREIGN KEY("season_name") REFERENCES "time_season"("t_season"),
	FOREIGN KEY("time_of_day_name") REFERENCES "time_of_day"("t_day"),
	FOREIGN KEY("demand_name") REFERENCES "commodities"("comm_name")
);


CREATE TABLE IF NOT EXISTS "Demand" (
	"regions"	text,
	"periods"	integer,
	"demand_comm"	text,
	"demand"	real,
	"demand_units"	text,
	"demand_notes"	text,
	PRIMARY KEY("regions","periods","demand_comm"),
	FOREIGN KEY("demand_comm") REFERENCES "commodities"("comm_name"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods")
);


INSERT INTO `Demand` VALUES ('NB',2020,'D_ELEC', 52.0056,	'PJ','NB IRP 2020 Appendix 4');
INSERT INTO `Demand` VALUES ('NB',2030,'D_ELEC', 56.034,	'PJ','NB IRP 2020 Appendix 4');
INSERT INTO `Demand` VALUES ('NB',2040,'D_ELEC', 59.4036,	'PJ','NB IRP 2020 Appendix 4');
INSERT INTO `Demand` VALUES ('NB',2050,'D_ELEC', 59.4036,	'PJ','NB IRP 2020 Appendix 4');

INSERT INTO `Demand` VALUES ('NB',2020,'CO2_SEQ-SINK', 9999.9,'NULL','dummy demand. Serves as the sink for the co2 coming from CCS plant or DAC.');
INSERT INTO `Demand` VALUES ('NB',2030,'CO2_SEQ-SINK', 9999.9,'NULL','dummy demand. Serves as the sink for the co2 coming from CCS plant or DAC.');
INSERT INTO `Demand` VALUES ('NB',2040,'CO2_SEQ-SINK', 9999.9,'NULL','dummy demand. Serves as the sink for the co2 coming from CCS plant or DAC.');
INSERT INTO `Demand` VALUES ('NB',2050,'CO2_SEQ-SINK', 9999.9,'NULL','dummy demand. Serves as the sink for the co2 coming from CCS plant or DAC.');

INSERT INTO `Demand` VALUES ('NB',2020,'D_ELEC_EXPORT', 20.0,'NULL','dummy demand. Serves as the sink for the co2 coming from CCS plant or DAC.');
INSERT INTO `Demand` VALUES ('NB',2030,'D_ELEC_EXPORT', 20.0,'NULL','dummy demand. Serves as the sink for the co2 coming from CCS plant or DAC.');
INSERT INTO `Demand` VALUES ('NB',2040,'D_ELEC_EXPORT', 20.0,'NULL','dummy demand. Serves as the sink for the co2 coming from CCS plant or DAC.');
INSERT INTO `Demand` VALUES ('NB',2050,'D_ELEC_EXPORT', 20.0,'NULL','dummy demand. Serves as the sink for the co2 coming from CCS plant or DAC.');



INSERT INTO `Demand` VALUES ('NS',2020,'D_ELEC', 40.7772,	'PJ','NS IRP 2020 -- Mid Elec / Base DSM');
INSERT INTO `Demand` VALUES ('NS',2030,'D_ELEC', 41.0076,	'PJ','NS IRP 2020 -- Mid Elec / Base DSM');
INSERT INTO `Demand` VALUES ('NS',2040,'D_ELEC', 40.464,	'PJ','NS IRP 2020 -- Mid Elec / Base DSM');
INSERT INTO `Demand` VALUES ('NS',2050,'D_ELEC', 43.4592,	'PJ','NS IRP 2020 -- Mid Elec / Base DSM');

INSERT INTO `Demand` VALUES ('NS',2020,'CO2_SEQ-SINK', 9999.9,'NULL','dummy demand. Serves as the sink for the co2 coming from CCS plant or DAC.');
INSERT INTO `Demand` VALUES ('NS',2030,'CO2_SEQ-SINK', 9999.9,'NULL','dummy demand. Serves as the sink for the co2 coming from CCS plant or DAC.');
INSERT INTO `Demand` VALUES ('NS',2040,'CO2_SEQ-SINK', 9999.9,'NULL','dummy demand. Serves as the sink for the co2 coming from CCS plant or DAC.');
INSERT INTO `Demand` VALUES ('NS',2050,'CO2_SEQ-SINK', 9999.9,'NULL','dummy demand. Serves as the sink for the co2 coming from CCS plant or DAC.');



INSERT INTO `Demand` VALUES ('PEI',2020,'D_ELEC', 5.7456,	'PJ','PEI IRP 2020 -- Forecast goes to 2030. Assume no growth afterwards.');
INSERT INTO `Demand` VALUES ('PEI',2030,'D_ELEC', 7.0992,	'PJ','PEI IRP 2020 -- Forecast goes to 2030. Assume no growth afterwards.');
INSERT INTO `Demand` VALUES ('PEI',2040,'D_ELEC', 7.0992,	'PJ','PEI IRP 2020 -- Forecast goes to 2030. Assume no growth afterwards.');
INSERT INTO `Demand` VALUES ('PEI',2050,'D_ELEC', 7.0992,	'PJ','PEI IRP 2020 -- Forecast goes to 2030. Assume no growth afterwards.');

INSERT INTO `Demand` VALUES ('PEI',2020,'CO2_SEQ-SINK', 9999.9,'NULL','dummy demand. Serves as the sink for the co2 coming from CCS plant or DAC.');
INSERT INTO `Demand` VALUES ('PEI',2030,'CO2_SEQ-SINK', 9999.9,'NULL','dummy demand. Serves as the sink for the co2 coming from CCS plant or DAC.');
INSERT INTO `Demand` VALUES ('PEI',2040,'CO2_SEQ-SINK', 9999.9,'NULL','dummy demand. Serves as the sink for the co2 coming from CCS plant or DAC.');
INSERT INTO `Demand` VALUES ('PEI',2050,'CO2_SEQ-SINK', 9999.9,'NULL','dummy demand. Serves as the sink for the co2 coming from CCS plant or DAC.');


INSERT INTO `Demand` VALUES ('NL',2020,'D_ELEC', 28.8,	'PJ','');
INSERT INTO `Demand` VALUES ('NL',2030,'D_ELEC', 29.88,	'PJ','');
INSERT INTO `Demand` VALUES ('NL',2040,'D_ELEC', 30.96,	'PJ','');
INSERT INTO `Demand` VALUES ('NL',2050,'D_ELEC', 30.96,	'PJ','');

INSERT INTO `Demand` VALUES ('NL',2020,'CO2_SEQ-SINK', 9999.9,'NULL','dummy demand. Serves as the sink for the co2 coming from CCS plant or DAC.');
INSERT INTO `Demand` VALUES ('NL',2030,'CO2_SEQ-SINK', 9999.9,'NULL','dummy demand. Serves as the sink for the co2 coming from CCS plant or DAC.');
INSERT INTO `Demand` VALUES ('NL',2040,'CO2_SEQ-SINK', 9999.9,'NULL','dummy demand. Serves as the sink for the co2 coming from CCS plant or DAC.');
INSERT INTO `Demand` VALUES ('NL',2050,'CO2_SEQ-SINK', 9999.9,'NULL','dummy demand. Serves as the sink for the co2 coming from CCS plant or DAC.');

INSERT INTO `Demand` VALUES ('LAB',2020,'D_ELEC', 8.468,	'PJ','');
INSERT INTO `Demand` VALUES ('LAB',2030,'D_ELEC', 8.468,	'PJ','');
INSERT INTO `Demand` VALUES ('LAB',2040,'D_ELEC', 8.468,	'PJ','');
INSERT INTO `Demand` VALUES ('LAB',2050,'D_ELEC', 8.468,	'PJ','');

INSERT INTO `Demand` VALUES ('LAB',2020,'D_ELEC_EXPORT', 20.0, 'NULL','dummy demand. Serves as the sink for the co2 coming from CCS plant or DAC.');
INSERT INTO `Demand` VALUES ('LAB',2030,'D_ELEC_EXPORT', 20.0, 'NULL','dummy demand. Serves as the sink for the co2 coming from CCS plant or DAC.');
INSERT INTO `Demand` VALUES ('LAB',2040,'D_ELEC_EXPORT', 20.0, 'NULL','dummy demand. Serves as the sink for the co2 coming from CCS plant or DAC.');
INSERT INTO `Demand` VALUES ('LAB',2050,'D_ELEC_EXPORT', 20.0, 'NULL','dummy demand. Serves as the sink for the co2 coming from CCS plant or DAC.');





CREATE TABLE IF NOT EXISTS "CostVariable" (
	"regions"	text NOT NULL,
	"periods"	integer NOT NULL,
	"tech"	text NOT NULL,
	"vintage"	integer NOT NULL,
	"cost_variable"	real,
	"cost_variable_units"	text,
	"cost_variable_notes"	text,
	FOREIGN KEY("tech") REFERENCES "technologies"("tech"),
	PRIMARY KEY("regions","periods","tech","vintage"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("vintage") REFERENCES "time_periods"("t_periods")
);

----------------------------------------------------- Dummy Technologies ----------------------------------------------
INSERT INTO `CostVariable` VALUES ('NS', 2020, 'IMP_COAL-BIT_ELC',    1900, 2.6457,        'M$/PJ', '2020 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'IMP_COAL-BIT_ELC',    1900, 2.3136,        'M$/PJ', '2020 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'IMP_COAL-BIT_ELC',    1900, 2.2313,        'M$/PJ', '2020 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'IMP_COAL-BIT_ELC',    1900, 2.18,          'M$/PJ', '2020 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2020, 'IMP_COAL-BIT_ELC',    1900, 2.6457,        'M$/PJ', '2020 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'IMP_COAL-BIT_ELC',    1900, 2.3136,        'M$/PJ', '2020 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'IMP_COAL-BIT_ELC',    1900, 2.2313,        'M$/PJ', '2020 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'IMP_COAL-BIT_ELC',    1900, 2.18,          'M$/PJ', '2020 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2020, 'IMP_NG_ELC',          1900, 3.4071,        'M$/PJ', '2020 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'IMP_NG_ELC',          1900, 4.2944,        'M$/PJ', '2020 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'IMP_NG_ELC',          1900, 4.3608,        'M$/PJ', '2020 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'IMP_NG_ELC',          1900, 4.5429,        'M$/PJ', '2020 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2020, 'IMP_NG_ELC',          1900, 3.4071,        'M$/PJ', '2020 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'IMP_NG_ELC',          1900, 4.2944,        'M$/PJ', '2020 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'IMP_NG_ELC',          1900, 4.3608,        'M$/PJ', '2020 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'IMP_NG_ELC',          1900, 4.5429,        'M$/PJ', '2020 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2020, 'IMP_URN_ELC',         1900, 0.8696,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'IMP_URN_ELC',         1900, 0.8342,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'IMP_URN_ELC',         1900, 0.8277,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'IMP_URN_ELC',         1900, 0.8301,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2020, 'IMP_URN_ELC',         1900, 0.8696,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'IMP_URN_ELC',         1900, 0.8342,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'IMP_URN_ELC',         1900, 0.8277,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'IMP_URN_ELC',         1900, 0.8301,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2020, 'IMP_URN_ELC',         1900, 0.8696,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2030, 'IMP_URN_ELC',         1900, 0.8342,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2040, 'IMP_URN_ELC',         1900, 0.8277,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'IMP_URN_ELC',         1900, 0.8301,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2020, 'IMP_URN_ELC',         1900, 0.8696,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2030, 'IMP_URN_ELC',         1900, 0.8342,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2040, 'IMP_URN_ELC',         1900, 0.8277,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'IMP_URN_ELC',         1900, 0.8301,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2020, 'IMP_WOOD_ELC',        1900, 4.0946,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'IMP_WOOD_ELC',        1900, 3.8436,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'IMP_WOOD_ELC',        1900, 3.7225,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'IMP_WOOD_ELC',        1900, 3.6317,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2020, 'IMP_WOOD_ELC',        1900, 4.0946,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'IMP_WOOD_ELC',        1900, 3.8436,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'IMP_WOOD_ELC',        1900, 3.7225,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'IMP_WOOD_ELC',        1900, 3.6317,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2020, 'IMP_WOOD_ELC',        1900, 4.0946,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2030, 'IMP_WOOD_ELC',        1900, 3.8436,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2040, 'IMP_WOOD_ELC',        1900, 3.7225,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'IMP_WOOD_ELC',        1900, 3.6317,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2020, 'IMP_WOOD_ELC',        1900, 4.0946,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2030, 'IMP_WOOD_ELC',        1900, 3.8436,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2040, 'IMP_WOOD_ELC',        1900, 3.7225,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'IMP_WOOD_ELC',        1900, 3.6317,        'M$/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2020, 'IMP_WOOD-REN_ELC',    1900, 4.0846,        'M$/PJ', '2021 NREL ATB; Made marginally cheaper than non-renewable counterpart (IMP_WOOD_ELC) to have model favour it.');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'IMP_WOOD-REN_ELC',    1900, 3.8336,        'M$/PJ', '2021 NREL ATB; Made marginally cheaper than non-renewable counterpart (IMP_WOOD_ELC) to have model favour it.');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'IMP_WOOD-REN_ELC',    1900, 3.7125,        'M$/PJ', '2021 NREL ATB; Made marginally cheaper than non-renewable counterpart (IMP_WOOD_ELC) to have model favour it.');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'IMP_WOOD-REN_ELC',    1900, 3.6217,        'M$/PJ', '2021 NREL ATB; Made marginally cheaper than non-renewable counterpart (IMP_WOOD_ELC) to have model favour it.');
INSERT INTO `CostVariable` VALUES ('NB', 2020, 'IMP_WOOD-REN_ELC',    1900, 4.0846,        'M$/PJ', '2021 NREL ATB; Made marginally cheaper than non-renewable counterpart (IMP_WOOD_ELC) to have model favour it.');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'IMP_WOOD-REN_ELC',    1900, 3.8336,        'M$/PJ', '2021 NREL ATB; Made marginally cheaper than non-renewable counterpart (IMP_WOOD_ELC) to have model favour it.');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'IMP_WOOD-REN_ELC',    1900, 3.7125,        'M$/PJ', '2021 NREL ATB; Made marginally cheaper than non-renewable counterpart (IMP_WOOD_ELC) to have model favour it.');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'IMP_WOOD-REN_ELC',    1900, 3.6217,        'M$/PJ', '2021 NREL ATB; Made marginally cheaper than non-renewable counterpart (IMP_WOOD_ELC) to have model favour it.');
INSERT INTO `CostVariable` VALUES ('PEI', 2020, 'IMP_WOOD-REN_ELC',    1900, 4.0846,        'M$/PJ', '2021 NREL ATB; Made marginally cheaper than non-renewable counterpart (IMP_WOOD_ELC) to have model favour it.');
INSERT INTO `CostVariable` VALUES ('PEI', 2030, 'IMP_WOOD-REN_ELC',    1900, 3.8336,        'M$/PJ', '2021 NREL ATB; Made marginally cheaper than non-renewable counterpart (IMP_WOOD_ELC) to have model favour it.');
INSERT INTO `CostVariable` VALUES ('PEI', 2040, 'IMP_WOOD-REN_ELC',    1900, 3.7125,        'M$/PJ', '2021 NREL ATB; Made marginally cheaper than non-renewable counterpart (IMP_WOOD_ELC) to have model favour it.');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'IMP_WOOD-REN_ELC',    1900, 3.6217,        'M$/PJ', '2021 NREL ATB; Made marginally cheaper than non-renewable counterpart (IMP_WOOD_ELC) to have model favour it.');
INSERT INTO `CostVariable` VALUES ('NL', 2020, 'IMP_WOOD-REN_ELC',    1900, 4.0846,        'M$/PJ', '2021 NREL ATB; Made marginally cheaper than non-renewable counterpart (IMP_WOOD_ELC) to have model favour it.');
INSERT INTO `CostVariable` VALUES ('NL', 2030, 'IMP_WOOD-REN_ELC',    1900, 3.8336,        'M$/PJ', '2021 NREL ATB; Made marginally cheaper than non-renewable counterpart (IMP_WOOD_ELC) to have model favour it.');
INSERT INTO `CostVariable` VALUES ('NL', 2040, 'IMP_WOOD-REN_ELC',    1900, 3.7125,        'M$/PJ', '2021 NREL ATB; Made marginally cheaper than non-renewable counterpart (IMP_WOOD_ELC) to have model favour it.');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'IMP_WOOD-REN_ELC',    1900, 3.6217,        'M$/PJ', '2021 NREL ATB; Made marginally cheaper than non-renewable counterpart (IMP_WOOD_ELC) to have model favour it.');
INSERT INTO `CostVariable` VALUES ('NS', 2020, 'IMP_COKE_ELC',        1900, 4.0817,        'M$/PJ', 'Princeton Net Zero America PROJECT; “Petroleum coke product” for New England region');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'IMP_COKE_ELC',        1900, 3.7564,        'M$/PJ', 'Princeton Net Zero America PROJECT; “Petroleum coke product” for New England region');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'IMP_COKE_ELC',        1900, 3.638,         'M$/PJ', 'Princeton Net Zero America PROJECT; “Petroleum coke product” for New England region');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'IMP_COKE_ELC',        1900, 3.5493,        'M$/PJ', 'Princeton Net Zero America PROJECT; “Petroleum coke product” for New England region');
INSERT INTO `CostVariable` VALUES ('NS', 2020, 'IMP_DSL_ELC',         1900, 22.2693,       'M$/PJ', '2021 EIA AEO; Table 3. “Distillate Fuel Oil” (Electric Power Sector)');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'IMP_DSL_ELC',         1900, 22.1258,       'M$/PJ', '2021 EIA AEO; Table 3. “Distillate Fuel Oil” (Electric Power Sector)');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'IMP_DSL_ELC',         1900, 23.6256,       'M$/PJ', '2021 EIA AEO; Table 3. “Distillate Fuel Oil” (Electric Power Sector)');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'IMP_DSL_ELC',         1900, 24.4709,       'M$/PJ', '2021 EIA AEO; Table 3. “Distillate Fuel Oil” (Electric Power Sector)');
INSERT INTO `CostVariable` VALUES ('NB', 2020, 'IMP_DSL_ELC',         1900, 22.2693,       'M$/PJ', '2021 EIA AEO; Table 3. “Distillate Fuel Oil” (Electric Power Sector)');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'IMP_DSL_ELC',         1900, 22.1258,       'M$/PJ', '2021 EIA AEO; Table 3. “Distillate Fuel Oil” (Electric Power Sector)');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'IMP_DSL_ELC',         1900, 23.6256,       'M$/PJ', '2021 EIA AEO; Table 3. “Distillate Fuel Oil” (Electric Power Sector)');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'IMP_DSL_ELC',         1900, 24.4709,       'M$/PJ', '2021 EIA AEO; Table 3. “Distillate Fuel Oil” (Electric Power Sector)');
INSERT INTO `CostVariable` VALUES ('PEI', 2020, 'IMP_DSL_ELC',         1900, 22.2693,       'M$/PJ', '2021 EIA AEO; Table 3. “Distillate Fuel Oil” (Electric Power Sector)');
INSERT INTO `CostVariable` VALUES ('PEI', 2030, 'IMP_DSL_ELC',         1900, 22.1258,       'M$/PJ', '2021 EIA AEO; Table 3. “Distillate Fuel Oil” (Electric Power Sector)');
INSERT INTO `CostVariable` VALUES ('PEI', 2040, 'IMP_DSL_ELC',         1900, 23.6256,       'M$/PJ', '2021 EIA AEO; Table 3. “Distillate Fuel Oil” (Electric Power Sector)');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'IMP_DSL_ELC',         1900, 24.4709,       'M$/PJ', '2021 EIA AEO; Table 3. “Distillate Fuel Oil” (Electric Power Sector)');
INSERT INTO `CostVariable` VALUES ('NL', 2020, 'IMP_DSL_ELC',         1900, 22.2693,       'M$/PJ', '2021 EIA AEO; Table 3. “Distillate Fuel Oil” (Electric Power Sector)');
INSERT INTO `CostVariable` VALUES ('NL', 2030, 'IMP_DSL_ELC',         1900, 22.1258,       'M$/PJ', '2021 EIA AEO; Table 3. “Distillate Fuel Oil” (Electric Power Sector)');
INSERT INTO `CostVariable` VALUES ('NL', 2040, 'IMP_DSL_ELC',         1900, 23.6256,       'M$/PJ', '2021 EIA AEO; Table 3. “Distillate Fuel Oil” (Electric Power Sector)');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'IMP_DSL_ELC',         1900, 24.4709,       'M$/PJ', '2021 EIA AEO; Table 3. “Distillate Fuel Oil” (Electric Power Sector)');
INSERT INTO `CostVariable` VALUES ('NB', 2020, 'IMP_HFO_ELC',         1900, 10.4252,       'M$/PJ', '2021 EIA AEO; Table 3. “Residual Fuel Oil” (Electric Power Sector)');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'IMP_HFO_ELC',         1900, 20.7215,       'M$/PJ', '2021 EIA AEO; Table 3. “Residual Fuel Oil” (Electric Power Sector)');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'IMP_HFO_ELC',         1900, 27.9172,       'M$/PJ', '2021 EIA AEO; Table 3. “Residual Fuel Oil” (Electric Power Sector)');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'IMP_HFO_ELC',         1900, 36.172,        'M$/PJ', '2021 EIA AEO; Table 3. “Residual Fuel Oil” (Electric Power Sector)');
INSERT INTO `CostVariable` VALUES ('NB', 2020, 'IMP_ELC-USA',         1900, 21.6009,       'M$/PJ', 'NB Power 10 Year Pla; Quoted as the Mass Hub Electricity Price (Winter). Data is only given for the years between 2021 and 2030. 2020 was assumed to be the same as 2021 and the years following 2030 were assumed to remain the same as 2030. We take this to be the cost of imports from both Quebec and USA.');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'IMP_ELC-USA',         1900, 25.7528,       'M$/PJ', 'NB Power 10 Year Pla; Quoted as the Mass Hub Electricity Price (Winter). Data is only given for the years between 2021 and 2030. 2020 was assumed to be the same as 2021 and the years following 2030 were assumed to remain the same as 2030. We take this to be the cost of imports from both Quebec and USA.');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'IMP_ELC-USA',         1900, 24.9417,       'M$/PJ', 'NB Power 10 Year Pla; Quoted as the Mass Hub Electricity Price (Winter). Data is only given for the years between 2021 and 2030. 2020 was assumed to be the same as 2021 and the years following 2030 were assumed to remain the same as 2030. We take this to be the cost of imports from both Quebec and USA.');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'IMP_ELC-USA',         1900, 24.3334,       'M$/PJ', 'NB Power 10 Year Pla; Quoted as the Mass Hub Electricity Price (Winter). Data is only given for the years between 2021 and 2030. 2020 was assumed to be the same as 2021 and the years following 2030 were assumed to remain the same as 2030. We take this to be the cost of imports from both Quebec and USA.');
INSERT INTO `CostVariable` VALUES ('NB', 2020, 'IMP_ELC-QC',          1900, 10.9327,       'M$/PJ', 'NB Power 10 Year Plan 2021 – 203; Quoted as the Mass Hub Electricity Price (Winter). Data is only given for the years between 2021 and 2030. 2020 was assumed to be the same as 2021 and the years following 2030 were assumed to remain the same as 2030. We take this to be the cost of imports from both Quebec and USA.');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'IMP_ELC-QC',          1900, 15.0848,       'M$/PJ', 'NB Power 10 Year Plan 2021 – 203; Quoted as the Mass Hub Electricity Price (Winter). Data is only given for the years between 2021 and 2030. 2020 was assumed to be the same as 2021 and the years following 2030 were assumed to remain the same as 2030. We take this to be the cost of imports from both Quebec and USA.');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'IMP_ELC-QC',          1900, 14.6097,       'M$/PJ', 'NB Power 10 Year Plan 2021 – 203; Quoted as the Mass Hub Electricity Price (Winter). Data is only given for the years between 2021 and 2030. 2020 was assumed to be the same as 2021 and the years following 2030 were assumed to remain the same as 2030. We take this to be the cost of imports from both Quebec and USA.');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'IMP_ELC-QC',          1900, 14.2533,       'M$/PJ', 'NB Power 10 Year Plan 2021 – 203; Quoted as the Mass Hub Electricity Price (Winter). Data is only given for the years between 2021 and 2030. 2020 was assumed to be the same as 2021 and the years following 2030 were assumed to remain the same as 2030. We take this to be the cost of imports from both Quebec and USA.');
INSERT INTO `CostVariable` VALUES ('LAB', 2020, 'IMP_ELC-QC',          1900, 10.9327,       'M$/PJ', 'NB Power 10 Year Plan 2021 – 203; Quoted as the Mass Hub Electricity Price (Winter). Data is only given for the years between 2021 and 2030. 2020 was assumed to be the same as 2021 and the years following 2030 were assumed to remain the same as 2030. We take this to be the cost of imports from both Quebec and USA.');
INSERT INTO `CostVariable` VALUES ('LAB', 2030, 'IMP_ELC-QC',          1900, 15.0848,       'M$/PJ', 'NB Power 10 Year Plan 2021 – 203; Quoted as the Mass Hub Electricity Price (Winter). Data is only given for the years between 2021 and 2030. 2020 was assumed to be the same as 2021 and the years following 2030 were assumed to remain the same as 2030. We take this to be the cost of imports from both Quebec and USA.');
INSERT INTO `CostVariable` VALUES ('LAB', 2040, 'IMP_ELC-QC',          1900, 14.6097,       'M$/PJ', 'NB Power 10 Year Plan 2021 – 203; Quoted as the Mass Hub Electricity Price (Winter). Data is only given for the years between 2021 and 2030. 2020 was assumed to be the same as 2021 and the years following 2030 were assumed to remain the same as 2030. We take this to be the cost of imports from both Quebec and USA.');
INSERT INTO `CostVariable` VALUES ('LAB', 2050, 'IMP_ELC-QC',          1900, 14.2533,       'M$/PJ', 'NB Power 10 Year Plan 2021 – 203; Quoted as the Mass Hub Electricity Price (Winter). Data is only given for the years between 2021 and 2030. 2020 was assumed to be the same as 2021 and the years following 2030 were assumed to remain the same as 2030. We take this to be the cost of imports from both Quebec and USA.');
INSERT INTO `CostVariable` VALUES ('NB', 2020, 'E_TRANS_EXPORT',      1900, -6.0199,       'M$/PJ', 'Princeton Net Zero America PROJECT; “Existing Hydro Quebec Imports”. We use this value, which is considerably lower than the value used for imports, to disincentivize exports. In reality, import and export prices should be similar. Cost is negative to reflect the selling of electricity.');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'E_TRANS_EXPORT',      1900, -5.54,         'M$/PJ', 'Princeton Net Zero America PROJECT; “Existing Hydro Quebec Imports”. We use this value, which is considerably lower than the value used for imports, to disincentivize exports. In reality, import and export prices should be similar. Cost is negative to reflect the selling of electricity.');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_TRANS_EXPORT',      1900, -5.3655,       'M$/PJ', 'Princeton Net Zero America PROJECT; “Existing Hydro Quebec Imports”. We use this value, which is considerably lower than the value used for imports, to disincentivize exports. In reality, import and export prices should be similar. Cost is negative to reflect the selling of electricity.');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_TRANS_EXPORT',      1900, -5.2347,       'M$/PJ', 'Princeton Net Zero America PROJECT; “Existing Hydro Quebec Imports”. We use this value, which is considerably lower than the value used for imports, to disincentivize exports. In reality, import and export prices should be similar. Cost is negative to reflect the selling of electricity.');
INSERT INTO `CostVariable` VALUES ('LAB', 2020, 'E_TRANS_EXPORT',      1900, -6.0199,       'M$/PJ', 'Princeton Net Zero America PROJECT; “Existing Hydro Quebec Imports”. We use this value, which is considerably lower than the value used for imports, to disincentivize exports. In reality, import and export prices should be similar. Cost is negative to reflect the selling of electricity.');
INSERT INTO `CostVariable` VALUES ('LAB', 2030, 'E_TRANS_EXPORT',      1900, -5.54,         'M$/PJ', 'Princeton Net Zero America PROJECT; “Existing Hydro Quebec Imports”. We use this value, which is considerably lower than the value used for imports, to disincentivize exports. In reality, import and export prices should be similar. Cost is negative to reflect the selling of electricity.');
INSERT INTO `CostVariable` VALUES ('LAB', 2040, 'E_TRANS_EXPORT',      1900, -5.3655,       'M$/PJ', 'Princeton Net Zero America PROJECT; “Existing Hydro Quebec Imports”. We use this value, which is considerably lower than the value used for imports, to disincentivize exports. In reality, import and export prices should be similar. Cost is negative to reflect the selling of electricity.');
INSERT INTO `CostVariable` VALUES ('LAB', 2050, 'E_TRANS_EXPORT',      1900, -5.2347,       'M$/PJ', 'Princeton Net Zero America PROJECT; “Existing Hydro Quebec Imports”. We use this value, which is considerably lower than the value used for imports, to disincentivize exports. In reality, import and export prices should be similar. Cost is negative to reflect the selling of electricity.');

----------------------------------------------------- Existing Technologies ----------------------------------------------


INSERT INTO `CostVariable` VALUES ('NB',2020,'E_HFO-CT_EX',					1991,1.7408,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NB',2020,'E_COAL-BIT_EX-1',			1980,0.2649,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NB',2020,'E_NGACC_EX',					1977,0.4920,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NB',2020,'E_NG-COGEN_EX',				1975,0.1367,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NB',2020,'E_NUC-LWR_EX',				1980,0.8704,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NB',2020,'E_DIESEL-CT_EX',			1976,5.328,'$M/PJ','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostVariable` VALUES ('NB',2020,'E_DIESEL-CT_EX',			1981,5.328,'$M/PJ','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostVariable` VALUES ('NB',2020,'E_BIO-COGEN_EX',			2000,1.4001,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NB',2020,'E_HYDRO-LIMDSP_EX',			2000,0.22706684832,'$M/PJ','Princeton Net Zero America Project');



INSERT INTO `CostVariable` VALUES ('NB',2030,'E_HFO-CT_EX',					1991,1.7408,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NB',2030,'E_NUC-LWR_EX',				1980,0.8704,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NB',2030,'E_DIESEL-CT_EX',			1981,5.328,'$M/PJ','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostVariable` VALUES ('NB',2030,'E_BIO-COGEN_EX',	2000,1.4001,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NB',2030,'E_HYDRO-LIMDSP_EX',			2000,0.22706684832,'$M/PJ','Princeton Net Zero America Project');


INSERT INTO `CostVariable` VALUES ('NB',2040,'E_HFO-CT_EX',					1991,1.7408,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NB',2040,'E_BIO-COGEN_EX',	2000,1.4001,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NB',2040,'E_HYDRO-LIMDSP_EX',			2000,0.22706684832,'$M/PJ','Princeton Net Zero America Project');


INSERT INTO `CostVariable` VALUES ('NB',2050,'E_BIO-COGEN_EX',	2000,1.4001,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NB',2050,'E_HYDRO-LIMDSP_EX',			2000,0.22706684832,'$M/PJ','Princeton Net Zero America Project');




INSERT INTO `CostVariable` VALUES ('NS',2020,'E_COAL-BIT_EX-1',			1971,0.2649,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NS',2020,'E_COAL-BIT_EX-1',			1980,0.2649,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NS',2020,'E_COAL-BIT_EX-2',			1980,0.2649,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NS',2020,'E_COAL-BIT_EX-3',			1980,0.2649,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NS',2020,'E_COAL-COKE_EX',			1980,1.741,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NS',2020,'E_NGACT_EX',					2000,0.48922,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NS',2020,'E_NGACC_EX',					2010,0.49198,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NS',2020,'E_DIESEL-CT_EX',			2000,5.328,'$M/PJ','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostVariable` VALUES ('NS',2020,'E_BIO-COGEN_EX',			2000,1.4002,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NS',2020,'E_BIO_EX',						2000,0.22707,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NS',2020,'E_HYDRO-LIMDSP_EX',			2000,0.22706684832,'$M/PJ','Princeton Net Zero America Project');




INSERT INTO `CostVariable` VALUES ('NS',2030,'E_NGACT_EX',					2000,0.48922,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NS',2030,'E_NGACC_EX',					2010,0.49198,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NS',2030,'E_DIESEL-CT_EX',			2000,5.328,'$M/PJ','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostVariable` VALUES ('NS',2030,'E_BIO-COGEN_EX',			2000,1.4002,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NS',2030,'E_BIO_EX',						2000,0.22707,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NS',2030,'E_HYDRO-LIMDSP_EX',			2000,0.22706684832,'$M/PJ','Princeton Net Zero America Project');


INSERT INTO `CostVariable` VALUES ('NS',2040,'E_NGACT_EX',					2000,0.48922,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NS',2040,'E_NGACC_EX',					2010,0.49198,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NS',2040,'E_DIESEL-CT_EX',			2000,5.328,'$M/PJ','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostVariable` VALUES ('NS',2040,'E_BIO-COGEN_EX',			2000,1.4002,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NS',2040,'E_BIO_EX',						2000,0.22707,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NS',2040,'E_HYDRO-LIMDSP_EX',		2000,0.22706684832,'$M/PJ','Princeton Net Zero America Project');


INSERT INTO `CostVariable` VALUES ('NS',2050,'E_NGACT_EX',					2000,0.48922,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NS',2050,'E_NGACC_EX',					2010,0.49198,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NS',2050,'E_DIESEL-CT_EX',			2000,5.328,'$M/PJ','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostVariable` VALUES ('NS',2050,'E_BIO-COGEN_EX',			2000,1.4002,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NS',2050,'E_BIO_EX',						2000,0.22707,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NS',2050,'E_HYDRO-LIMDSP_EX',			2000,0.22706684832,'$M/PJ','Princeton Net Zero America Project');


INSERT INTO `CostVariable` VALUES ('PEI',2020,'E_DIESEL-CT_EX',			1979,5.328,'$M/PJ','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostVariable` VALUES ('PEI',2020,'E_DIESEL-CT_EX',			2004,5.328,'$M/PJ','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');

INSERT INTO `CostVariable` VALUES ('PEI',2030,'E_DIESEL-CT_EX',			2004,5.328,'$M/PJ','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostVariable` VALUES ('PEI',2040,'E_DIESEL-CT_EX',			2004,5.328,'$M/PJ','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostVariable` VALUES ('PEI',2050,'E_DIESEL-CT_EX',			2004,5.328,'$M/PJ','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');


INSERT INTO `CostVariable` VALUES ('NL',2020,'E_DIESEL-CT_EX',			2001,5.328,'$M/PJ','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostVariable` VALUES ('NL',2030,'E_DIESEL-CT_EX',			2001,5.328,'$M/PJ','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostVariable` VALUES ('NL',2040,'E_DIESEL-CT_EX',			2001,5.328,'$M/PJ','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostVariable` VALUES ('NL',2050,'E_DIESEL-CT_EX',			2001,5.328,'$M/PJ','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');

INSERT INTO `CostVariable` VALUES ('NL',2020,'E_HYDRO-DSP_EX',			2000,0.22706684832,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NL',2030,'E_HYDRO-DSP_EX',			2000,0.22706684832,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NL',2040,'E_HYDRO-DSP_EX',			2000,0.22706684832,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('NL',2050,'E_HYDRO-DSP_EX',			2000,0.22706684832,'$M/PJ','Princeton Net Zero America Project');



INSERT INTO `CostVariable` VALUES ('LAB',2020,'E_HYDRO-LIMDSP_EX',			2000,0.22706684832,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('LAB',2030,'E_HYDRO-LIMDSP_EX',			2000,0.22706684832,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('LAB',2040,'E_HYDRO-LIMDSP_EX',			2000,0.22706684832,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('LAB',2050,'E_HYDRO-LIMDSP_EX',			2000,0.22706684832,'$M/PJ','Princeton Net Zero America Project');


INSERT INTO `CostVariable` VALUES ('LAB',2020,'E_HYDRO-ROR_EX',			2000,0.22706684832,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('LAB',2030,'E_HYDRO-ROR_EX',			2000,0.22706684832,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('LAB',2040,'E_HYDRO-ROR_EX',			2000,0.22706684832,'$M/PJ','Princeton Net Zero America Project');
INSERT INTO `CostVariable` VALUES ('LAB',2050,'E_HYDRO-ROR_EX',			2000,0.22706684832,'$M/PJ','Princeton Net Zero America Project');

----------------------------------------------------- New Technologies ---------------------------------------------
INSERT INTO `CostVariable` VALUES ('NS', 2020, 'E_BIO',               2020, 1.8011,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'E_BIO',               2020, 1.6907,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'E_BIO',               2030, 1.6907,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'E_BIO',               2020, 1.6374,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'E_BIO',               2030, 1.6374,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'E_BIO',               2040, 1.6374,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_BIO',               2020, 1.5975,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_BIO',               2030, 1.5975,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_BIO',               2040, 1.5975,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_BIO',               2050, 1.5975,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2020, 'E_BIO',               2020, 1.8011,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'E_BIO',               2020, 1.6907,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'E_BIO',               2030, 1.6907,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_BIO',               2020, 1.6374,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_BIO',               2030, 1.6374,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_BIO',               2040, 1.6374,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_BIO',               2020, 1.5975,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_BIO',               2030, 1.5975,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_BIO',               2040, 1.5975,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_BIO',               2050, 1.5975,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2020, 'E_BIO',               2020, 1.8011,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2030, 'E_BIO',               2020, 1.6907,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2030, 'E_BIO',               2030, 1.6907,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2040, 'E_BIO',               2020, 1.6374,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2040, 'E_BIO',               2030, 1.6374,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2040, 'E_BIO',               2040, 1.6374,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'E_BIO',               2020, 1.5975,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'E_BIO',               2030, 1.5975,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'E_BIO',               2040, 1.5975,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'E_BIO',               2050, 1.5975,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2020, 'E_BIO',               2020, 1.8011,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2030, 'E_BIO',               2020, 1.6907,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2030, 'E_BIO',               2030, 1.6907,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2040, 'E_BIO',               2020, 1.6374,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2040, 'E_BIO',               2030, 1.6374,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2040, 'E_BIO',               2040, 1.6374,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'E_BIO',               2020, 1.5975,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'E_BIO',               2030, 1.5975,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'E_BIO',               2040, 1.5975,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'E_BIO',               2050, 1.5975,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2020, 'E_BECCS',             2020, 3.2982,        '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'E_BECCS',             2020, 3.0353,        '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'E_BECCS',             2030, 3.0353,        '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'E_BECCS',             2020, 2.9397,        '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'E_BECCS',             2030, 2.9397,        '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'E_BECCS',             2040, 2.9397,        '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_BECCS',             2030, 2.868,         '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_BECCS',             2040, 2.868,         '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_BECCS',             2050, 2.868,         '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NB', 2020, 'E_BECCS',             2020, 3.2982,        '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'E_BECCS',             2020, 3.0353,        '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'E_BECCS',             2030, 3.0353,        '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_BECCS',             2020, 2.9397,        '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_BECCS',             2030, 2.9397,        '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_BECCS',             2040, 2.9397,        '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_BECCS',             2030, 2.868,         '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_BECCS',             2040, 2.868,         '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_BECCS',             2050, 2.868,         '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('PEI', 2020, 'E_BECCS',             2020, 3.2982,        '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('PEI', 2030, 'E_BECCS',             2020, 3.0353,        '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('PEI', 2030, 'E_BECCS',             2030, 3.0353,        '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('PEI', 2040, 'E_BECCS',             2020, 2.9397,        '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('PEI', 2040, 'E_BECCS',             2030, 2.9397,        '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('PEI', 2040, 'E_BECCS',             2040, 2.9397,        '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'E_BECCS',             2030, 2.868,         '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'E_BECCS',             2040, 2.868,         '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'E_BECCS',             2050, 2.868,         '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NL', 2020, 'E_BECCS',             2020, 3.2982,        '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NL', 2030, 'E_BECCS',             2020, 3.0353,        '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NL', 2030, 'E_BECCS',             2030, 3.0353,        '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NL', 2040, 'E_BECCS',             2020, 2.9397,        '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NL', 2040, 'E_BECCS',             2030, 2.9397,        '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NL', 2040, 'E_BECCS',             2040, 2.9397,        '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'E_BECCS',             2030, 2.868,         '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'E_BECCS',             2040, 2.868,         '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'E_BECCS',             2050, 2.868,         '$M/PJ', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostVariable` VALUES ('NS', 2020, 'E_NGACC',             2020, 0.6539,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'E_NGACC',             2020, 0.6138,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'E_NGACC',             2030, 0.6138,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'E_NGACC',             2020, 0.5945,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'E_NGACC',             2030, 0.5945,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'E_NGACC',             2040, 0.5945,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_NGACC',             2020, 0.58,          '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_NGACC',             2030, 0.58,          '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_NGACC',             2040, 0.58,          '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_NGACC',             2050, 0.58,          '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2020, 'E_NGACC',             2020, 0.6539,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'E_NGACC',             2020, 0.6138,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'E_NGACC',             2030, 0.6138,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_NGACC',             2020, 0.5945,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_NGACC',             2030, 0.5945,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_NGACC',             2040, 0.5945,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_NGACC',             2020, 0.58,          '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_NGACC',             2030, 0.58,          '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_NGACC',             2040, 0.58,          '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_NGACC',             2050, 0.58,          '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2020, 'E_NGACC-CCS',         2020, 2.1534,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'E_NGACC-CCS',         2020, 1.965,         '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'E_NGACC-CCS',         2030, 1.965,         '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'E_NGACC-CCS',         2020, 1.8177,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'E_NGACC-CCS',         2030, 1.8177,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'E_NGACC-CCS',         2040, 1.8177,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_NGACC-CCS',         2020, 1.7733,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_NGACC-CCS',         2030, 1.7733,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_NGACC-CCS',         2040, 1.7733,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_NGACC-CCS',         2050, 1.7733,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2020, 'E_NGACC-CCS',         2020, 2.1534,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'E_NGACC-CCS',         2020, 1.965,         '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'E_NGACC-CCS',         2030, 1.965,         '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_NGACC-CCS',         2020, 1.8177,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_NGACC-CCS',         2030, 1.8177,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_NGACC-CCS',         2040, 1.8177,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_NGACC-CCS',         2020, 1.7733,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_NGACC-CCS',         2030, 1.7733,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_NGACC-CCS',         2040, 1.7733,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_NGACC-CCS',         2050, 1.7733,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2020, 'E_NGACT',             2020, 1.8565,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'E_NGACT',             2020, 1.7427,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'E_NGACT',             2030, 1.7427,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'E_NGACT',             2020, 1.6878,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'E_NGACT',             2030, 1.6878,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'E_NGACT',             2040, 1.6878,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_NGACT',             2020, 1.6467,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_NGACT',             2030, 1.6467,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_NGACT',             2040, 1.6467,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_NGACT',             2050, 1.6467,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2020, 'E_NGACT',             2020, 1.8565,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'E_NGACT',             2020, 1.7427,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'E_NGACT',             2030, 1.7427,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_NGACT',             2020, 1.6878,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_NGACT',             2030, 1.6878,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_NGACT',             2040, 1.6878,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_NGACT',             2020, 1.6467,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_NGACT',             2030, 1.6467,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_NGACT',             2040, 1.6467,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_NGACT',             2050, 1.6467,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2020, 'E_NUC-LWR',           2020, 0.8838,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'E_NUC-LWR',           2020, 0.8297,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'E_NUC-LWR',           2030, 0.8297,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'E_NUC-LWR',           2020, 0.8035,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'E_NUC-LWR',           2030, 0.8035,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'E_NUC-LWR',           2040, 0.8035,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_NUC-LWR',           2020, 0.7839,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_NUC-LWR',           2030, 0.7839,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_NUC-LWR',           2040, 0.7839,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_NUC-LWR',           2050, 0.7839,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2020, 'E_NUC-LWR',           2020, 0.8838,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'E_NUC-LWR',           2020, 0.8297,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'E_NUC-LWR',           2030, 0.8297,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_NUC-LWR',           2020, 0.8035,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_NUC-LWR',           2030, 0.8035,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_NUC-LWR',           2040, 0.8035,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_NUC-LWR',           2020, 0.7839,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_NUC-LWR',           2030, 0.7839,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_NUC-LWR',           2040, 0.7839,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_NUC-LWR',           2050, 0.7839,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2020, 'E_NUC-LWR',           2020, 0.8838,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2030, 'E_NUC-LWR',           2020, 0.8297,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2030, 'E_NUC-LWR',           2030, 0.8297,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2040, 'E_NUC-LWR',           2020, 0.8035,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2040, 'E_NUC-LWR',           2030, 0.8035,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2040, 'E_NUC-LWR',           2040, 0.8035,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'E_NUC-LWR',           2020, 0.7839,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'E_NUC-LWR',           2030, 0.7839,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'E_NUC-LWR',           2040, 0.7839,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'E_NUC-LWR',           2050, 0.7839,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2020, 'E_NUC-LWR',           2020, 0.8838,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2030, 'E_NUC-LWR',           2020, 0.8297,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2030, 'E_NUC-LWR',           2030, 0.8297,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2040, 'E_NUC-LWR',           2020, 0.8035,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2040, 'E_NUC-LWR',           2030, 0.8035,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2040, 'E_NUC-LWR',           2040, 0.8035,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'E_NUC-LWR',           2020, 0.7839,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'E_NUC-LWR',           2030, 0.7839,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'E_NUC-LWR',           2040, 0.7839,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'E_NUC-LWR',           2050, 0.7839,        '$M/PJ', '2021 NREL ATB');
INSERT INTO `CostVariable` VALUES ('NS', 2020, 'E_H2CC',              2020, 0.6539,        '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'E_H2CC',              2020, 0.6138,        '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'E_H2CC',              2030, 0.6138,        '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'E_H2CC',              2020, 0.5945,        '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'E_H2CC',              2030, 0.5945,        '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'E_H2CC',              2040, 0.5945,        '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_H2CC',              2030, 0.58,          '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_H2CC',              2040, 0.58,          '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_H2CC',              2050, 0.58,          '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NB', 2020, 'E_H2CC',              2020, 0.6539,        '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'E_H2CC',              2020, 0.6138,        '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'E_H2CC',              2030, 0.6138,        '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_H2CC',              2020, 0.5945,        '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_H2CC',              2030, 0.5945,        '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_H2CC',              2040, 0.5945,        '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_H2CC',              2030, 0.58,          '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_H2CC',              2040, 0.58,          '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_H2CC',              2050, 0.58,          '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('PEI', 2020, 'E_H2CC',              2020, 0.6539,        '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('PEI', 2030, 'E_H2CC',              2020, 0.6138,        '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('PEI', 2030, 'E_H2CC',              2030, 0.6138,        '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('PEI', 2040, 'E_H2CC',              2020, 0.5945,        '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('PEI', 2040, 'E_H2CC',              2030, 0.5945,        '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('PEI', 2040, 'E_H2CC',              2040, 0.5945,        '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'E_H2CC',              2030, 0.58,          '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'E_H2CC',              2040, 0.58,          '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'E_H2CC',              2050, 0.58,          '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NL', 2020, 'E_H2CC',              2020, 0.6539,        '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NL', 2030, 'E_H2CC',              2020, 0.6138,        '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NL', 2030, 'E_H2CC',              2030, 0.6138,        '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NL', 2040, 'E_H2CC',              2020, 0.5945,        '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NL', 2040, 'E_H2CC',              2030, 0.5945,        '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NL', 2040, 'E_H2CC',              2040, 0.5945,        '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'E_H2CC',              2030, 0.58,          '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'E_H2CC',              2040, 0.58,          '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'E_H2CC',              2050, 0.58,          '$M/PJ', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostVariable` VALUES ('NS', 2020, 'H2_SMR-CCS',          2020, 2.5,           '$M/PJ', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; Document states that NG (at $12.63/GJ) accounts for 87-89% of variable costs. Assuming 88%, process variable cost is calculated by (12.63 [$/GJ_NG] / 0.88 / 0.69 = 20.8 where 0.69 is the process efficiency). This is the total variable cost. The cost of NG is already taken into account by the import technology, so variable cost of this process is 0.12*20.8 = 2.5 Does not give the currency year. Current costs only. Assumption: no price declines. ');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'H2_SMR-CCS',          2020, 2.5,           '$M/PJ', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; Document states that NG (at $12.63/GJ) accounts for 87-89% of variable costs. Assuming 88%, process variable cost is calculated by (12.63 [$/GJ_NG] / 0.88 / 0.69 = 20.8 where 0.69 is the process efficiency). This is the total variable cost. The cost of NG is already taken into account by the import technology, so variable cost of this process is 0.12*20.8 = 2.5 Does not give the currency year. Current costs only. Assumption: no price declines. ');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'H2_SMR-CCS',          2030, 2.5,           '$M/PJ', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; Document states that NG (at $12.63/GJ) accounts for 87-89% of variable costs. Assuming 88%, process variable cost is calculated by (12.63 [$/GJ_NG] / 0.88 / 0.69 = 20.8 where 0.69 is the process efficiency). This is the total variable cost. The cost of NG is already taken into account by the import technology, so variable cost of this process is 0.12*20.8 = 2.5 Does not give the currency year. Current costs only. Assumption: no price declines. ');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'H2_SMR-CCS',          2020, 2.5,           '$M/PJ', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; Document states that NG (at $12.63/GJ) accounts for 87-89% of variable costs. Assuming 88%, process variable cost is calculated by (12.63 [$/GJ_NG] / 0.88 / 0.69 = 20.8 where 0.69 is the process efficiency). This is the total variable cost. The cost of NG is already taken into account by the import technology, so variable cost of this process is 0.12*20.8 = 2.5 Does not give the currency year. Current costs only. Assumption: no price declines. ');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'H2_SMR-CCS',          2030, 2.5,           '$M/PJ', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; Document states that NG (at $12.63/GJ) accounts for 87-89% of variable costs. Assuming 88%, process variable cost is calculated by (12.63 [$/GJ_NG] / 0.88 / 0.69 = 20.8 where 0.69 is the process efficiency). This is the total variable cost. The cost of NG is already taken into account by the import technology, so variable cost of this process is 0.12*20.8 = 2.5 Does not give the currency year. Current costs only. Assumption: no price declines. ');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'H2_SMR-CCS',          2040, 2.5,           '$M/PJ', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; Document states that NG (at $12.63/GJ) accounts for 87-89% of variable costs. Assuming 88%, process variable cost is calculated by (12.63 [$/GJ_NG] / 0.88 / 0.69 = 20.8 where 0.69 is the process efficiency). This is the total variable cost. The cost of NG is already taken into account by the import technology, so variable cost of this process is 0.12*20.8 = 2.5 Does not give the currency year. Current costs only. Assumption: no price declines. ');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'H2_SMR-CCS',          2030, 2.5,           '$M/PJ', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; Document states that NG (at $12.63/GJ) accounts for 87-89% of variable costs. Assuming 88%, process variable cost is calculated by (12.63 [$/GJ_NG] / 0.88 / 0.69 = 20.8 where 0.69 is the process efficiency). This is the total variable cost. The cost of NG is already taken into account by the import technology, so variable cost of this process is 0.12*20.8 = 2.5 Does not give the currency year. Current costs only. Assumption: no price declines. ');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'H2_SMR-CCS',          2040, 2.5,           '$M/PJ', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; Document states that NG (at $12.63/GJ) accounts for 87-89% of variable costs. Assuming 88%, process variable cost is calculated by (12.63 [$/GJ_NG] / 0.88 / 0.69 = 20.8 where 0.69 is the process efficiency). This is the total variable cost. The cost of NG is already taken into account by the import technology, so variable cost of this process is 0.12*20.8 = 2.5 Does not give the currency year. Current costs only. Assumption: no price declines. ');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'H2_SMR-CCS',          2050, 2.5,           '$M/PJ', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; Document states that NG (at $12.63/GJ) accounts for 87-89% of variable costs. Assuming 88%, process variable cost is calculated by (12.63 [$/GJ_NG] / 0.88 / 0.69 = 20.8 where 0.69 is the process efficiency). This is the total variable cost. The cost of NG is already taken into account by the import technology, so variable cost of this process is 0.12*20.8 = 2.5 Does not give the currency year. Current costs only. Assumption: no price declines. ');
INSERT INTO `CostVariable` VALUES ('NB', 2020, 'H2_SMR-CCS',          2020, 2.5,           '$M/PJ', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; Document states that NG (at $12.63/GJ) accounts for 87-89% of variable costs. Assuming 88%, process variable cost is calculated by (12.63 [$/GJ_NG] / 0.88 / 0.69 = 20.8 where 0.69 is the process efficiency). This is the total variable cost. The cost of NG is already taken into account by the import technology, so variable cost of this process is 0.12*20.8 = 2.5 Does not give the currency year. Current costs only. Assumption: no price declines. ');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'H2_SMR-CCS',          2020, 2.5,           '$M/PJ', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; Document states that NG (at $12.63/GJ) accounts for 87-89% of variable costs. Assuming 88%, process variable cost is calculated by (12.63 [$/GJ_NG] / 0.88 / 0.69 = 20.8 where 0.69 is the process efficiency). This is the total variable cost. The cost of NG is already taken into account by the import technology, so variable cost of this process is 0.12*20.8 = 2.5 Does not give the currency year. Current costs only. Assumption: no price declines. ');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'H2_SMR-CCS',          2030, 2.5,           '$M/PJ', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; Document states that NG (at $12.63/GJ) accounts for 87-89% of variable costs. Assuming 88%, process variable cost is calculated by (12.63 [$/GJ_NG] / 0.88 / 0.69 = 20.8 where 0.69 is the process efficiency). This is the total variable cost. The cost of NG is already taken into account by the import technology, so variable cost of this process is 0.12*20.8 = 2.5 Does not give the currency year. Current costs only. Assumption: no price declines. ');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'H2_SMR-CCS',          2020, 2.5,           '$M/PJ', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; Document states that NG (at $12.63/GJ) accounts for 87-89% of variable costs. Assuming 88%, process variable cost is calculated by (12.63 [$/GJ_NG] / 0.88 / 0.69 = 20.8 where 0.69 is the process efficiency). This is the total variable cost. The cost of NG is already taken into account by the import technology, so variable cost of this process is 0.12*20.8 = 2.5 Does not give the currency year. Current costs only. Assumption: no price declines. ');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'H2_SMR-CCS',          2030, 2.5,           '$M/PJ', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; Document states that NG (at $12.63/GJ) accounts for 87-89% of variable costs. Assuming 88%, process variable cost is calculated by (12.63 [$/GJ_NG] / 0.88 / 0.69 = 20.8 where 0.69 is the process efficiency). This is the total variable cost. The cost of NG is already taken into account by the import technology, so variable cost of this process is 0.12*20.8 = 2.5 Does not give the currency year. Current costs only. Assumption: no price declines. ');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'H2_SMR-CCS',          2040, 2.5,           '$M/PJ', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; Document states that NG (at $12.63/GJ) accounts for 87-89% of variable costs. Assuming 88%, process variable cost is calculated by (12.63 [$/GJ_NG] / 0.88 / 0.69 = 20.8 where 0.69 is the process efficiency). This is the total variable cost. The cost of NG is already taken into account by the import technology, so variable cost of this process is 0.12*20.8 = 2.5 Does not give the currency year. Current costs only. Assumption: no price declines. ');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'H2_SMR-CCS',          2030, 2.5,           '$M/PJ', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; Document states that NG (at $12.63/GJ) accounts for 87-89% of variable costs. Assuming 88%, process variable cost is calculated by (12.63 [$/GJ_NG] / 0.88 / 0.69 = 20.8 where 0.69 is the process efficiency). This is the total variable cost. The cost of NG is already taken into account by the import technology, so variable cost of this process is 0.12*20.8 = 2.5 Does not give the currency year. Current costs only. Assumption: no price declines. ');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'H2_SMR-CCS',          2040, 2.5,           '$M/PJ', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; Document states that NG (at $12.63/GJ) accounts for 87-89% of variable costs. Assuming 88%, process variable cost is calculated by (12.63 [$/GJ_NG] / 0.88 / 0.69 = 20.8 where 0.69 is the process efficiency). This is the total variable cost. The cost of NG is already taken into account by the import technology, so variable cost of this process is 0.12*20.8 = 2.5 Does not give the currency year. Current costs only. Assumption: no price declines. ');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'H2_SMR-CCS',          2050, 2.5,           '$M/PJ', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; Document states that NG (at $12.63/GJ) accounts for 87-89% of variable costs. Assuming 88%, process variable cost is calculated by (12.63 [$/GJ_NG] / 0.88 / 0.69 = 20.8 where 0.69 is the process efficiency). This is the total variable cost. The cost of NG is already taken into account by the import technology, so variable cost of this process is 0.12*20.8 = 2.5 Does not give the currency year. Current costs only. Assumption: no price declines. ');
INSERT INTO `CostVariable` VALUES ('NS', 2020, 'CO2_TRNSPSEQ',        2020, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'CO2_TRNSPSEQ',        2020, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'CO2_TRNSPSEQ',        2030, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'CO2_TRNSPSEQ',        2020, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'CO2_TRNSPSEQ',        2030, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'CO2_TRNSPSEQ',        2040, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'CO2_TRNSPSEQ',        2020, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'CO2_TRNSPSEQ',        2030, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'CO2_TRNSPSEQ',        2040, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'CO2_TRNSPSEQ',        2050, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NB', 2020, 'CO2_TRNSPSEQ',        2020, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'CO2_TRNSPSEQ',        2020, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'CO2_TRNSPSEQ',        2030, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'CO2_TRNSPSEQ',        2020, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'CO2_TRNSPSEQ',        2030, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'CO2_TRNSPSEQ',        2040, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'CO2_TRNSPSEQ',        2020, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'CO2_TRNSPSEQ',        2030, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'CO2_TRNSPSEQ',        2040, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'CO2_TRNSPSEQ',        2050, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('PEI', 2020, 'CO2_TRNSPSEQ',        2020, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('PEI', 2030, 'CO2_TRNSPSEQ',        2020, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('PEI', 2030, 'CO2_TRNSPSEQ',        2030, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('PEI', 2040, 'CO2_TRNSPSEQ',        2020, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('PEI', 2040, 'CO2_TRNSPSEQ',        2030, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('PEI', 2040, 'CO2_TRNSPSEQ',        2040, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'CO2_TRNSPSEQ',        2020, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'CO2_TRNSPSEQ',        2030, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'CO2_TRNSPSEQ',        2040, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'CO2_TRNSPSEQ',        2050, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NL', 2020, 'CO2_TRNSPSEQ',        2020, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NL', 2030, 'CO2_TRNSPSEQ',        2020, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NL', 2030, 'CO2_TRNSPSEQ',        2030, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NL', 2040, 'CO2_TRNSPSEQ',        2020, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NL', 2040, 'CO2_TRNSPSEQ',        2030, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NL', 2040, 'CO2_TRNSPSEQ',        2040, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'CO2_TRNSPSEQ',        2020, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'CO2_TRNSPSEQ',        2030, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'CO2_TRNSPSEQ',        2040, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'CO2_TRNSPSEQ',        2050, 0.013,         'M$/kt', 'Nova Scotia Power 2020 IRP; Per page 71. Values sourced from (Rubin et al, 2015). Accounts for the transporation and storage costs.');
INSERT INTO `CostVariable` VALUES ('NS', 2020, 'E_TRANS-DIST',        2020, 16.9648,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'E_TRANS-DIST',        2020, 16.4189,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'E_TRANS-DIST',        2030, 16.4189,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'E_TRANS-DIST',        2020, 16.6251,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'E_TRANS-DIST',        2030, 16.6251,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'E_TRANS-DIST',        2040, 16.6251,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_TRANS-DIST',        2020, 15.8323,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_TRANS-DIST',        2030, 15.8323,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_TRANS-DIST',        2040, 15.8323,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'E_TRANS-DIST',        2050, 15.8323,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NB', 2020, 'E_TRANS-DIST',        2020, 16.9648,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'E_TRANS-DIST',        2020, 16.4189,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NB', 2030, 'E_TRANS-DIST',        2030, 16.4189,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_TRANS-DIST',        2020, 16.6251,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_TRANS-DIST',        2030, 16.6251,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'E_TRANS-DIST',        2040, 16.6251,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_TRANS-DIST',        2020, 15.8323,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_TRANS-DIST',        2030, 15.8323,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_TRANS-DIST',        2040, 15.8323,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'E_TRANS-DIST',        2050, 15.8323,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('PEI', 2020, 'E_TRANS-DIST',        2020, 16.9648,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('PEI', 2030, 'E_TRANS-DIST',        2020, 16.4189,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('PEI', 2030, 'E_TRANS-DIST',        2030, 16.4189,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('PEI', 2040, 'E_TRANS-DIST',        2020, 16.6251,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('PEI', 2040, 'E_TRANS-DIST',        2030, 16.6251,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('PEI', 2040, 'E_TRANS-DIST',        2040, 16.6251,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'E_TRANS-DIST',        2020, 15.8323,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'E_TRANS-DIST',        2030, 15.8323,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'E_TRANS-DIST',        2040, 15.8323,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('PEI', 2050, 'E_TRANS-DIST',        2050, 15.8323,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NL', 2020, 'E_TRANS-DIST',        2020, 16.9648,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NL', 2030, 'E_TRANS-DIST',        2020, 16.4189,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NL', 2030, 'E_TRANS-DIST',        2030, 16.4189,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NL', 2040, 'E_TRANS-DIST',        2020, 16.6251,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NL', 2040, 'E_TRANS-DIST',        2030, 16.6251,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NL', 2040, 'E_TRANS-DIST',        2040, 16.6251,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'E_TRANS-DIST',        2020, 15.8323,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'E_TRANS-DIST',        2030, 15.8323,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'E_TRANS-DIST',        2040, 15.8323,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('NL', 2050, 'E_TRANS-DIST',        2050, 15.8323,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('LAB', 2020, 'E_TRANS-DIST',        2020, 16.9648,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('LAB', 2030, 'E_TRANS-DIST',        2020, 16.4189,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('LAB', 2030, 'E_TRANS-DIST',        2030, 16.4189,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('LAB', 2040, 'E_TRANS-DIST',        2020, 16.6251,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('LAB', 2040, 'E_TRANS-DIST',        2030, 16.6251,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('LAB', 2040, 'E_TRANS-DIST',        2040, 16.6251,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('LAB', 2050, 'E_TRANS-DIST',        2020, 15.8323,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('LAB', 2050, 'E_TRANS-DIST',        2030, 15.8323,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('LAB', 2050, 'E_TRANS-DIST',        2040, 15.8323,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');
INSERT INTO `CostVariable` VALUES ('LAB', 2050, 'E_TRANS-DIST',        2050, 15.8323,       'M$/PJ', '2021 EIA AEO; Table 8. Electricity Prices by Service Category. Sum of transmission and distribution costs.');





------------------------------ New Industry ------------------------------------

INSERT INTO `CostVariable` VALUES ('NB', 2030, 'SNGSYN',              2030, 6.2865,        'M$/PJ', 'OEO (New England)');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'SNGSYN',              2030, 6.2865,        'M$/PJ', 'OEO (New England)');
INSERT INTO `CostVariable` VALUES ('NB', 2040, 'SNGSYN',              2040, 6.0885,        'M$/PJ', 'OEO (New England)');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'SNGSYN',              2040, 6.0885,        'M$/PJ', 'OEO (New England)');
INSERT INTO `CostVariable` VALUES ('NB', 2050, 'SNGSYN',              2050, 5.94,          'M$/PJ', 'OEO (New England)');
INSERT INTO `CostVariable` VALUES ('NS', 2030, 'SNGSYN',              2030, 6.2865,        'M$/PJ', 'OEO (New England)');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'SNGSYN',              2030, 6.2865,        'M$/PJ', 'OEO (New England)');
INSERT INTO `CostVariable` VALUES ('NS', 2040, 'SNGSYN',              2040, 6.0885,        'M$/PJ', 'OEO (New England)');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'SNGSYN',              2040, 6.0885,        'M$/PJ', 'OEO (New England)');
INSERT INTO `CostVariable` VALUES ('NS', 2050, 'SNGSYN',              2050, 5.94,          'M$/PJ', 'OEO (New England)');




CREATE TABLE IF NOT EXISTS "CostVariableVariable" (
	"regions"	text,
	"tech"	text,
	"season_name"	text,
	"time_of_day_name"	text,
	"costvarvar"	real,
	"source"	text,
	"eff_notes"	text,
	FOREIGN KEY("season_name") REFERENCES "time_season"("t_season"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech"),
	FOREIGN KEY("time_of_day_name") REFERENCES "time_of_day"("t_day"),
	PRIMARY KEY("regions","tech","season_name","time_of_day_name")
);









CREATE TABLE IF NOT EXISTS "CostInvest" (
	"regions"	text,
	"tech"	text,
	"vintage"	integer,
	"cost_invest"	real,
	"cost_invest_units"	text,
	"cost_invest_notes"	text,
	PRIMARY KEY("regions","tech","vintage"),
	FOREIGN KEY("vintage") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);
----------------------------------------------------- Dummy Technologies ----------------------------------------------


----------------------------------------------------- Existing Technologies ----------------------------------------------
----------------------------------------------------- New Technologies ----------------------------------------------

INSERT INTO `CostInvest` VALUES ('NS','E_WIND-ON-1',         2020, 1883.0481,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_WIND-ON-2',         2020, 1883.0481,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_WIND-ON-3',         2020, 1883.0481,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_WIND-ON-4',         2020, 1883.0481,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_WIND-ON-1',         2030, 1182.8431,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_WIND-ON-2',         2030, 1182.8431,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_WIND-ON-3',         2030, 1182.8431,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_WIND-ON-4',         2030, 1182.8431,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_WIND-ON-1',         2040, 1031.0294,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_WIND-ON-2',         2040, 1031.0294,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_WIND-ON-3',         2040, 1031.0294,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_WIND-ON-4',         2040, 1031.0294,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_WIND-ON-1',         2050, 894.1176,      'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_WIND-ON-2',         2050, 894.1176,      'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_WIND-ON-3',         2050, 894.1176,      'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_WIND-ON-4',         2050, 894.1176,      'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_WIND-ON-1',         2020, 1883.0481,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_WIND-ON-2',         2020, 1883.0481,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_WIND-ON-3',         2020, 1883.0481,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_WIND-ON-4',         2020, 1883.0481,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_WIND-ON-1',         2030, 1182.8431,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_WIND-ON-2',         2030, 1182.8431,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_WIND-ON-3',         2030, 1182.8431,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_WIND-ON-4',         2030, 1182.8431,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_WIND-ON-1',         2040, 1031.0294,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_WIND-ON-2',         2040, 1031.0294,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_WIND-ON-3',         2040, 1031.0294,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_WIND-ON-4',         2040, 1031.0294,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_WIND-ON-1',         2050, 894.1176,      'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_WIND-ON-2',         2050, 894.1176,      'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_WIND-ON-3',         2050, 894.1176,      'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_WIND-ON-4',         2050, 894.1176,      'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_WIND-ON-1',         2020, 1883.0481,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_WIND-ON-2',         2020, 1883.0481,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_WIND-ON-3',         2020, 1883.0481,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_WIND-ON-4',         2020, 1883.0481,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_WIND-ON-1',         2030, 1182.8431,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_WIND-ON-2',         2030, 1182.8431,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_WIND-ON-3',         2030, 1182.8431,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_WIND-ON-4',         2030, 1182.8431,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_WIND-ON-1',         2040, 1031.0294,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_WIND-ON-2',         2040, 1031.0294,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_WIND-ON-3',         2040, 1031.0294,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_WIND-ON-4',         2040, 1031.0294,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_WIND-ON-1',         2050, 894.1176,      'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_WIND-ON-2',         2050, 894.1176,      'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_WIND-ON-3',         2050, 894.1176,      'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_WIND-ON-4',         2050, 894.1176,      'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NL','E_WIND-ON-1',         2020, 1883.0481,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NL','E_WIND-ON-2',         2020, 1883.0481,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NL','E_WIND-ON-1',         2030, 1182.8431,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NL','E_WIND-ON-2',         2030, 1182.8431,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NL','E_WIND-ON-1',         2040, 1031.0294,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NL','E_WIND-ON-2',         2040, 1031.0294,     'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NL','E_WIND-ON-1',         2050, 894.1176,      'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NL','E_WIND-ON-2',         2050, 894.1176,      'M$/GW', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_WIND-OFF',          2020, 4673.7807,     'M$/GW', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_WIND-OFF',          2030, 2881.0558,     'M$/GW', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_WIND-OFF',          2040, 2411.7323,     'M$/GW', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_WIND-OFF',          2050, 2119.204,      'M$/GW', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_WIND-OFF',          2020, 4673.7807,     'M$/GW', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_WIND-OFF',          2030, 2881.0558,     'M$/GW', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_WIND-OFF',          2040, 2411.7323,     'M$/GW', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_WIND-OFF',          2050, 2119.204,      'M$/GW', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_WIND-OFF',          2020, 4673.7807,     'M$/GW', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_WIND-OFF',          2030, 2881.0558,     'M$/GW', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_WIND-OFF',          2040, 2411.7323,     'M$/GW', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_WIND-OFF',          2050, 2119.204,      'M$/GW', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostInvest` VALUES ('NL','E_WIND-OFF',          2020, 4673.7807,     'M$/GW', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostInvest` VALUES ('NL','E_WIND-OFF',          2030, 2881.0558,     'M$/GW', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostInvest` VALUES ('NL','E_WIND-OFF',          2040, 2411.7323,     'M$/GW', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostInvest` VALUES ('NL','E_WIND-OFF',          2050, 2119.204,      'M$/GW', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_SOLPV-CEN',         2020, 1862.3778,     'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_SOLPV-CEN',         2030, 966.0848,      'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_SOLPV-CEN',         2040, 852.2819,      'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_SOLPV-CEN',         2050, 750.153,       'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_SOLPV-CEN',         2020, 1862.3778,     'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_SOLPV-CEN',         2030, 966.0848,      'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_SOLPV-CEN',         2040, 852.2819,      'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_SOLPV-CEN',         2050, 750.153,       'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_SOLPV-CEN',         2020, 1862.3778,     'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_SOLPV-CEN',         2030, 966.0848,      'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_SOLPV-CEN',         2040, 852.2819,      'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_SOLPV-CEN',         2050, 750.153,       'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('NL','E_SOLPV-CEN',         2020, 1862.3778,     'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('NL','E_SOLPV-CEN',         2030, 966.0848,      'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('NL','E_SOLPV-CEN',         2040, 852.2819,      'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('NL','E_SOLPV-CEN',         2050, 750.153,       'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_SOLPV-RES',         2020, 3666.6582,     'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_SOLPV-RES',         2030, 1250.1761,     'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_SOLPV-RES',         2040, 1076.579,      'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_SOLPV-RES',         2050, 919.3733,      'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_SOLPV-RES',         2020, 3666.6582,     'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_SOLPV-RES',         2030, 1250.1761,     'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_SOLPV-RES',         2040, 1076.579,      'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('NB','E_SOLPV-RES',         2050, 919.3733,      'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_SOLPV-RES',         2020, 3666.6582,     'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_SOLPV-RES',         2030, 1250.1761,     'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_SOLPV-RES',         2040, 1076.579,      'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('PEI','E_SOLPV-RES',         2050, 919.3733,      'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('NL','E_SOLPV-RES',         2020, 3666.6582,     'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('NL','E_SOLPV-RES',         2030, 1250.1761,     'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('NL','E_SOLPV-RES',         2040, 1076.579,      'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('NL','E_SOLPV-RES',         2050, 919.3733,      'M$/GW', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostInvest` VALUES ('NS','E_BIO',               2020, 5861.8411,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_BIO',               2030, 5174.968,      'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_BIO',               2040, 4668.2388,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_BIO',               2050, 4187.6851,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_BIO',               2020, 5861.8411,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_BIO',               2030, 5174.968,      'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_BIO',               2040, 4668.2388,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_BIO',               2050, 4187.6851,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('PEI','E_BIO',               2020, 5861.8411,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('PEI','E_BIO',               2030, 5174.968,      'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('PEI','E_BIO',               2040, 4668.2388,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('PEI','E_BIO',               2050, 4187.6851,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NL','E_BIO',               2020, 5861.8411,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NL','E_BIO',               2030, 5174.968,      'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NL','E_BIO',               2040, 4668.2388,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NL','E_BIO',               2050, 4187.6851,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_BECCS',             2020, 8689.9762,     'M$/GW', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('NS','E_BECCS',             2030, 7997.2969,     'M$/GW', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('NS','E_BECCS',             2040, 7745.4135,     'M$/GW', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('NS','E_BECCS',             2050, 7556.501,      'M$/GW', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('NB','E_BECCS',             2020, 8689.9762,     'M$/GW', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('NB','E_BECCS',             2030, 7997.2969,     'M$/GW', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('NB','E_BECCS',             2040, 7745.4135,     'M$/GW', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('NB','E_BECCS',             2050, 7556.501,      'M$/GW', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('PEI','E_BECCS',             2020, 8689.9762,     'M$/GW', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('PEI','E_BECCS',             2030, 7997.2969,     'M$/GW', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('PEI','E_BECCS',             2040, 7745.4135,     'M$/GW', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('PEI','E_BECCS',             2050, 7556.501,      'M$/GW', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('NL','E_BECCS',             2020, 8689.9762,     'M$/GW', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('NL','E_BECCS',             2030, 7997.2969,     'M$/GW', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('NL','E_BECCS',             2040, 7745.4135,     'M$/GW', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('NL','E_BECCS',             2050, 7556.501,      'M$/GW', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('NS','E_BATT_4HR',          2020, 1844.4434,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_BATT_4HR',          2030, 976.2737,      'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_BATT_4HR',          2040, 827.3343,      'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_BATT_4HR',          2050, 691.8475,      'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_BATT_4HR',          2020, 1844.4434,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_BATT_4HR',          2030, 976.2737,      'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_BATT_4HR',          2040, 827.3343,      'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_BATT_4HR',          2050, 691.8475,      'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('PEI','E_BATT_4HR',          2020, 1844.4434,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('PEI','E_BATT_4HR',          2030, 976.2737,      'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('PEI','E_BATT_4HR',          2040, 827.3343,      'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('PEI','E_BATT_4HR',          2050, 691.8475,      'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NL','E_BATT_4HR',          2020, 1844.4434,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NL','E_BATT_4HR',          2030, 976.2737,      'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NL','E_BATT_4HR',          2040, 827.3343,      'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NL','E_BATT_4HR',          2050, 691.8475,      'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_NGACC',             2020, 1419.6571,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_NGACC',             2030, 1243.6969,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_NGACC',             2040, 1151.6373,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_NGACC',             2050, 1066.7906,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_NGACC',             2020, 1419.6571,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_NGACC',             2030, 1243.6969,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_NGACC',             2040, 1151.6373,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_NGACC',             2050, 1066.7906,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_NGACC-CCS',         2020, 3478.6791,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_NGACC-CCS',         2030, 2697.6345,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_NGACC-CCS',         2040, 2266.2529,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_NGACC-CCS',         2050, 1999.4262,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_NGACC-CCS',         2020, 3478.6791,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_NGACC-CCS',         2030, 2697.6345,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_NGACC-CCS',         2040, 2266.2529,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_NGACC-CCS',         2050, 1999.4262,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_NGACT',             2020, 1254.9947,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_NGACT',             2030, 1053.9341,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_NGACT',             2040, 965.2069,      'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_NGACT',             2050, 884.9073,      'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_NGACT',             2020, 1254.9947,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_NGACT',             2030, 1053.9341,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_NGACT',             2040, 965.2069,      'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_NGACT',             2050, 884.9073,      'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_GEO-F',             2020, 8851.0374,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_GEO-F',             2030, 6910.5011,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_GEO-F',             2040, 6365.6351,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_GEO-F',             2050, 5906.7512,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_GEO-F',             2020, 8851.0374,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_GEO-F',             2030, 6910.5011,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_GEO-F',             2040, 6365.6351,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_GEO-F',             2050, 5906.7512,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('PEI','E_GEO-F',             2020, 8851.0374,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('PEI','E_GEO-F',             2030, 6910.5011,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('PEI','E_GEO-F',             2040, 6365.6351,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('PEI','E_GEO-F',             2050, 5906.7512,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NL','E_GEO-F',             2020, 8851.0374,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NL','E_GEO-F',             2030, 6910.5011,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NL','E_GEO-F',             2040, 6365.6351,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NL','E_GEO-F',             2050, 5906.7512,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_GEO-B',             2020, 11374.8307,    'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_GEO-B',             2030, 9246.3628,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_GEO-B',             2040, 8517.3232,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_GEO-B',             2050, 7903.3292,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_GEO-B',             2020, 11374.8307,    'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_GEO-B',             2030, 9246.3628,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_GEO-B',             2040, 8517.3232,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_GEO-B',             2050, 7903.3292,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('PEI','E_GEO-B',             2020, 11374.8307,    'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('PEI','E_GEO-B',             2030, 9246.3628,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('PEI','E_GEO-B',             2040, 8517.3232,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('PEI','E_GEO-B',             2050, 7903.3292,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NL','E_GEO-B',             2020, 11374.8307,    'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NL','E_GEO-B',             2030, 9246.3628,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NL','E_GEO-B',             2040, 8517.3232,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NL','E_GEO-B',             2050, 7903.3292,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_NUC-LWR',           2020, 9921.935,      'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_NUC-LWR',           2030, 8524.1387,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_NUC-LWR',           2040, 7685.3203,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_NUC-LWR',           2050, 6889.8958,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_NUC-LWR',           2020, 9921.935,      'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_NUC-LWR',           2030, 8524.1387,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_NUC-LWR',           2040, 7685.3203,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NB','E_NUC-LWR',           2050, 6889.8958,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('PEI','E_NUC-LWR',           2020, 9921.935,      'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('PEI','E_NUC-LWR',           2030, 8524.1387,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('PEI','E_NUC-LWR',           2040, 7685.3203,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('PEI','E_NUC-LWR',           2050, 6889.8958,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NL','E_NUC-LWR',           2020, 9921.935,      'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NL','E_NUC-LWR',           2030, 8524.1387,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NL','E_NUC-LWR',           2040, 7685.3203,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NL','E_NUC-LWR',           2050, 6889.8958,     'M$/GW', '2021 NREL ATB');
INSERT INTO `CostInvest` VALUES ('NS','E_ELCZR-PEM',         2020, 2440.0194,     'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NS','E_ELCZR-PEM',         2030, 1670.5326,     'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NS','E_ELCZR-PEM',         2040, 1250.2704,     'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NS','E_ELCZR-PEM',         2050, 1219.776,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NB','E_ELCZR-PEM',         2020, 2440.0194,     'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NB','E_ELCZR-PEM',         2030, 1670.5326,     'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NB','E_ELCZR-PEM',         2040, 1250.2704,     'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NB','E_ELCZR-PEM',         2050, 1219.776,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('PEI','E_ELCZR-PEM',         2020, 2440.0194,     'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('PEI','E_ELCZR-PEM',         2030, 1670.5326,     'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('PEI','E_ELCZR-PEM',         2040, 1250.2704,     'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('PEI','E_ELCZR-PEM',         2050, 1219.776,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NL','E_ELCZR-PEM',         2020, 2440.0194,     'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NL','E_ELCZR-PEM',         2030, 1670.5326,     'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NL','E_ELCZR-PEM',         2040, 1250.2704,     'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NL','E_ELCZR-PEM',         2050, 1219.776,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NS','E_H2CC',              2020, 1419.6571,     'M$/GW', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostInvest` VALUES ('NS','E_H2CC',              2030, 1243.6969,     'M$/GW', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostInvest` VALUES ('NS','E_H2CC',              2040, 1151.6373,     'M$/GW', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostInvest` VALUES ('NS','E_H2CC',              2050, 1066.7906,     'M$/GW', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostInvest` VALUES ('NB','E_H2CC',              2020, 1419.6571,     'M$/GW', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostInvest` VALUES ('NB','E_H2CC',              2030, 1243.6969,     'M$/GW', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostInvest` VALUES ('NB','E_H2CC',              2040, 1151.6373,     'M$/GW', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostInvest` VALUES ('NB','E_H2CC',              2050, 1066.7906,     'M$/GW', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostInvest` VALUES ('PEI','E_H2CC',              2020, 1419.6571,     'M$/GW', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostInvest` VALUES ('PEI','E_H2CC',              2030, 1243.6969,     'M$/GW', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostInvest` VALUES ('PEI','E_H2CC',              2040, 1151.6373,     'M$/GW', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostInvest` VALUES ('PEI','E_H2CC',              2050, 1066.7906,     'M$/GW', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostInvest` VALUES ('NL','E_H2CC',              2020, 1419.6571,     'M$/GW', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostInvest` VALUES ('NL','E_H2CC',              2030, 1243.6969,     'M$/GW', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostInvest` VALUES ('NL','E_H2CC',              2040, 1151.6373,     'M$/GW', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostInvest` VALUES ('NL','E_H2CC',              2050, 1066.7906,     'M$/GW', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostInvest` VALUES ('NS','H2_COMP-10-100',      2020, 156.9612,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NS','H2_COMP-10-100',      2030, 144.4498,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NS','H2_COMP-10-100',      2040, 139.9002,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NS','H2_COMP-10-100',      2050, 136.488,       'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NB','H2_COMP-10-100',      2020, 156.9612,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NB','H2_COMP-10-100',      2030, 144.4498,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NB','H2_COMP-10-100',      2040, 139.9002,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NB','H2_COMP-10-100',      2050, 136.488,       'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('PEI','H2_COMP-10-100',      2020, 156.9612,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('PEI','H2_COMP-10-100',      2030, 144.4498,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('PEI','H2_COMP-10-100',      2040, 139.9002,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('PEI','H2_COMP-10-100',      2050, 136.488,       'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NL','H2_COMP-10-100',      2020, 156.9612,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NL','H2_COMP-10-100',      2030, 144.4498,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NL','H2_COMP-10-100',      2040, 139.9002,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NL','H2_COMP-10-100',      2050, 136.488,       'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NS','H2_STORAGE',          2020, 995.3362,      'M$/GW', 'Dowling, Jacqueline A., et al. "Role of long-duration energy storage in variable renewable electricity systems." via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('NS','H2_STORAGE',          2030, 915.9978,      'M$/GW', 'Dowling, Jacqueline A., et al. "Role of long-duration energy storage in variable renewable electricity systems." via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('NS','H2_STORAGE',          2040, 887.1475,      'M$/GW', 'Dowling, Jacqueline A., et al. "Role of long-duration energy storage in variable renewable electricity systems." via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('NS','H2_STORAGE',          2050, 865.5098,      'M$/GW', 'Dowling, Jacqueline A., et al. "Role of long-duration energy storage in variable renewable electricity systems." via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('NB','H2_STORAGE',          2020, 995.3362,      'M$/GW', 'Dowling, Jacqueline A., et al. "Role of long-duration energy storage in variable renewable electricity systems." via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('NB','H2_STORAGE',          2030, 915.9978,      'M$/GW', 'Dowling, Jacqueline A., et al. "Role of long-duration energy storage in variable renewable electricity systems." via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('NB','H2_STORAGE',          2040, 887.1475,      'M$/GW', 'Dowling, Jacqueline A., et al. "Role of long-duration energy storage in variable renewable electricity systems." via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('NB','H2_STORAGE',          2050, 865.5098,      'M$/GW', 'Dowling, Jacqueline A., et al. "Role of long-duration energy storage in variable renewable electricity systems." via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('PEI','H2_STORAGE',          2020, 995.3362,      'M$/GW', 'Dowling, Jacqueline A., et al. "Role of long-duration energy storage in variable renewable electricity systems." via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('PEI','H2_STORAGE',          2030, 915.9978,      'M$/GW', 'Dowling, Jacqueline A., et al. "Role of long-duration energy storage in variable renewable electricity systems." via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('PEI','H2_STORAGE',          2040, 887.1475,      'M$/GW', 'Dowling, Jacqueline A., et al. "Role of long-duration energy storage in variable renewable electricity systems." via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('PEI','H2_STORAGE',          2050, 865.5098,      'M$/GW', 'Dowling, Jacqueline A., et al. "Role of long-duration energy storage in variable renewable electricity systems." via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('NL','H2_STORAGE',          2020, 995.3362,      'M$/GW', 'Dowling, Jacqueline A., et al. "Role of long-duration energy storage in variable renewable electricity systems." via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('NL','H2_STORAGE',          2030, 915.9978,      'M$/GW', 'Dowling, Jacqueline A., et al. "Role of long-duration energy storage in variable renewable electricity systems." via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('NL','H2_STORAGE',          2040, 887.1475,      'M$/GW', 'Dowling, Jacqueline A., et al. "Role of long-duration energy storage in variable renewable electricity systems." via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('NL','H2_STORAGE',          2050, 865.5098,      'M$/GW', 'Dowling, Jacqueline A., et al. "Role of long-duration energy storage in variable renewable electricity systems." via Open Energy Outlook (2021');
INSERT INTO `CostInvest` VALUES ('NS','E_AC-TO-DC',          2020, 363.9612,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NS','E_AC-TO-DC',          2030, 334.9498,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NS','E_AC-TO-DC',          2040, 324.4002,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NS','E_AC-TO-DC',          2050, 316.488,       'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NB','E_AC-TO-DC',          2020, 363.9612,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NB','E_AC-TO-DC',          2030, 334.9498,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NB','E_AC-TO-DC',          2040, 324.4002,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NB','E_AC-TO-DC',          2050, 316.488,       'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('PEI','E_AC-TO-DC',          2020, 363.9612,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('PEI','E_AC-TO-DC',          2030, 334.9498,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('PEI','E_AC-TO-DC',          2040, 324.4002,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('PEI','E_AC-TO-DC',          2050, 316.488,       'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NL','E_AC-TO-DC',          2020, 363.9612,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NL','E_AC-TO-DC',          2030, 334.9498,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NL','E_AC-TO-DC',          2040, 324.4002,      'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NL','E_AC-TO-DC',          2050, 316.488,       'M$/GW', 'Open Energy Outlook (2021)');
INSERT INTO `CostInvest` VALUES ('NS','H2_distribution',     2020, 30.3462,       'M$/PJ', 'Open Energy Outlook (2021); Equivalent to 700 2010 USD/kg of H2/day. ');
INSERT INTO `CostInvest` VALUES ('NS','H2_distribution',     2030, 27.9273,       'M$/PJ', 'Open Energy Outlook (2021); Equivalent to 700 2010 USD/kg of H2/day. ');
INSERT INTO `CostInvest` VALUES ('NS','H2_distribution',     2040, 27.0477,       'M$/PJ', 'Open Energy Outlook (2021); Equivalent to 700 2010 USD/kg of H2/day. ');
INSERT INTO `CostInvest` VALUES ('NS','H2_distribution',     2050, 26.388,        'M$/PJ', 'Open Energy Outlook (2021); Equivalent to 700 2010 USD/kg of H2/day. ');
INSERT INTO `CostInvest` VALUES ('NB','H2_distribution',     2020, 30.3462,       'M$/PJ', 'Open Energy Outlook (2021); Equivalent to 700 2010 USD/kg of H2/day. ');
INSERT INTO `CostInvest` VALUES ('NB','H2_distribution',     2030, 27.9273,       'M$/PJ', 'Open Energy Outlook (2021); Equivalent to 700 2010 USD/kg of H2/day. ');
INSERT INTO `CostInvest` VALUES ('NB','H2_distribution',     2040, 27.0477,       'M$/PJ', 'Open Energy Outlook (2021); Equivalent to 700 2010 USD/kg of H2/day. ');
INSERT INTO `CostInvest` VALUES ('NB','H2_distribution',     2050, 26.388,        'M$/PJ', 'Open Energy Outlook (2021); Equivalent to 700 2010 USD/kg of H2/day. ');
INSERT INTO `CostInvest` VALUES ('PEI','H2_distribution',     2020, 30.3462,       'M$/PJ', 'Open Energy Outlook (2021); Equivalent to 700 2010 USD/kg of H2/day. ');
INSERT INTO `CostInvest` VALUES ('PEI','H2_distribution',     2030, 27.9273,       'M$/PJ', 'Open Energy Outlook (2021); Equivalent to 700 2010 USD/kg of H2/day. ');
INSERT INTO `CostInvest` VALUES ('PEI','H2_distribution',     2040, 27.0477,       'M$/PJ', 'Open Energy Outlook (2021); Equivalent to 700 2010 USD/kg of H2/day. ');
INSERT INTO `CostInvest` VALUES ('PEI','H2_distribution',     2050, 26.388,        'M$/PJ', 'Open Energy Outlook (2021); Equivalent to 700 2010 USD/kg of H2/day. ');
INSERT INTO `CostInvest` VALUES ('NL','H2_distribution',     2020, 30.3462,       'M$/PJ', 'Open Energy Outlook (2021); Equivalent to 700 2010 USD/kg of H2/day. ');
INSERT INTO `CostInvest` VALUES ('NL','H2_distribution',     2030, 27.9273,       'M$/PJ', 'Open Energy Outlook (2021); Equivalent to 700 2010 USD/kg of H2/day. ');
INSERT INTO `CostInvest` VALUES ('NL','H2_distribution',     2040, 27.0477,       'M$/PJ', 'Open Energy Outlook (2021); Equivalent to 700 2010 USD/kg of H2/day. ');
INSERT INTO `CostInvest` VALUES ('NL','H2_distribution',     2050, 26.388,        'M$/PJ', 'Open Energy Outlook (2021); Equivalent to 700 2010 USD/kg of H2/day. ');
INSERT INTO `CostInvest` VALUES ('NS','H2_SMR-CCS',          2020, 1502.0,        'M$/GW', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; The Zen report does not give price forecasts. The Future of Hydrogen Study (IEA) sees SMR as a mature technology with no cost declines.');
INSERT INTO `CostInvest` VALUES ('NS','H2_SMR-CCS',          2030, 1502.0,        'M$/GW', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; The Zen report does not give price forecasts. The Future of Hydrogen Study (IEA) sees SMR as a mature technology with no cost declines.');
INSERT INTO `CostInvest` VALUES ('NS','H2_SMR-CCS',          2040, 1502.0,        'M$/GW', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; The Zen report does not give price forecasts. The Future of Hydrogen Study (IEA) sees SMR as a mature technology with no cost declines.');
INSERT INTO `CostInvest` VALUES ('NS','H2_SMR-CCS',          2050, 1502.0,        'M$/GW', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; The Zen report does not give price forecasts. The Future of Hydrogen Study (IEA) sees SMR as a mature technology with no cost declines.');
INSERT INTO `CostInvest` VALUES ('NB','H2_SMR-CCS',          2020, 1502.0,        'M$/GW', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; The Zen report does not give price forecasts. The Future of Hydrogen Study (IEA) sees SMR as a mature technology with no cost declines.');
INSERT INTO `CostInvest` VALUES ('NB','H2_SMR-CCS',          2030, 1502.0,        'M$/GW', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; The Zen report does not give price forecasts. The Future of Hydrogen Study (IEA) sees SMR as a mature technology with no cost declines.');
INSERT INTO `CostInvest` VALUES ('NB','H2_SMR-CCS',          2040, 1502.0,        'M$/GW', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; The Zen report does not give price forecasts. The Future of Hydrogen Study (IEA) sees SMR as a mature technology with no cost declines.');
INSERT INTO `CostInvest` VALUES ('NB','H2_SMR-CCS',          2050, 1502.0,        'M$/GW', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes"; The Zen report does not give price forecasts. The Future of Hydrogen Study (IEA) sees SMR as a mature technology with no cost declines.');
INSERT INTO `CostInvest` VALUES ('NS-NB','E_TRANS',             2020, 431.0,         'M$/GW', 'CANWEA Pan Canadian Wind Integration Stud; M$207 for 240 MW = 862 M$/GW. Costs are divided by two to account for double counting.');
INSERT INTO `CostInvest` VALUES ('NS-NB','E_TRANS',             2030, 431.0,         'M$/GW', 'CANWEA Pan Canadian Wind Integration Stud; M$207 for 240 MW = 862 M$/GW. Costs are divided by two to account for double counting.');
INSERT INTO `CostInvest` VALUES ('NS-NB','E_TRANS',             2040, 431.0,         'M$/GW', 'CANWEA Pan Canadian Wind Integration Stud; M$207 for 240 MW = 862 M$/GW. Costs are divided by two to account for double counting.');
INSERT INTO `CostInvest` VALUES ('NS-NB','E_TRANS',             2050, 431.0,         'M$/GW', 'CANWEA Pan Canadian Wind Integration Stud; M$207 for 240 MW = 862 M$/GW. Costs are divided by two to account for double counting.');
INSERT INTO `CostInvest` VALUES ('NB-NS','E_TRANS',             2020, 431.0,         'M$/GW', 'CANWEA Pan Canadian Wind Integration Stud; M$207 for 240 MW = 862 M$/GW. Costs are divided by two to account for double counting.');
INSERT INTO `CostInvest` VALUES ('NB-NS','E_TRANS',             2030, 431.0,         'M$/GW', 'CANWEA Pan Canadian Wind Integration Stud; M$207 for 240 MW = 862 M$/GW. Costs are divided by two to account for double counting.');
INSERT INTO `CostInvest` VALUES ('NB-NS','E_TRANS',             2040, 431.0,         'M$/GW', 'CANWEA Pan Canadian Wind Integration Stud; M$207 for 240 MW = 862 M$/GW. Costs are divided by two to account for double counting.');
INSERT INTO `CostInvest` VALUES ('NB-NS','E_TRANS',             2050, 431.0,         'M$/GW', 'CANWEA Pan Canadian Wind Integration Stud; M$207 for 240 MW = 862 M$/GW. Costs are divided by two to account for double counting.');
INSERT INTO `CostInvest` VALUES ('NB-PEI','E_TRANS',             2020, 194.5,         'M$/GW', 'Most recent interconnection upgrade cost M$140 and added 360 MW. Equivalent to 389 M$/GW. Costs are divided by two to account for double counting.');
INSERT INTO `CostInvest` VALUES ('NB-PEI','E_TRANS',             2030, 194.5,         'M$/GW', 'Most recent interconnection upgrade cost M$140 and added 360 MW. Equivalent to 389 M$/GW. Costs are divided by two to account for double counting.');
INSERT INTO `CostInvest` VALUES ('NB-PEI','E_TRANS',             2040, 194.5,         'M$/GW', 'Most recent interconnection upgrade cost M$140 and added 360 MW. Equivalent to 389 M$/GW. Costs are divided by two to account for double counting.');
INSERT INTO `CostInvest` VALUES ('NB-PEI','E_TRANS',             2050, 194.5,         'M$/GW', 'Most recent interconnection upgrade cost M$140 and added 360 MW. Equivalent to 389 M$/GW. Costs are divided by two to account for double counting.');
INSERT INTO `CostInvest` VALUES ('PEI-NB','E_TRANS',             2020, 194.5,         'M$/GW', 'Most recent interconnection upgrade cost M$140 and added 360 MW. Equivalent to 389 M$/GW. Costs are divided by two to account for double counting.');
INSERT INTO `CostInvest` VALUES ('PEI-NB','E_TRANS',             2030, 194.5,         'M$/GW', 'Most recent interconnection upgrade cost M$140 and added 360 MW. Equivalent to 389 M$/GW. Costs are divided by two to account for double counting.');
INSERT INTO `CostInvest` VALUES ('PEI-NB','E_TRANS',             2040, 194.5,         'M$/GW', 'Most recent interconnection upgrade cost M$140 and added 360 MW. Equivalent to 389 M$/GW. Costs are divided by two to account for double counting.');
INSERT INTO `CostInvest` VALUES ('PEI-NB','E_TRANS',             2050, 194.5,         'M$/GW', 'Most recent interconnection upgrade cost M$140 and added 360 MW. Equivalent to 389 M$/GW. Costs are divided by two to account for double counting.');
INSERT INTO `CostInvest` VALUES ('NS-NL','E_TRANS',             2020, 1560.0,        'M$/GW', 'Maritime link cost B$1.56 and added 500 MW transmission capacity. This equates to 3.12 B$/GW. Costs are divided by two to account for double counting.');
INSERT INTO `CostInvest` VALUES ('NS-NL','E_TRANS',             2030, 1560.0,        'M$/GW', 'Maritime link cost B$1.56 and added 500 MW transmission capacity. This equates to 3.12 B$/GW. Costs are divided by two to account for double counting.');
INSERT INTO `CostInvest` VALUES ('NS-NL','E_TRANS',             2040, 1560.0,        'M$/GW', 'Maritime link cost B$1.56 and added 500 MW transmission capacity. This equates to 3.12 B$/GW. Costs are divided by two to account for double counting.');
INSERT INTO `CostInvest` VALUES ('NS-NL','E_TRANS',             2050, 1560.0,        'M$/GW', 'Maritime link cost B$1.56 and added 500 MW transmission capacity. This equates to 3.12 B$/GW. Costs are divided by two to account for double counting.');
INSERT INTO `CostInvest` VALUES ('NL-NS','E_TRANS',             2020, 1560.0,        'M$/GW', 'Maritime link cost B$1.56 and added 500 MW transmission capacity. This equates to 3.12 B$/GW. Costs are divided by two to account for double counting.');
INSERT INTO `CostInvest` VALUES ('NL-NS','E_TRANS',             2030, 1560.0,        'M$/GW', 'Maritime link cost B$1.56 and added 500 MW transmission capacity. This equates to 3.12 B$/GW. Costs are divided by two to account for double counting.');
INSERT INTO `CostInvest` VALUES ('NL-NS','E_TRANS',             2040, 1560.0,        'M$/GW', 'Maritime link cost B$1.56 and added 500 MW transmission capacity. This equates to 3.12 B$/GW. Costs are divided by two to account for double counting.');
INSERT INTO `CostInvest` VALUES ('NL-NS','E_TRANS',             2050, 1560.0,        'M$/GW', 'Maritime link cost B$1.56 and added 500 MW transmission capacity. This equates to 3.12 B$/GW. Costs are divided by two to account for double counting.');




--------------------------------------- New Industry ---------------------------------


INSERT INTO `CostInvest` VALUES ('NB','CO2_CAPTURE-NGA-1STGEN',  2030, 1.0867,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario A. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostInvest` VALUES ('NB','CO2_CAPTURE-NGA-1STGEN',  2040, 1.0525,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario A. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostInvest` VALUES ('NB','CO2_CAPTURE-NGA-1STGEN',  2050, 1.0268,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario A. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostInvest` VALUES ('NS','CO2_CAPTURE-NGA-1STGEN',  2030, 1.0867,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario A. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostInvest` VALUES ('NS','CO2_CAPTURE-NGA-1STGEN',  2040, 1.0525,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario A. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostInvest` VALUES ('NS','CO2_CAPTURE-NGA-1STGEN',  2050, 1.0268,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario A. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostInvest` VALUES ('NB','CO2_CAPTURE-NGA',  2030, 0.752,         'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario B. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostInvest` VALUES ('NB','CO2_CAPTURE-NGA',  2040, 0.7283,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario B. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostInvest` VALUES ('NB','CO2_CAPTURE-NGA',  2050, 0.7105,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario B. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostInvest` VALUES ('NS','CO2_CAPTURE-NGA',  2030, 0.752,         'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario B. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostInvest` VALUES ('NS','CO2_CAPTURE-NGA',  2040, 0.7283,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario B. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostInvest` VALUES ('NS','CO2_CAPTURE-NGA',  2050, 0.7105,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario B. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostInvest` VALUES ('NB','CO2_CAPTURE-ELCNGA',     2030, 0.6519,        'M$/kt CO2/year', 'Keith -- Table 2. Scenario D. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostInvest` VALUES ('NB','CO2_CAPTURE-ELCNGA',     2040, 0.6313,        'M$/kt CO2/year', 'Keith -- Table 2. Scenario D. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostInvest` VALUES ('NB','CO2_CAPTURE-ELCNGA',     2050, 0.6159,        'M$/kt CO2/year', 'Keith -- Table 2. Scenario D. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostInvest` VALUES ('NS','CO2_CAPTURE-ELCNGA',     2030, 0.6519,        'M$/kt CO2/year', 'Keith -- Table 2. Scenario D. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostInvest` VALUES ('NS','CO2_CAPTURE-ELCNGA',     2040, 0.6313,        'M$/kt CO2/year', 'Keith -- Table 2. Scenario D. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostInvest` VALUES ('NS','CO2_CAPTURE-ELCNGA',     2050, 0.6159,        'M$/kt CO2/year', 'Keith -- Table 2. Scenario D. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostInvest` VALUES ('NB','SNGSYN',              2020, 704.9724,      'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostInvest` VALUES ('NB','SNGSYN',              2030, 527.5326,      'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostInvest` VALUES ('NB','SNGSYN',              2040, 364.941,       'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostInvest` VALUES ('NB','SNGSYN',              2050, 356.04,        'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostInvest` VALUES ('NS','SNGSYN',              2020, 704.9724,      'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostInvest` VALUES ('NS','SNGSYN',              2030, 527.5326,      'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostInvest` VALUES ('NS','SNGSYN',              2040, 364.941,       'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostInvest` VALUES ('NS','SNGSYN',              2050, 356.04,        'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostInvest` VALUES ('NB','SNG_COMP-20-100',     2020, 150.1368,      'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostInvest` VALUES ('NB','SNG_COMP-20-100',     2030, 144.4498,      'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostInvest` VALUES ('NB','SNG_COMP-20-100',     2040, 139.9002,      'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostInvest` VALUES ('NB','SNG_COMP-20-100',     2050, 136.488,       'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostInvest` VALUES ('NS','SNG_COMP-20-100',     2020, 150.1368,      'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostInvest` VALUES ('NS','SNG_COMP-20-100',     2030, 144.4498,      'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostInvest` VALUES ('NS','SNG_COMP-20-100',     2040, 139.9002,      'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostInvest` VALUES ('NS','SNG_COMP-20-100',     2050, 136.488,       'M$/kt CO2/year', 'OEO (New England)');











CREATE TABLE IF NOT EXISTS "CostEmissions" (
	"regions"	text NOT NULL,
	"periods"	integer NOT NULL,
	"emis_comm"	text NOT NULL,
	"emis_penalty"	real,
	"emis_penalty_units"	text,
	"emis_penalty_notes"	text,
	PRIMARY KEY("regions","periods","emis_comm"),
	FOREIGN KEY("regions") REFERENCES "regions"("regions"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("emis_comm") REFERENCES "commodities"("comm_name")
);

 ----- Federal Policy -----

INSERT INTO `CostEmissions` VALUES ('NB',2020,'CO2e',0.03,'$M/kt','');
INSERT INTO `CostEmissions` VALUES ('NB',2030,'CO2e',0.17,'$M/kt','');
INSERT INTO `CostEmissions` VALUES ('NB',2040,'CO2e',0.17,'$M/kt','');
INSERT INTO `CostEmissions` VALUES ('NB',2050,'CO2e',0.17,'$M/kt','');


INSERT INTO `CostEmissions` VALUES ('NS',2020,'CO2e',0.03,'$M/kt','');
INSERT INTO `CostEmissions` VALUES ('NS',2030,'CO2e',0.17,'$M/kt','');
INSERT INTO `CostEmissions` VALUES ('NS',2040,'CO2e',0.17,'$M/kt','');
INSERT INTO `CostEmissions` VALUES ('NS',2050,'CO2e',0.17,'$M/kt','');


INSERT INTO `CostEmissions` VALUES ('PEI',2020,'CO2e',0.03,'$M/kt','');
INSERT INTO `CostEmissions` VALUES ('PEI',2030,'CO2e',0.17,'$M/kt','');
INSERT INTO `CostEmissions` VALUES ('PEI',2040,'CO2e',0.17,'$M/kt','');
INSERT INTO `CostEmissions` VALUES ('PEI',2050,'CO2e',0.17,'$M/kt','');


INSERT INTO `CostEmissions` VALUES ('NL',2020,'CO2e',0.03,'$M/kt','');
INSERT INTO `CostEmissions` VALUES ('NL',2030,'CO2e',0.17,'$M/kt','');
INSERT INTO `CostEmissions` VALUES ('NL',2040,'CO2e',0.17,'$M/kt','');
INSERT INTO `CostEmissions` VALUES ('NL',2050,'CO2e',0.17,'$M/kt','');


INSERT INTO `CostEmissions` VALUES ('LAB',2020,'CO2e',0.03,'$M/kt','');
INSERT INTO `CostEmissions` VALUES ('LAB',2030,'CO2e',0.17,'$M/kt','');
INSERT INTO `CostEmissions` VALUES ('LAB',2040,'CO2e',0.17,'$M/kt','');
INSERT INTO `CostEmissions` VALUES ('LAB',2050,'CO2e',0.17,'$M/kt','');


CREATE TABLE IF NOT EXISTS "CostFixed" (
	"regions"	text NOT NULL,
	"periods"	integer NOT NULL,
	"tech"	text NOT NULL,
	"vintage"	integer NOT NULL,
	"cost_fixed"	real,
	"cost_fixed_units"	text,
	"cost_fixed_notes"	text,
	FOREIGN KEY("tech") REFERENCES "technologies"("tech"),
	PRIMARY KEY("regions","periods","tech","vintage"),
	FOREIGN KEY("periods") REFERENCES "time_periods"("t_periods"),
	FOREIGN KEY("vintage") REFERENCES "time_periods"("t_periods")
);
----------------------------------------------------- Dummy Technologies ----------------------------------------------


----------------------------------------------------- Existing Technologies ----------------------------------------------

INSERT INTO `CostFixed` VALUES ('NB',2020,'E_HFO-CT_EX',				1991,59.946,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NB',2020,'E_COAL-BIT_EX-1',		1980,43.597,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NB',2020,'E_NGACC_EX',					1977,13.624,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NB',2020,'E_NG-COGEN_EX',			1975,18.561,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NB',2020,'E_NUC-LWR_EX',				1980,84.469,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NB',2020,'E_DIESEL-CT_EX',			1976,16.349,'$M/GWyr','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostFixed` VALUES ('NB',2020,'E_DIESEL-CT_EX',			1981,16.349,'$M/GWyr','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostFixed` VALUES ('NB',2020,'E_BIO-COGEN_EX',	2000,24.520,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NB',2020,'E_HYDRO-LIMDSP_EX',			2000,21.798,'$M/GWyr','Princeton Net Zero America Project');
iNSERT INTO `CostFixed` VALUES ('NB',2020,'E_WIND-ON_EX',				2009,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NB',2020,'E_WIND-ON_EX',				2011,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NB',2020,'E_WIND-ON_EX',				2019,58.5832,'$M/GWyr','Princeton Net Zero America Project');


INSERT INTO `CostFixed` VALUES ('NB',2030,'E_HFO-CT_EX',				1991,59.946,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NB',2030,'E_NUC-LWR_EX',				1980,84.469,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NB',2030,'E_DIESEL-CT_EX',			1981,16.349,'$M/GWyr','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostFixed` VALUES ('NB',2030,'E_BIO-COGEN_EX',	2000,1.4001,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NB',2030,'E_HYDRO-LIMDSP_EX',			2000,21.798,'$M/GWyr','Princeton Net Zero America Project');
iNSERT INTO `CostFixed` VALUES ('NB',2030,'E_WIND-ON_EX',				2009,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NB',2030,'E_WIND-ON_EX',				2011,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NB',2030,'E_WIND-ON_EX',				2019,58.5832,'$M/GWyr','Princeton Net Zero America Project');


INSERT INTO `CostFixed` VALUES ('NB',2040,'E_HFO-CT_EX',				1991,59.945,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NB',2040,'E_BIO-COGEN_EX',	2000,24.520,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NB',2040,'E_HYDRO-LIMDSP_EX',			2000,21.798,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NB',2040,'E_WIND-ON_EX',				2011,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NB',2040,'E_WIND-ON_EX',				2019,58.5832,'$M/GWyr','Princeton Net Zero America Project');


INSERT INTO `CostFixed` VALUES ('NB',2050,'E_BIO-COGEN_EX',	2000,24.520,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NB',2050,'E_HYDRO-LIMDSP_EX',			2000,21.798,'$M/GWyr','Princeton Net Zero America Project');







INSERT INTO `CostFixed` VALUES ('NS',2020,'E_COAL-BIT_EX-1',	1971,43.597,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2020,'E_COAL-BIT_EX-1',	1980,43.597,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2020,'E_COAL-BIT_EX-2',	1980,43.597,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2020,'E_COAL-BIT_EX-3',	1980,43.597,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2020,'E_COAL-COKE_EX',		1980,59.9456,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2020,'E_NGACT_EX',				2000,15.504,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2020,'E_NGACC_EX',				2010,13.624,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2020,'E_DIESEL-CT_EX',		2000,16.349,'$M/GWyr','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostFixed` VALUES ('NS',2020,'E_BIO-COGEN_EX',		2000,24.52,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2020,'E_BIO_EX',					2000,148.50,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2020,'E_WIND-ON_EX',			2005,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2020,'E_WIND-ON_EX',			2010,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2020,'E_WIND-ON_EX',			2012,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2020,'E_WIND-ON_EX',			2015,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2020,'E_HYDRO-LIMDSP_EX',		2000,21.7984,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2020,'E_HYDRO-DSP_EX',		2000,115.804,'$M/GWyr','Princeton Net Zero America Project');



--INSERT INTO `CostFixed` VALUES ('NS',2030,'E_COAL-BIT_EX-1',	1980,43.597,'$M/GWyr','Princeton Net Zero America Project');
--INSERT INTO `CostFixed` VALUES ('NS',2030,'E_COAL-BIT_EX-2',	1970,43.597,'$M/GWyr','Princeton Net Zero America Project');
--INSERT INTO `CostFixed` VALUES ('NS',2030,'E_COAL-BIT_EX-2',	1980,43.597,'$M/GWyr','Princeton Net Zero America Project');
--INSERT INTO `CostFixed` VALUES ('NS',2030,'E_COAL-BIT_EX-3',	1970,43.597,'$M/GWyr','Princeton Net Zero America Project');
--INSERT INTO `CostFixed` VALUES ('NS',2030,'E_COAL-COKE_EX',		1980,59.9456,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2030,'E_NGACT_EX',				2000,15.504,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2030,'E_NGACC_EX',				2010,13.624,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2030,'E_DIESEL-CT_EX',		2000,16.349,'$M/GWyr','Dolte	r, Rivers (2019)');
INSERT INTO `CostFixed` VALUES ('NS',2030,'E_BIO-COGEN_EX',		2000,24.52,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2030,'E_BIO_EX',					2000,148.50,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2030,'E_WIND-ON_EX',			2005,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2030,'E_WIND-ON_EX',			2010,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2030,'E_WIND-ON_EX',			2012,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2030,'E_WIND-ON_EX',			2015,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2030,'E_HYDRO-LIMDSP_EX',2000,21.7984,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2030,'E_HYDRO-DSP_EX',		2000,115.804,'$M/GWyr','Princeton Net Zero America Project');


--INSERT INTO `CostFixed` VALUES ('NS',2040,'E_COAL-BIT_EX-1',	1980,43.597,'$M/GWyr','Princeton Net Zero America Project');
--INSERT INTO `CostFixed` VALUES ('NS',2040,'E_COAL-BIT_EX-2',	1970,43.597,'$M/GWyr','Princeton Net Zero America Project');
--INSERT INTO `CostFixed` VALUES ('NS',2040,'E_COAL-BIT_EX-2',	1980,43.597,'$M/GWyr','Princeton Net Zero America Project');
--INSERT INTO `CostFixed` VALUES ('NS',2040,'E_COAL-BIT_EX-3',	1970,43.597,'$M/GWyr','Princeton Net Zero America Project');
--INSERT INTO `CostFixed` VALUES ('NS',2040,'E_COAL-COKE_EX',		1980,59.9456,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2040,'E_NGACT_EX',				2000,15.504,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2040,'E_NGACC_EX',				2010,13.624,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2040,'E_DIESEL-CT_EX',		2000,16.349,'$M/GWyr','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostFixed` VALUES ('NS',2040,'E_BIO-COGEN_EX',		2000,24.52,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2040,'E_BIO_EX',					2000,148.50,'$M/GWyr','Princeton Net Zero America Project');
--INSERT INTO `CostFixed` VALUES ('NS',2040,'E_WIND-ON_EX',			2005,58.5832,'$M/GWyr','Princeton Net Zero America Project');
--INSERT INTO `CostFixed` VALUES ('NS',2040,'E_WIND-ON_EX',			2010,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2040,'E_WIND-ON_EX',			2012,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2040,'E_WIND-ON_EX',			2015,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2040,'E_HYDRO-LIMDSP_EX',		2000,21.7984,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2040,'E_HYDRO-DSP_EX',		2000,115.804,'$M/GWyr','Princeton Net Zero America Project');


--INSERT INTO `CostFixed` VALUES ('NS',2050,'E_COAL-BIT_EX-1',	1980,43.597,'$M/GWyr','Princeton Net Zero America Project');
--INSERT INTO `CostFixed` VALUES ('NS',2050,'E_COAL-BIT_EX-2',	1970,43.597,'$M/GWyr','Princeton Net Zero America Project');
--INSERT INTO `CostFixed` VALUES ('NS',2050,'E_COAL-BIT_EX-2',	1980,43.597,'$M/GWyr','Princeton Net Zero America Project');
--INSERT INTO `CostFixed` VALUES ('NS',2050,'E_COAL-BIT_EX-3',	1970,43.597,'$M/GWyr','Princeton Net Zero America Project');
--INSERT INTO `CostFixed` VALUES ('NS',2050,'E_COAL-COKE_EX',		1980,59.9456,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2050,'E_NGACT_EX',				2000,15.504,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2050,'E_NGACC_EX',				2010,13.624,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2050,'E_DIESEL-CT_EX',		2000,16.349,'$M/GWyr','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostFixed` VALUES ('NS',2050,'E_BIO-COGEN_EX',		2000,24.52,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2050,'E_BIO_EX',					2000,148.50,'$M/GWyr','Princeton Net Zero America Project');
--INSERT INTO `CostFixed` VALUES ('NS',2050,'E_WIND-ON_EX',			2005,58.5832,'$M/GWyr','Princeton Net Zero America Project');
--INSERT INTO `CostFixed` VALUES ('NS',2050,'E_WIND-ON_EX',			2010,58.5832,'$M/GWyr','Princeton Net Zero America Project');
--INSERT INTO `CostFixed` VALUES ('NS',2050,'E_WIND-ON_EX',			2012,58.5832,'$M/GWyr','Princeton Net Zero America Project');
--INSERT INTO `CostFixed` VALUES ('NS',2050,'E_WIND-ON_EX',			2015,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2050,'E_HYDRO-LIMDSP_EX',		2000,21.7984,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NS',2050,'E_HYDRO-DSP_EX',		2000,115.804,'$M/GWyr','Princeton Net Zero America Project');





INSERT INTO `CostFixed` VALUES ('PEI',2020,'E_DIESEL-CT_EX',			1979,16.349,'$M/GWyr','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostFixed` VALUES ('PEI',2020,'E_DIESEL-CT_EX',			2004,16.349,'$M/GWyr','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostFixed` VALUES ('PEI',2030,'E_DIESEL-CT_EX',			2004,16.349,'$M/GWyr','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostFixed` VALUES ('PEI',2040,'E_DIESEL-CT_EX',			2004,16.349,'$M/GWyr','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostFixed` VALUES ('PEI',2050,'E_DIESEL-CT_EX',			2004,16.349,'$M/GWyr','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');



INSERT INTO `CostFixed` VALUES ('PEI',2020,'E_WIND-ON_EX',			2001,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('PEI',2020,'E_WIND-ON_EX',			2006,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('PEI',2020,'E_WIND-ON_EX',			2011,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('PEI',2030,'E_WIND-ON_EX',			2001,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('PEI',2030,'E_WIND-ON_EX',			2006,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('PEI',2030,'E_WIND-ON_EX',			2011,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('PEI',2040,'E_WIND-ON_EX',			2011,58.5832,'$M/GWyr','Princeton Net Zero America Project');


INSERT INTO `CostFixed` VALUES ('NL',2020,'E_DIESEL-CT_EX',		2001,16.349,'$M/GWyr','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostFixed` VALUES ('NL',2020,'E_WIND-ON_EX',			2009,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NL',2020,'E_HYDRO-DSP_EX',		2000,115.804,'$M/GWyr','Princeton Net Zero America Project');


INSERT INTO `CostFixed` VALUES ('NL',2030,'E_DIESEL-CT_EX',		2001,16.349,'$M/GWyr','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostFixed` VALUES ('NL',2030,'E_WIND-ON_EX',			2009,58.5832,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('NL',2030,'E_HYDRO-DSP_EX',		2000,115.804,'$M/GWyr','Princeton Net Zero America Project');


INSERT INTO `CostFixed` VALUES ('NL',2040,'E_DIESEL-CT_EX',		2001,16.349,'$M/GWyr','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostFixed` VALUES ('NL',2040,'E_HYDRO-DSP_EX',		2000,115.804,'$M/GWyr','Princeton Net Zero America Project');


INSERT INTO `CostFixed` VALUES ('NL',2050,'E_DIESEL-CT_EX',		2001,16.349,'$M/GWyr','Dolter, Brett, and Nicholas Rivers. "The cost of decarbonizing the Canadian electricity system." (2018)');
INSERT INTO `CostFixed` VALUES ('NL',2050,'E_HYDRO-DSP_EX',		2000,115.804,'$M/GWyr','Princeton Net Zero America Project');




INSERT INTO `CostFixed` VALUES ('LAB',2020,'E_HYDRO-LIMDSP_EX',2000,21.7984,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('LAB',2030,'E_HYDRO-LIMDSP_EX',2000,21.7984,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('LAB',2040,'E_HYDRO-LIMDSP_EX',2000,21.7984,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('LAB',2050,'E_HYDRO-LIMDSP_EX',2000,21.7984,'$M/GWyr','Princeton Net Zero America Project');

INSERT INTO `CostFixed` VALUES ('LAB',2020,'E_HYDRO-ROR_EX',2000,21.7984,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('LAB',2030,'E_HYDRO-ROR_EX',2000,21.7984,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('LAB',2040,'E_HYDRO-ROR_EX',2000,21.7984,'$M/GWyr','Princeton Net Zero America Project');
INSERT INTO `CostFixed` VALUES ('LAB',2050,'E_HYDRO-ROR_EX',2000,21.7984,'$M/GWyr','Princeton Net Zero America Project');


----------------------------------------------------- New Technologies ----------------------------------------------



INSERT INTO `CostFixed` VALUES ('NS', 2020, 'E_WIND-ON-1',         2020, 55.5885,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2020, 'E_WIND-ON-2',         2020, 55.5885,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2020, 'E_WIND-ON-3',         2020, 55.5885,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2020, 'E_WIND-ON-4',         2020, 55.5885,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_WIND-ON-1',         2020, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_WIND-ON-2',         2020, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_WIND-ON-3',         2020, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_WIND-ON-4',         2020, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_WIND-ON-1',         2030, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_WIND-ON-2',         2030, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_WIND-ON-3',         2030, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_WIND-ON-4',         2030, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_WIND-ON-1',         2020, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_WIND-ON-2',         2020, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_WIND-ON-3',         2020, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_WIND-ON-4',         2020, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_WIND-ON-1',         2030, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_WIND-ON-2',         2030, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_WIND-ON-3',         2030, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_WIND-ON-4',         2030, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_WIND-ON-1',         2040, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_WIND-ON-2',         2040, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_WIND-ON-3',         2040, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_WIND-ON-4',         2040, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_WIND-ON-1',         2030, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_WIND-ON-2',         2030, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_WIND-ON-3',         2030, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_WIND-ON-4',         2030, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_WIND-ON-1',         2040, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_WIND-ON-2',         2040, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_WIND-ON-3',         2040, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_WIND-ON-4',         2040, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_WIND-ON-1',         2050, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_WIND-ON-2',         2050, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_WIND-ON-3',         2050, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_WIND-ON-4',         2050, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'E_WIND-ON-1',         2020, 55.5885,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'E_WIND-ON-2',         2020, 55.5885,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'E_WIND-ON-3',         2020, 55.5885,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'E_WIND-ON-4',         2020, 55.5885,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_WIND-ON-1',         2020, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_WIND-ON-2',         2020, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_WIND-ON-3',         2020, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_WIND-ON-4',         2020, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_WIND-ON-1',         2030, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_WIND-ON-2',         2030, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_WIND-ON-3',         2030, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_WIND-ON-4',         2030, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_WIND-ON-1',         2020, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_WIND-ON-2',         2020, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_WIND-ON-3',         2020, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_WIND-ON-4',         2020, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_WIND-ON-1',         2030, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_WIND-ON-2',         2030, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_WIND-ON-3',         2030, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_WIND-ON-4',         2030, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_WIND-ON-1',         2040, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_WIND-ON-2',         2040, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_WIND-ON-3',         2040, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_WIND-ON-4',         2040, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_WIND-ON-1',         2030, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_WIND-ON-2',         2030, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_WIND-ON-3',         2030, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_WIND-ON-4',         2030, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_WIND-ON-1',         2040, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_WIND-ON-2',         2040, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_WIND-ON-3',         2040, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_WIND-ON-4',         2040, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_WIND-ON-1',         2050, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_WIND-ON-2',         2050, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_WIND-ON-3',         2050, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_WIND-ON-4',         2050, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2020, 'E_WIND-ON-1',         2020, 55.5885,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2020, 'E_WIND-ON-2',         2020, 55.5885,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2020, 'E_WIND-ON-3',         2020, 55.5885,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2020, 'E_WIND-ON-4',         2020, 55.5885,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_WIND-ON-1',         2020, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_WIND-ON-2',         2020, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_WIND-ON-3',         2020, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_WIND-ON-4',         2020, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_WIND-ON-1',         2030, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_WIND-ON-2',         2030, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_WIND-ON-3',         2030, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_WIND-ON-4',         2030, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_WIND-ON-1',         2020, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_WIND-ON-2',         2020, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_WIND-ON-3',         2020, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_WIND-ON-4',         2020, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_WIND-ON-1',         2030, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_WIND-ON-2',         2030, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_WIND-ON-3',         2030, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_WIND-ON-4',         2030, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_WIND-ON-1',         2040, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_WIND-ON-2',         2040, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_WIND-ON-3',         2040, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_WIND-ON-4',         2040, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_WIND-ON-1',         2030, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_WIND-ON-2',         2030, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_WIND-ON-3',         2030, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_WIND-ON-4',         2030, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_WIND-ON-1',         2040, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_WIND-ON-2',         2040, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_WIND-ON-3',         2040, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_WIND-ON-4',         2040, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_WIND-ON-1',         2050, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_WIND-ON-2',         2050, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_WIND-ON-3',         2050, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_WIND-ON-4',         2050, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2020, 'E_WIND-ON-1',         2020, 55.5885,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2020, 'E_WIND-ON-2',         2020, 55.5885,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_WIND-ON-1',         2020, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_WIND-ON-2',         2020, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_WIND-ON-1',         2030, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_WIND-ON-2',         2030, 48.4966,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_WIND-ON-1',         2020, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_WIND-ON-2',         2020, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_WIND-ON-1',         2030, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_WIND-ON-2',         2030, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_WIND-ON-1',         2040, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_WIND-ON-2',         2040, 43.4464,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_WIND-ON-1',         2030, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_WIND-ON-2',         2030, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_WIND-ON-1',         2040, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_WIND-ON-2',         2040, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_WIND-ON-1',         2050, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_WIND-ON-2',         2050, 39.2746,       'M$/GW-yr', '2021 NREL ATB; Class 5 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2020, 'E_WIND-OFF',          2020, 219.45,        'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_WIND-OFF',          2020, 255.4403,      'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_WIND-OFF',          2030, 255.4403,      'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_WIND-OFF',          2020, 301.573,       'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_WIND-OFF',          2030, 301.573,       'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_WIND-OFF',          2040, 301.573,       'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_WIND-OFF',          2030, 361.6383,      'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_WIND-OFF',          2040, 361.6383,      'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_WIND-OFF',          2050, 361.6383,      'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'E_WIND-OFF',          2020, 219.45,        'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_WIND-OFF',          2020, 255.4403,      'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_WIND-OFF',          2030, 255.4403,      'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_WIND-OFF',          2020, 301.573,       'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_WIND-OFF',          2030, 301.573,       'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_WIND-OFF',          2040, 301.573,       'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_WIND-OFF',          2030, 361.6383,      'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_WIND-OFF',          2040, 361.6383,      'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_WIND-OFF',          2050, 361.6383,      'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2020, 'E_WIND-OFF',          2020, 219.45,        'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_WIND-OFF',          2020, 255.4403,      'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_WIND-OFF',          2030, 255.4403,      'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_WIND-OFF',          2020, 301.573,       'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_WIND-OFF',          2030, 301.573,       'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_WIND-OFF',          2040, 301.573,       'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_WIND-OFF',          2030, 361.6383,      'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_WIND-OFF',          2040, 361.6383,      'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_WIND-OFF',          2050, 361.6383,      'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2020, 'E_WIND-OFF',          2020, 219.45,        'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_WIND-OFF',          2020, 255.4403,      'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_WIND-OFF',          2030, 255.4403,      'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_WIND-OFF',          2020, 301.573,       'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_WIND-OFF',          2030, 301.573,       'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_WIND-OFF',          2040, 301.573,       'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_WIND-OFF',          2030, 361.6383,      'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_WIND-OFF',          2040, 361.6383,      'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_WIND-OFF',          2050, 361.6383,      'M$/GW-yr', '2021 NREL ATB; Class 2 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2020, 'E_SOLPV-CEN',         2020, 30.5071,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_SOLPV-CEN',         2020, 20.7196,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_SOLPV-CEN',         2030, 20.7196,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_SOLPV-CEN',         2020, 19.0536,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_SOLPV-CEN',         2030, 19.0536,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_SOLPV-CEN',         2040, 19.0536,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_SOLPV-CEN',         2030, 17.7781,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_SOLPV-CEN',         2040, 17.7781,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_SOLPV-CEN',         2050, 17.7781,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'E_SOLPV-CEN',         2020, 30.5071,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_SOLPV-CEN',         2020, 20.7196,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_SOLPV-CEN',         2030, 20.7196,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_SOLPV-CEN',         2020, 19.0536,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_SOLPV-CEN',         2030, 19.0536,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_SOLPV-CEN',         2040, 19.0536,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_SOLPV-CEN',         2030, 17.7781,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_SOLPV-CEN',         2040, 17.7781,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_SOLPV-CEN',         2050, 17.7781,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2020, 'E_SOLPV-CEN',         2020, 30.5071,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_SOLPV-CEN',         2020, 20.7196,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_SOLPV-CEN',         2030, 20.7196,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_SOLPV-CEN',         2020, 19.0536,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_SOLPV-CEN',         2030, 19.0536,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_SOLPV-CEN',         2040, 19.0536,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_SOLPV-CEN',         2030, 17.7781,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_SOLPV-CEN',         2040, 17.7781,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_SOLPV-CEN',         2050, 17.7781,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2020, 'E_SOLPV-CEN',         2020, 30.5071,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_SOLPV-CEN',         2020, 20.7196,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_SOLPV-CEN',         2030, 20.7196,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_SOLPV-CEN',         2020, 19.0536,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_SOLPV-CEN',         2030, 19.0536,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_SOLPV-CEN',         2040, 19.0536,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_SOLPV-CEN',         2030, 17.7781,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_SOLPV-CEN',         2040, 17.7781,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_SOLPV-CEN',         2050, 17.7781,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2020, 'E_SOLPV-RES',         2020, 37.7355,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_SOLPV-RES',         2020, 16.7203,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_SOLPV-RES',         2030, 16.7203,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_SOLPV-RES',         2020, 14.9733,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_SOLPV-RES',         2030, 14.9733,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_SOLPV-RES',         2040, 14.9733,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_SOLPV-RES',         2030, 13.5294,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_SOLPV-RES',         2040, 13.5294,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_SOLPV-RES',         2050, 13.5294,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'E_SOLPV-RES',         2020, 37.7355,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_SOLPV-RES',         2020, 16.7203,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_SOLPV-RES',         2030, 16.7203,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_SOLPV-RES',         2020, 14.9733,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_SOLPV-RES',         2030, 14.9733,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_SOLPV-RES',         2040, 14.9733,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_SOLPV-RES',         2030, 13.5294,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_SOLPV-RES',         2040, 13.5294,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_SOLPV-RES',         2050, 13.5294,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2020, 'E_SOLPV-RES',         2020, 37.7355,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_SOLPV-RES',         2020, 16.7203,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_SOLPV-RES',         2030, 16.7203,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_SOLPV-RES',         2020, 14.9733,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_SOLPV-RES',         2030, 14.9733,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_SOLPV-RES',         2040, 14.9733,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_SOLPV-RES',         2030, 13.5294,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_SOLPV-RES',         2040, 13.5294,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_SOLPV-RES',         2050, 13.5294,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2020, 'E_SOLPV-RES',         2020, 37.7355,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_SOLPV-RES',         2020, 16.7203,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_SOLPV-RES',         2030, 16.7203,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_SOLPV-RES',         2020, 14.9733,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_SOLPV-RES',         2030, 14.9733,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_SOLPV-RES',         2040, 14.9733,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_SOLPV-RES',         2030, 13.5294,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_SOLPV-RES',         2040, 13.5294,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_SOLPV-RES',         2050, 13.5294,       'M$/GW-yr', '2021 NREL ATB; Class 10 – Moderate');
INSERT INTO `CostFixed` VALUES ('NS', 2020, 'E_BIO',               2020, 195.3718,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_BIO',               2020, 186.558,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_BIO',               2030, 186.558,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_BIO',               2020, 180.6822,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_BIO',               2030, 180.6822,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_BIO',               2040, 180.6822,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_BIO',               2020, 177.7442,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_BIO',               2030, 177.7442,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_BIO',               2040, 177.7442,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_BIO',               2050, 177.7442,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'E_BIO',               2020, 195.3718,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_BIO',               2020, 186.558,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_BIO',               2030, 186.558,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_BIO',               2020, 180.6822,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_BIO',               2030, 180.6822,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_BIO',               2040, 180.6822,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_BIO',               2020, 177.7442,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_BIO',               2030, 177.7442,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_BIO',               2040, 177.7442,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_BIO',               2050, 177.7442,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2020, 'E_BIO',               2020, 195.3718,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_BIO',               2020, 186.558,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_BIO',               2030, 186.558,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_BIO',               2020, 180.6822,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_BIO',               2030, 180.6822,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_BIO',               2040, 180.6822,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_BIO',               2020, 177.7442,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_BIO',               2030, 177.7442,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_BIO',               2040, 177.7442,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_BIO',               2050, 177.7442,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2020, 'E_BIO',               2020, 195.3718,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_BIO',               2020, 186.558,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_BIO',               2030, 186.558,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_BIO',               2020, 180.6822,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_BIO',               2030, 180.6822,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_BIO',               2040, 180.6822,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_BIO',               2020, 177.7442,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_BIO',               2030, 177.7442,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_BIO',               2040, 177.7442,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_BIO',               2050, 177.7442,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2020, 'E_BECCS',             2020, 203.1575,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_BECCS',             2020, 193.9925,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_BECCS',             2030, 193.9925,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_BECCS',             2020, 187.8825,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_BECCS',             2030, 187.8825,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_BECCS',             2040, 187.8825,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_BECCS',             2030, 184.8275,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_BECCS',             2040, 184.8275,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_BECCS',             2050, 184.8275,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'E_BECCS',             2020, 203.1575,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_BECCS',             2020, 193.9925,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_BECCS',             2030, 193.9925,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_BECCS',             2020, 187.8825,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_BECCS',             2030, 187.8825,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_BECCS',             2040, 187.8825,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_BECCS',             2030, 184.8275,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_BECCS',             2040, 184.8275,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_BECCS',             2050, 184.8275,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('PEI', 2020, 'E_BECCS',             2020, 203.1575,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_BECCS',             2020, 193.9925,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_BECCS',             2030, 193.9925,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_BECCS',             2020, 187.8825,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_BECCS',             2030, 187.8825,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_BECCS',             2040, 187.8825,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_BECCS',             2030, 184.8275,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_BECCS',             2040, 184.8275,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_BECCS',             2050, 184.8275,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NL', 2020, 'E_BECCS',             2020, 203.1575,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_BECCS',             2020, 193.9925,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_BECCS',             2030, 193.9925,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_BECCS',             2020, 187.8825,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_BECCS',             2030, 187.8825,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_BECCS',             2040, 187.8825,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_BECCS',             2030, 184.8275,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_BECCS',             2040, 184.8275,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_BECCS',             2050, 184.8275,      'M$/GW-yr', 'US EPA MARKAL database via Open Energy Outlook (2021');
INSERT INTO `CostFixed` VALUES ('NS', 2020, 'E_BATT_4HR',          2020, 44.4404,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_BATT_4HR',          2020, 24.4068,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_BATT_4HR',          2030, 24.4068,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_BATT_4HR',          2030, 20.6834,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_BATT_4HR',          2040, 20.6834,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_BATT_4HR',          2040, 17.4403,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_BATT_4HR',          2050, 17.4403,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'E_BATT_4HR',          2020, 44.4404,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_BATT_4HR',          2020, 24.4068,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_BATT_4HR',          2030, 24.4068,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_BATT_4HR',          2030, 20.6834,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_BATT_4HR',          2040, 20.6834,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_BATT_4HR',          2040, 17.4403,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_BATT_4HR',          2050, 17.4403,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2020, 'E_BATT_4HR',          2020, 44.4404,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_BATT_4HR',          2020, 24.4068,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_BATT_4HR',          2030, 24.4068,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_BATT_4HR',          2030, 20.6834,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_BATT_4HR',          2040, 20.6834,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_BATT_4HR',          2040, 17.4403,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_BATT_4HR',          2050, 17.4403,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2020, 'E_BATT_4HR',          2020, 44.4404,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_BATT_4HR',          2020, 24.4068,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_BATT_4HR',          2030, 24.4068,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_BATT_4HR',          2030, 20.6834,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_BATT_4HR',          2040, 20.6834,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_BATT_4HR',          2040, 17.4403,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_BATT_4HR',          2050, 17.4403,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2020, 'E_NGACC',             2020, 35.5971,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_NGACC',             2020, 33.9912,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_NGACC',             2030, 33.9912,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_NGACC',             2020, 32.9206,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_NGACC',             2030, 32.9206,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_NGACC',             2040, 32.9206,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_NGACC',             2020, 32.3853,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_NGACC',             2030, 32.3853,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_NGACC',             2040, 32.3853,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_NGACC',             2050, 32.3853,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'E_NGACC',             2020, 35.5971,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_NGACC',             2020, 33.9912,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_NGACC',             2030, 33.9912,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_NGACC',             2020, 32.9206,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_NGACC',             2030, 32.9206,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_NGACC',             2040, 32.9206,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_NGACC',             2020, 32.3853,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_NGACC',             2030, 32.3853,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_NGACC',             2040, 32.3853,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_NGACC',             2050, 32.3853,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2020, 'E_NGACC-CCS',         2020, 84.8853,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_NGACC-CCS',         2020, 78.8147,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_NGACC-CCS',         2030, 78.8147,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_NGACC-CCS',         2020, 72.8353,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_NGACC-CCS',         2030, 72.8353,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_NGACC-CCS',         2040, 72.8353,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_NGACC-CCS',         2020, 32.0294,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_NGACC-CCS',         2030, 32.0294,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_NGACC-CCS',         2040, 32.0294,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_NGACC-CCS',         2050, 32.0294,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'E_NGACC-CCS',         2020, 84.8853,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_NGACC-CCS',         2020, 78.8147,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_NGACC-CCS',         2030, 78.8147,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_NGACC-CCS',         2020, 72.8353,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_NGACC-CCS',         2030, 72.8353,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_NGACC-CCS',         2040, 72.8353,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_NGACC-CCS',         2020, 32.0294,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_NGACC-CCS',         2030, 32.0294,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_NGACC-CCS',         2040, 32.0294,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_NGACC-CCS',         2050, 32.0294,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2020, 'E_NGACT',             2020, 27.252,        'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_NGACT',             2020, 26.0225,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_NGACT',             2030, 26.0225,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_NGACT',             2020, 25.2029,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_NGACT',             2030, 25.2029,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_NGACT',             2040, 25.2029,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_NGACT',             2020, 24.7931,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_NGACT',             2030, 24.7931,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_NGACT',             2040, 24.7931,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_NGACT',             2050, 24.7931,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'E_NGACT',             2020, 27.252,        'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_NGACT',             2020, 26.0225,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_NGACT',             2030, 26.0225,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_NGACT',             2020, 25.2029,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_NGACT',             2030, 25.2029,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_NGACT',             2040, 25.2029,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_NGACT',             2020, 24.7931,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_NGACT',             2030, 24.7931,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_NGACT',             2040, 24.7931,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_NGACT',             2050, 24.7931,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2020, 'E_GEO-F',             2020, 178.7134,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_GEO-F',             2020, 158.8442,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_GEO-F',             2030, 158.8442,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_GEO-F',             2020, 153.8412,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_GEO-F',             2030, 153.8412,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_GEO-F',             2040, 153.8412,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_GEO-F',             2030, 151.3398,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_GEO-F',             2040, 151.3398,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_GEO-F',             2050, 151.3398,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'E_GEO-F',             2020, 178.7134,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_GEO-F',             2020, 158.8442,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_GEO-F',             2030, 158.8442,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_GEO-F',             2020, 153.8412,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_GEO-F',             2030, 153.8412,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_GEO-F',             2040, 153.8412,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_GEO-F',             2030, 151.3398,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_GEO-F',             2040, 151.3398,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_GEO-F',             2050, 151.3398,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2020, 'E_GEO-F',             2020, 178.7134,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_GEO-F',             2020, 158.8442,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_GEO-F',             2030, 158.8442,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_GEO-F',             2020, 153.8412,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_GEO-F',             2030, 153.8412,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_GEO-F',             2040, 153.8412,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_GEO-F',             2030, 151.3398,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_GEO-F',             2040, 151.3398,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_GEO-F',             2050, 151.3398,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2020, 'E_GEO-F',             2020, 178.7134,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_GEO-F',             2020, 158.8442,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_GEO-F',             2030, 158.8442,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_GEO-F',             2020, 153.8412,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_GEO-F',             2030, 153.8412,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_GEO-F',             2040, 153.8412,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_GEO-F',             2030, 151.3398,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_GEO-F',             2040, 151.3398,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_GEO-F',             2050, 151.3398,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2020, 'E_GEO-B',             2020, 235.3557,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_GEO-B',             2020, 210.4839,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_GEO-B',             2030, 210.4839,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_GEO-B',             2020, 203.8545,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_GEO-B',             2030, 203.8545,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_GEO-B',             2040, 203.8545,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_GEO-B',             2030, 200.5398,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_GEO-B',             2040, 200.5398,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_GEO-B',             2050, 200.5398,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'E_GEO-B',             2020, 235.3557,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_GEO-B',             2020, 210.4839,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_GEO-B',             2030, 210.4839,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_GEO-B',             2020, 203.8545,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_GEO-B',             2030, 203.8545,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_GEO-B',             2040, 203.8545,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_GEO-B',             2030, 200.5398,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_GEO-B',             2040, 200.5398,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_GEO-B',             2050, 200.5398,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2020, 'E_GEO-B',             2020, 235.3557,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_GEO-B',             2020, 210.4839,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_GEO-B',             2030, 210.4839,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_GEO-B',             2020, 203.8545,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_GEO-B',             2030, 203.8545,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_GEO-B',             2040, 203.8545,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_GEO-B',             2030, 200.5398,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_GEO-B',             2040, 200.5398,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_GEO-B',             2050, 200.5398,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2020, 'E_GEO-B',             2020, 235.3557,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_GEO-B',             2020, 210.4839,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_GEO-B',             2030, 210.4839,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_GEO-B',             2020, 203.8545,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_GEO-B',             2030, 203.8545,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_GEO-B',             2040, 203.8545,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_GEO-B',             2030, 200.5398,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_GEO-B',             2040, 200.5398,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_GEO-B',             2050, 200.5398,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2020, 'E_NUC-LWR',           2020, 189.0326,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_NUC-LWR',           2020, 180.5048,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_NUC-LWR',           2030, 180.5048,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_NUC-LWR',           2020, 174.8196,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_NUC-LWR',           2030, 174.8196,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_NUC-LWR',           2040, 174.8196,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_NUC-LWR',           2020, 171.977,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_NUC-LWR',           2030, 171.977,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_NUC-LWR',           2040, 171.977,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_NUC-LWR',           2050, 171.977,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'E_NUC-LWR',           2020, 189.0326,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_NUC-LWR',           2020, 180.5048,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_NUC-LWR',           2030, 180.5048,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_NUC-LWR',           2020, 174.8196,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_NUC-LWR',           2030, 174.8196,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_NUC-LWR',           2040, 174.8196,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_NUC-LWR',           2020, 171.977,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_NUC-LWR',           2030, 171.977,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_NUC-LWR',           2040, 171.977,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_NUC-LWR',           2050, 171.977,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2020, 'E_NUC-LWR',           2020, 189.0326,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_NUC-LWR',           2020, 180.5048,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_NUC-LWR',           2030, 180.5048,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_NUC-LWR',           2020, 174.8196,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_NUC-LWR',           2030, 174.8196,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_NUC-LWR',           2040, 174.8196,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_NUC-LWR',           2020, 171.977,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_NUC-LWR',           2030, 171.977,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_NUC-LWR',           2040, 171.977,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_NUC-LWR',           2050, 171.977,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2020, 'E_NUC-LWR',           2020, 189.0326,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_NUC-LWR',           2020, 180.5048,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_NUC-LWR',           2030, 180.5048,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_NUC-LWR',           2020, 174.8196,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_NUC-LWR',           2030, 174.8196,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_NUC-LWR',           2040, 174.8196,      'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_NUC-LWR',           2020, 171.977,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_NUC-LWR',           2030, 171.977,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_NUC-LWR',           2040, 171.977,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_NUC-LWR',           2050, 171.977,       'M$/GW-yr', '2021 NREL ATB');
INSERT INTO `CostFixed` VALUES ('NS', 2020, 'E_ELCZR-PEM',         2020, 70.5964,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_ELCZR-PEM',         2020, 50.1015,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_ELCZR-PEM',         2030, 50.1015,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_ELCZR-PEM',         2020, 37.4412,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_ELCZR-PEM',         2030, 37.4412,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_ELCZR-PEM',         2040, 37.4412,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_ELCZR-PEM',         2030, 36.8324,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_ELCZR-PEM',         2040, 36.8324,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_ELCZR-PEM',         2050, 36.8324,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'E_ELCZR-PEM',         2020, 70.5964,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_ELCZR-PEM',         2020, 50.1015,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_ELCZR-PEM',         2030, 50.1015,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_ELCZR-PEM',         2020, 37.4412,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_ELCZR-PEM',         2030, 37.4412,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_ELCZR-PEM',         2040, 37.4412,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_ELCZR-PEM',         2030, 36.8324,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_ELCZR-PEM',         2040, 36.8324,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_ELCZR-PEM',         2050, 36.8324,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2020, 'E_ELCZR-PEM',         2020, 70.5964,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_ELCZR-PEM',         2020, 50.1015,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_ELCZR-PEM',         2030, 50.1015,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_ELCZR-PEM',         2020, 37.4412,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_ELCZR-PEM',         2030, 37.4412,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_ELCZR-PEM',         2040, 37.4412,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_ELCZR-PEM',         2030, 36.8324,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_ELCZR-PEM',         2040, 36.8324,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_ELCZR-PEM',         2050, 36.8324,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2020, 'E_ELCZR-PEM',         2020, 70.5964,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_ELCZR-PEM',         2020, 50.1015,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_ELCZR-PEM',         2030, 50.1015,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_ELCZR-PEM',         2020, 37.4412,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_ELCZR-PEM',         2030, 37.4412,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_ELCZR-PEM',         2040, 37.4412,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_ELCZR-PEM',         2030, 36.8324,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_ELCZR-PEM',         2040, 36.8324,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_ELCZR-PEM',         2050, 36.8324,       'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2020, 'E_H2CC',              2020, 35.5971,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_H2CC',              2020, 33.9912,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_H2CC',              2030, 33.9912,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_H2CC',              2020, 32.9206,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_H2CC',              2030, 32.9206,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_H2CC',              2040, 32.9206,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_H2CC',              2030, 32.3853,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_H2CC',              2040, 32.3853,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_H2CC',              2050, 32.3853,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'E_H2CC',              2020, 35.5971,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_H2CC',              2020, 33.9912,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_H2CC',              2030, 33.9912,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_H2CC',              2020, 32.9206,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_H2CC',              2030, 32.9206,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_H2CC',              2040, 32.9206,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_H2CC',              2030, 32.3853,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_H2CC',              2040, 32.3853,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_H2CC',              2050, 32.3853,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('PEI', 2020, 'E_H2CC',              2020, 35.5971,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_H2CC',              2020, 33.9912,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_H2CC',              2030, 33.9912,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_H2CC',              2020, 32.9206,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_H2CC',              2030, 32.9206,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_H2CC',              2040, 32.9206,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_H2CC',              2030, 32.3853,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_H2CC',              2040, 32.3853,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_H2CC',              2050, 32.3853,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NL', 2020, 'E_H2CC',              2020, 35.5971,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_H2CC',              2020, 33.9912,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_H2CC',              2030, 33.9912,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_H2CC',              2020, 32.9206,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_H2CC',              2030, 32.9206,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_H2CC',              2040, 32.9206,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_H2CC',              2030, 32.3853,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_H2CC',              2040, 32.3853,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_H2CC',              2050, 32.3853,       'M$/GW-yr', '2021 NREL ATB; Assumption: Same characteristics as E_NGACC technology. This is because H2 can be burned in these generators.');
INSERT INTO `CostFixed` VALUES ('NS', 2020, 'H2_COMP-10-100',      2020, 6.0515,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'H2_COMP-10-100',      2020, 5.7785,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'H2_COMP-10-100',      2030, 5.7785,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'H2_COMP-10-100',      2030, 5.5965,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'H2_COMP-10-100',      2040, 5.5965,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'H2_COMP-10-100',      2040, 5.5055,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'H2_COMP-10-100',      2050, 5.5055,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'H2_COMP-10-100',      2020, 6.0515,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'H2_COMP-10-100',      2020, 5.7785,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'H2_COMP-10-100',      2030, 5.7785,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'H2_COMP-10-100',      2030, 5.5965,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'H2_COMP-10-100',      2040, 5.5965,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'H2_COMP-10-100',      2040, 5.5055,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'H2_COMP-10-100',      2050, 5.5055,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2020, 'H2_COMP-10-100',      2020, 6.0515,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'H2_COMP-10-100',      2020, 5.7785,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'H2_COMP-10-100',      2030, 5.7785,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'H2_COMP-10-100',      2030, 5.5965,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'H2_COMP-10-100',      2040, 5.5965,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'H2_COMP-10-100',      2040, 5.5055,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'H2_COMP-10-100',      2050, 5.5055,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2020, 'H2_COMP-10-100',      2020, 6.0515,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'H2_COMP-10-100',      2020, 5.7785,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'H2_COMP-10-100',      2030, 5.7785,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'H2_COMP-10-100',      2030, 5.5965,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'H2_COMP-10-100',      2040, 5.5965,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'H2_COMP-10-100',      2040, 5.5055,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'H2_COMP-10-100',      2050, 5.5055,        'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2020, 'H2_STORAGE',          2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'H2_STORAGE',          2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'H2_STORAGE',          2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'H2_STORAGE',          2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'H2_STORAGE',          2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'H2_STORAGE',          2040, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'H2_STORAGE',          2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'H2_STORAGE',          2040, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'H2_STORAGE',          2050, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'H2_STORAGE',          2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'H2_STORAGE',          2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'H2_STORAGE',          2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'H2_STORAGE',          2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'H2_STORAGE',          2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'H2_STORAGE',          2040, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'H2_STORAGE',          2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'H2_STORAGE',          2040, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'H2_STORAGE',          2050, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2020, 'H2_STORAGE',          2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'H2_STORAGE',          2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'H2_STORAGE',          2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'H2_STORAGE',          2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'H2_STORAGE',          2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'H2_STORAGE',          2040, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'H2_STORAGE',          2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'H2_STORAGE',          2040, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'H2_STORAGE',          2050, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2020, 'H2_STORAGE',          2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'H2_STORAGE',          2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'H2_STORAGE',          2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'H2_STORAGE',          2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'H2_STORAGE',          2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'H2_STORAGE',          2040, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'H2_STORAGE',          2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'H2_STORAGE',          2040, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'H2_STORAGE',          2050, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2020, 'E_AC-TO-DC',          2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_AC-TO-DC',          2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'E_AC-TO-DC',          2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_AC-TO-DC',          2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_AC-TO-DC',          2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'E_AC-TO-DC',          2040, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_AC-TO-DC',          2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_AC-TO-DC',          2040, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'E_AC-TO-DC',          2050, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'E_AC-TO-DC',          2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_AC-TO-DC',          2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'E_AC-TO-DC',          2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_AC-TO-DC',          2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_AC-TO-DC',          2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'E_AC-TO-DC',          2040, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_AC-TO-DC',          2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_AC-TO-DC',          2040, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'E_AC-TO-DC',          2050, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2020, 'E_AC-TO-DC',          2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_AC-TO-DC',          2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'E_AC-TO-DC',          2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_AC-TO-DC',          2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_AC-TO-DC',          2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'E_AC-TO-DC',          2040, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_AC-TO-DC',          2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_AC-TO-DC',          2040, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'E_AC-TO-DC',          2050, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2020, 'E_AC-TO-DC',          2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_AC-TO-DC',          2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'E_AC-TO-DC',          2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_AC-TO-DC',          2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_AC-TO-DC',          2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'E_AC-TO-DC',          2040, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_AC-TO-DC',          2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_AC-TO-DC',          2040, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'E_AC-TO-DC',          2050, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2020, 'H2_distribution',     2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'H2_distribution',     2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'H2_distribution',     2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'H2_distribution',     2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'H2_distribution',     2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'H2_distribution',     2040, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'H2_distribution',     2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'H2_distribution',     2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'H2_distribution',     2040, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'H2_distribution',     2050, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'H2_distribution',     2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'H2_distribution',     2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'H2_distribution',     2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'H2_distribution',     2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'H2_distribution',     2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'H2_distribution',     2040, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'H2_distribution',     2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'H2_distribution',     2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'H2_distribution',     2040, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'H2_distribution',     2050, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2020, 'H2_distribution',     2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'H2_distribution',     2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2030, 'H2_distribution',     2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'H2_distribution',     2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'H2_distribution',     2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2040, 'H2_distribution',     2040, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'H2_distribution',     2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'H2_distribution',     2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'H2_distribution',     2040, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('PEI', 2050, 'H2_distribution',     2050, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2020, 'H2_distribution',     2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'H2_distribution',     2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2030, 'H2_distribution',     2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'H2_distribution',     2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'H2_distribution',     2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2040, 'H2_distribution',     2040, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'H2_distribution',     2020, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'H2_distribution',     2030, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'H2_distribution',     2040, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NL', 2050, 'H2_distribution',     2050, 0.0,           'M$/GW-yr', 'Open Energy Outlook (2021)');
INSERT INTO `CostFixed` VALUES ('NS', 2020, 'H2_SMR-CCS',          2020, 45.06,         'M$/GW-yr', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'H2_SMR-CCS',          2020, 45.06,         'M$/GW-yr', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'H2_SMR-CCS',          2030, 45.06,         'M$/GW-yr', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'H2_SMR-CCS',          2020, 45.06,         'M$/GW-yr', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'H2_SMR-CCS',          2030, 45.06,         'M$/GW-yr', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'H2_SMR-CCS',          2040, 45.06,         'M$/GW-yr', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'H2_SMR-CCS',          2030, 45.06,         'M$/GW-yr', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'H2_SMR-CCS',          2040, 45.06,         'M$/GW-yr', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'H2_SMR-CCS',          2050, 45.06,         'M$/GW-yr', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'H2_SMR-CCS',          2020, 45.06,         'M$/GW-yr', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'H2_SMR-CCS',          2020, 45.06,         'M$/GW-yr', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'H2_SMR-CCS',          2030, 45.06,         'M$/GW-yr', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'H2_SMR-CCS',          2020, 45.06,         'M$/GW-yr', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'H2_SMR-CCS',          2030, 45.06,         'M$/GW-yr', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'H2_SMR-CCS',          2040, 45.06,         'M$/GW-yr', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'H2_SMR-CCS',          2030, 45.06,         'M$/GW-yr', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'H2_SMR-CCS',          2040, 45.06,         'M$/GW-yr', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'H2_SMR-CCS',          2050, 45.06,         'M$/GW-yr', 'Zen Clean Energy Solutions, "A Feasibility Study of Hydrogen Production, Storage, Distribution and Use in the Maritimes');





-------------------------------------- New Industry ---------------------------------


INSERT INTO `CostFixed` VALUES ('NB', 2030, 'CO2_CAPTURE-NGA-1STGEN', 2030, 0.0398,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario A. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'CO2_CAPTURE-NGA-1STGEN', 2030, 0.0398,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario A. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'CO2_CAPTURE-NGA-1STGEN', 2040, 0.0386,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario A. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'CO2_CAPTURE-NGA-1STGEN', 2030, 0.0398,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario A. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'CO2_CAPTURE-NGA-1STGEN', 2040, 0.0386,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario A. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'CO2_CAPTURE-NGA-1STGEN', 2050, 0.0376,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario A. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'CO2_CAPTURE-NGA-1STGEN', 2030, 0.0398,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario A. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'CO2_CAPTURE-NGA-1STGEN', 2030, 0.0398,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario A. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'CO2_CAPTURE-NGA-1STGEN', 2040, 0.0386,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario A. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'CO2_CAPTURE-NGA-1STGEN', 2030, 0.0398,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario A. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'CO2_CAPTURE-NGA-1STGEN', 2040, 0.0386,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario A. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'CO2_CAPTURE-NGA-1STGEN', 2050, 0.0376,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario A. This cost takes into account the carbon captured from the NG fuel.');


INSERT INTO `CostFixed` VALUES ('NB', 2030, 'CO2_CAPTURE-NGA',  2030, 0.0284,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario B. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'CO2_CAPTURE-NGA',  2030, 0.0284,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario B. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'CO2_CAPTURE-NGA',  2040, 0.0276,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario B. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'CO2_CAPTURE-NGA',  2030, 0.0284,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario B. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'CO2_CAPTURE-NGA',  2040, 0.0276,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario B. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'CO2_CAPTURE-NGA',  2050, 0.0269,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario B. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'CO2_CAPTURE-NGA',  2030, 0.0284,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario B. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'CO2_CAPTURE-NGA',  2030, 0.0284,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario B. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'CO2_CAPTURE-NGA',  2040, 0.0276,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario B. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'CO2_CAPTURE-NGA',  2030, 0.0284,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario B. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'CO2_CAPTURE-NGA',  2040, 0.0276,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario B. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'CO2_CAPTURE-NGA',  2050, 0.0269,        'M$/kt CO2/year', 'Keith (2018) -- Table 2. Scenario B. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'CO2_CAPTURE-ELCNGA',     2030, 0.0245,        'M$/kt CO2/year', 'Keith -- Table 2. Scenario D. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'CO2_CAPTURE-ELCNGA',     2030, 0.0245,        'M$/kt CO2/year', 'Keith -- Table 2. Scenario D. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'CO2_CAPTURE-ELCNGA',     2040, 0.0238,        'M$/kt CO2/year', 'Keith -- Table 2. Scenario D. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'CO2_CAPTURE-ELCNGA',     2030, 0.0245,        'M$/kt CO2/year', 'Keith -- Table 2. Scenario D. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'CO2_CAPTURE-ELCNGA',     2040, 0.0238,        'M$/kt CO2/year', 'Keith -- Table 2. Scenario D. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'CO2_CAPTURE-ELCNGA',     2050, 0.0233,        'M$/kt CO2/year', 'Keith -- Table 2. Scenario D. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'CO2_CAPTURE-ELCNGA',     2030, 0.0245,        'M$/kt CO2/year', 'Keith -- Table 2. Scenario D. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'CO2_CAPTURE-ELCNGA',     2030, 0.0245,        'M$/kt CO2/year', 'Keith -- Table 2. Scenario D. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'CO2_CAPTURE-ELCNGA',     2040, 0.0238,        'M$/kt CO2/year', 'Keith -- Table 2. Scenario D. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'CO2_CAPTURE-ELCNGA',     2030, 0.0245,        'M$/kt CO2/year', 'Keith -- Table 2. Scenario D. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'CO2_CAPTURE-ELCNGA',     2040, 0.0238,        'M$/kt CO2/year', 'Keith -- Table 2. Scenario D. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'CO2_CAPTURE-ELCNGA',     2050, 0.0233,        'M$/kt CO2/year', 'Keith -- Table 2. Scenario D. This cost takes into account the carbon captured from the NG fuel.');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'SNGSYN',              2020, 52.866,        'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'SNGSYN',              2020, 52.866,        'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'SNGSYN',              2030, 39.5605,       'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'SNGSYN',              2030, 39.5605,       'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'SNGSYN',              2040, 27.3675,       'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'SNGSYN',              2040, 27.3675,       'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'SNGSYN',              2050, 26.7,          'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NS', 2020, 'SNGSYN',              2020, 52.866,        'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'SNGSYN',              2020, 52.866,        'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'SNGSYN',              2030, 39.5605,       'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'SNGSYN',              2030, 39.5605,       'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'SNGSYN',              2040, 27.3675,       'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'SNGSYN',              2040, 27.3675,       'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'SNGSYN',              2050, 26.7,          'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NB', 2020, 'SNG_COMP-20-100',     2020, 6.006,         'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'SNG_COMP-20-100',     2020, 6.006,         'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NB', 2030, 'SNG_COMP-20-100',     2030, 5.7785,        'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'SNG_COMP-20-100',     2030, 5.7785,        'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NB', 2040, 'SNG_COMP-20-100',     2040, 5.5965,        'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'SNG_COMP-20-100',     2040, 5.5965,        'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NB', 2050, 'SNG_COMP-20-100',     2050, 5.46,          'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NS', 2020, 'SNG_COMP-20-100',     2020, 6.006,         'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'SNG_COMP-20-100',     2020, 6.006,         'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NS', 2030, 'SNG_COMP-20-100',     2030, 5.7785,        'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'SNG_COMP-20-100',     2030, 5.7785,        'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NS', 2040, 'SNG_COMP-20-100',     2040, 5.5965,        'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'SNG_COMP-20-100',     2040, 5.5965,        'M$/kt CO2/year', 'OEO (New England)');
INSERT INTO `CostFixed` VALUES ('NS', 2050, 'SNG_COMP-20-100',     2050, 5.46,          'M$/kt CO2/year', 'OEO (New England)');





CREATE TABLE IF NOT EXISTS "CapacityToActivity" (
	"regions"	text,
	"tech"	text,
	"c2a"	real,
	"c2a_notes"	TEXT,
	PRIMARY KEY("regions","tech"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech")
);

INSERT INTO `CapacityToActivity` VALUES ('NB','E_WIND-ON-1',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_WIND-ON-2',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_WIND-ON-3',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_WIND-ON-4',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_WIND-OFF',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_SOLPV-CEN',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_SOLPV-RES',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_BIO',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_BECCS',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_BATT_4HR',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_NGACC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_NGACC-CCS',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_NGACT',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_GEO-F',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_GEO-B',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_NUC-LWR',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_ELCZR-PEM',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','H2_STORAGE',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','H2_COMP-10-100',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','H2_SMR-CCS',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_TRANS-DIST',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_TRANS_EXPORT',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_EXPORT_PASSTHROUGH',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_EXPORT_DUMMY',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_AC-TO-DC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');

INSERT INTO `CapacityToActivity` VALUES ('NB','E_COAL-BIT_EX-1',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_NGACC_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_NG-COGEN_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_HFO-CT_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_NUC-LWR_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_DIESEL-CT_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_BIO-COGEN_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_WIND-ON_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','E_HYDRO-LIMDSP_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','IMP_COAL-BIT_ELC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','IMP_NG_ELC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','IMP_WOOD_ELC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','IMP_URN_ELC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','IMP_DSL_ELC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','IMP_HFO_ELC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');

INSERT INTO `CapacityToActivity` VALUES ('NB','IMP_ELC-QC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB','IMP_ELC-USA',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');



INSERT INTO `CapacityToActivity` VALUES ('NS','E_WIND-ON-1',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_WIND-ON-2',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_WIND-ON-3',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_WIND-ON-4',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_WIND-OFF',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_SOLPV-CEN',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_SOLPV-RES',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_BIO',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_BECCS',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_BATT_4HR',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_NGACC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_NGACC-CCS',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_NGACT',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_GEO-F',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_GEO-B',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_NUC-LWR',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_ELCZR-PEM',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','H2_STORAGE',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','H2_COMP-10-100',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','H2_SMR-CCS',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_TRANS-DIST',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_AC-TO-DC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');

INSERT INTO `CapacityToActivity` VALUES ('NS','E_COAL-BIT_EX-1',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_COAL-BIT_EX-3',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_COAL-BIT_EX-2',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_COAL-COKE_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_NGACT_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_NGACC_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_DIESEL-CT_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_BIO-COGEN_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_BIO_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_WIND-ON_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_HYDRO-LIMDSP_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','E_HYDRO-DSP_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','IMP_COAL-BIT_ELC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','IMP_NG_ELC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','IMP_WOOD_ELC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','IMP_COKE_ELC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','IMP_URN_ELC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS','IMP_DSL_ELC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');



INSERT INTO `CapacityToActivity` VALUES ('PEI','E_WIND-ON-1',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('PEI','E_WIND-ON-2',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('PEI','E_WIND-ON-3',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('PEI','E_WIND-ON-4',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('PEI','E_WIND-OFF',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('PEI','E_SOLPV-CEN',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('PEI','E_SOLPV-RES',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('PEI','E_BIO',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('PEI','E_BECCS',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('PEI','E_BATT_4HR',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('PEI','E_GEO-F',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('PEI','E_GEO-B',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('PEI','E_NUC-LWR',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('PEI','E_ELCZR-PEM',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('PEI','H2_STORAGE',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('PEI','H2_COMP-10-100',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('PEI','E_TRANS-DIST',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('PEI','E_AC-TO-DC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');

INSERT INTO `CapacityToActivity` VALUES ('PEI','IMP_WOOD_ELC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('PEI','IMP_URN_ELC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('PEI','IMP_DSL_ELC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');

INSERT INTO `CapacityToActivity` VALUES ('PEI','E_DIESEL-CT_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('PEI','E_WIND-ON_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');


INSERT INTO `CapacityToActivity` VALUES ('NL','E_WIND-ON-1',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NL','E_WIND-ON-2',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NL','E_WIND-ON-3',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NL','E_WIND-ON-4',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NL','E_WIND-OFF',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NL','E_SOLPV-CEN',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NL','E_SOLPV-RES',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NL','E_BIO',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NL','E_BECCS',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NL','E_BATT_4HR',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NL','E_GEO-F',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NL','E_GEO-B',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NL','E_NUC-LWR',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NL','E_ELCZR-PEM',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NL','H2_STORAGE',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NL','H2_COMP-10-100',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NL','E_TRANS-DIST',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NL','E_AC-TO-DC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');

INSERT INTO `CapacityToActivity` VALUES ('NL','IMP_WOOD_ELC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NL','IMP_URN_ELC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NL','IMP_DSL_ELC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');

INSERT INTO `CapacityToActivity` VALUES ('NL','E_DIESEL-CT_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NL','E_WIND-ON_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NL','E_HYDRO-DSP_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');



INSERT INTO `CapacityToActivity` VALUES ('LAB','E_TRANS-DIST',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('LAB','IMP_ELC-QC',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('LAB','E_HYDRO-LIMDSP_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('LAB','E_HYDRO-ROR_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('LAB','E_TRANS_EXPORT',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('LAB','E_EXPORT_PASSTHROUGH',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('LAB','E_EXPORT_DUMMY',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');






INSERT INTO `CapacityToActivity` VALUES ('NS-NB','E_TRANS',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS-NB','E_TRANS_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB-NS','E_TRANS',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB-NS','E_TRANS_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');

INSERT INTO `CapacityToActivity` VALUES ('PEI-NB','E_TRANS',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('PEI-NB','E_TRANS_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB-PEI','E_TRANS',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NB-PEI','E_TRANS_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');

INSERT INTO `CapacityToActivity` VALUES ('LAB-NL','E_TRANS_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NL-LAB','E_TRANS_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');

INSERT INTO `CapacityToActivity` VALUES ('NS-NL','E_TRANS_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NL-NS','E_TRANS_EX',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NS-NL','E_TRANS',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');
INSERT INTO `CapacityToActivity` VALUES ('NL-NS','E_TRANS',31.536,'1 GW of capacity produces 31.536 PJ of electricity if run all year at full capacity.');















--------------------------- New Industry -----------------------------

INSERT INTO `CapacityToActivity` VALUES ('NB','SNGSYN',              31.536,'');
INSERT INTO `CapacityToActivity` VALUES ('NS','SNGSYN',              31.536,'');
INSERT INTO `CapacityToActivity` VALUES ('NB','SNG_COMP-20-100',     31.536,'');
INSERT INTO `CapacityToActivity` VALUES ('NS','SNG_COMP-20-100',     31.536,'');



CREATE TABLE IF NOT EXISTS "CapacityFactorTech" (
	"regions"	text,
	"season_name"	text,
	"time_of_day_name"	text,
	"tech"	text,
	"cf_tech"	real CHECK("cf_tech" >= 0 AND "cf_tech" <= 1),
	"cf_tech_notes"	text,
	FOREIGN KEY("season_name") REFERENCES "time_season"("t_season"),
	PRIMARY KEY("regions","season_name","time_of_day_name","tech"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech"),
	FOREIGN KEY("time_of_day_name") REFERENCES "time_of_day"("t_day")
);




CREATE TABLE IF NOT EXISTS "CapacityFactorProcess" (
	"regions"	text,
	"season_name"	text,
	"time_of_day_name"	text,
	"tech"	text,
	"vintage"	integer,
	"cf_process"	real CHECK("cf_process" >= 0 AND "cf_process" <= 1),
	"cf_process_notes"	text,
	FOREIGN KEY("time_of_day_name") REFERENCES "time_of_day"("t_day"),
	PRIMARY KEY("regions","season_name","time_of_day_name","tech","vintage"),
	FOREIGN KEY("tech") REFERENCES "technologies"("tech"),
	FOREIGN KEY("season_name") REFERENCES "time_season"("t_season")
);


CREATE TABLE "CapacityCredit" (
	"regions"	text,
	"periods"	integer,
	"tech"	text,
	"vintage" integer,
	"cf_tech"	real CHECK("cf_tech" >= 0 AND "cf_tech" <= 1),
	"cf_tech_notes"	text,
	PRIMARY KEY("regions","periods","tech","vintage")
);
INSERT INTO `CapacityCredit` VALUES ('NB',2020,'IMP_ELC-USA',					1900,0.5,'Assumption. Need to update (tk)');
INSERT INTO `CapacityCredit` VALUES ('NB',2020,'IMP_ELC-QC',					1900,0.5,'Assumption. Need to update (tk)');
INSERT INTO `CapacityCredit` VALUES ('NB',2020,'E_HFO-CT_EX',					1991,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NB',2020,'E_COAL-BIT_EX-1',			1980,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NB',2020,'E_NGACC_EX',					1977,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NB',2020,'E_NG-COGEN_EX',				1975,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NB',2020,'E_NUC-LWR_EX',				1980,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NB',2020,'E_DIESEL-CT_EX',			1976,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NB',2020,'E_DIESEL-CT_EX',			1981,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NB',2020,'E_BIO-COGEN_EX',	2000,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NB',2020,'E_HYDRO-LIMDSP_EX',		2000,1.0,'NS IRP 2020');
iNSERT INTO `CapacityCredit` VALUES ('NB',2020,'E_WIND-ON_EX',				2009,0.17,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NB',2020,'E_WIND-ON_EX',				2011,0.17,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NB',2020,'E_WIND-ON_EX',				2019,0.17,'NS IRP 2020');


INSERT INTO `CapacityCredit` VALUES ('NB',2030,'IMP_ELC-USA',					1900,0.5,'Assumption. Need to update (tk)');
INSERT INTO `CapacityCredit` VALUES ('NB',2030,'IMP_ELC-QC',					1900,0.5,'Assumption. Need to update (tk)');
INSERT INTO `CapacityCredit` VALUES ('NB',2030,'E_HFO-CT_EX',					1991,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NB',2030,'E_NUC-LWR_EX',				1980,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NB',2030,'E_DIESEL-CT_EX',			1981,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NB',2030,'E_BIO-COGEN_EX',	2000,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NB',2030,'E_HYDRO-LIMDSP_EX',		2000,1.0,'NS IRP 2020');
iNSERT INTO `CapacityCredit` VALUES ('NB',2030,'E_WIND-ON_EX',				2009,0.17,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NB',2030,'E_WIND-ON_EX',				2011,0.17,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NB',2030,'E_WIND-ON_EX',				2019,0.17,'NS IRP 2020');


INSERT INTO `CapacityCredit` VALUES ('NB',2040,'IMP_ELC-USA',					1900,0.5,'Assumption. Need to update (tk)');
INSERT INTO `CapacityCredit` VALUES ('NB',2040,'IMP_ELC-QC',					1900,0.5,'Assumption. Need to update (tk)');
INSERT INTO `CapacityCredit` VALUES ('NB',2040,'E_HFO-CT_EX',					1991,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NB',2040,'E_BIO-COGEN_EX',	2000,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NB',2040,'E_HYDRO-LIMDSP_EX',		2000,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NB',2040,'E_WIND-ON_EX',				2011,0.17,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NB',2040,'E_WIND-ON_EX',				2019,0.17,'NS IRP 2020');


INSERT INTO `CapacityCredit` VALUES ('NB',2050,'IMP_ELC-USA',					1900,0.5,'Assumption. Need to update (tk)');
INSERT INTO `CapacityCredit` VALUES ('NB',2050,'IMP_ELC-QC',					1900,0.5,'Assumption. Need to update (tk)');
INSERT INTO `CapacityCredit` VALUES ('NB',2050,'E_BIO-COGEN_EX',	2000,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NB',2050,'E_HYDRO-LIMDSP_EX',			2000,1.0,'NS IRP 2020');




INSERT INTO `CapacityCredit` VALUES ('NS',2020,'E_COAL-BIT_EX-1',			1971,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2020,'E_COAL-BIT_EX-1',			1980,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2020,'E_COAL-BIT_EX-2',			1980,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2020,'E_COAL-BIT_EX-3',			1980,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2020,'E_COAL-COKE_EX',			1980,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2020,'E_NGACT_EX',					2000,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2020,'E_NGACC_EX',					2010,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2020,'E_DIESEL-CT_EX',			2000,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2020,'E_BIO-COGEN_EX',			2000,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2020,'E_BIO_EX',						2000,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2020,'E_WIND-ON_EX',				2005,0.17,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2020,'E_WIND-ON_EX',				2010,0.17,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2020,'E_WIND-ON_EX',				2012,0.17,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2020,'E_WIND-ON_EX',				2015,0.17,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2020,'E_HYDRO-LIMDSP_EX',			2000,1.0,'NS IRP 2020');







INSERT INTO `CapacityCredit` VALUES ('NS',2030,'E_NGACT_EX',					2000,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2030,'E_NGACC_EX',					2010,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2030,'E_DIESEL-CT_EX',			2000,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2030,'E_BIO-COGEN_EX',			2000,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2030,'E_BIO_EX',						2000,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2030,'E_WIND-ON_EX',				2005,0.17,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2030,'E_WIND-ON_EX',				2010,0.17,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2030,'E_WIND-ON_EX',				2012,0.17,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2030,'E_WIND-ON_EX',				2015,0.17,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2030,'E_HYDRO-LIMDSP_EX',			2000,1.0,'NS IRP 2020');





INSERT INTO `CapacityCredit` VALUES ('NS',2040,'E_NGACT_EX',					2000,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2040,'E_NGACC_EX',					2010,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2040,'E_DIESEL-CT_EX',			2000,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2040,'E_BIO-COGEN_EX',			2000,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2040,'E_BIO_EX',						2000,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2040,'E_WIND-ON_EX',				2012,0.17,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2040,'E_WIND-ON_EX',				2015,0.17,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2040,'E_HYDRO-LIMDSP_EX',			2000,1.0,'NS IRP 2020');



INSERT INTO `CapacityCredit` VALUES ('NS',2050,'E_NGACT_EX',					2000,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2050,'E_NGACC_EX',					2010,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2050,'E_DIESEL-CT_EX',			2000,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2050,'E_BIO-COGEN_EX',			2000,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2050,'E_BIO_EX',						2000,1.0,'NS IRP 2020');
INSERT INTO `CapacityCredit` VALUES ('NS',2050,'E_HYDRO-LIMDSP_EX',			2000,1.0,'NS IRP 2020');



INSERT INTO `CapacityCredit` VALUES ('PEI',2020,'E_DIESEL-CT_EX',			1979,1.0,'');
INSERT INTO `CapacityCredit` VALUES ('PEI',2020,'E_DIESEL-CT_EX',			2004,1.0,'');
INSERT INTO `CapacityCredit` VALUES ('PEI',2030,'E_DIESEL-CT_EX',			2004,1.0,'');
INSERT INTO `CapacityCredit` VALUES ('PEI',2040,'E_DIESEL-CT_EX',			2004,1.0,'');
INSERT INTO `CapacityCredit` VALUES ('PEI',2050,'E_DIESEL-CT_EX',			2004,1.0,'');

INSERT INTO `CapacityCredit` VALUES ('PEI',2020,'E_WIND-ON_EX',			2001,0.15, 'PEI IRP');
INSERT INTO `CapacityCredit` VALUES ('PEI',2020,'E_WIND-ON_EX',			2006,0.15, 'PEI IRP');
INSERT INTO `CapacityCredit` VALUES ('PEI',2020,'E_WIND-ON_EX',			2011,0.15, 'PEI IRP');
INSERT INTO `CapacityCredit` VALUES ('PEI',2030,'E_WIND-ON_EX',			2001,0.15, 'PEI IRP');
INSERT INTO `CapacityCredit` VALUES ('PEI',2030,'E_WIND-ON_EX',			2006,0.15, 'PEI IRP');
INSERT INTO `CapacityCredit` VALUES ('PEI',2030,'E_WIND-ON_EX',			2011,0.15, 'PEI IRP');
INSERT INTO `CapacityCredit` VALUES ('PEI',2040,'E_WIND-ON_EX',			2011,0.15, 'PEI IRP');




INSERT INTO `CapacityCredit` VALUES ('NL',2020,'E_DIESEL-CT_EX',			2001,1.0,'');
INSERT INTO `CapacityCredit` VALUES ('NL',2030,'E_DIESEL-CT_EX',			2001,1.0,'');
INSERT INTO `CapacityCredit` VALUES ('NL',2040,'E_DIESEL-CT_EX',			2001,1.0,'');
INSERT INTO `CapacityCredit` VALUES ('NL',2050,'E_DIESEL-CT_EX',			2001,1.0,'');

INSERT INTO `CapacityCredit` VALUES ('NL',2020,'E_WIND-ON_EX',			2009,0.22,'NL IRP');
INSERT INTO `CapacityCredit` VALUES ('NL',2030,'E_WIND-ON_EX',			2009,0.22,'NL IRP');

INSERT INTO `CapacityCredit` VALUES ('NL',2020,'E_HYDRO-DSP_EX',			2000,1.0,'');
INSERT INTO `CapacityCredit` VALUES ('NL',2030,'E_HYDRO-DSP_EX',			2000,1.0,'');
INSERT INTO `CapacityCredit` VALUES ('NL',2040,'E_HYDRO-DSP_EX',			2000,1.0,'');
INSERT INTO `CapacityCredit` VALUES ('NL',2050,'E_HYDRO-DSP_EX',			2000,1.0,'');




INSERT INTO `CapacityCredit` VALUES ('LAB',2020,'E_HYDRO-LIMDSP_EX',			2000,1.0,'');
INSERT INTO `CapacityCredit` VALUES ('LAB',2030,'E_HYDRO-LIMDSP_EX',			2000,1.0,'');
INSERT INTO `CapacityCredit` VALUES ('LAB',2040,'E_HYDRO-LIMDSP_EX',			2000,1.0,'');
INSERT INTO `CapacityCredit` VALUES ('LAB',2050,'E_HYDRO-LIMDSP_EX',			2000,1.0,'');

INSERT INTO `CapacityCredit` VALUES ('LAB',2020,'E_HYDRO-ROR_EX',			2000,1.0,'');
INSERT INTO `CapacityCredit` VALUES ('LAB',2030,'E_HYDRO-ROR_EX',			2000,1.0,'');
INSERT INTO `CapacityCredit` VALUES ('LAB',2040,'E_HYDRO-ROR_EX',			2000,1.0,'');
INSERT INTO `CapacityCredit` VALUES ('LAB',2050,'E_HYDRO-ROR_EX',			2000,1.0,'');

INSERT INTO `CapacityCredit` VALUES ('NS', 2020, 'E_WIND-ON-1',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2020, 'E_WIND-ON-2',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2020, 'E_WIND-ON-3',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2020, 'E_WIND-ON-4',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_WIND-ON-1',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_WIND-ON-2',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_WIND-ON-3',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_WIND-ON-4',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_WIND-ON-1',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_WIND-ON-2',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_WIND-ON-3',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_WIND-ON-4',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_WIND-ON-1',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_WIND-ON-2',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_WIND-ON-3',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_WIND-ON-4',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_WIND-ON-1',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_WIND-ON-2',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_WIND-ON-3',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_WIND-ON-4',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_WIND-ON-1',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_WIND-ON-2',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_WIND-ON-3',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_WIND-ON-4',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_WIND-ON-1',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_WIND-ON-2',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_WIND-ON-3',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_WIND-ON-4',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_WIND-ON-1',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_WIND-ON-2',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_WIND-ON-3',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_WIND-ON-4',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_WIND-ON-1',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_WIND-ON-2',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_WIND-ON-3',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_WIND-ON-4',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_WIND-ON-1',         2050, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_WIND-ON-2',         2050, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_WIND-ON-3',         2050, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_WIND-ON-4',         2050, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2020, 'E_WIND-ON-1',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2020, 'E_WIND-ON-2',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2020, 'E_WIND-ON-3',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2020, 'E_WIND-ON-4',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_WIND-ON-1',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_WIND-ON-2',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_WIND-ON-3',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_WIND-ON-4',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_WIND-ON-1',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_WIND-ON-2',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_WIND-ON-3',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_WIND-ON-4',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_WIND-ON-1',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_WIND-ON-2',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_WIND-ON-3',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_WIND-ON-4',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_WIND-ON-1',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_WIND-ON-2',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_WIND-ON-3',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_WIND-ON-4',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_WIND-ON-1',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_WIND-ON-2',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_WIND-ON-3',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_WIND-ON-4',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_WIND-ON-1',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_WIND-ON-2',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_WIND-ON-3',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_WIND-ON-4',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_WIND-ON-1',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_WIND-ON-2',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_WIND-ON-3',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_WIND-ON-4',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_WIND-ON-1',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_WIND-ON-2',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_WIND-ON-3',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_WIND-ON-4',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_WIND-ON-1',         2050, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_WIND-ON-2',         2050, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_WIND-ON-3',         2050, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_WIND-ON-4',         2050, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2020, 'E_WIND-ON-1',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2020, 'E_WIND-ON-2',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2020, 'E_WIND-ON-3',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2020, 'E_WIND-ON-4',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_WIND-ON-1',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_WIND-ON-2',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_WIND-ON-3',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_WIND-ON-4',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_WIND-ON-1',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_WIND-ON-2',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_WIND-ON-3',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_WIND-ON-4',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_WIND-ON-1',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_WIND-ON-2',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_WIND-ON-3',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_WIND-ON-4',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_WIND-ON-1',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_WIND-ON-2',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_WIND-ON-3',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_WIND-ON-4',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_WIND-ON-1',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_WIND-ON-2',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_WIND-ON-3',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_WIND-ON-4',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_WIND-ON-1',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_WIND-ON-2',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_WIND-ON-3',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_WIND-ON-4',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_WIND-ON-1',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_WIND-ON-2',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_WIND-ON-3',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_WIND-ON-4',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_WIND-ON-1',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_WIND-ON-2',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_WIND-ON-3',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_WIND-ON-4',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_WIND-ON-1',         2050, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_WIND-ON-2',         2050, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_WIND-ON-3',         2050, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_WIND-ON-4',         2050, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2020, 'E_WIND-ON-1',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2020, 'E_WIND-ON-2',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2030, 'E_WIND-ON-1',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2030, 'E_WIND-ON-2',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2030, 'E_WIND-ON-1',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2030, 'E_WIND-ON-2',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_WIND-ON-1',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_WIND-ON-2',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_WIND-ON-1',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_WIND-ON-2',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_WIND-ON-1',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_WIND-ON-2',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_WIND-ON-1',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_WIND-ON-2',         2020, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_WIND-ON-1',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_WIND-ON-2',         2030, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_WIND-ON-1',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_WIND-ON-2',         2040, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_WIND-ON-1',         2050, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_WIND-ON-2',         2050, 0.1, 'NS IRP -- The marginal Wind ELCC has a nonlinear relationship. Existing begins at 11% and 1 GW total (i.e. 400 MW additions) ends at 9%.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2020, 'E_WIND-OFF',          2020, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_WIND-OFF',          2020, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_WIND-OFF',          2030, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_WIND-OFF',          2020, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_WIND-OFF',          2030, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_WIND-OFF',          2040, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_WIND-OFF',          2020, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_WIND-OFF',          2030, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_WIND-OFF',          2040, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_WIND-OFF',          2050, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2020, 'E_WIND-OFF',          2020, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_WIND-OFF',          2020, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_WIND-OFF',          2030, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_WIND-OFF',          2020, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_WIND-OFF',          2030, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_WIND-OFF',          2040, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_WIND-OFF',          2020, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_WIND-OFF',          2030, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_WIND-OFF',          2040, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_WIND-OFF',          2050, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2020, 'E_WIND-OFF',          2020, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_WIND-OFF',          2020, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_WIND-OFF',          2030, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_WIND-OFF',          2020, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_WIND-OFF',          2030, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_WIND-OFF',          2040, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_WIND-OFF',          2020, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_WIND-OFF',          2030, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_WIND-OFF',          2040, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_WIND-OFF',          2050, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2020, 'E_WIND-OFF',          2020, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2030, 'E_WIND-OFF',          2020, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2030, 'E_WIND-OFF',          2030, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_WIND-OFF',          2020, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_WIND-OFF',          2030, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_WIND-OFF',          2040, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_WIND-OFF',          2020, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_WIND-OFF',          2030, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_WIND-OFF',          2040, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_WIND-OFF',          2050, 0.1, 'PEI IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2020, 'E_BIO',               2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_BIO',               2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_BIO',               2030, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_BIO',               2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_BIO',               2030, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_BIO',               2040, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_BIO',               2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_BIO',               2030, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_BIO',               2040, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_BIO',               2050, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2020, 'E_BIO',               2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_BIO',               2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_BIO',               2030, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_BIO',               2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_BIO',               2030, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_BIO',               2040, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_BIO',               2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_BIO',               2030, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_BIO',               2040, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_BIO',               2050, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2020, 'E_BIO',               2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_BIO',               2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_BIO',               2030, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_BIO',               2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_BIO',               2030, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_BIO',               2040, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_BIO',               2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_BIO',               2030, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_BIO',               2040, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_BIO',               2050, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2020, 'E_BIO',               2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2030, 'E_BIO',               2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2030, 'E_BIO',               2030, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_BIO',               2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_BIO',               2030, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_BIO',               2040, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_BIO',               2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_BIO',               2030, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_BIO',               2040, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_BIO',               2050, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2020, 'E_BECCS',             2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_BECCS',             2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_BECCS',             2030, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_BECCS',             2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_BECCS',             2030, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_BECCS',             2040, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_BECCS',             2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_BECCS',             2030, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_BECCS',             2040, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_BECCS',             2050, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2020, 'E_BECCS',             2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_BECCS',             2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_BECCS',             2030, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_BECCS',             2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_BECCS',             2030, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_BECCS',             2040, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_BECCS',             2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_BECCS',             2030, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_BECCS',             2040, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_BECCS',             2050, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2020, 'E_BECCS',             2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_BECCS',             2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_BECCS',             2030, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_BECCS',             2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_BECCS',             2030, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_BECCS',             2040, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_BECCS',             2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_BECCS',             2030, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_BECCS',             2040, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_BECCS',             2050, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2020, 'E_BECCS',             2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2030, 'E_BECCS',             2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2030, 'E_BECCS',             2030, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_BECCS',             2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_BECCS',             2030, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_BECCS',             2040, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_BECCS',             2020, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_BECCS',             2030, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_BECCS',             2040, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_BECCS',             2050, 0.97, 'NS IRP -- Assumption: Same as New Wind Onshore');
INSERT INTO `CapacityCredit` VALUES ('NS', 2020, 'E_BATT_4HR',          2020, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_BATT_4HR',          2020, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_BATT_4HR',          2030, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_BATT_4HR',          2030, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_BATT_4HR',          2040, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_BATT_4HR',          2040, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_BATT_4HR',          2050, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2020, 'E_BATT_4HR',          2020, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_BATT_4HR',          2020, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_BATT_4HR',          2030, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_BATT_4HR',          2030, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_BATT_4HR',          2040, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_BATT_4HR',          2040, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_BATT_4HR',          2050, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2020, 'E_BATT_4HR',          2020, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_BATT_4HR',          2020, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_BATT_4HR',          2030, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_BATT_4HR',          2030, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_BATT_4HR',          2040, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_BATT_4HR',          2040, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_BATT_4HR',          2050, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2020, 'E_BATT_4HR',          2020, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2030, 'E_BATT_4HR',          2020, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2030, 'E_BATT_4HR',          2030, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_BATT_4HR',          2030, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_BATT_4HR',          2040, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_BATT_4HR',          2040, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_BATT_4HR',          2050, 0.55, 'NS IRP -- The marginal and average ELCC for storage is nonlinear. Value taken from Average ELCC at 200 MW. These values may have to be revisited once we get an idea of the range of installed storage in model runs.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2020, 'E_NGACC',             2020, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_NGACC',             2020, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_NGACC',             2030, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_NGACC',             2020, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_NGACC',             2030, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_NGACC',             2040, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_NGACC',             2020, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_NGACC',             2030, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_NGACC',             2040, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_NGACC',             2050, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2020, 'E_NGACC',             2020, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_NGACC',             2020, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_NGACC',             2030, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_NGACC',             2020, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_NGACC',             2030, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_NGACC',             2040, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_NGACC',             2020, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_NGACC',             2030, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_NGACC',             2040, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_NGACC',             2050, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2020, 'E_NGACC-CCS',         2020, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_NGACC-CCS',         2020, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_NGACC-CCS',         2030, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_NGACC-CCS',         2020, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_NGACC-CCS',         2030, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_NGACC-CCS',         2040, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_NGACC-CCS',         2020, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_NGACC-CCS',         2030, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_NGACC-CCS',         2040, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_NGACC-CCS',         2050, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NB', 2020, 'E_NGACC-CCS',         2020, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_NGACC-CCS',         2020, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_NGACC-CCS',         2030, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_NGACC-CCS',         2020, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_NGACC-CCS',         2030, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_NGACC-CCS',         2040, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_NGACC-CCS',         2020, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_NGACC-CCS',         2030, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_NGACC-CCS',         2040, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_NGACC-CCS',         2050, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NS', 2020, 'E_NGACT',             2020, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_NGACT',             2020, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_NGACT',             2030, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_NGACT',             2020, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_NGACT',             2030, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_NGACT',             2040, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_NGACT',             2020, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_NGACT',             2030, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_NGACT',             2040, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_NGACT',             2050, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2020, 'E_NGACT',             2020, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_NGACT',             2020, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_NGACT',             2030, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_NGACT',             2020, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_NGACT',             2030, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_NGACT',             2040, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_NGACT',             2020, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_NGACT',             2030, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_NGACT',             2040, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_NGACT',             2050, 1.0, 'NS IRP -- NS Power Final Pre-IRP Report (October 18, 2019). Document page 62.');
INSERT INTO `CapacityCredit` VALUES ('NS', 2020, 'E_GEO-F',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_GEO-F',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_GEO-F',             2030, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_GEO-F',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_GEO-F',             2030, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_GEO-F',             2040, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_GEO-F',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_GEO-F',             2030, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_GEO-F',             2040, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_GEO-F',             2050, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NB', 2020, 'E_GEO-F',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_GEO-F',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_GEO-F',             2030, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_GEO-F',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_GEO-F',             2030, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_GEO-F',             2040, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_GEO-F',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_GEO-F',             2030, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_GEO-F',             2040, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_GEO-F',             2050, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2020, 'E_GEO-F',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_GEO-F',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_GEO-F',             2030, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_GEO-F',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_GEO-F',             2030, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_GEO-F',             2040, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_GEO-F',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_GEO-F',             2030, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_GEO-F',             2040, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_GEO-F',             2050, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NL', 2020, 'E_GEO-F',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NL', 2030, 'E_GEO-F',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NL', 2030, 'E_GEO-F',             2030, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_GEO-F',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_GEO-F',             2030, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_GEO-F',             2040, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_GEO-F',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_GEO-F',             2030, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_GEO-F',             2040, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_GEO-F',             2050, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NS', 2020, 'E_GEO-B',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_GEO-B',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_GEO-B',             2030, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_GEO-B',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_GEO-B',             2030, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_GEO-B',             2040, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_GEO-B',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_GEO-B',             2030, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_GEO-B',             2040, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_GEO-B',             2050, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NB', 2020, 'E_GEO-B',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_GEO-B',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_GEO-B',             2030, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_GEO-B',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_GEO-B',             2030, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_GEO-B',             2040, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_GEO-B',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_GEO-B',             2030, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_GEO-B',             2040, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_GEO-B',             2050, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2020, 'E_GEO-B',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_GEO-B',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_GEO-B',             2030, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_GEO-B',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_GEO-B',             2030, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_GEO-B',             2040, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_GEO-B',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_GEO-B',             2030, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_GEO-B',             2040, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_GEO-B',             2050, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NL', 2020, 'E_GEO-B',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NL', 2030, 'E_GEO-B',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NL', 2030, 'E_GEO-B',             2030, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_GEO-B',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_GEO-B',             2030, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_GEO-B',             2040, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_GEO-B',             2020, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_GEO-B',             2030, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_GEO-B',             2040, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_GEO-B',             2050, 1.0, 'NS IRP -- Assumption');
INSERT INTO `CapacityCredit` VALUES ('NS', 2020, 'E_H2CC',              2020, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_H2CC',              2020, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_H2CC',              2030, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_H2CC',              2020, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_H2CC',              2030, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_H2CC',              2040, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_H2CC',              2020, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_H2CC',              2030, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_H2CC',              2040, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_H2CC',              2050, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NB', 2020, 'E_H2CC',              2020, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_H2CC',              2020, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_H2CC',              2030, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_H2CC',              2020, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_H2CC',              2030, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_H2CC',              2040, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_H2CC',              2020, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_H2CC',              2030, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_H2CC',              2040, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_H2CC',              2050, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2020, 'E_H2CC',              2020, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_H2CC',              2020, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_H2CC',              2030, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_H2CC',              2020, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_H2CC',              2030, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_H2CC',              2040, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_H2CC',              2020, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_H2CC',              2030, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_H2CC',              2040, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_H2CC',              2050, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NL', 2020, 'E_H2CC',              2020, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NL', 2030, 'E_H2CC',              2020, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NL', 2030, 'E_H2CC',              2030, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_H2CC',              2020, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_H2CC',              2030, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_H2CC',              2040, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_H2CC',              2020, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_H2CC',              2030, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_H2CC',              2040, 1.0, 'NS IRP -- Assumption: Same as NGCC');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_H2CC',              2050, 1.0, 'NS IRP -- Assumption: Same as NGCC');



INSERT INTO `CapacityCredit` VALUES ('NB', 2020, 'E_SOLPV-CEN',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_SOLPV-CEN',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_SOLPV-CEN',          2030, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_SOLPV-CEN',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_SOLPV-CEN',          2030, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_SOLPV-CEN',          2040, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_SOLPV-CEN',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_SOLPV-CEN',          2030, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_SOLPV-CEN',          2040, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_SOLPV-CEN',          2050, 0.0, '');

INSERT INTO `CapacityCredit` VALUES ('NS', 2020, 'E_SOLPV-CEN',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_SOLPV-CEN',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_SOLPV-CEN',          2030, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_SOLPV-CEN',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_SOLPV-CEN',          2030, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_SOLPV-CEN',          2040, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_SOLPV-CEN',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_SOLPV-CEN',          2030, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_SOLPV-CEN',          2040, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_SOLPV-CEN',          2050, 0.0, '');

INSERT INTO `CapacityCredit` VALUES ('PEI', 2020, 'E_SOLPV-CEN',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_SOLPV-CEN',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_SOLPV-CEN',          2030, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_SOLPV-CEN',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_SOLPV-CEN',          2030, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_SOLPV-CEN',          2040, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_SOLPV-CEN',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_SOLPV-CEN',          2030, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_SOLPV-CEN',          2040, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_SOLPV-CEN',          2050, 0.0, '');

INSERT INTO `CapacityCredit` VALUES ('NL', 2020, 'E_SOLPV-CEN',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NL', 2030, 'E_SOLPV-CEN',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NL', 2030, 'E_SOLPV-CEN',          2030, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_SOLPV-CEN',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_SOLPV-CEN',          2030, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_SOLPV-CEN',          2040, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_SOLPV-CEN',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_SOLPV-CEN',          2030, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_SOLPV-CEN',          2040, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_SOLPV-CEN',          2050, 0.0, '');


INSERT INTO `CapacityCredit` VALUES ('NB', 2020, 'E_SOLPV-RES',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_SOLPV-RES',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NB', 2030, 'E_SOLPV-RES',          2030, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_SOLPV-RES',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_SOLPV-RES',          2030, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NB', 2040, 'E_SOLPV-RES',          2040, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_SOLPV-RES',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_SOLPV-RES',          2030, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_SOLPV-RES',          2040, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NB', 2050, 'E_SOLPV-RES',          2050, 0.0, '');

INSERT INTO `CapacityCredit` VALUES ('NS', 2020, 'E_SOLPV-RES',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_SOLPV-RES',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NS', 2030, 'E_SOLPV-RES',          2030, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_SOLPV-RES',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_SOLPV-RES',          2030, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NS', 2040, 'E_SOLPV-RES',          2040, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_SOLPV-RES',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_SOLPV-RES',          2030, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_SOLPV-RES',          2040, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NS', 2050, 'E_SOLPV-RES',          2050, 0.0, '');

INSERT INTO `CapacityCredit` VALUES ('PEI', 2020, 'E_SOLPV-RES',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_SOLPV-RES',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2030, 'E_SOLPV-RES',          2030, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_SOLPV-RES',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_SOLPV-RES',          2030, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2040, 'E_SOLPV-RES',          2040, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_SOLPV-RES',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_SOLPV-RES',          2030, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_SOLPV-RES',          2040, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('PEI', 2050, 'E_SOLPV-RES',          2050, 0.0, '');

INSERT INTO `CapacityCredit` VALUES ('NL', 2020, 'E_SOLPV-RES',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NL', 2030, 'E_SOLPV-RES',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NL', 2030, 'E_SOLPV-RES',          2030, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_SOLPV-RES',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_SOLPV-RES',          2030, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NL', 2040, 'E_SOLPV-RES',          2040, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_SOLPV-RES',          2020, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_SOLPV-RES',          2030, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_SOLPV-RES',          2040, 0.0, '');
INSERT INTO `CapacityCredit` VALUES ('NL', 2050, 'E_SOLPV-RES',          2050, 0.0, '');





INSERT INTO `time_season` VALUES ('01-18');
INSERT INTO `time_season` VALUES ('05-11');
INSERT INTO `time_season` VALUES ('12-17');




INSERT INTO `SegFrac` VALUES ('01-18','H00',0.000533,'');
INSERT INTO `SegFrac` VALUES ('01-18','H01',0.000533,'');
INSERT INTO `SegFrac` VALUES ('01-18','H02',0.000533,'');
INSERT INTO `SegFrac` VALUES ('01-18','H03',0.000533,'');
INSERT INTO `SegFrac` VALUES ('01-18','H04',0.000533,'');
INSERT INTO `SegFrac` VALUES ('01-18','H05',0.000533,'');
INSERT INTO `SegFrac` VALUES ('01-18','H06',0.000533,'');
INSERT INTO `SegFrac` VALUES ('01-18','H07',0.000533,'');
INSERT INTO `SegFrac` VALUES ('01-18','H08',0.000533,'');
INSERT INTO `SegFrac` VALUES ('01-18','H09',0.000533,'');
INSERT INTO `SegFrac` VALUES ('01-18','H10',0.000533,'');
INSERT INTO `SegFrac` VALUES ('01-18','H11',0.000533,'');
INSERT INTO `SegFrac` VALUES ('01-18','H12',0.000533,'');
INSERT INTO `SegFrac` VALUES ('01-18','H13',0.000533,'');
INSERT INTO `SegFrac` VALUES ('01-18','H14',0.000533,'');
INSERT INTO `SegFrac` VALUES ('01-18','H15',0.000533,'');
INSERT INTO `SegFrac` VALUES ('01-18','H16',0.000533,'');
INSERT INTO `SegFrac` VALUES ('01-18','H17',0.000533,'');
INSERT INTO `SegFrac` VALUES ('01-18','H18',0.000533,'');
INSERT INTO `SegFrac` VALUES ('01-18','H19',0.000533,'');
INSERT INTO `SegFrac` VALUES ('01-18','H20',0.000533,'');
INSERT INTO `SegFrac` VALUES ('01-18','H21',0.000533,'');
INSERT INTO `SegFrac` VALUES ('01-18','H22',0.000533,'');
INSERT INTO `SegFrac` VALUES ('01-18','H23',0.000533,'');
INSERT INTO `SegFrac` VALUES ('05-11','H00',0.028387,'');
INSERT INTO `SegFrac` VALUES ('05-11','H01',0.028387,'');
INSERT INTO `SegFrac` VALUES ('05-11','H02',0.028387,'');
INSERT INTO `SegFrac` VALUES ('05-11','H03',0.028387,'');
INSERT INTO `SegFrac` VALUES ('05-11','H04',0.028387,'');
INSERT INTO `SegFrac` VALUES ('05-11','H05',0.028387,'');
INSERT INTO `SegFrac` VALUES ('05-11','H06',0.028387,'');
INSERT INTO `SegFrac` VALUES ('05-11','H07',0.028387,'');
INSERT INTO `SegFrac` VALUES ('05-11','H08',0.028387,'');
INSERT INTO `SegFrac` VALUES ('05-11','H09',0.028387,'');
INSERT INTO `SegFrac` VALUES ('05-11','H10',0.028387,'');
INSERT INTO `SegFrac` VALUES ('05-11','H11',0.028387,'');
INSERT INTO `SegFrac` VALUES ('05-11','H12',0.028387,'');
INSERT INTO `SegFrac` VALUES ('05-11','H13',0.028387,'');
INSERT INTO `SegFrac` VALUES ('05-11','H14',0.028387,'');
INSERT INTO `SegFrac` VALUES ('05-11','H15',0.028387,'');
INSERT INTO `SegFrac` VALUES ('05-11','H16',0.028387,'');
INSERT INTO `SegFrac` VALUES ('05-11','H17',0.028387,'');
INSERT INTO `SegFrac` VALUES ('05-11','H18',0.028387,'');
INSERT INTO `SegFrac` VALUES ('05-11','H19',0.028387,'');
INSERT INTO `SegFrac` VALUES ('05-11','H20',0.028387,'');
INSERT INTO `SegFrac` VALUES ('05-11','H21',0.028387,'');
INSERT INTO `SegFrac` VALUES ('05-11','H22',0.028387,'');
INSERT INTO `SegFrac` VALUES ('05-11','H23',0.028387,'');
INSERT INTO `SegFrac` VALUES ('12-17','H00',0.012747,'');
INSERT INTO `SegFrac` VALUES ('12-17','H01',0.012747,'');
INSERT INTO `SegFrac` VALUES ('12-17','H02',0.012747,'');
INSERT INTO `SegFrac` VALUES ('12-17','H03',0.012747,'');
INSERT INTO `SegFrac` VALUES ('12-17','H04',0.012747,'');
INSERT INTO `SegFrac` VALUES ('12-17','H05',0.012747,'');
INSERT INTO `SegFrac` VALUES ('12-17','H06',0.012747,'');
INSERT INTO `SegFrac` VALUES ('12-17','H07',0.012747,'');
INSERT INTO `SegFrac` VALUES ('12-17','H08',0.012747,'');
INSERT INTO `SegFrac` VALUES ('12-17','H09',0.012747,'');
INSERT INTO `SegFrac` VALUES ('12-17','H10',0.012747,'');
INSERT INTO `SegFrac` VALUES ('12-17','H11',0.012747,'');
INSERT INTO `SegFrac` VALUES ('12-17','H12',0.012747,'');
INSERT INTO `SegFrac` VALUES ('12-17','H13',0.012747,'');
INSERT INTO `SegFrac` VALUES ('12-17','H14',0.012747,'');
INSERT INTO `SegFrac` VALUES ('12-17','H15',0.012747,'');
INSERT INTO `SegFrac` VALUES ('12-17','H16',0.012747,'');
INSERT INTO `SegFrac` VALUES ('12-17','H17',0.012747,'');
INSERT INTO `SegFrac` VALUES ('12-17','H18',0.012747,'');
INSERT INTO `SegFrac` VALUES ('12-17','H19',0.012747,'');
INSERT INTO `SegFrac` VALUES ('12-17','H20',0.012747,'');
INSERT INTO `SegFrac` VALUES ('12-17','H21',0.012747,'');
INSERT INTO `SegFrac` VALUES ('12-17','H22',0.012747,'');
INSERT INTO `SegFrac` VALUES ('12-17','H23',0.012747,'');








INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '01-18','H00','D_ELEC', 0.000775,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '01-18','H01','D_ELEC', 0.000761,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '01-18','H02','D_ELEC', 0.000758,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '01-18','H03','D_ELEC', 0.000762,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '01-18','H04','D_ELEC', 0.000768,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '01-18','H05','D_ELEC', 0.000783,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '01-18','H06','D_ELEC', 0.000808,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '01-18','H07','D_ELEC', 0.000870,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '01-18','H08','D_ELEC', 0.000933,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '01-18','H09','D_ELEC', 0.000934,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '01-18','H10','D_ELEC', 0.000917,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '01-18','H11','D_ELEC', 0.000894,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '01-18','H12','D_ELEC', 0.000863,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '01-18','H13','D_ELEC', 0.000828,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '01-18','H14','D_ELEC', 0.000806,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '01-18','H15','D_ELEC', 0.000771,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '01-18','H16','D_ELEC', 0.000760,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '01-18','H17','D_ELEC', 0.000775,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '01-18','H18','D_ELEC', 0.000785,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '01-18','H19','D_ELEC', 0.000776,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '01-18','H20','D_ELEC', 0.000755,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '01-18','H21','D_ELEC', 0.000733,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '01-18','H22','D_ELEC', 0.000706,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '01-18','H23','D_ELEC', 0.000673,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '05-11','H00','D_ELEC', 0.023576,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '05-11','H01','D_ELEC', 0.022659,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '05-11','H02','D_ELEC', 0.022574,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '05-11','H03','D_ELEC', 0.022302,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '05-11','H04','D_ELEC', 0.022489,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '05-11','H05','D_ELEC', 0.022829,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '05-11','H06','D_ELEC', 0.023797,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '05-11','H07','D_ELEC', 0.025700,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '05-11','H08','D_ELEC', 0.026396,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '05-11','H09','D_ELEC', 0.026260,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '05-11','H10','D_ELEC', 0.026447,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '05-11','H11','D_ELEC', 0.026005,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '05-11','H12','D_ELEC', 0.025326,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '05-11','H13','D_ELEC', 0.024884,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '05-11','H14','D_ELEC', 0.024171,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '05-11','H15','D_ELEC', 0.023950,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '05-11','H16','D_ELEC', 0.023984,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '05-11','H17','D_ELEC', 0.023865,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '05-11','H18','D_ELEC', 0.023712,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '05-11','H19','D_ELEC', 0.023678,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '05-11','H20','D_ELEC', 0.024018,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '05-11','H21','D_ELEC', 0.024307,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '05-11','H22','D_ELEC', 0.023508,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '05-11','H23','D_ELEC', 0.022523,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '12-17','H00','D_ELEC', 0.016087,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '12-17','H01','D_ELEC', 0.015583,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '12-17','H02','D_ELEC', 0.015355,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '12-17','H03','D_ELEC', 0.015408,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '12-17','H04','D_ELEC', 0.015454,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '12-17','H05','D_ELEC', 0.015675,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '12-17','H06','D_ELEC', 0.016262,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '12-17','H07','D_ELEC', 0.017658,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '12-17','H08','D_ELEC', 0.018940,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '12-17','H09','D_ELEC', 0.018429,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '12-17','H10','D_ELEC', 0.017979,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '12-17','H11','D_ELEC', 0.017483,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '12-17','H12','D_ELEC', 0.016804,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '12-17','H13','D_ELEC', 0.016415,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '12-17','H14','D_ELEC', 0.016483,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '12-17','H15','D_ELEC', 0.016560,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '12-17','H16','D_ELEC', 0.016682,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '12-17','H17','D_ELEC', 0.017323,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '12-17','H18','D_ELEC', 0.017666,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '12-17','H19','D_ELEC', 0.017422,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '12-17','H20','D_ELEC', 0.017170,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '12-17','H21','D_ELEC', 0.016941,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '12-17','H22','D_ELEC', 0.016453,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2020, '12-17','H23','D_ELEC', 0.015614,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '01-18','H00','D_ELEC', 0.000763,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '01-18','H01','D_ELEC', 0.000754,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '01-18','H02','D_ELEC', 0.000744,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '01-18','H03','D_ELEC', 0.000737,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '01-18','H04','D_ELEC', 0.000735,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '01-18','H05','D_ELEC', 0.000717,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '01-18','H06','D_ELEC', 0.000719,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '01-18','H07','D_ELEC', 0.000779,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '01-18','H08','D_ELEC', 0.000818,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '01-18','H09','D_ELEC', 0.000818,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '01-18','H10','D_ELEC', 0.000797,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '01-18','H11','D_ELEC', 0.000783,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '01-18','H12','D_ELEC', 0.000769,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '01-18','H13','D_ELEC', 0.000765,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '01-18','H14','D_ELEC', 0.000739,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '01-18','H15','D_ELEC', 0.000710,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '01-18','H16','D_ELEC', 0.000694,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '01-18','H17','D_ELEC', 0.000701,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '01-18','H18','D_ELEC', 0.000743,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '01-18','H19','D_ELEC', 0.000741,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '01-18','H20','D_ELEC', 0.000729,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '01-18','H21','D_ELEC', 0.000718,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '01-18','H22','D_ELEC', 0.000682,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '01-18','H23','D_ELEC', 0.000664,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '05-11','H00','D_ELEC', 0.024767,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '05-11','H01','D_ELEC', 0.023764,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '05-11','H02','D_ELEC', 0.022937,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '05-11','H03','D_ELEC', 0.023951,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '05-11','H04','D_ELEC', 0.023721,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '05-11','H05','D_ELEC', 0.023037,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '05-11','H06','D_ELEC', 0.023744,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '05-11','H07','D_ELEC', 0.024670,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '05-11','H08','D_ELEC', 0.026498,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '05-11','H09','D_ELEC', 0.026848,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '05-11','H10','D_ELEC', 0.026638,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '05-11','H11','D_ELEC', 0.026065,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '05-11','H12','D_ELEC', 0.025157,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '05-11','H13','D_ELEC', 0.024557,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '05-11','H14','D_ELEC', 0.025132,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '05-11','H15','D_ELEC', 0.025075,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '05-11','H16','D_ELEC', 0.025702,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '05-11','H17','D_ELEC', 0.027333,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '05-11','H18','D_ELEC', 0.027112,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '05-11','H19','D_ELEC', 0.026778,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '05-11','H20','D_ELEC', 0.027259,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '05-11','H21','D_ELEC', 0.027147,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '05-11','H22','D_ELEC', 0.025823,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '05-11','H23','D_ELEC', 0.024354,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '12-17','H00','D_ELEC', 0.015050,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '12-17','H01','D_ELEC', 0.014712,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '12-17','H02','D_ELEC', 0.014322,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '12-17','H03','D_ELEC', 0.013879,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '12-17','H04','D_ELEC', 0.013779,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '12-17','H05','D_ELEC', 0.013853,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '12-17','H06','D_ELEC', 0.014321,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '12-17','H07','D_ELEC', 0.015731,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '12-17','H08','D_ELEC', 0.016873,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '12-17','H09','D_ELEC', 0.017037,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '12-17','H10','D_ELEC', 0.016687,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '12-17','H11','D_ELEC', 0.016417,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '12-17','H12','D_ELEC', 0.015932,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '12-17','H13','D_ELEC', 0.015784,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '12-17','H14','D_ELEC', 0.015598,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '12-17','H15','D_ELEC', 0.015527,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '12-17','H16','D_ELEC', 0.015811,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '12-17','H17','D_ELEC', 0.016552,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '12-17','H18','D_ELEC', 0.017175,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '12-17','H19','D_ELEC', 0.016906,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '12-17','H20','D_ELEC', 0.016517,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '12-17','H21','D_ELEC', 0.016084,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '12-17','H22','D_ELEC', 0.015321,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2020, '12-17','H23','D_ELEC', 0.014246,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '01-18','H00','D_ELEC', 0.000629,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '01-18','H01','D_ELEC', 0.000617,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '01-18','H02','D_ELEC', 0.000615,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '01-18','H03','D_ELEC', 0.000614,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '01-18','H04','D_ELEC', 0.000623,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '01-18','H05','D_ELEC', 0.000648,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '01-18','H06','D_ELEC', 0.000714,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '01-18','H07','D_ELEC', 0.000777,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '01-18','H08','D_ELEC', 0.000788,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '01-18','H09','D_ELEC', 0.000780,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '01-18','H10','D_ELEC', 0.000754,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '01-18','H11','D_ELEC', 0.000736,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '01-18','H12','D_ELEC', 0.000709,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '01-18','H13','D_ELEC', 0.000701,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '01-18','H14','D_ELEC', 0.000696,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '01-18','H15','D_ELEC', 0.000693,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '01-18','H16','D_ELEC', 0.000712,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '01-18','H17','D_ELEC', 0.000751,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '01-18','H18','D_ELEC', 0.000741,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '01-18','H19','D_ELEC', 0.000719,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '01-18','H20','D_ELEC', 0.000692,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '01-18','H21','D_ELEC', 0.000657,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '01-18','H22','D_ELEC', 0.000614,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '01-18','H23','D_ELEC', 0.000578,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '05-11','H00','D_ELEC', 0.021649,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '05-11','H01','D_ELEC', 0.020672,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '05-11','H02','D_ELEC', 0.020887,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '05-11','H03','D_ELEC', 0.020717,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '05-11','H04','D_ELEC', 0.020805,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '05-11','H05','D_ELEC', 0.021529,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '05-11','H06','D_ELEC', 0.022825,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '05-11','H07','D_ELEC', 0.025011,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '05-11','H08','D_ELEC', 0.028410,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '05-11','H09','D_ELEC', 0.029497,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '05-11','H10','D_ELEC', 0.030016,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '05-11','H11','D_ELEC', 0.028719,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '05-11','H12','D_ELEC', 0.026392,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '05-11','H13','D_ELEC', 0.027495,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '05-11','H14','D_ELEC', 0.027475,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '05-11','H15','D_ELEC', 0.025555,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '05-11','H16','D_ELEC', 0.025714,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '05-11','H17','D_ELEC', 0.026914,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '05-11','H18','D_ELEC', 0.026680,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '05-11','H19','D_ELEC', 0.025919,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '05-11','H20','D_ELEC', 0.025943,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '05-11','H21','D_ELEC', 0.026707,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '05-11','H22','D_ELEC', 0.025596,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '05-11','H23','D_ELEC', 0.023979,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '12-17','H00','D_ELEC', 0.014468,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '12-17','H01','D_ELEC', 0.014019,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '12-17','H02','D_ELEC', 0.013768,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '12-17','H03','D_ELEC', 0.013723,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '12-17','H04','D_ELEC', 0.013870,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '12-17','H05','D_ELEC', 0.014353,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '12-17','H06','D_ELEC', 0.015888,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '12-17','H07','D_ELEC', 0.017685,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '12-17','H08','D_ELEC', 0.017680,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '12-17','H09','D_ELEC', 0.017003,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '12-17','H10','D_ELEC', 0.016399,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '12-17','H11','D_ELEC', 0.015874,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '12-17','H12','D_ELEC', 0.015505,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '12-17','H13','D_ELEC', 0.015337,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '12-17','H14','D_ELEC', 0.015328,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '12-17','H15','D_ELEC', 0.015966,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '12-17','H16','D_ELEC', 0.016987,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '12-17','H17','D_ELEC', 0.018035,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '12-17','H18','D_ELEC', 0.017706,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '12-17','H19','D_ELEC', 0.017241,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '12-17','H20','D_ELEC', 0.016902,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '12-17','H21','D_ELEC', 0.016423,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '12-17','H22','D_ELEC', 0.014693,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2020, '12-17','H23','D_ELEC', 0.013485,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '01-18','H00','D_ELEC', 0.000775,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '01-18','H01','D_ELEC', 0.000761,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '01-18','H02','D_ELEC', 0.000758,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '01-18','H03','D_ELEC', 0.000762,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '01-18','H04','D_ELEC', 0.000768,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '01-18','H05','D_ELEC', 0.000783,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '01-18','H06','D_ELEC', 0.000808,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '01-18','H07','D_ELEC', 0.000870,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '01-18','H08','D_ELEC', 0.000933,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '01-18','H09','D_ELEC', 0.000934,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '01-18','H10','D_ELEC', 0.000917,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '01-18','H11','D_ELEC', 0.000894,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '01-18','H12','D_ELEC', 0.000863,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '01-18','H13','D_ELEC', 0.000828,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '01-18','H14','D_ELEC', 0.000806,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '01-18','H15','D_ELEC', 0.000771,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '01-18','H16','D_ELEC', 0.000760,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '01-18','H17','D_ELEC', 0.000775,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '01-18','H18','D_ELEC', 0.000785,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '01-18','H19','D_ELEC', 0.000776,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '01-18','H20','D_ELEC', 0.000755,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '01-18','H21','D_ELEC', 0.000733,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '01-18','H22','D_ELEC', 0.000706,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '01-18','H23','D_ELEC', 0.000673,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '05-11','H00','D_ELEC', 0.023576,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '05-11','H01','D_ELEC', 0.022659,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '05-11','H02','D_ELEC', 0.022574,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '05-11','H03','D_ELEC', 0.022302,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '05-11','H04','D_ELEC', 0.022489,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '05-11','H05','D_ELEC', 0.022829,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '05-11','H06','D_ELEC', 0.023797,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '05-11','H07','D_ELEC', 0.025700,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '05-11','H08','D_ELEC', 0.026396,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '05-11','H09','D_ELEC', 0.026260,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '05-11','H10','D_ELEC', 0.026447,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '05-11','H11','D_ELEC', 0.026005,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '05-11','H12','D_ELEC', 0.025326,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '05-11','H13','D_ELEC', 0.024884,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '05-11','H14','D_ELEC', 0.024171,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '05-11','H15','D_ELEC', 0.023950,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '05-11','H16','D_ELEC', 0.023984,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '05-11','H17','D_ELEC', 0.023865,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '05-11','H18','D_ELEC', 0.023712,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '05-11','H19','D_ELEC', 0.023678,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '05-11','H20','D_ELEC', 0.024018,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '05-11','H21','D_ELEC', 0.024307,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '05-11','H22','D_ELEC', 0.023508,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '05-11','H23','D_ELEC', 0.022523,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '12-17','H00','D_ELEC', 0.016087,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '12-17','H01','D_ELEC', 0.015583,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '12-17','H02','D_ELEC', 0.015355,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '12-17','H03','D_ELEC', 0.015408,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '12-17','H04','D_ELEC', 0.015454,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '12-17','H05','D_ELEC', 0.015675,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '12-17','H06','D_ELEC', 0.016262,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '12-17','H07','D_ELEC', 0.017658,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '12-17','H08','D_ELEC', 0.018940,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '12-17','H09','D_ELEC', 0.018429,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '12-17','H10','D_ELEC', 0.017979,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '12-17','H11','D_ELEC', 0.017483,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '12-17','H12','D_ELEC', 0.016804,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '12-17','H13','D_ELEC', 0.016415,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '12-17','H14','D_ELEC', 0.016483,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '12-17','H15','D_ELEC', 0.016560,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '12-17','H16','D_ELEC', 0.016682,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '12-17','H17','D_ELEC', 0.017323,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '12-17','H18','D_ELEC', 0.017666,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '12-17','H19','D_ELEC', 0.017422,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '12-17','H20','D_ELEC', 0.017170,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '12-17','H21','D_ELEC', 0.016941,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '12-17','H22','D_ELEC', 0.016453,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2020, '12-17','H23','D_ELEC', 0.015614,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '01-18','H00','D_ELEC', 0.000775,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '01-18','H01','D_ELEC', 0.000761,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '01-18','H02','D_ELEC', 0.000758,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '01-18','H03','D_ELEC', 0.000762,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '01-18','H04','D_ELEC', 0.000768,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '01-18','H05','D_ELEC', 0.000783,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '01-18','H06','D_ELEC', 0.000808,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '01-18','H07','D_ELEC', 0.000870,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '01-18','H08','D_ELEC', 0.000933,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '01-18','H09','D_ELEC', 0.000934,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '01-18','H10','D_ELEC', 0.000917,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '01-18','H11','D_ELEC', 0.000894,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '01-18','H12','D_ELEC', 0.000863,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '01-18','H13','D_ELEC', 0.000828,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '01-18','H14','D_ELEC', 0.000806,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '01-18','H15','D_ELEC', 0.000771,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '01-18','H16','D_ELEC', 0.000760,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '01-18','H17','D_ELEC', 0.000775,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '01-18','H18','D_ELEC', 0.000785,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '01-18','H19','D_ELEC', 0.000776,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '01-18','H20','D_ELEC', 0.000755,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '01-18','H21','D_ELEC', 0.000733,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '01-18','H22','D_ELEC', 0.000706,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '01-18','H23','D_ELEC', 0.000673,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '05-11','H00','D_ELEC', 0.023576,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '05-11','H01','D_ELEC', 0.022659,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '05-11','H02','D_ELEC', 0.022574,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '05-11','H03','D_ELEC', 0.022302,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '05-11','H04','D_ELEC', 0.022489,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '05-11','H05','D_ELEC', 0.022829,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '05-11','H06','D_ELEC', 0.023797,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '05-11','H07','D_ELEC', 0.025700,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '05-11','H08','D_ELEC', 0.026396,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '05-11','H09','D_ELEC', 0.026260,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '05-11','H10','D_ELEC', 0.026447,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '05-11','H11','D_ELEC', 0.026005,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '05-11','H12','D_ELEC', 0.025326,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '05-11','H13','D_ELEC', 0.024884,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '05-11','H14','D_ELEC', 0.024171,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '05-11','H15','D_ELEC', 0.023950,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '05-11','H16','D_ELEC', 0.023984,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '05-11','H17','D_ELEC', 0.023865,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '05-11','H18','D_ELEC', 0.023712,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '05-11','H19','D_ELEC', 0.023678,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '05-11','H20','D_ELEC', 0.024018,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '05-11','H21','D_ELEC', 0.024307,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '05-11','H22','D_ELEC', 0.023508,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '05-11','H23','D_ELEC', 0.022523,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '12-17','H00','D_ELEC', 0.016087,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '12-17','H01','D_ELEC', 0.015583,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '12-17','H02','D_ELEC', 0.015355,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '12-17','H03','D_ELEC', 0.015408,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '12-17','H04','D_ELEC', 0.015454,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '12-17','H05','D_ELEC', 0.015675,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '12-17','H06','D_ELEC', 0.016262,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '12-17','H07','D_ELEC', 0.017658,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '12-17','H08','D_ELEC', 0.018940,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '12-17','H09','D_ELEC', 0.018429,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '12-17','H10','D_ELEC', 0.017979,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '12-17','H11','D_ELEC', 0.017483,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '12-17','H12','D_ELEC', 0.016804,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '12-17','H13','D_ELEC', 0.016415,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '12-17','H14','D_ELEC', 0.016483,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '12-17','H15','D_ELEC', 0.016560,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '12-17','H16','D_ELEC', 0.016682,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '12-17','H17','D_ELEC', 0.017323,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '12-17','H18','D_ELEC', 0.017666,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '12-17','H19','D_ELEC', 0.017422,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '12-17','H20','D_ELEC', 0.017170,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '12-17','H21','D_ELEC', 0.016941,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '12-17','H22','D_ELEC', 0.016453,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2020, '12-17','H23','D_ELEC', 0.015614,'');


INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'01-18','H00','D_ELEC', 0.000775,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'01-18','H01','D_ELEC', 0.000761,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'01-18','H02','D_ELEC', 0.000758,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'01-18','H03','D_ELEC', 0.000762,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'01-18','H04','D_ELEC', 0.000768,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'01-18','H05','D_ELEC', 0.000783,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'01-18','H06','D_ELEC', 0.000808,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'01-18','H07','D_ELEC', 0.000870,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'01-18','H08','D_ELEC', 0.000933,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'01-18','H09','D_ELEC', 0.000934,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'01-18','H10','D_ELEC', 0.000917,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'01-18','H11','D_ELEC', 0.000894,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'01-18','H12','D_ELEC', 0.000863,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'01-18','H13','D_ELEC', 0.000828,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'01-18','H14','D_ELEC', 0.000806,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'01-18','H15','D_ELEC', 0.000771,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'01-18','H16','D_ELEC', 0.000760,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'01-18','H17','D_ELEC', 0.000775,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'01-18','H18','D_ELEC', 0.000785,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'01-18','H19','D_ELEC', 0.000776,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'01-18','H20','D_ELEC', 0.000755,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'01-18','H21','D_ELEC', 0.000733,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'01-18','H22','D_ELEC', 0.000706,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'01-18','H23','D_ELEC', 0.000673,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'05-11','H00','D_ELEC', 0.023576,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'05-11','H01','D_ELEC', 0.022659,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'05-11','H02','D_ELEC', 0.022574,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'05-11','H03','D_ELEC', 0.022302,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'05-11','H04','D_ELEC', 0.022489,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'05-11','H05','D_ELEC', 0.022829,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'05-11','H06','D_ELEC', 0.023797,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'05-11','H07','D_ELEC', 0.025700,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'05-11','H08','D_ELEC', 0.026396,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'05-11','H09','D_ELEC', 0.026260,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'05-11','H10','D_ELEC', 0.026447,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'05-11','H11','D_ELEC', 0.026005,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'05-11','H12','D_ELEC', 0.025326,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'05-11','H13','D_ELEC', 0.024884,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'05-11','H14','D_ELEC', 0.024171,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'05-11','H15','D_ELEC', 0.023950,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'05-11','H16','D_ELEC', 0.023984,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'05-11','H17','D_ELEC', 0.023865,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'05-11','H18','D_ELEC', 0.023712,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'05-11','H19','D_ELEC', 0.023678,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'05-11','H20','D_ELEC', 0.024018,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'05-11','H21','D_ELEC', 0.024307,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'05-11','H22','D_ELEC', 0.023508,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'05-11','H23','D_ELEC', 0.022523,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'12-17','H00','D_ELEC', 0.016087,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'12-17','H01','D_ELEC', 0.015583,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'12-17','H02','D_ELEC', 0.015355,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'12-17','H03','D_ELEC', 0.015408,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'12-17','H04','D_ELEC', 0.015454,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'12-17','H05','D_ELEC', 0.015675,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'12-17','H06','D_ELEC', 0.016262,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'12-17','H07','D_ELEC', 0.017658,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'12-17','H08','D_ELEC', 0.018940,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'12-17','H09','D_ELEC', 0.018429,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'12-17','H10','D_ELEC', 0.017979,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'12-17','H11','D_ELEC', 0.017483,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'12-17','H12','D_ELEC', 0.016804,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'12-17','H13','D_ELEC', 0.016415,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'12-17','H14','D_ELEC', 0.016483,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'12-17','H15','D_ELEC', 0.016560,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'12-17','H16','D_ELEC', 0.016682,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'12-17','H17','D_ELEC', 0.017323,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'12-17','H18','D_ELEC', 0.017666,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'12-17','H19','D_ELEC', 0.017422,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'12-17','H20','D_ELEC', 0.017170,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'12-17','H21','D_ELEC', 0.016941,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'12-17','H22','D_ELEC', 0.016453,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2030,'12-17','H23','D_ELEC', 0.015614,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'01-18','H00','D_ELEC', 0.000763,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'01-18','H01','D_ELEC', 0.000754,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'01-18','H02','D_ELEC', 0.000744,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'01-18','H03','D_ELEC', 0.000737,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'01-18','H04','D_ELEC', 0.000735,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'01-18','H05','D_ELEC', 0.000717,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'01-18','H06','D_ELEC', 0.000719,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'01-18','H07','D_ELEC', 0.000779,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'01-18','H08','D_ELEC', 0.000818,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'01-18','H09','D_ELEC', 0.000818,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'01-18','H10','D_ELEC', 0.000797,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'01-18','H11','D_ELEC', 0.000783,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'01-18','H12','D_ELEC', 0.000769,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'01-18','H13','D_ELEC', 0.000765,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'01-18','H14','D_ELEC', 0.000739,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'01-18','H15','D_ELEC', 0.000710,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'01-18','H16','D_ELEC', 0.000694,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'01-18','H17','D_ELEC', 0.000701,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'01-18','H18','D_ELEC', 0.000743,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'01-18','H19','D_ELEC', 0.000741,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'01-18','H20','D_ELEC', 0.000729,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'01-18','H21','D_ELEC', 0.000718,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'01-18','H22','D_ELEC', 0.000682,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'01-18','H23','D_ELEC', 0.000664,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'05-11','H00','D_ELEC', 0.024767,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'05-11','H01','D_ELEC', 0.023764,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'05-11','H02','D_ELEC', 0.022937,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'05-11','H03','D_ELEC', 0.023951,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'05-11','H04','D_ELEC', 0.023721,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'05-11','H05','D_ELEC', 0.023037,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'05-11','H06','D_ELEC', 0.023744,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'05-11','H07','D_ELEC', 0.024670,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'05-11','H08','D_ELEC', 0.026498,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'05-11','H09','D_ELEC', 0.026848,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'05-11','H10','D_ELEC', 0.026638,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'05-11','H11','D_ELEC', 0.026065,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'05-11','H12','D_ELEC', 0.025157,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'05-11','H13','D_ELEC', 0.024557,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'05-11','H14','D_ELEC', 0.025132,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'05-11','H15','D_ELEC', 0.025075,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'05-11','H16','D_ELEC', 0.025702,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'05-11','H17','D_ELEC', 0.027333,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'05-11','H18','D_ELEC', 0.027112,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'05-11','H19','D_ELEC', 0.026778,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'05-11','H20','D_ELEC', 0.027259,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'05-11','H21','D_ELEC', 0.027147,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'05-11','H22','D_ELEC', 0.025823,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'05-11','H23','D_ELEC', 0.024354,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'12-17','H00','D_ELEC', 0.015050,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'12-17','H01','D_ELEC', 0.014712,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'12-17','H02','D_ELEC', 0.014322,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'12-17','H03','D_ELEC', 0.013879,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'12-17','H04','D_ELEC', 0.013779,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'12-17','H05','D_ELEC', 0.013853,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'12-17','H06','D_ELEC', 0.014321,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'12-17','H07','D_ELEC', 0.015731,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'12-17','H08','D_ELEC', 0.016873,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'12-17','H09','D_ELEC', 0.017037,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'12-17','H10','D_ELEC', 0.016687,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'12-17','H11','D_ELEC', 0.016417,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'12-17','H12','D_ELEC', 0.015932,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'12-17','H13','D_ELEC', 0.015784,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'12-17','H14','D_ELEC', 0.015598,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'12-17','H15','D_ELEC', 0.015527,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'12-17','H16','D_ELEC', 0.015811,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'12-17','H17','D_ELEC', 0.016552,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'12-17','H18','D_ELEC', 0.017175,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'12-17','H19','D_ELEC', 0.016906,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'12-17','H20','D_ELEC', 0.016517,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'12-17','H21','D_ELEC', 0.016084,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'12-17','H22','D_ELEC', 0.015321,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2030,'12-17','H23','D_ELEC', 0.014246,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'01-18','H00','D_ELEC', 0.000629,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'01-18','H01','D_ELEC', 0.000617,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'01-18','H02','D_ELEC', 0.000615,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'01-18','H03','D_ELEC', 0.000614,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'01-18','H04','D_ELEC', 0.000623,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'01-18','H05','D_ELEC', 0.000648,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'01-18','H06','D_ELEC', 0.000714,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'01-18','H07','D_ELEC', 0.000777,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'01-18','H08','D_ELEC', 0.000788,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'01-18','H09','D_ELEC', 0.000780,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'01-18','H10','D_ELEC', 0.000754,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'01-18','H11','D_ELEC', 0.000736,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'01-18','H12','D_ELEC', 0.000709,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'01-18','H13','D_ELEC', 0.000701,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'01-18','H14','D_ELEC', 0.000696,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'01-18','H15','D_ELEC', 0.000693,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'01-18','H16','D_ELEC', 0.000712,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'01-18','H17','D_ELEC', 0.000751,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'01-18','H18','D_ELEC', 0.000741,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'01-18','H19','D_ELEC', 0.000719,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'01-18','H20','D_ELEC', 0.000692,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'01-18','H21','D_ELEC', 0.000657,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'01-18','H22','D_ELEC', 0.000614,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'01-18','H23','D_ELEC', 0.000578,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'05-11','H00','D_ELEC', 0.021649,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'05-11','H01','D_ELEC', 0.020672,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'05-11','H02','D_ELEC', 0.020887,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'05-11','H03','D_ELEC', 0.020717,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'05-11','H04','D_ELEC', 0.020805,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'05-11','H05','D_ELEC', 0.021529,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'05-11','H06','D_ELEC', 0.022825,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'05-11','H07','D_ELEC', 0.025011,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'05-11','H08','D_ELEC', 0.028410,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'05-11','H09','D_ELEC', 0.029497,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'05-11','H10','D_ELEC', 0.030016,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'05-11','H11','D_ELEC', 0.028719,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'05-11','H12','D_ELEC', 0.026392,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'05-11','H13','D_ELEC', 0.027495,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'05-11','H14','D_ELEC', 0.027475,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'05-11','H15','D_ELEC', 0.025555,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'05-11','H16','D_ELEC', 0.025714,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'05-11','H17','D_ELEC', 0.026914,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'05-11','H18','D_ELEC', 0.026680,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'05-11','H19','D_ELEC', 0.025919,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'05-11','H20','D_ELEC', 0.025943,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'05-11','H21','D_ELEC', 0.026707,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'05-11','H22','D_ELEC', 0.025596,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'05-11','H23','D_ELEC', 0.023979,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'12-17','H00','D_ELEC', 0.014468,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'12-17','H01','D_ELEC', 0.014019,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'12-17','H02','D_ELEC', 0.013768,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'12-17','H03','D_ELEC', 0.013723,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'12-17','H04','D_ELEC', 0.013870,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'12-17','H05','D_ELEC', 0.014353,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'12-17','H06','D_ELEC', 0.015888,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'12-17','H07','D_ELEC', 0.017685,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'12-17','H08','D_ELEC', 0.017680,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'12-17','H09','D_ELEC', 0.017003,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'12-17','H10','D_ELEC', 0.016399,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'12-17','H11','D_ELEC', 0.015874,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'12-17','H12','D_ELEC', 0.015505,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'12-17','H13','D_ELEC', 0.015337,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'12-17','H14','D_ELEC', 0.015328,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'12-17','H15','D_ELEC', 0.015966,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'12-17','H16','D_ELEC', 0.016987,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'12-17','H17','D_ELEC', 0.018035,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'12-17','H18','D_ELEC', 0.017706,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'12-17','H19','D_ELEC', 0.017241,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'12-17','H20','D_ELEC', 0.016902,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'12-17','H21','D_ELEC', 0.016423,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'12-17','H22','D_ELEC', 0.014693,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2030,'12-17','H23','D_ELEC', 0.013485,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'01-18','H00','D_ELEC', 0.000775,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'01-18','H01','D_ELEC', 0.000761,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'01-18','H02','D_ELEC', 0.000758,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'01-18','H03','D_ELEC', 0.000762,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'01-18','H04','D_ELEC', 0.000768,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'01-18','H05','D_ELEC', 0.000783,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'01-18','H06','D_ELEC', 0.000808,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'01-18','H07','D_ELEC', 0.000870,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'01-18','H08','D_ELEC', 0.000933,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'01-18','H09','D_ELEC', 0.000934,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'01-18','H10','D_ELEC', 0.000917,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'01-18','H11','D_ELEC', 0.000894,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'01-18','H12','D_ELEC', 0.000863,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'01-18','H13','D_ELEC', 0.000828,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'01-18','H14','D_ELEC', 0.000806,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'01-18','H15','D_ELEC', 0.000771,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'01-18','H16','D_ELEC', 0.000760,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'01-18','H17','D_ELEC', 0.000775,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'01-18','H18','D_ELEC', 0.000785,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'01-18','H19','D_ELEC', 0.000776,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'01-18','H20','D_ELEC', 0.000755,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'01-18','H21','D_ELEC', 0.000733,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'01-18','H22','D_ELEC', 0.000706,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'01-18','H23','D_ELEC', 0.000673,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'05-11','H00','D_ELEC', 0.023576,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'05-11','H01','D_ELEC', 0.022659,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'05-11','H02','D_ELEC', 0.022574,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'05-11','H03','D_ELEC', 0.022302,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'05-11','H04','D_ELEC', 0.022489,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'05-11','H05','D_ELEC', 0.022829,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'05-11','H06','D_ELEC', 0.023797,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'05-11','H07','D_ELEC', 0.025700,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'05-11','H08','D_ELEC', 0.026396,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'05-11','H09','D_ELEC', 0.026260,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'05-11','H10','D_ELEC', 0.026447,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'05-11','H11','D_ELEC', 0.026005,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'05-11','H12','D_ELEC', 0.025326,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'05-11','H13','D_ELEC', 0.024884,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'05-11','H14','D_ELEC', 0.024171,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'05-11','H15','D_ELEC', 0.023950,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'05-11','H16','D_ELEC', 0.023984,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'05-11','H17','D_ELEC', 0.023865,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'05-11','H18','D_ELEC', 0.023712,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'05-11','H19','D_ELEC', 0.023678,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'05-11','H20','D_ELEC', 0.024018,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'05-11','H21','D_ELEC', 0.024307,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'05-11','H22','D_ELEC', 0.023508,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'05-11','H23','D_ELEC', 0.022523,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'12-17','H00','D_ELEC', 0.016087,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'12-17','H01','D_ELEC', 0.015583,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'12-17','H02','D_ELEC', 0.015355,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'12-17','H03','D_ELEC', 0.015408,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'12-17','H04','D_ELEC', 0.015454,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'12-17','H05','D_ELEC', 0.015675,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'12-17','H06','D_ELEC', 0.016262,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'12-17','H07','D_ELEC', 0.017658,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'12-17','H08','D_ELEC', 0.018940,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'12-17','H09','D_ELEC', 0.018429,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'12-17','H10','D_ELEC', 0.017979,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'12-17','H11','D_ELEC', 0.017483,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'12-17','H12','D_ELEC', 0.016804,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'12-17','H13','D_ELEC', 0.016415,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'12-17','H14','D_ELEC', 0.016483,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'12-17','H15','D_ELEC', 0.016560,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'12-17','H16','D_ELEC', 0.016682,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'12-17','H17','D_ELEC', 0.017323,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'12-17','H18','D_ELEC', 0.017666,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'12-17','H19','D_ELEC', 0.017422,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'12-17','H20','D_ELEC', 0.017170,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'12-17','H21','D_ELEC', 0.016941,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'12-17','H22','D_ELEC', 0.016453,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2030,'12-17','H23','D_ELEC', 0.015614,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'01-18','H00','D_ELEC', 0.000775,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'01-18','H01','D_ELEC', 0.000761,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'01-18','H02','D_ELEC', 0.000758,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'01-18','H03','D_ELEC', 0.000762,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'01-18','H04','D_ELEC', 0.000768,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'01-18','H05','D_ELEC', 0.000783,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'01-18','H06','D_ELEC', 0.000808,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'01-18','H07','D_ELEC', 0.000870,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'01-18','H08','D_ELEC', 0.000933,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'01-18','H09','D_ELEC', 0.000934,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'01-18','H10','D_ELEC', 0.000917,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'01-18','H11','D_ELEC', 0.000894,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'01-18','H12','D_ELEC', 0.000863,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'01-18','H13','D_ELEC', 0.000828,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'01-18','H14','D_ELEC', 0.000806,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'01-18','H15','D_ELEC', 0.000771,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'01-18','H16','D_ELEC', 0.000760,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'01-18','H17','D_ELEC', 0.000775,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'01-18','H18','D_ELEC', 0.000785,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'01-18','H19','D_ELEC', 0.000776,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'01-18','H20','D_ELEC', 0.000755,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'01-18','H21','D_ELEC', 0.000733,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'01-18','H22','D_ELEC', 0.000706,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'01-18','H23','D_ELEC', 0.000673,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'05-11','H00','D_ELEC', 0.023576,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'05-11','H01','D_ELEC', 0.022659,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'05-11','H02','D_ELEC', 0.022574,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'05-11','H03','D_ELEC', 0.022302,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'05-11','H04','D_ELEC', 0.022489,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'05-11','H05','D_ELEC', 0.022829,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'05-11','H06','D_ELEC', 0.023797,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'05-11','H07','D_ELEC', 0.025700,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'05-11','H08','D_ELEC', 0.026396,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'05-11','H09','D_ELEC', 0.026260,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'05-11','H10','D_ELEC', 0.026447,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'05-11','H11','D_ELEC', 0.026005,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'05-11','H12','D_ELEC', 0.025326,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'05-11','H13','D_ELEC', 0.024884,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'05-11','H14','D_ELEC', 0.024171,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'05-11','H15','D_ELEC', 0.023950,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'05-11','H16','D_ELEC', 0.023984,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'05-11','H17','D_ELEC', 0.023865,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'05-11','H18','D_ELEC', 0.023712,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'05-11','H19','D_ELEC', 0.023678,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'05-11','H20','D_ELEC', 0.024018,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'05-11','H21','D_ELEC', 0.024307,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'05-11','H22','D_ELEC', 0.023508,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'05-11','H23','D_ELEC', 0.022523,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'12-17','H00','D_ELEC', 0.016087,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'12-17','H01','D_ELEC', 0.015583,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'12-17','H02','D_ELEC', 0.015355,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'12-17','H03','D_ELEC', 0.015408,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'12-17','H04','D_ELEC', 0.015454,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'12-17','H05','D_ELEC', 0.015675,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'12-17','H06','D_ELEC', 0.016262,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'12-17','H07','D_ELEC', 0.017658,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'12-17','H08','D_ELEC', 0.018940,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'12-17','H09','D_ELEC', 0.018429,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'12-17','H10','D_ELEC', 0.017979,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'12-17','H11','D_ELEC', 0.017483,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'12-17','H12','D_ELEC', 0.016804,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'12-17','H13','D_ELEC', 0.016415,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'12-17','H14','D_ELEC', 0.016483,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'12-17','H15','D_ELEC', 0.016560,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'12-17','H16','D_ELEC', 0.016682,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'12-17','H17','D_ELEC', 0.017323,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'12-17','H18','D_ELEC', 0.017666,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'12-17','H19','D_ELEC', 0.017422,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'12-17','H20','D_ELEC', 0.017170,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'12-17','H21','D_ELEC', 0.016941,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'12-17','H22','D_ELEC', 0.016453,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2030,'12-17','H23','D_ELEC', 0.015614,'');


INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'01-18','H00','D_ELEC', 0.000775,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'01-18','H01','D_ELEC', 0.000761,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'01-18','H02','D_ELEC', 0.000758,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'01-18','H03','D_ELEC', 0.000762,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'01-18','H04','D_ELEC', 0.000768,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'01-18','H05','D_ELEC', 0.000783,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'01-18','H06','D_ELEC', 0.000808,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'01-18','H07','D_ELEC', 0.000870,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'01-18','H08','D_ELEC', 0.000933,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'01-18','H09','D_ELEC', 0.000934,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'01-18','H10','D_ELEC', 0.000917,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'01-18','H11','D_ELEC', 0.000894,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'01-18','H12','D_ELEC', 0.000863,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'01-18','H13','D_ELEC', 0.000828,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'01-18','H14','D_ELEC', 0.000806,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'01-18','H15','D_ELEC', 0.000771,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'01-18','H16','D_ELEC', 0.000760,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'01-18','H17','D_ELEC', 0.000775,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'01-18','H18','D_ELEC', 0.000785,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'01-18','H19','D_ELEC', 0.000776,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'01-18','H20','D_ELEC', 0.000755,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'01-18','H21','D_ELEC', 0.000733,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'01-18','H22','D_ELEC', 0.000706,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'01-18','H23','D_ELEC', 0.000673,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'05-11','H00','D_ELEC', 0.023576,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'05-11','H01','D_ELEC', 0.022659,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'05-11','H02','D_ELEC', 0.022574,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'05-11','H03','D_ELEC', 0.022302,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'05-11','H04','D_ELEC', 0.022489,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'05-11','H05','D_ELEC', 0.022829,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'05-11','H06','D_ELEC', 0.023797,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'05-11','H07','D_ELEC', 0.025700,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'05-11','H08','D_ELEC', 0.026396,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'05-11','H09','D_ELEC', 0.026260,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'05-11','H10','D_ELEC', 0.026447,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'05-11','H11','D_ELEC', 0.026005,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'05-11','H12','D_ELEC', 0.025326,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'05-11','H13','D_ELEC', 0.024884,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'05-11','H14','D_ELEC', 0.024171,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'05-11','H15','D_ELEC', 0.023950,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'05-11','H16','D_ELEC', 0.023984,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'05-11','H17','D_ELEC', 0.023865,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'05-11','H18','D_ELEC', 0.023712,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'05-11','H19','D_ELEC', 0.023678,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'05-11','H20','D_ELEC', 0.024018,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'05-11','H21','D_ELEC', 0.024307,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'05-11','H22','D_ELEC', 0.023508,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'05-11','H23','D_ELEC', 0.022523,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'12-17','H00','D_ELEC', 0.016087,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'12-17','H01','D_ELEC', 0.015583,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'12-17','H02','D_ELEC', 0.015355,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'12-17','H03','D_ELEC', 0.015408,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'12-17','H04','D_ELEC', 0.015454,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'12-17','H05','D_ELEC', 0.015675,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'12-17','H06','D_ELEC', 0.016262,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'12-17','H07','D_ELEC', 0.017658,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'12-17','H08','D_ELEC', 0.018940,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'12-17','H09','D_ELEC', 0.018429,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'12-17','H10','D_ELEC', 0.017979,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'12-17','H11','D_ELEC', 0.017483,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'12-17','H12','D_ELEC', 0.016804,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'12-17','H13','D_ELEC', 0.016415,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'12-17','H14','D_ELEC', 0.016483,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'12-17','H15','D_ELEC', 0.016560,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'12-17','H16','D_ELEC', 0.016682,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'12-17','H17','D_ELEC', 0.017323,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'12-17','H18','D_ELEC', 0.017666,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'12-17','H19','D_ELEC', 0.017422,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'12-17','H20','D_ELEC', 0.017170,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'12-17','H21','D_ELEC', 0.016941,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'12-17','H22','D_ELEC', 0.016453,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2040,'12-17','H23','D_ELEC', 0.015614,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'01-18','H00','D_ELEC', 0.000763,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'01-18','H01','D_ELEC', 0.000754,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'01-18','H02','D_ELEC', 0.000744,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'01-18','H03','D_ELEC', 0.000737,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'01-18','H04','D_ELEC', 0.000735,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'01-18','H05','D_ELEC', 0.000717,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'01-18','H06','D_ELEC', 0.000719,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'01-18','H07','D_ELEC', 0.000779,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'01-18','H08','D_ELEC', 0.000818,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'01-18','H09','D_ELEC', 0.000818,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'01-18','H10','D_ELEC', 0.000797,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'01-18','H11','D_ELEC', 0.000783,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'01-18','H12','D_ELEC', 0.000769,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'01-18','H13','D_ELEC', 0.000765,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'01-18','H14','D_ELEC', 0.000739,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'01-18','H15','D_ELEC', 0.000710,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'01-18','H16','D_ELEC', 0.000694,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'01-18','H17','D_ELEC', 0.000701,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'01-18','H18','D_ELEC', 0.000743,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'01-18','H19','D_ELEC', 0.000741,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'01-18','H20','D_ELEC', 0.000729,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'01-18','H21','D_ELEC', 0.000718,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'01-18','H22','D_ELEC', 0.000682,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'01-18','H23','D_ELEC', 0.000664,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'05-11','H00','D_ELEC', 0.024767,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'05-11','H01','D_ELEC', 0.023764,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'05-11','H02','D_ELEC', 0.022937,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'05-11','H03','D_ELEC', 0.023951,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'05-11','H04','D_ELEC', 0.023721,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'05-11','H05','D_ELEC', 0.023037,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'05-11','H06','D_ELEC', 0.023744,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'05-11','H07','D_ELEC', 0.024670,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'05-11','H08','D_ELEC', 0.026498,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'05-11','H09','D_ELEC', 0.026848,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'05-11','H10','D_ELEC', 0.026638,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'05-11','H11','D_ELEC', 0.026065,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'05-11','H12','D_ELEC', 0.025157,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'05-11','H13','D_ELEC', 0.024557,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'05-11','H14','D_ELEC', 0.025132,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'05-11','H15','D_ELEC', 0.025075,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'05-11','H16','D_ELEC', 0.025702,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'05-11','H17','D_ELEC', 0.027333,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'05-11','H18','D_ELEC', 0.027112,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'05-11','H19','D_ELEC', 0.026778,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'05-11','H20','D_ELEC', 0.027259,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'05-11','H21','D_ELEC', 0.027147,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'05-11','H22','D_ELEC', 0.025823,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'05-11','H23','D_ELEC', 0.024354,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'12-17','H00','D_ELEC', 0.015050,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'12-17','H01','D_ELEC', 0.014712,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'12-17','H02','D_ELEC', 0.014322,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'12-17','H03','D_ELEC', 0.013879,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'12-17','H04','D_ELEC', 0.013779,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'12-17','H05','D_ELEC', 0.013853,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'12-17','H06','D_ELEC', 0.014321,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'12-17','H07','D_ELEC', 0.015731,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'12-17','H08','D_ELEC', 0.016873,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'12-17','H09','D_ELEC', 0.017037,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'12-17','H10','D_ELEC', 0.016687,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'12-17','H11','D_ELEC', 0.016417,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'12-17','H12','D_ELEC', 0.015932,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'12-17','H13','D_ELEC', 0.015784,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'12-17','H14','D_ELEC', 0.015598,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'12-17','H15','D_ELEC', 0.015527,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'12-17','H16','D_ELEC', 0.015811,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'12-17','H17','D_ELEC', 0.016552,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'12-17','H18','D_ELEC', 0.017175,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'12-17','H19','D_ELEC', 0.016906,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'12-17','H20','D_ELEC', 0.016517,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'12-17','H21','D_ELEC', 0.016084,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'12-17','H22','D_ELEC', 0.015321,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2040,'12-17','H23','D_ELEC', 0.014246,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'01-18','H00','D_ELEC', 0.000629,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'01-18','H01','D_ELEC', 0.000617,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'01-18','H02','D_ELEC', 0.000615,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'01-18','H03','D_ELEC', 0.000614,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'01-18','H04','D_ELEC', 0.000623,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'01-18','H05','D_ELEC', 0.000648,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'01-18','H06','D_ELEC', 0.000714,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'01-18','H07','D_ELEC', 0.000777,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'01-18','H08','D_ELEC', 0.000788,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'01-18','H09','D_ELEC', 0.000780,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'01-18','H10','D_ELEC', 0.000754,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'01-18','H11','D_ELEC', 0.000736,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'01-18','H12','D_ELEC', 0.000709,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'01-18','H13','D_ELEC', 0.000701,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'01-18','H14','D_ELEC', 0.000696,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'01-18','H15','D_ELEC', 0.000693,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'01-18','H16','D_ELEC', 0.000712,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'01-18','H17','D_ELEC', 0.000751,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'01-18','H18','D_ELEC', 0.000741,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'01-18','H19','D_ELEC', 0.000719,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'01-18','H20','D_ELEC', 0.000692,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'01-18','H21','D_ELEC', 0.000657,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'01-18','H22','D_ELEC', 0.000614,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'01-18','H23','D_ELEC', 0.000578,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'05-11','H00','D_ELEC', 0.021649,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'05-11','H01','D_ELEC', 0.020672,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'05-11','H02','D_ELEC', 0.020887,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'05-11','H03','D_ELEC', 0.020717,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'05-11','H04','D_ELEC', 0.020805,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'05-11','H05','D_ELEC', 0.021529,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'05-11','H06','D_ELEC', 0.022825,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'05-11','H07','D_ELEC', 0.025011,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'05-11','H08','D_ELEC', 0.028410,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'05-11','H09','D_ELEC', 0.029497,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'05-11','H10','D_ELEC', 0.030016,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'05-11','H11','D_ELEC', 0.028719,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'05-11','H12','D_ELEC', 0.026392,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'05-11','H13','D_ELEC', 0.027495,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'05-11','H14','D_ELEC', 0.027475,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'05-11','H15','D_ELEC', 0.025555,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'05-11','H16','D_ELEC', 0.025714,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'05-11','H17','D_ELEC', 0.026914,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'05-11','H18','D_ELEC', 0.026680,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'05-11','H19','D_ELEC', 0.025919,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'05-11','H20','D_ELEC', 0.025943,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'05-11','H21','D_ELEC', 0.026707,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'05-11','H22','D_ELEC', 0.025596,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'05-11','H23','D_ELEC', 0.023979,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'12-17','H00','D_ELEC', 0.014468,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'12-17','H01','D_ELEC', 0.014019,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'12-17','H02','D_ELEC', 0.013768,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'12-17','H03','D_ELEC', 0.013723,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'12-17','H04','D_ELEC', 0.013870,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'12-17','H05','D_ELEC', 0.014353,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'12-17','H06','D_ELEC', 0.015888,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'12-17','H07','D_ELEC', 0.017685,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'12-17','H08','D_ELEC', 0.017680,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'12-17','H09','D_ELEC', 0.017003,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'12-17','H10','D_ELEC', 0.016399,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'12-17','H11','D_ELEC', 0.015874,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'12-17','H12','D_ELEC', 0.015505,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'12-17','H13','D_ELEC', 0.015337,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'12-17','H14','D_ELEC', 0.015328,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'12-17','H15','D_ELEC', 0.015966,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'12-17','H16','D_ELEC', 0.016987,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'12-17','H17','D_ELEC', 0.018035,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'12-17','H18','D_ELEC', 0.017706,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'12-17','H19','D_ELEC', 0.017241,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'12-17','H20','D_ELEC', 0.016902,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'12-17','H21','D_ELEC', 0.016423,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'12-17','H22','D_ELEC', 0.014693,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2040,'12-17','H23','D_ELEC', 0.013485,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'01-18','H00','D_ELEC', 0.000775,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'01-18','H01','D_ELEC', 0.000761,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'01-18','H02','D_ELEC', 0.000758,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'01-18','H03','D_ELEC', 0.000762,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'01-18','H04','D_ELEC', 0.000768,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'01-18','H05','D_ELEC', 0.000783,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'01-18','H06','D_ELEC', 0.000808,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'01-18','H07','D_ELEC', 0.000870,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'01-18','H08','D_ELEC', 0.000933,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'01-18','H09','D_ELEC', 0.000934,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'01-18','H10','D_ELEC', 0.000917,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'01-18','H11','D_ELEC', 0.000894,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'01-18','H12','D_ELEC', 0.000863,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'01-18','H13','D_ELEC', 0.000828,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'01-18','H14','D_ELEC', 0.000806,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'01-18','H15','D_ELEC', 0.000771,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'01-18','H16','D_ELEC', 0.000760,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'01-18','H17','D_ELEC', 0.000775,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'01-18','H18','D_ELEC', 0.000785,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'01-18','H19','D_ELEC', 0.000776,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'01-18','H20','D_ELEC', 0.000755,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'01-18','H21','D_ELEC', 0.000733,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'01-18','H22','D_ELEC', 0.000706,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'01-18','H23','D_ELEC', 0.000673,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'05-11','H00','D_ELEC', 0.023576,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'05-11','H01','D_ELEC', 0.022659,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'05-11','H02','D_ELEC', 0.022574,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'05-11','H03','D_ELEC', 0.022302,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'05-11','H04','D_ELEC', 0.022489,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'05-11','H05','D_ELEC', 0.022829,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'05-11','H06','D_ELEC', 0.023797,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'05-11','H07','D_ELEC', 0.025700,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'05-11','H08','D_ELEC', 0.026396,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'05-11','H09','D_ELEC', 0.026260,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'05-11','H10','D_ELEC', 0.026447,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'05-11','H11','D_ELEC', 0.026005,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'05-11','H12','D_ELEC', 0.025326,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'05-11','H13','D_ELEC', 0.024884,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'05-11','H14','D_ELEC', 0.024171,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'05-11','H15','D_ELEC', 0.023950,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'05-11','H16','D_ELEC', 0.023984,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'05-11','H17','D_ELEC', 0.023865,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'05-11','H18','D_ELEC', 0.023712,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'05-11','H19','D_ELEC', 0.023678,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'05-11','H20','D_ELEC', 0.024018,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'05-11','H21','D_ELEC', 0.024307,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'05-11','H22','D_ELEC', 0.023508,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'05-11','H23','D_ELEC', 0.022523,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'12-17','H00','D_ELEC', 0.016087,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'12-17','H01','D_ELEC', 0.015583,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'12-17','H02','D_ELEC', 0.015355,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'12-17','H03','D_ELEC', 0.015408,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'12-17','H04','D_ELEC', 0.015454,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'12-17','H05','D_ELEC', 0.015675,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'12-17','H06','D_ELEC', 0.016262,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'12-17','H07','D_ELEC', 0.017658,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'12-17','H08','D_ELEC', 0.018940,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'12-17','H09','D_ELEC', 0.018429,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'12-17','H10','D_ELEC', 0.017979,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'12-17','H11','D_ELEC', 0.017483,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'12-17','H12','D_ELEC', 0.016804,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'12-17','H13','D_ELEC', 0.016415,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'12-17','H14','D_ELEC', 0.016483,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'12-17','H15','D_ELEC', 0.016560,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'12-17','H16','D_ELEC', 0.016682,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'12-17','H17','D_ELEC', 0.017323,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'12-17','H18','D_ELEC', 0.017666,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'12-17','H19','D_ELEC', 0.017422,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'12-17','H20','D_ELEC', 0.017170,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'12-17','H21','D_ELEC', 0.016941,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'12-17','H22','D_ELEC', 0.016453,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2040,'12-17','H23','D_ELEC', 0.015614,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'01-18','H00','D_ELEC', 0.000775,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'01-18','H01','D_ELEC', 0.000761,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'01-18','H02','D_ELEC', 0.000758,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'01-18','H03','D_ELEC', 0.000762,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'01-18','H04','D_ELEC', 0.000768,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'01-18','H05','D_ELEC', 0.000783,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'01-18','H06','D_ELEC', 0.000808,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'01-18','H07','D_ELEC', 0.000870,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'01-18','H08','D_ELEC', 0.000933,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'01-18','H09','D_ELEC', 0.000934,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'01-18','H10','D_ELEC', 0.000917,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'01-18','H11','D_ELEC', 0.000894,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'01-18','H12','D_ELEC', 0.000863,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'01-18','H13','D_ELEC', 0.000828,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'01-18','H14','D_ELEC', 0.000806,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'01-18','H15','D_ELEC', 0.000771,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'01-18','H16','D_ELEC', 0.000760,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'01-18','H17','D_ELEC', 0.000775,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'01-18','H18','D_ELEC', 0.000785,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'01-18','H19','D_ELEC', 0.000776,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'01-18','H20','D_ELEC', 0.000755,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'01-18','H21','D_ELEC', 0.000733,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'01-18','H22','D_ELEC', 0.000706,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'01-18','H23','D_ELEC', 0.000673,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'05-11','H00','D_ELEC', 0.023576,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'05-11','H01','D_ELEC', 0.022659,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'05-11','H02','D_ELEC', 0.022574,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'05-11','H03','D_ELEC', 0.022302,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'05-11','H04','D_ELEC', 0.022489,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'05-11','H05','D_ELEC', 0.022829,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'05-11','H06','D_ELEC', 0.023797,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'05-11','H07','D_ELEC', 0.025700,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'05-11','H08','D_ELEC', 0.026396,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'05-11','H09','D_ELEC', 0.026260,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'05-11','H10','D_ELEC', 0.026447,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'05-11','H11','D_ELEC', 0.026005,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'05-11','H12','D_ELEC', 0.025326,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'05-11','H13','D_ELEC', 0.024884,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'05-11','H14','D_ELEC', 0.024171,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'05-11','H15','D_ELEC', 0.023950,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'05-11','H16','D_ELEC', 0.023984,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'05-11','H17','D_ELEC', 0.023865,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'05-11','H18','D_ELEC', 0.023712,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'05-11','H19','D_ELEC', 0.023678,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'05-11','H20','D_ELEC', 0.024018,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'05-11','H21','D_ELEC', 0.024307,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'05-11','H22','D_ELEC', 0.023508,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'05-11','H23','D_ELEC', 0.022523,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'12-17','H00','D_ELEC', 0.016087,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'12-17','H01','D_ELEC', 0.015583,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'12-17','H02','D_ELEC', 0.015355,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'12-17','H03','D_ELEC', 0.015408,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'12-17','H04','D_ELEC', 0.015454,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'12-17','H05','D_ELEC', 0.015675,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'12-17','H06','D_ELEC', 0.016262,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'12-17','H07','D_ELEC', 0.017658,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'12-17','H08','D_ELEC', 0.018940,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'12-17','H09','D_ELEC', 0.018429,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'12-17','H10','D_ELEC', 0.017979,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'12-17','H11','D_ELEC', 0.017483,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'12-17','H12','D_ELEC', 0.016804,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'12-17','H13','D_ELEC', 0.016415,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'12-17','H14','D_ELEC', 0.016483,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'12-17','H15','D_ELEC', 0.016560,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'12-17','H16','D_ELEC', 0.016682,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'12-17','H17','D_ELEC', 0.017323,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'12-17','H18','D_ELEC', 0.017666,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'12-17','H19','D_ELEC', 0.017422,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'12-17','H20','D_ELEC', 0.017170,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'12-17','H21','D_ELEC', 0.016941,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'12-17','H22','D_ELEC', 0.016453,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2040,'12-17','H23','D_ELEC', 0.015614,'');


INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'01-18','H00','D_ELEC', 0.000775,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'01-18','H01','D_ELEC', 0.000761,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'01-18','H02','D_ELEC', 0.000758,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'01-18','H03','D_ELEC', 0.000762,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'01-18','H04','D_ELEC', 0.000768,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'01-18','H05','D_ELEC', 0.000783,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'01-18','H06','D_ELEC', 0.000808,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'01-18','H07','D_ELEC', 0.000870,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'01-18','H08','D_ELEC', 0.000933,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'01-18','H09','D_ELEC', 0.000934,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'01-18','H10','D_ELEC', 0.000917,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'01-18','H11','D_ELEC', 0.000894,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'01-18','H12','D_ELEC', 0.000863,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'01-18','H13','D_ELEC', 0.000828,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'01-18','H14','D_ELEC', 0.000806,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'01-18','H15','D_ELEC', 0.000771,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'01-18','H16','D_ELEC', 0.000760,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'01-18','H17','D_ELEC', 0.000775,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'01-18','H18','D_ELEC', 0.000785,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'01-18','H19','D_ELEC', 0.000776,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'01-18','H20','D_ELEC', 0.000755,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'01-18','H21','D_ELEC', 0.000733,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'01-18','H22','D_ELEC', 0.000706,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'01-18','H23','D_ELEC', 0.000673,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'05-11','H00','D_ELEC', 0.023576,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'05-11','H01','D_ELEC', 0.022659,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'05-11','H02','D_ELEC', 0.022574,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'05-11','H03','D_ELEC', 0.022302,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'05-11','H04','D_ELEC', 0.022489,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'05-11','H05','D_ELEC', 0.022829,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'05-11','H06','D_ELEC', 0.023797,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'05-11','H07','D_ELEC', 0.025700,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'05-11','H08','D_ELEC', 0.026396,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'05-11','H09','D_ELEC', 0.026260,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'05-11','H10','D_ELEC', 0.026447,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'05-11','H11','D_ELEC', 0.026005,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'05-11','H12','D_ELEC', 0.025326,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'05-11','H13','D_ELEC', 0.024884,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'05-11','H14','D_ELEC', 0.024171,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'05-11','H15','D_ELEC', 0.023950,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'05-11','H16','D_ELEC', 0.023984,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'05-11','H17','D_ELEC', 0.023865,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'05-11','H18','D_ELEC', 0.023712,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'05-11','H19','D_ELEC', 0.023678,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'05-11','H20','D_ELEC', 0.024018,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'05-11','H21','D_ELEC', 0.024307,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'05-11','H22','D_ELEC', 0.023508,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'05-11','H23','D_ELEC', 0.022523,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'12-17','H00','D_ELEC', 0.016087,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'12-17','H01','D_ELEC', 0.015583,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'12-17','H02','D_ELEC', 0.015355,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'12-17','H03','D_ELEC', 0.015408,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'12-17','H04','D_ELEC', 0.015454,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'12-17','H05','D_ELEC', 0.015675,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'12-17','H06','D_ELEC', 0.016262,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'12-17','H07','D_ELEC', 0.017658,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'12-17','H08','D_ELEC', 0.018940,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'12-17','H09','D_ELEC', 0.018429,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'12-17','H10','D_ELEC', 0.017979,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'12-17','H11','D_ELEC', 0.017483,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'12-17','H12','D_ELEC', 0.016804,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'12-17','H13','D_ELEC', 0.016415,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'12-17','H14','D_ELEC', 0.016483,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'12-17','H15','D_ELEC', 0.016560,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'12-17','H16','D_ELEC', 0.016682,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'12-17','H17','D_ELEC', 0.017323,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'12-17','H18','D_ELEC', 0.017666,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'12-17','H19','D_ELEC', 0.017422,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'12-17','H20','D_ELEC', 0.017170,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'12-17','H21','D_ELEC', 0.016941,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'12-17','H22','D_ELEC', 0.016453,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NB', 2050,'12-17','H23','D_ELEC', 0.015614,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'01-18','H00','D_ELEC', 0.000763,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'01-18','H01','D_ELEC', 0.000754,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'01-18','H02','D_ELEC', 0.000744,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'01-18','H03','D_ELEC', 0.000737,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'01-18','H04','D_ELEC', 0.000735,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'01-18','H05','D_ELEC', 0.000717,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'01-18','H06','D_ELEC', 0.000719,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'01-18','H07','D_ELEC', 0.000779,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'01-18','H08','D_ELEC', 0.000818,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'01-18','H09','D_ELEC', 0.000818,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'01-18','H10','D_ELEC', 0.000797,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'01-18','H11','D_ELEC', 0.000783,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'01-18','H12','D_ELEC', 0.000769,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'01-18','H13','D_ELEC', 0.000765,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'01-18','H14','D_ELEC', 0.000739,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'01-18','H15','D_ELEC', 0.000710,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'01-18','H16','D_ELEC', 0.000694,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'01-18','H17','D_ELEC', 0.000701,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'01-18','H18','D_ELEC', 0.000743,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'01-18','H19','D_ELEC', 0.000741,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'01-18','H20','D_ELEC', 0.000729,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'01-18','H21','D_ELEC', 0.000718,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'01-18','H22','D_ELEC', 0.000682,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'01-18','H23','D_ELEC', 0.000664,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'05-11','H00','D_ELEC', 0.024767,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'05-11','H01','D_ELEC', 0.023764,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'05-11','H02','D_ELEC', 0.022937,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'05-11','H03','D_ELEC', 0.023951,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'05-11','H04','D_ELEC', 0.023721,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'05-11','H05','D_ELEC', 0.023037,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'05-11','H06','D_ELEC', 0.023744,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'05-11','H07','D_ELEC', 0.024670,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'05-11','H08','D_ELEC', 0.026498,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'05-11','H09','D_ELEC', 0.026848,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'05-11','H10','D_ELEC', 0.026638,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'05-11','H11','D_ELEC', 0.026065,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'05-11','H12','D_ELEC', 0.025157,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'05-11','H13','D_ELEC', 0.024557,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'05-11','H14','D_ELEC', 0.025132,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'05-11','H15','D_ELEC', 0.025075,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'05-11','H16','D_ELEC', 0.025702,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'05-11','H17','D_ELEC', 0.027333,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'05-11','H18','D_ELEC', 0.027112,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'05-11','H19','D_ELEC', 0.026778,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'05-11','H20','D_ELEC', 0.027259,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'05-11','H21','D_ELEC', 0.027147,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'05-11','H22','D_ELEC', 0.025823,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'05-11','H23','D_ELEC', 0.024354,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'12-17','H00','D_ELEC', 0.015050,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'12-17','H01','D_ELEC', 0.014712,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'12-17','H02','D_ELEC', 0.014322,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'12-17','H03','D_ELEC', 0.013879,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'12-17','H04','D_ELEC', 0.013779,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'12-17','H05','D_ELEC', 0.013853,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'12-17','H06','D_ELEC', 0.014321,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'12-17','H07','D_ELEC', 0.015731,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'12-17','H08','D_ELEC', 0.016873,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'12-17','H09','D_ELEC', 0.017037,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'12-17','H10','D_ELEC', 0.016687,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'12-17','H11','D_ELEC', 0.016417,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'12-17','H12','D_ELEC', 0.015932,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'12-17','H13','D_ELEC', 0.015784,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'12-17','H14','D_ELEC', 0.015598,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'12-17','H15','D_ELEC', 0.015527,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'12-17','H16','D_ELEC', 0.015811,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'12-17','H17','D_ELEC', 0.016552,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'12-17','H18','D_ELEC', 0.017175,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'12-17','H19','D_ELEC', 0.016906,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'12-17','H20','D_ELEC', 0.016517,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'12-17','H21','D_ELEC', 0.016084,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'12-17','H22','D_ELEC', 0.015321,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NS', 2050,'12-17','H23','D_ELEC', 0.014246,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'01-18','H00','D_ELEC', 0.000629,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'01-18','H01','D_ELEC', 0.000617,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'01-18','H02','D_ELEC', 0.000615,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'01-18','H03','D_ELEC', 0.000614,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'01-18','H04','D_ELEC', 0.000623,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'01-18','H05','D_ELEC', 0.000648,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'01-18','H06','D_ELEC', 0.000714,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'01-18','H07','D_ELEC', 0.000777,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'01-18','H08','D_ELEC', 0.000788,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'01-18','H09','D_ELEC', 0.000780,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'01-18','H10','D_ELEC', 0.000754,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'01-18','H11','D_ELEC', 0.000736,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'01-18','H12','D_ELEC', 0.000709,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'01-18','H13','D_ELEC', 0.000701,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'01-18','H14','D_ELEC', 0.000696,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'01-18','H15','D_ELEC', 0.000693,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'01-18','H16','D_ELEC', 0.000712,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'01-18','H17','D_ELEC', 0.000751,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'01-18','H18','D_ELEC', 0.000741,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'01-18','H19','D_ELEC', 0.000719,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'01-18','H20','D_ELEC', 0.000692,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'01-18','H21','D_ELEC', 0.000657,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'01-18','H22','D_ELEC', 0.000614,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'01-18','H23','D_ELEC', 0.000578,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'05-11','H00','D_ELEC', 0.021649,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'05-11','H01','D_ELEC', 0.020672,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'05-11','H02','D_ELEC', 0.020887,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'05-11','H03','D_ELEC', 0.020717,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'05-11','H04','D_ELEC', 0.020805,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'05-11','H05','D_ELEC', 0.021529,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'05-11','H06','D_ELEC', 0.022825,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'05-11','H07','D_ELEC', 0.025011,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'05-11','H08','D_ELEC', 0.028410,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'05-11','H09','D_ELEC', 0.029497,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'05-11','H10','D_ELEC', 0.030016,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'05-11','H11','D_ELEC', 0.028719,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'05-11','H12','D_ELEC', 0.026392,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'05-11','H13','D_ELEC', 0.027495,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'05-11','H14','D_ELEC', 0.027475,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'05-11','H15','D_ELEC', 0.025555,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'05-11','H16','D_ELEC', 0.025714,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'05-11','H17','D_ELEC', 0.026914,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'05-11','H18','D_ELEC', 0.026680,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'05-11','H19','D_ELEC', 0.025919,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'05-11','H20','D_ELEC', 0.025943,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'05-11','H21','D_ELEC', 0.026707,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'05-11','H22','D_ELEC', 0.025596,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'05-11','H23','D_ELEC', 0.023979,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'12-17','H00','D_ELEC', 0.014468,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'12-17','H01','D_ELEC', 0.014019,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'12-17','H02','D_ELEC', 0.013768,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'12-17','H03','D_ELEC', 0.013723,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'12-17','H04','D_ELEC', 0.013870,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'12-17','H05','D_ELEC', 0.014353,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'12-17','H06','D_ELEC', 0.015888,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'12-17','H07','D_ELEC', 0.017685,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'12-17','H08','D_ELEC', 0.017680,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'12-17','H09','D_ELEC', 0.017003,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'12-17','H10','D_ELEC', 0.016399,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'12-17','H11','D_ELEC', 0.015874,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'12-17','H12','D_ELEC', 0.015505,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'12-17','H13','D_ELEC', 0.015337,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'12-17','H14','D_ELEC', 0.015328,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'12-17','H15','D_ELEC', 0.015966,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'12-17','H16','D_ELEC', 0.016987,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'12-17','H17','D_ELEC', 0.018035,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'12-17','H18','D_ELEC', 0.017706,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'12-17','H19','D_ELEC', 0.017241,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'12-17','H20','D_ELEC', 0.016902,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'12-17','H21','D_ELEC', 0.016423,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'12-17','H22','D_ELEC', 0.014693,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('PEI', 2050,'12-17','H23','D_ELEC', 0.013485,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'01-18','H00','D_ELEC', 0.000775,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'01-18','H01','D_ELEC', 0.000761,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'01-18','H02','D_ELEC', 0.000758,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'01-18','H03','D_ELEC', 0.000762,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'01-18','H04','D_ELEC', 0.000768,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'01-18','H05','D_ELEC', 0.000783,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'01-18','H06','D_ELEC', 0.000808,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'01-18','H07','D_ELEC', 0.000870,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'01-18','H08','D_ELEC', 0.000933,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'01-18','H09','D_ELEC', 0.000934,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'01-18','H10','D_ELEC', 0.000917,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'01-18','H11','D_ELEC', 0.000894,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'01-18','H12','D_ELEC', 0.000863,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'01-18','H13','D_ELEC', 0.000828,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'01-18','H14','D_ELEC', 0.000806,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'01-18','H15','D_ELEC', 0.000771,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'01-18','H16','D_ELEC', 0.000760,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'01-18','H17','D_ELEC', 0.000775,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'01-18','H18','D_ELEC', 0.000785,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'01-18','H19','D_ELEC', 0.000776,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'01-18','H20','D_ELEC', 0.000755,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'01-18','H21','D_ELEC', 0.000733,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'01-18','H22','D_ELEC', 0.000706,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'01-18','H23','D_ELEC', 0.000673,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'05-11','H00','D_ELEC', 0.023576,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'05-11','H01','D_ELEC', 0.022659,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'05-11','H02','D_ELEC', 0.022574,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'05-11','H03','D_ELEC', 0.022302,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'05-11','H04','D_ELEC', 0.022489,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'05-11','H05','D_ELEC', 0.022829,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'05-11','H06','D_ELEC', 0.023797,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'05-11','H07','D_ELEC', 0.025700,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'05-11','H08','D_ELEC', 0.026396,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'05-11','H09','D_ELEC', 0.026260,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'05-11','H10','D_ELEC', 0.026447,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'05-11','H11','D_ELEC', 0.026005,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'05-11','H12','D_ELEC', 0.025326,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'05-11','H13','D_ELEC', 0.024884,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'05-11','H14','D_ELEC', 0.024171,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'05-11','H15','D_ELEC', 0.023950,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'05-11','H16','D_ELEC', 0.023984,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'05-11','H17','D_ELEC', 0.023865,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'05-11','H18','D_ELEC', 0.023712,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'05-11','H19','D_ELEC', 0.023678,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'05-11','H20','D_ELEC', 0.024018,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'05-11','H21','D_ELEC', 0.024307,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'05-11','H22','D_ELEC', 0.023508,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'05-11','H23','D_ELEC', 0.022523,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'12-17','H00','D_ELEC', 0.016087,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'12-17','H01','D_ELEC', 0.015583,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'12-17','H02','D_ELEC', 0.015355,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'12-17','H03','D_ELEC', 0.015408,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'12-17','H04','D_ELEC', 0.015454,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'12-17','H05','D_ELEC', 0.015675,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'12-17','H06','D_ELEC', 0.016262,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'12-17','H07','D_ELEC', 0.017658,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'12-17','H08','D_ELEC', 0.018940,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'12-17','H09','D_ELEC', 0.018429,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'12-17','H10','D_ELEC', 0.017979,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'12-17','H11','D_ELEC', 0.017483,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'12-17','H12','D_ELEC', 0.016804,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'12-17','H13','D_ELEC', 0.016415,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'12-17','H14','D_ELEC', 0.016483,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'12-17','H15','D_ELEC', 0.016560,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'12-17','H16','D_ELEC', 0.016682,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'12-17','H17','D_ELEC', 0.017323,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'12-17','H18','D_ELEC', 0.017666,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'12-17','H19','D_ELEC', 0.017422,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'12-17','H20','D_ELEC', 0.017170,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'12-17','H21','D_ELEC', 0.016941,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'12-17','H22','D_ELEC', 0.016453,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('NL', 2050,'12-17','H23','D_ELEC', 0.015614,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'01-18','H00','D_ELEC', 0.000775,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'01-18','H01','D_ELEC', 0.000761,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'01-18','H02','D_ELEC', 0.000758,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'01-18','H03','D_ELEC', 0.000762,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'01-18','H04','D_ELEC', 0.000768,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'01-18','H05','D_ELEC', 0.000783,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'01-18','H06','D_ELEC', 0.000808,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'01-18','H07','D_ELEC', 0.000870,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'01-18','H08','D_ELEC', 0.000933,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'01-18','H09','D_ELEC', 0.000934,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'01-18','H10','D_ELEC', 0.000917,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'01-18','H11','D_ELEC', 0.000894,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'01-18','H12','D_ELEC', 0.000863,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'01-18','H13','D_ELEC', 0.000828,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'01-18','H14','D_ELEC', 0.000806,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'01-18','H15','D_ELEC', 0.000771,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'01-18','H16','D_ELEC', 0.000760,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'01-18','H17','D_ELEC', 0.000775,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'01-18','H18','D_ELEC', 0.000785,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'01-18','H19','D_ELEC', 0.000776,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'01-18','H20','D_ELEC', 0.000755,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'01-18','H21','D_ELEC', 0.000733,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'01-18','H22','D_ELEC', 0.000706,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'01-18','H23','D_ELEC', 0.000673,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'05-11','H00','D_ELEC', 0.023576,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'05-11','H01','D_ELEC', 0.022659,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'05-11','H02','D_ELEC', 0.022574,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'05-11','H03','D_ELEC', 0.022302,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'05-11','H04','D_ELEC', 0.022489,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'05-11','H05','D_ELEC', 0.022829,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'05-11','H06','D_ELEC', 0.023797,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'05-11','H07','D_ELEC', 0.025700,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'05-11','H08','D_ELEC', 0.026396,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'05-11','H09','D_ELEC', 0.026260,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'05-11','H10','D_ELEC', 0.026447,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'05-11','H11','D_ELEC', 0.026005,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'05-11','H12','D_ELEC', 0.025326,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'05-11','H13','D_ELEC', 0.024884,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'05-11','H14','D_ELEC', 0.024171,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'05-11','H15','D_ELEC', 0.023950,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'05-11','H16','D_ELEC', 0.023984,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'05-11','H17','D_ELEC', 0.023865,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'05-11','H18','D_ELEC', 0.023712,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'05-11','H19','D_ELEC', 0.023678,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'05-11','H20','D_ELEC', 0.024018,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'05-11','H21','D_ELEC', 0.024307,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'05-11','H22','D_ELEC', 0.023508,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'05-11','H23','D_ELEC', 0.022523,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'12-17','H00','D_ELEC', 0.016087,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'12-17','H01','D_ELEC', 0.015583,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'12-17','H02','D_ELEC', 0.015355,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'12-17','H03','D_ELEC', 0.015408,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'12-17','H04','D_ELEC', 0.015454,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'12-17','H05','D_ELEC', 0.015675,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'12-17','H06','D_ELEC', 0.016262,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'12-17','H07','D_ELEC', 0.017658,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'12-17','H08','D_ELEC', 0.018940,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'12-17','H09','D_ELEC', 0.018429,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'12-17','H10','D_ELEC', 0.017979,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'12-17','H11','D_ELEC', 0.017483,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'12-17','H12','D_ELEC', 0.016804,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'12-17','H13','D_ELEC', 0.016415,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'12-17','H14','D_ELEC', 0.016483,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'12-17','H15','D_ELEC', 0.016560,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'12-17','H16','D_ELEC', 0.016682,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'12-17','H17','D_ELEC', 0.017323,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'12-17','H18','D_ELEC', 0.017666,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'12-17','H19','D_ELEC', 0.017422,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'12-17','H20','D_ELEC', 0.017170,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'12-17','H21','D_ELEC', 0.016941,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'12-17','H22','D_ELEC', 0.016453,'');
INSERT INTO `DemandSpecificDistribution` VALUES ('LAB', 2050,'12-17','H23','D_ELEC', 0.015614,'');



INSERT INTO `MinSeasonalActivity` VALUES ('NB','2020','01-18','E_HYDRO-LIMDSP_EX',0.02539,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('NB','2020','05-11','E_HYDRO-LIMDSP_EX',0.05276,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('NB','2020','12-17','E_HYDRO-LIMDSP_EX',0.03092,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('NB','2030','01-18','E_HYDRO-LIMDSP_EX',0.02539,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('NB','2030','05-11','E_HYDRO-LIMDSP_EX',0.05276,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('NB','2030','12-17','E_HYDRO-LIMDSP_EX',0.03092,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('NB','2040','01-18','E_HYDRO-LIMDSP_EX',0.02539,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('NB','2040','05-11','E_HYDRO-LIMDSP_EX',0.05276,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('NB','2040','12-17','E_HYDRO-LIMDSP_EX',0.03092,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('NB','2050','01-18','E_HYDRO-LIMDSP_EX',0.02539,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('NB','2050','05-11','E_HYDRO-LIMDSP_EX',0.05276,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('NB','2050','12-17','E_HYDRO-LIMDSP_EX',0.03092,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('NS','2020','01-18','E_HYDRO-LIMDSP_EX',0.00396,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('NS','2020','05-11','E_HYDRO-LIMDSP_EX',0.00288,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('NS','2020','12-17','E_HYDRO-LIMDSP_EX',0.00396,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('NS','2030','01-18','E_HYDRO-LIMDSP_EX',0.00396,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('NS','2030','05-11','E_HYDRO-LIMDSP_EX',0.00288,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('NS','2030','12-17','E_HYDRO-LIMDSP_EX',0.00396,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('NS','2040','01-18','E_HYDRO-LIMDSP_EX',0.00396,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('NS','2040','05-11','E_HYDRO-LIMDSP_EX',0.00288,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('NS','2040','12-17','E_HYDRO-LIMDSP_EX',0.00396,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('NS','2050','01-18','E_HYDRO-LIMDSP_EX',0.00396,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('NS','2050','05-11','E_HYDRO-LIMDSP_EX',0.00288,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('NS','2050','12-17','E_HYDRO-LIMDSP_EX',0.00396,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('LAB','2020','01-18','E_HYDRO-LIMDSP_EX',0.05299,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('LAB','2020','05-11','E_HYDRO-LIMDSP_EX',0.05644,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('LAB','2020','12-17','E_HYDRO-LIMDSP_EX',0.05183,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('LAB','2030','01-18','E_HYDRO-LIMDSP_EX',0.05299,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('LAB','2030','05-11','E_HYDRO-LIMDSP_EX',0.05644,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('LAB','2030','12-17','E_HYDRO-LIMDSP_EX',0.05183,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('LAB','2040','01-18','E_HYDRO-LIMDSP_EX',0.05299,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('LAB','2040','05-11','E_HYDRO-LIMDSP_EX',0.05644,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('LAB','2040','12-17','E_HYDRO-LIMDSP_EX',0.05183,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('LAB','2050','01-18','E_HYDRO-LIMDSP_EX',0.05299,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('LAB','2050','05-11','E_HYDRO-LIMDSP_EX',0.05644,'PJ', '');
INSERT INTO `MinSeasonalActivity` VALUES ('LAB','2050','12-17','E_HYDRO-LIMDSP_EX',0.05183,'PJ', '');

INSERT INTO `MaxSeasonalActivity` VALUES ('NB','2020','01-18','E_HYDRO-LIMDSP_EX',0.02539,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NB','2020','05-11','E_HYDRO-LIMDSP_EX',0.05276,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NB','2020','12-17','E_HYDRO-LIMDSP_EX',0.03092,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NB','2030','01-18','E_HYDRO-LIMDSP_EX',0.02539,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NB','2030','05-11','E_HYDRO-LIMDSP_EX',0.05276,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NB','2030','12-17','E_HYDRO-LIMDSP_EX',0.03092,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NB','2040','01-18','E_HYDRO-LIMDSP_EX',0.02539,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NB','2040','05-11','E_HYDRO-LIMDSP_EX',0.05276,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NB','2040','12-17','E_HYDRO-LIMDSP_EX',0.03092,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NB','2050','01-18','E_HYDRO-LIMDSP_EX',0.02539,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NB','2050','05-11','E_HYDRO-LIMDSP_EX',0.05276,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NB','2050','12-17','E_HYDRO-LIMDSP_EX',0.03092,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NB','2020','01-18','IMP_NG_ALL',0.48100,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NB','2020','05-11','IMP_NG_ALL',0.48100,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NB','2020','12-17','IMP_NG_ALL',0.48100,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NB','2030','01-18','IMP_NG_ALL',0.48100,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NB','2030','05-11','IMP_NG_ALL',0.48100,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NB','2030','12-17','IMP_NG_ALL',0.48100,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NB','2040','01-18','IMP_NG_ALL',0.48100,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NB','2040','05-11','IMP_NG_ALL',0.48100,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NB','2040','12-17','IMP_NG_ALL',0.48100,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NB','2050','01-18','IMP_NG_ALL',0.48100,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NB','2050','05-11','IMP_NG_ALL',0.48100,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NB','2050','12-17','IMP_NG_ALL',0.48100,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NS','2020','01-18','E_HYDRO-LIMDSP_EX',0.00396,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NS','2020','05-11','E_HYDRO-LIMDSP_EX',0.00288,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NS','2020','12-17','E_HYDRO-LIMDSP_EX',0.00396,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NS','2030','01-18','E_HYDRO-LIMDSP_EX',0.00396,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NS','2030','05-11','E_HYDRO-LIMDSP_EX',0.00288,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NS','2030','12-17','E_HYDRO-LIMDSP_EX',0.00396,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NS','2040','01-18','E_HYDRO-LIMDSP_EX',0.00396,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NS','2040','05-11','E_HYDRO-LIMDSP_EX',0.00288,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NS','2040','12-17','E_HYDRO-LIMDSP_EX',0.00396,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NS','2050','01-18','E_HYDRO-LIMDSP_EX',0.00396,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NS','2050','05-11','E_HYDRO-LIMDSP_EX',0.00288,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NS','2050','12-17','E_HYDRO-LIMDSP_EX',0.00396,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NS','2020','01-18','IMP_NG_ALL',0.48100,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NS','2020','05-11','IMP_NG_ALL',0.48100,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NS','2020','12-17','IMP_NG_ALL',0.48100,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NS','2030','01-18','IMP_NG_ALL',0.48100,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NS','2030','05-11','IMP_NG_ALL',0.48100,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NS','2030','12-17','IMP_NG_ALL',0.48100,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NS','2040','01-18','IMP_NG_ALL',0.48100,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NS','2040','05-11','IMP_NG_ALL',0.48100,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NS','2040','12-17','IMP_NG_ALL',0.48100,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NS','2050','01-18','IMP_NG_ALL',0.48100,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NS','2050','05-11','IMP_NG_ALL',0.48100,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('NS','2050','12-17','IMP_NG_ALL',0.48100,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('LAB','2020','01-18','E_HYDRO-LIMDSP_EX',0.05299,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('LAB','2020','05-11','E_HYDRO-LIMDSP_EX',0.05644,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('LAB','2020','12-17','E_HYDRO-LIMDSP_EX',0.05183,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('LAB','2030','01-18','E_HYDRO-LIMDSP_EX',0.05299,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('LAB','2030','05-11','E_HYDRO-LIMDSP_EX',0.05644,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('LAB','2030','12-17','E_HYDRO-LIMDSP_EX',0.05183,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('LAB','2040','01-18','E_HYDRO-LIMDSP_EX',0.05299,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('LAB','2040','05-11','E_HYDRO-LIMDSP_EX',0.05644,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('LAB','2040','12-17','E_HYDRO-LIMDSP_EX',0.05183,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('LAB','2050','01-18','E_HYDRO-LIMDSP_EX',0.05299,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('LAB','2050','05-11','E_HYDRO-LIMDSP_EX',0.05644,'PJ', '');
INSERT INTO `MaxSeasonalActivity` VALUES ('LAB','2050','12-17','E_HYDRO-LIMDSP_EX',0.05183,'PJ', '');



INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H00','E_WIND-ON_EX',0.1234,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H01','E_WIND-ON_EX',0.1099,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H02','E_WIND-ON_EX',0.1005,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H03','E_WIND-ON_EX',0.0876,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H04','E_WIND-ON_EX',0.0731,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H05','E_WIND-ON_EX',0.0621,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H06','E_WIND-ON_EX',0.0563,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H07','E_WIND-ON_EX',0.0475,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H08','E_WIND-ON_EX',0.0325,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H09','E_WIND-ON_EX',0.0371,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H10','E_WIND-ON_EX',0.0542,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H11','E_WIND-ON_EX',0.0716,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H12','E_WIND-ON_EX',0.0714,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H13','E_WIND-ON_EX',0.0523,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H14','E_WIND-ON_EX',0.0580,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H15','E_WIND-ON_EX',0.0914,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H16','E_WIND-ON_EX',0.1249,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H17','E_WIND-ON_EX',0.1586,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H18','E_WIND-ON_EX',0.1794,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H19','E_WIND-ON_EX',0.1921,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H20','E_WIND-ON_EX',0.2184,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H21','E_WIND-ON_EX',0.2727,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H22','E_WIND-ON_EX',0.2792,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H23','E_WIND-ON_EX',0.2845,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H00','E_WIND-ON_EX',0.1714,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H01','E_WIND-ON_EX',0.1671,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H02','E_WIND-ON_EX',0.1343,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H03','E_WIND-ON_EX',0.1284,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H04','E_WIND-ON_EX',0.1090,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H05','E_WIND-ON_EX',0.1244,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H06','E_WIND-ON_EX',0.0958,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H07','E_WIND-ON_EX',0.0940,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H08','E_WIND-ON_EX',0.0775,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H09','E_WIND-ON_EX',0.0530,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H10','E_WIND-ON_EX',0.0267,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H11','E_WIND-ON_EX',0.0218,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H12','E_WIND-ON_EX',0.0299,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H13','E_WIND-ON_EX',0.0660,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H14','E_WIND-ON_EX',0.1214,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H15','E_WIND-ON_EX',0.1873,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H16','E_WIND-ON_EX',0.2645,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H17','E_WIND-ON_EX',0.3564,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H18','E_WIND-ON_EX',0.4227,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H19','E_WIND-ON_EX',0.4706,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H20','E_WIND-ON_EX',0.5245,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H21','E_WIND-ON_EX',0.5525,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H22','E_WIND-ON_EX',0.5524,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H23','E_WIND-ON_EX',0.5356,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H00','E_WIND-ON_EX',0.6651,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H01','E_WIND-ON_EX',0.6541,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H02','E_WIND-ON_EX',0.6215,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H03','E_WIND-ON_EX',0.5560,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H04','E_WIND-ON_EX',0.4880,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H05','E_WIND-ON_EX',0.4478,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H06','E_WIND-ON_EX',0.3871,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H07','E_WIND-ON_EX',0.3535,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H08','E_WIND-ON_EX',0.3347,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H09','E_WIND-ON_EX',0.3119,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H10','E_WIND-ON_EX',0.2598,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H11','E_WIND-ON_EX',0.2342,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H12','E_WIND-ON_EX',0.2022,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H13','E_WIND-ON_EX',0.1897,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H14','E_WIND-ON_EX',0.2163,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H15','E_WIND-ON_EX',0.2543,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H16','E_WIND-ON_EX',0.2803,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H17','E_WIND-ON_EX',0.3130,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H18','E_WIND-ON_EX',0.2238,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H19','E_WIND-ON_EX',0.1935,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H20','E_WIND-ON_EX',0.1558,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H21','E_WIND-ON_EX',0.1132,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H22','E_WIND-ON_EX',0.0801,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H23','E_WIND-ON_EX',0.0634,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H00','E_WIND-ON-1',0.2761,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H01','E_WIND-ON-1',0.2841,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H02','E_WIND-ON-1',0.3280,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H03','E_WIND-ON-1',0.3216,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H04','E_WIND-ON-1',0.2769,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H05','E_WIND-ON-1',0.2490,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H06','E_WIND-ON-1',0.2258,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H07','E_WIND-ON-1',0.1804,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H08','E_WIND-ON-1',0.1077,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H09','E_WIND-ON-1',0.0918,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H10','E_WIND-ON-1',0.0942,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H11','E_WIND-ON-1',0.1029,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H12','E_WIND-ON-1',0.1101,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H13','E_WIND-ON-1',0.1149,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H14','E_WIND-ON-1',0.1684,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H15','E_WIND-ON-1',0.2562,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H16','E_WIND-ON-1',0.3160,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H17','E_WIND-ON-1',0.3855,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H18','E_WIND-ON-1',0.4413,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H19','E_WIND-ON-1',0.4852,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H20','E_WIND-ON-1',0.5099,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H21','E_WIND-ON-1',0.5331,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H22','E_WIND-ON-1',0.5554,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H23','E_WIND-ON-1',0.5762,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H00','E_WIND-ON-1',0.3647,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H01','E_WIND-ON-1',0.2993,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H02','E_WIND-ON-1',0.2139,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H03','E_WIND-ON-1',0.1628,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H04','E_WIND-ON-1',0.1269,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H05','E_WIND-ON-1',0.1029,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H06','E_WIND-ON-1',0.1125,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H07','E_WIND-ON-1',0.1101,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H08','E_WIND-ON-1',0.0958,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H09','E_WIND-ON-1',0.0790,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H10','E_WIND-ON-1',0.0910,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H11','E_WIND-ON-1',0.1037,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H12','E_WIND-ON-1',0.1907,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H13','E_WIND-ON-1',0.3320,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H14','E_WIND-ON-1',0.4541,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H15','E_WIND-ON-1',0.5666,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H16','E_WIND-ON-1',0.6472,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H17','E_WIND-ON-1',0.7031,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H18','E_WIND-ON-1',0.7174,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H19','E_WIND-ON-1',0.7198,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H20','E_WIND-ON-1',0.7174,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H21','E_WIND-ON-1',0.7111,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H22','E_WIND-ON-1',0.7039,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H23','E_WIND-ON-1',0.7031,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H00','E_WIND-ON-1',0.7182,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H01','E_WIND-ON-1',0.7158,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H02','E_WIND-ON-1',0.7095,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H03','E_WIND-ON-1',0.6967,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H04','E_WIND-ON-1',0.6863,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H05','E_WIND-ON-1',0.6648,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H06','E_WIND-ON-1',0.6273,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H07','E_WIND-ON-1',0.6161,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H08','E_WIND-ON-1',0.5913,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H09','E_WIND-ON-1',0.5522,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H10','E_WIND-ON-1',0.5020,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H11','E_WIND-ON-1',0.4996,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H12','E_WIND-ON-1',0.4732,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H13','E_WIND-ON-1',0.4190,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H14','E_WIND-ON-1',0.4852,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H15','E_WIND-ON-1',0.5618,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H16','E_WIND-ON-1',0.6392,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H17','E_WIND-ON-1',0.6177,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H18','E_WIND-ON-1',0.5666,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H19','E_WIND-ON-1',0.4820,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H20','E_WIND-ON-1',0.4118,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H21','E_WIND-ON-1',0.3224,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H22','E_WIND-ON-1',0.1987,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H23','E_WIND-ON-1',0.1157,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H00','E_WIND-ON-2',0.2837,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H01','E_WIND-ON-2',0.2454,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H02','E_WIND-ON-2',0.1717,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H03','E_WIND-ON-2',0.1148,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H04','E_WIND-ON-2',0.0691,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H05','E_WIND-ON-2',0.0317,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H06','E_WIND-ON-2',0.0093,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H07','E_WIND-ON-2',0.0065,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H08','E_WIND-ON-2',0.0252,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H09','E_WIND-ON-2',0.0915,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H10','E_WIND-ON-2',0.1904,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H11','E_WIND-ON-2',0.2678,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H12','E_WIND-ON-2',0.2576,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H13','E_WIND-ON-2',0.1437,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H14','E_WIND-ON-2',0.1092,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H15','E_WIND-ON-2',0.1801,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H16','E_WIND-ON-2',0.2333,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H17','E_WIND-ON-2',0.2529,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H18','E_WIND-ON-2',0.2305,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H19','E_WIND-ON-2',0.1820,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H20','E_WIND-ON-2',0.2585,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H21','E_WIND-ON-2',0.4302,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H22','E_WIND-ON-2',0.4022,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H23','E_WIND-ON-2',0.3752,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H00','E_WIND-ON-2',0.3584,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H01','E_WIND-ON-2',0.3808,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H02','E_WIND-ON-2',0.3294,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H03','E_WIND-ON-2',0.3360,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H04','E_WIND-ON-2',0.2884,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H05','E_WIND-ON-2',0.3705,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H06','E_WIND-ON-2',0.2856,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H07','E_WIND-ON-2',0.3164,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H08','E_WIND-ON-2',0.2632,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H09','E_WIND-ON-2',0.1783,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H10','E_WIND-ON-2',0.0840,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H11','E_WIND-ON-2',0.0644,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H12','E_WIND-ON-2',0.0765,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H13','E_WIND-ON-2',0.1428,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H14','E_WIND-ON-2',0.2436,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H15','E_WIND-ON-2',0.3322,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H16','E_WIND-ON-2',0.4536,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H17','E_WIND-ON-2',0.6001,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H18','E_WIND-ON-2',0.6785,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H19','E_WIND-ON-2',0.7167,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H20','E_WIND-ON-2',0.7615,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H21','E_WIND-ON-2',0.7849,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H22','E_WIND-ON-2',0.7839,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H23','E_WIND-ON-2',0.7662,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H00','E_WIND-ON-2',0.8269,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H01','E_WIND-ON-2',0.8213,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H02','E_WIND-ON-2',0.8026,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H03','E_WIND-ON-2',0.7569,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H04','E_WIND-ON-2',0.6869,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H05','E_WIND-ON-2',0.6384,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H06','E_WIND-ON-2',0.5581,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H07','E_WIND-ON-2',0.4974,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H08','E_WIND-ON-2',0.4778,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H09','E_WIND-ON-2',0.4722,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H10','E_WIND-ON-2',0.4181,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H11','E_WIND-ON-2',0.3332,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H12','E_WIND-ON-2',0.2342,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H13','E_WIND-ON-2',0.2436,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H14','E_WIND-ON-2',0.2809,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H15','E_WIND-ON-2',0.2809,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H16','E_WIND-ON-2',0.2202,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H17','E_WIND-ON-2',0.3873,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H18','E_WIND-ON-2',0.1279,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H19','E_WIND-ON-2',0.1419,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H20','E_WIND-ON-2',0.1493,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H21','E_WIND-ON-2',0.1092,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H22','E_WIND-ON-2',0.0943,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H23','E_WIND-ON-2',0.1260,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H00','E_WIND-ON-3',0.4101,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H01','E_WIND-ON-3',0.3480,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H02','E_WIND-ON-3',0.2737,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H03','E_WIND-ON-3',0.2182,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H04','E_WIND-ON-3',0.1693,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H05','E_WIND-ON-3',0.1307,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H06','E_WIND-ON-3',0.1251,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H07','E_WIND-ON-3',0.1402,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H08','E_WIND-ON-3',0.1618,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H09','E_WIND-ON-3',0.2013,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H10','E_WIND-ON-3',0.2154,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H11','E_WIND-ON-3',0.1975,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H12','E_WIND-ON-3',0.1853,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H13','E_WIND-ON-3',0.1505,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H14','E_WIND-ON-3',0.1721,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H15','E_WIND-ON-3',0.2822,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H16','E_WIND-ON-3',0.3311,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H17','E_WIND-ON-3',0.3687,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H18','E_WIND-ON-3',0.3988,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H19','E_WIND-ON-3',0.4252,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H20','E_WIND-ON-3',0.4731,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H21','E_WIND-ON-3',0.4844,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H22','E_WIND-ON-3',0.4506,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H23','E_WIND-ON-3',0.4393,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H00','E_WIND-ON-3',0.3593,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H01','E_WIND-ON-3',0.4035,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H02','E_WIND-ON-3',0.4139,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H03','E_WIND-ON-3',0.4016,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H04','E_WIND-ON-3',0.4035,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H05','E_WIND-ON-3',0.3866,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H06','E_WIND-ON-3',0.3311,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H07','E_WIND-ON-3',0.2511,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H08','E_WIND-ON-3',0.2032,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H09','E_WIND-ON-3',0.1213,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H10','E_WIND-ON-3',0.0480,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H11','E_WIND-ON-3',0.0226,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H12','E_WIND-ON-3',0.0207,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H13','E_WIND-ON-3',0.0414,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H14','E_WIND-ON-3',0.0875,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H15','E_WIND-ON-3',0.1768,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H16','E_WIND-ON-3',0.3245,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H17','E_WIND-ON-3',0.4665,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H18','E_WIND-ON-3',0.5926,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H19','E_WIND-ON-3',0.6913,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H20','E_WIND-ON-3',0.7657,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H21','E_WIND-ON-3',0.8146,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H22','E_WIND-ON-3',0.8193,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H23','E_WIND-ON-3',0.8146,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H00','E_WIND-ON-3',0.8560,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H01','E_WIND-ON-3',0.8550,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H02','E_WIND-ON-3',0.8522,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H03','E_WIND-ON-3',0.8437,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H04','E_WIND-ON-3',0.8221,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H05','E_WIND-ON-3',0.8033,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H06','E_WIND-ON-3',0.7478,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H07','E_WIND-ON-3',0.7102,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H08','E_WIND-ON-3',0.6688,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H09','E_WIND-ON-3',0.6340,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H10','E_WIND-ON-3',0.6011,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H11','E_WIND-ON-3',0.6020,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H12','E_WIND-ON-3',0.5437,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H13','E_WIND-ON-3',0.5211,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H14','E_WIND-ON-3',0.5390,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H15','E_WIND-ON-3',0.5775,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H16','E_WIND-ON-3',0.5785,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H17','E_WIND-ON-3',0.6791,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H18','E_WIND-ON-3',0.5559,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H19','E_WIND-ON-3',0.5108,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H20','E_WIND-ON-3',0.4534,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H21','E_WIND-ON-3',0.4063,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H22','E_WIND-ON-3',0.2935,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H23','E_WIND-ON-3',0.2154,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H00','E_WIND-ON-4',0.3355,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H01','E_WIND-ON-4',0.2763,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H02','E_WIND-ON-4',0.1999,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H03','E_WIND-ON-4',0.1527,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H04','E_WIND-ON-4',0.1216,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H05','E_WIND-ON-4',0.0814,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H06','E_WIND-ON-4',0.0452,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H07','E_WIND-ON-4',0.0251,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H08','E_WIND-ON-4',0.0181,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H09','E_WIND-ON-4',0.0231,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H10','E_WIND-ON-4',0.0462,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H11','E_WIND-ON-4',0.0794,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H12','E_WIND-ON-4',0.1175,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H13','E_WIND-ON-4',0.1256,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H14','E_WIND-ON-4',0.1256,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H15','E_WIND-ON-4',0.1668,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H16','E_WIND-ON-4',0.2080,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H17','E_WIND-ON-4',0.2441,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H18','E_WIND-ON-4',0.2471,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H19','E_WIND-ON-4',0.2140,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H20','E_WIND-ON-4',0.3205,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H21','E_WIND-ON-4',0.5033,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H22','E_WIND-ON-4',0.4883,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H23','E_WIND-ON-4',0.5073,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H00','E_WIND-ON-4',0.3305,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H01','E_WIND-ON-4',0.4179,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H02','E_WIND-ON-4',0.4260,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H03','E_WIND-ON-4',0.4280,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H04','E_WIND-ON-4',0.4511,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H05','E_WIND-ON-4',0.4451,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H06','E_WIND-ON-4',0.3848,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H07','E_WIND-ON-4',0.2964,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H08','E_WIND-ON-4',0.2100,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H09','E_WIND-ON-4',0.1768,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H10','E_WIND-ON-4',0.0824,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H11','E_WIND-ON-4',0.0442,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H12','E_WIND-ON-4',0.0422,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H13','E_WIND-ON-4',0.0532,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H14','E_WIND-ON-4',0.1256,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H15','E_WIND-ON-4',0.2090,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H16','E_WIND-ON-4',0.3416,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H17','E_WIND-ON-4',0.4662,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H18','E_WIND-ON-4',0.5144,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H19','E_WIND-ON-4',0.4370,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H20','E_WIND-ON-4',0.4370,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H21','E_WIND-ON-4',0.6078,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H22','E_WIND-ON-4',0.7696,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H23','E_WIND-ON-4',0.8228,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H00','E_WIND-ON-4',0.9112,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H01','E_WIND-ON-4',0.9102,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H02','E_WIND-ON-4',0.9052,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H03','E_WIND-ON-4',0.8921,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H04','E_WIND-ON-4',0.8549,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H05','E_WIND-ON-4',0.8288,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H06','E_WIND-ON-4',0.7665,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H07','E_WIND-ON-4',0.7032,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H08','E_WIND-ON-4',0.6540,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H09','E_WIND-ON-4',0.6359,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H10','E_WIND-ON-4',0.5998,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H11','E_WIND-ON-4',0.5897,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H12','E_WIND-ON-4',0.5174,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H13','E_WIND-ON-4',0.4772,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H14','E_WIND-ON-4',0.4953,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H15','E_WIND-ON-4',0.4973,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H16','E_WIND-ON-4',0.4280,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H17','E_WIND-ON-4',0.5073,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H18','E_WIND-ON-4',0.3225,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H19','E_WIND-ON-4',0.2250,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H20','E_WIND-ON-4',0.2863,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H21','E_WIND-ON-4',0.2049,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H22','E_WIND-ON-4',0.1617,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H23','E_WIND-ON-4',0.1678,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H00','E_WIND-OFF',0.3862,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H01','E_WIND-OFF',0.3499,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H02','E_WIND-OFF',0.3468,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H03','E_WIND-OFF',0.2735,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H04','E_WIND-OFF',0.1908,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H05','E_WIND-OFF',0.1329,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H06','E_WIND-OFF',0.1035,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H07','E_WIND-OFF',0.0680,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H08','E_WIND-OFF',0.0154,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H09','E_WIND-OFF',0.0008,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H10','E_WIND-OFF',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H11','E_WIND-OFF',0.0039,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H12','E_WIND-OFF',0.0124,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H13','E_WIND-OFF',0.0185,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H14','E_WIND-OFF',0.0294,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H15','E_WIND-OFF',0.0471,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H16','E_WIND-OFF',0.0904,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H17','E_WIND-OFF',0.1831,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H18','E_WIND-OFF',0.2711,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H19','E_WIND-OFF',0.3183,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H20','E_WIND-OFF',0.3716,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H21','E_WIND-OFF',0.4272,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H22','E_WIND-OFF',0.4689,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H23','E_WIND-OFF',0.5037,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H00','E_WIND-OFF',0.3978,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H01','E_WIND-OFF',0.3754,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H02','E_WIND-OFF',0.3183,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H03','E_WIND-OFF',0.2580,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H04','E_WIND-OFF',0.2147,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H05','E_WIND-OFF',0.1947,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H06','E_WIND-OFF',0.1769,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H07','E_WIND-OFF',0.1421,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H08','E_WIND-OFF',0.1383,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H09','E_WIND-OFF',0.0788,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H10','E_WIND-OFF',0.0131,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H11','E_WIND-OFF',0.0008,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H12','E_WIND-OFF',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H13','E_WIND-OFF',0.0046,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H14','E_WIND-OFF',0.0386,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H15','E_WIND-OFF',0.1699,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H16','E_WIND-OFF',0.3662,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H17','E_WIND-OFF',0.6520,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H18','E_WIND-OFF',0.7339,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H19','E_WIND-OFF',0.7516,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H20','E_WIND-OFF',0.7570,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H21','E_WIND-OFF',0.7563,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H22','E_WIND-OFF',0.7563,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H23','E_WIND-OFF',0.7563,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H00','E_WIND-OFF',0.7586,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H01','E_WIND-OFF',0.7578,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H02','E_WIND-OFF',0.7601,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H03','E_WIND-OFF',0.7632,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H04','E_WIND-OFF',0.7624,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H05','E_WIND-OFF',0.7609,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H06','E_WIND-OFF',0.7501,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H07','E_WIND-OFF',0.7385,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H08','E_WIND-OFF',0.7339,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H09','E_WIND-OFF',0.7230,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H10','E_WIND-OFF',0.7030,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H11','E_WIND-OFF',0.6952,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H12','E_WIND-OFF',0.6914,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H13','E_WIND-OFF',0.6968,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H14','E_WIND-OFF',0.7277,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H15','E_WIND-OFF',0.7485,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H16','E_WIND-OFF',0.7524,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H17','E_WIND-OFF',0.7532,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H18','E_WIND-OFF',0.7346,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H19','E_WIND-OFF',0.6929,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H20','E_WIND-OFF',0.5964,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H21','E_WIND-OFF',0.5152,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H22','E_WIND-OFF',0.4411,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H23','E_WIND-OFF',0.3422,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H00','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H01','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H02','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H03','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H04','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H05','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H06','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H07','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H08','E_SOLPV-CEN',0.0065,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H09','E_SOLPV-CEN',0.0946,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H10','E_SOLPV-CEN',0.2761,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H11','E_SOLPV-CEN',0.0493,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H12','E_SOLPV-CEN',0.0881,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H13','E_SOLPV-CEN',0.0368,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H14','E_SOLPV-CEN',0.0177,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H15','E_SOLPV-CEN',0.0242,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H16','E_SOLPV-CEN',0.0023,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H17','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H18','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H19','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H20','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H21','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H22','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H23','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H00','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H01','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H02','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H03','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H04','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H05','E_SOLPV-CEN',0.0855,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H06','E_SOLPV-CEN',0.1335,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H07','E_SOLPV-CEN',0.1090,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H08','E_SOLPV-CEN',0.3872,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H09','E_SOLPV-CEN',0.3510,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H10','E_SOLPV-CEN',0.2985,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H11','E_SOLPV-CEN',0.6187,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H12','E_SOLPV-CEN',0.5290,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H13','E_SOLPV-CEN',0.6838,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H14','E_SOLPV-CEN',0.6838,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H15','E_SOLPV-CEN',0.6739,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H16','E_SOLPV-CEN',0.6098,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H17','E_SOLPV-CEN',0.3712,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H18','E_SOLPV-CEN',0.3003,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H19','E_SOLPV-CEN',0.0543,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H20','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H21','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H22','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H23','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H00','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H01','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H02','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H03','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H04','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H05','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H06','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H07','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H08','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H09','E_SOLPV-CEN',0.0032,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H10','E_SOLPV-CEN',0.1784,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H11','E_SOLPV-CEN',0.4414,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H12','E_SOLPV-CEN',0.1066,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H13','E_SOLPV-CEN',0.0967,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H14','E_SOLPV-CEN',0.0415,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H15','E_SOLPV-CEN',0.1103,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H16','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H17','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H18','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H19','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H20','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H21','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H22','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H23','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H00','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H01','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H02','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H03','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H04','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H05','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H06','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H07','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H08','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H09','E_SOLPV-RES',0.0043,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H10','E_SOLPV-RES',0.0504,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H11','E_SOLPV-RES',0.0894,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H12','E_SOLPV-RES',0.0702,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H13','E_SOLPV-RES',0.1371,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H14','E_SOLPV-RES',0.1895,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H15','E_SOLPV-RES',0.0881,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H16','E_SOLPV-RES',0.0137,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H17','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H18','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H19','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H20','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H21','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H22','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H23','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H00','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H01','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H02','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H03','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H04','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H05','E_SOLPV-RES',0.0143,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H06','E_SOLPV-RES',0.0656,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H07','E_SOLPV-RES',0.2076,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H08','E_SOLPV-RES',0.3325,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H09','E_SOLPV-RES',0.4290,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H10','E_SOLPV-RES',0.4929,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H11','E_SOLPV-RES',0.5257,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H12','E_SOLPV-RES',0.5321,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H13','E_SOLPV-RES',0.5095,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H14','E_SOLPV-RES',0.4607,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H15','E_SOLPV-RES',0.3827,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H16','E_SOLPV-RES',0.2718,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H17','E_SOLPV-RES',0.1381,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H18','E_SOLPV-RES',0.0295,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H19','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H20','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H21','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H22','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H23','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H00','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H01','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H02','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H03','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H04','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H05','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H06','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H07','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H08','E_SOLPV-RES',0.0297,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H09','E_SOLPV-RES',0.1122,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H10','E_SOLPV-RES',0.1694,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H11','E_SOLPV-RES',0.2127,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H12','E_SOLPV-RES',0.1870,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H13','E_SOLPV-RES',0.1514,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H14','E_SOLPV-RES',0.1093,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H15','E_SOLPV-RES',0.0499,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H16','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H17','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H18','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H19','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H20','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H21','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H22','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H23','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H00','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H01','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H02','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H03','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H04','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H05','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H06','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H07','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H08','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H09','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H10','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H11','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H12','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H13','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H14','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H15','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H16','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H17','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H18','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H19','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H20','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H21','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H22','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H23','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H00','IMP_ELC-QC',0.5438,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H01','IMP_ELC-QC',0.2344,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H02','IMP_ELC-QC',0.5764,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H03','IMP_ELC-QC',0.2646,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H04','IMP_ELC-QC',0.1849,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H05','IMP_ELC-QC',0.2417,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H06','IMP_ELC-QC',0.5293,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H07','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H08','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H09','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H10','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H11','IMP_ELC-QC',0.8000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H12','IMP_ELC-QC',0.7081,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H13','IMP_ELC-QC',0.5716,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H14','IMP_ELC-QC',0.5716,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H15','IMP_ELC-QC',0.5716,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H16','IMP_ELC-QC',0.5655,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H17','IMP_ELC-QC',0.5160,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H18','IMP_ELC-QC',0.5716,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H19','IMP_ELC-QC',0.5305,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H20','IMP_ELC-QC',0.4507,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H21','IMP_ELC-QC',0.3843,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H22','IMP_ELC-QC',0.3238,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H23','IMP_ELC-QC',0.2634,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H00','IMP_ELC-QC',0.9268,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H01','IMP_ELC-QC',0.9329,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H02','IMP_ELC-QC',0.8592,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H03','IMP_ELC-QC',0.9800,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H04','IMP_ELC-QC',0.9788,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H05','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H06','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H07','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H08','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H09','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H10','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H11','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H12','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H13','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H14','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H15','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H16','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H17','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H18','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H19','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H20','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H21','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H22','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H23','IMP_ELC-QC',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H00','IMP_ELC-USA',0.0267,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H01','IMP_ELC-USA',0.0267,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H02','IMP_ELC-USA',0.0322,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H03','IMP_ELC-USA',0.0736,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H04','IMP_ELC-USA',0.1141,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H05','IMP_ELC-USA',0.1251,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H06','IMP_ELC-USA',0.1085,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H07','IMP_ELC-USA',0.1407,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H08','IMP_ELC-USA',0.1509,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H09','IMP_ELC-USA',0.1472,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H10','IMP_ELC-USA',0.1453,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H11','IMP_ELC-USA',0.0938,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H12','IMP_ELC-USA',0.1122,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H13','IMP_ELC-USA',0.0055,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H14','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H15','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H16','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H17','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H18','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H19','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H20','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H21','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H22','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','01-18','H23','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H00','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H01','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H02','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H03','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H04','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H05','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H06','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H07','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H08','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H09','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H10','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H11','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H12','IMP_ELC-USA',0.0120,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H13','IMP_ELC-USA',0.0359,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H14','IMP_ELC-USA',0.0092,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H15','IMP_ELC-USA',0.0497,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H16','IMP_ELC-USA',0.0497,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H17','IMP_ELC-USA',0.0239,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H18','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H19','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H20','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H21','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H22','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','05-11','H23','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H00','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H01','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H02','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H03','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H04','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H05','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H06','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H07','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H08','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H09','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H10','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H11','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H12','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H13','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H14','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H15','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H16','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H17','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H18','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H19','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H20','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H21','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H22','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NB','12-17','H23','IMP_ELC-USA',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H00','E_WIND-ON_EX',0.0771,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H01','E_WIND-ON_EX',0.0604,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H02','E_WIND-ON_EX',0.0470,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H03','E_WIND-ON_EX',0.0378,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H04','E_WIND-ON_EX',0.0304,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H05','E_WIND-ON_EX',0.0250,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H06','E_WIND-ON_EX',0.0251,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H07','E_WIND-ON_EX',0.0306,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H08','E_WIND-ON_EX',0.0414,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H09','E_WIND-ON_EX',0.0509,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H10','E_WIND-ON_EX',0.0658,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H11','E_WIND-ON_EX',0.0845,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H12','E_WIND-ON_EX',0.0988,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H13','E_WIND-ON_EX',0.1045,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H14','E_WIND-ON_EX',0.1032,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H15','E_WIND-ON_EX',0.1075,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H16','E_WIND-ON_EX',0.1916,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H17','E_WIND-ON_EX',0.3011,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H18','E_WIND-ON_EX',0.3287,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H19','E_WIND-ON_EX',0.3233,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H20','E_WIND-ON_EX',0.3345,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H21','E_WIND-ON_EX',0.3122,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H22','E_WIND-ON_EX',0.2702,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H23','E_WIND-ON_EX',0.2249,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H00','E_WIND-ON_EX',0.3062,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H01','E_WIND-ON_EX',0.3314,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H02','E_WIND-ON_EX',0.3211,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H03','E_WIND-ON_EX',0.3055,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H04','E_WIND-ON_EX',0.2386,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H05','E_WIND-ON_EX',0.1731,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H06','E_WIND-ON_EX',0.1298,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H07','E_WIND-ON_EX',0.1028,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H08','E_WIND-ON_EX',0.1025,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H09','E_WIND-ON_EX',0.1199,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H10','E_WIND-ON_EX',0.1579,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H11','E_WIND-ON_EX',0.2107,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H12','E_WIND-ON_EX',0.2646,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H13','E_WIND-ON_EX',0.3285,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H14','E_WIND-ON_EX',0.3757,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H15','E_WIND-ON_EX',0.4074,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H16','E_WIND-ON_EX',0.3898,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H17','E_WIND-ON_EX',0.4271,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H18','E_WIND-ON_EX',0.5161,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H19','E_WIND-ON_EX',0.6068,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H20','E_WIND-ON_EX',0.6461,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H21','E_WIND-ON_EX',0.7053,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H22','E_WIND-ON_EX',0.6769,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H23','E_WIND-ON_EX',0.6414,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H00','E_WIND-ON_EX',0.8281,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H01','E_WIND-ON_EX',0.7819,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H02','E_WIND-ON_EX',0.7155,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H03','E_WIND-ON_EX',0.6610,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H04','E_WIND-ON_EX',0.6035,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H05','E_WIND-ON_EX',0.5442,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H06','E_WIND-ON_EX',0.4805,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H07','E_WIND-ON_EX',0.4280,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H08','E_WIND-ON_EX',0.3652,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H09','E_WIND-ON_EX',0.3577,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H10','E_WIND-ON_EX',0.3607,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H11','E_WIND-ON_EX',0.3408,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H12','E_WIND-ON_EX',0.3037,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H13','E_WIND-ON_EX',0.2764,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H14','E_WIND-ON_EX',0.2562,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H15','E_WIND-ON_EX',0.1644,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H16','E_WIND-ON_EX',0.1808,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H17','E_WIND-ON_EX',0.1552,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H18','E_WIND-ON_EX',0.1333,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H19','E_WIND-ON_EX',0.1394,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H20','E_WIND-ON_EX',0.1283,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H21','E_WIND-ON_EX',0.1114,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H22','E_WIND-ON_EX',0.1133,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H23','E_WIND-ON_EX',0.1224,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H00','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H01','E_WIND-ON-1',0.9758,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H02','E_WIND-ON-1',0.9204,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H03','E_WIND-ON-1',0.8883,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H04','E_WIND-ON-1',0.8785,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H05','E_WIND-ON-1',0.8662,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H06','E_WIND-ON-1',0.8378,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H07','E_WIND-ON-1',0.8033,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H08','E_WIND-ON-1',0.7491,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H09','E_WIND-ON-1',0.6444,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H10','E_WIND-ON-1',0.4904,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H11','E_WIND-ON-1',0.3265,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H12','E_WIND-ON-1',0.2021,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H13','E_WIND-ON-1',0.1417,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H14','E_WIND-ON-1',0.1405,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H15','E_WIND-ON-1',0.2107,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H16','E_WIND-ON-1',0.2883,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H17','E_WIND-ON-1',0.3339,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H18','E_WIND-ON-1',0.3709,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H19','E_WIND-ON-1',0.4201,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H20','E_WIND-ON-1',0.5163,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H21','E_WIND-ON-1',0.6690,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H22','E_WIND-ON-1',0.8009,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H23','E_WIND-ON-1',0.8834,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H00','E_WIND-ON-1',0.0813,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H01','E_WIND-ON-1',0.1195,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H02','E_WIND-ON-1',0.1787,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H03','E_WIND-ON-1',0.2526,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H04','E_WIND-ON-1',0.2994,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H05','E_WIND-ON-1',0.2624,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H06','E_WIND-ON-1',0.2304,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H07','E_WIND-ON-1',0.2501,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H08','E_WIND-ON-1',0.3130,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H09','E_WIND-ON-1',0.4374,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H10','E_WIND-ON-1',0.5902,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H11','E_WIND-ON-1',0.6715,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H12','E_WIND-ON-1',0.7171,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H13','E_WIND-ON-1',0.7787,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H14','E_WIND-ON-1',0.8070,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H15','E_WIND-ON-1',0.7725,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H16','E_WIND-ON-1',0.6752,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H17','E_WIND-ON-1',0.5163,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H18','E_WIND-ON-1',0.3351,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H19','E_WIND-ON-1',0.1910,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H20','E_WIND-ON-1',0.1146,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H21','E_WIND-ON-1',0.2279,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H22','E_WIND-ON-1',0.5310,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H23','E_WIND-ON-1',0.7122,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H00','E_WIND-ON-1',0.3746,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H01','E_WIND-ON-1',0.3955,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H02','E_WIND-ON-1',0.3881,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H03','E_WIND-ON-1',0.3807,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H04','E_WIND-ON-1',0.4386,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H05','E_WIND-ON-1',0.6432,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H06','E_WIND-ON-1',0.7146,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H07','E_WIND-ON-1',0.8538,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H08','E_WIND-ON-1',0.9426,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H09','E_WIND-ON-1',0.9672,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H10','E_WIND-ON-1',0.9894,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H11','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H12','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H13','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H14','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H15','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H16','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H17','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H18','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H19','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H20','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H21','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H22','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H23','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H00','E_WIND-ON-2',0.5602,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H01','E_WIND-ON-2',0.4773,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H02','E_WIND-ON-2',0.3795,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H03','E_WIND-ON-2',0.2977,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H04','E_WIND-ON-2',0.2211,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H05','E_WIND-ON-2',0.1563,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H06','E_WIND-ON-2',0.1063,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H07','E_WIND-ON-2',0.0702,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H08','E_WIND-ON-2',0.0330,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H09','E_WIND-ON-2',0.0074,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H10','E_WIND-ON-2',0.0011,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H11','E_WIND-ON-2',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H12','E_WIND-ON-2',0.0064,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H13','E_WIND-ON-2',0.0340,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H14','E_WIND-ON-2',0.0936,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H15','E_WIND-ON-2',0.1371,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H16','E_WIND-ON-2',0.1435,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H17','E_WIND-ON-2',0.1488,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H18','E_WIND-ON-2',0.1499,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H19','E_WIND-ON-2',0.1967,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H20','E_WIND-ON-2',0.3136,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H21','E_WIND-ON-2',0.4688,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H22','E_WIND-ON-2',0.5815,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H23','E_WIND-ON-2',0.6134,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H00','E_WIND-ON-2',0.3189,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H01','E_WIND-ON-2',0.2828,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H02','E_WIND-ON-2',0.2605,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H03','E_WIND-ON-2',0.2434,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H04','E_WIND-ON-2',0.2222,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H05','E_WIND-ON-2',0.2583,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H06','E_WIND-ON-2',0.3168,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H07','E_WIND-ON-2',0.3827,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H08','E_WIND-ON-2',0.4624,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H09','E_WIND-ON-2',0.4922,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H10','E_WIND-ON-2',0.4858,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H11','E_WIND-ON-2',0.5039,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H12','E_WIND-ON-2',0.4125,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H13','E_WIND-ON-2',0.3189,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H14','E_WIND-ON-2',0.2466,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H15','E_WIND-ON-2',0.1743,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H16','E_WIND-ON-2',0.0872,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H17','E_WIND-ON-2',0.0478,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H18','E_WIND-ON-2',0.0617,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H19','E_WIND-ON-2',0.1371,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H20','E_WIND-ON-2',0.2945,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H21','E_WIND-ON-2',0.5645,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H22','E_WIND-ON-2',0.6804,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H23','E_WIND-ON-2',0.6910,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H00','E_WIND-ON-2',0.9653,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H01','E_WIND-ON-2',0.9642,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H02','E_WIND-ON-2',0.9653,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H03','E_WIND-ON-2',0.9663,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H04','E_WIND-ON-2',0.9674,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H05','E_WIND-ON-2',0.9653,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H06','E_WIND-ON-2',0.9610,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H07','E_WIND-ON-2',0.9525,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H08','E_WIND-ON-2',0.9419,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H09','E_WIND-ON-2',0.9249,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H10','E_WIND-ON-2',0.9111,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H11','E_WIND-ON-2',0.8951,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H12','E_WIND-ON-2',0.8855,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H13','E_WIND-ON-2',0.8685,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H14','E_WIND-ON-2',0.8568,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H15','E_WIND-ON-2',0.8526,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H16','E_WIND-ON-2',0.8228,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H17','E_WIND-ON-2',0.7527,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H18','E_WIND-ON-2',0.7463,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H19','E_WIND-ON-2',0.6251,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H20','E_WIND-ON-2',0.5071,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H21','E_WIND-ON-2',0.4911,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H22','E_WIND-ON-2',0.3094,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H23','E_WIND-ON-2',0.2668,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H00','E_WIND-ON-3',0.2516,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H01','E_WIND-ON-3',0.2032,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H02','E_WIND-ON-3',0.1312,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H03','E_WIND-ON-3',0.0839,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H04','E_WIND-ON-3',0.0645,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H05','E_WIND-ON-3',0.0430,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H06','E_WIND-ON-3',0.0172,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H07','E_WIND-ON-3',0.0043,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H08','E_WIND-ON-3',0.0011,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H09','E_WIND-ON-3',0.0032,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H10','E_WIND-ON-3',0.0172,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H11','E_WIND-ON-3',0.0419,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H12','E_WIND-ON-3',0.0742,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H13','E_WIND-ON-3',0.0882,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H14','E_WIND-ON-3',0.0968,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H15','E_WIND-ON-3',0.1279,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H16','E_WIND-ON-3',0.1699,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H17','E_WIND-ON-3',0.1914,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H18','E_WIND-ON-3',0.1699,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H19','E_WIND-ON-3',0.1333,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H20','E_WIND-ON-3',0.3043,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H21','E_WIND-ON-3',0.4741,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H22','E_WIND-ON-3',0.4924,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H23','E_WIND-ON-3',0.5117,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H00','E_WIND-ON-3',0.3612,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H01','E_WIND-ON-3',0.3849,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H02','E_WIND-ON-3',0.3322,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H03','E_WIND-ON-3',0.3892,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H04','E_WIND-ON-3',0.4386,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H05','E_WIND-ON-3',0.4967,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H06','E_WIND-ON-3',0.4397,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H07','E_WIND-ON-3',0.4870,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H08','E_WIND-ON-3',0.3838,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H09','E_WIND-ON-3',0.2537,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H10','E_WIND-ON-3',0.1258,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H11','E_WIND-ON-3',0.0548,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H12','E_WIND-ON-3',0.0441,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H13','E_WIND-ON-3',0.0462,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H14','E_WIND-ON-3',0.0978,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H15','E_WIND-ON-3',0.1742,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H16','E_WIND-ON-3',0.2763,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H17','E_WIND-ON-3',0.4096,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H18','E_WIND-ON-3',0.4806,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H19','E_WIND-ON-3',0.4752,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H20','E_WIND-ON-3',0.4290,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H21','E_WIND-ON-3',0.4451,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H22','E_WIND-ON-3',0.5935,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H23','E_WIND-ON-3',0.7794,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H00','E_WIND-ON-3',0.9665,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H01','E_WIND-ON-3',0.9665,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H02','E_WIND-ON-3',0.9579,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H03','E_WIND-ON-3',0.9396,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H04','E_WIND-ON-3',0.9020,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H05','E_WIND-ON-3',0.8708,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H06','E_WIND-ON-3',0.8267,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H07','E_WIND-ON-3',0.7655,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H08','E_WIND-ON-3',0.6988,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H09','E_WIND-ON-3',0.6451,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H10','E_WIND-ON-3',0.5805,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H11','E_WIND-ON-3',0.5440,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H12','E_WIND-ON-3',0.4343,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H13','E_WIND-ON-3',0.4483,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H14','E_WIND-ON-3',0.5053,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H15','E_WIND-ON-3',0.4773,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H16','E_WIND-ON-3',0.3978,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H17','E_WIND-ON-3',0.3752,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H18','E_WIND-ON-3',0.2946,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H19','E_WIND-ON-3',0.1322,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H20','E_WIND-ON-3',0.2376,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H21','E_WIND-ON-3',0.1570,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H22','E_WIND-ON-3',0.1505,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H23','E_WIND-ON-3',0.1881,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H00','E_WIND-ON-4',0.4199,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H01','E_WIND-ON-4',0.3525,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H02','E_WIND-ON-4',0.2619,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H03','E_WIND-ON-4',0.1923,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H04','E_WIND-ON-4',0.1558,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H05','E_WIND-ON-4',0.1182,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H06','E_WIND-ON-4',0.0818,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H07','E_WIND-ON-4',0.0464,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H08','E_WIND-ON-4',0.0155,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H09','E_WIND-ON-4',0.0033,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H10','E_WIND-ON-4',0.0011,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H11','E_WIND-ON-4',0.0066,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H12','E_WIND-ON-4',0.0287,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H13','E_WIND-ON-4',0.0608,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H14','E_WIND-ON-4',0.1138,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H15','E_WIND-ON-4',0.1525,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H16','E_WIND-ON-4',0.1613,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H17','E_WIND-ON-4',0.1547,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H18','E_WIND-ON-4',0.1326,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H19','E_WIND-ON-4',0.1646,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H20','E_WIND-ON-4',0.3094,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H21','E_WIND-ON-4',0.4398,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H22','E_WIND-ON-4',0.5006,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H23','E_WIND-ON-4',0.5238,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H00','E_WIND-ON-4',0.3193,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H01','E_WIND-ON-4',0.2895,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H02','E_WIND-ON-4',0.2696,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H03','E_WIND-ON-4',0.2663,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H04','E_WIND-ON-4',0.2818,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H05','E_WIND-ON-4',0.3790,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H06','E_WIND-ON-4',0.4531,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H07','E_WIND-ON-4',0.5149,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H08','E_WIND-ON-4',0.4851,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H09','E_WIND-ON-4',0.3801,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H10','E_WIND-ON-4',0.3381,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H11','E_WIND-ON-4',0.1967,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H12','E_WIND-ON-4',0.1105,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H13','E_WIND-ON-4',0.0829,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H14','E_WIND-ON-4',0.0575,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H15','E_WIND-ON-4',0.0530,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H16','E_WIND-ON-4',0.0586,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H17','E_WIND-ON-4',0.1171,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H18','E_WIND-ON-4',0.2122,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H19','E_WIND-ON-4',0.3514,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H20','E_WIND-ON-4',0.4973,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H21','E_WIND-ON-4',0.5547,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H22','E_WIND-ON-4',0.5006,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H23','E_WIND-ON-4',0.5017,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H00','E_WIND-ON-4',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H01','E_WIND-ON-4',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H02','E_WIND-ON-4',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H03','E_WIND-ON-4',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H04','E_WIND-ON-4',0.9956,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H05','E_WIND-ON-4',0.9823,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H06','E_WIND-ON-4',0.9680,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H07','E_WIND-ON-4',0.9470,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H08','E_WIND-ON-4',0.9249,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H09','E_WIND-ON-4',0.8829,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H10','E_WIND-ON-4',0.8531,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H11','E_WIND-ON-4',0.8177,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H12','E_WIND-ON-4',0.7757,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H13','E_WIND-ON-4',0.7647,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H14','E_WIND-ON-4',0.7746,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H15','E_WIND-ON-4',0.7647,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H16','E_WIND-ON-4',0.7138,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H17','E_WIND-ON-4',0.6166,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H18','E_WIND-ON-4',0.6431,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H19','E_WIND-ON-4',0.3414,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H20','E_WIND-ON-4',0.3978,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H21','E_WIND-ON-4',0.3006,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H22','E_WIND-ON-4',0.2210,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H23','E_WIND-ON-4',0.2088,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H00','E_WIND-OFF',0.5529,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H01','E_WIND-OFF',0.4906,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H02','E_WIND-OFF',0.4264,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H03','E_WIND-OFF',0.3407,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H04','E_WIND-OFF',0.2161,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H05','E_WIND-OFF',0.0847,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H06','E_WIND-OFF',0.0185,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H07','E_WIND-OFF',0.0019,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H08','E_WIND-OFF',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H09','E_WIND-OFF',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H10','E_WIND-OFF',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H11','E_WIND-OFF',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H12','E_WIND-OFF',0.0136,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H13','E_WIND-OFF',0.1051,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H14','E_WIND-OFF',0.2336,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H15','E_WIND-OFF',0.3300,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H16','E_WIND-OFF',0.3407,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H17','E_WIND-OFF',0.2891,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H18','E_WIND-OFF',0.2365,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H19','E_WIND-OFF',0.2239,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H20','E_WIND-OFF',0.3105,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H21','E_WIND-OFF',0.4935,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H22','E_WIND-OFF',0.6687,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H23','E_WIND-OFF',0.7651,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H00','E_WIND-OFF',0.0389,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H01','E_WIND-OFF',0.1003,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H02','E_WIND-OFF',0.1587,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H03','E_WIND-OFF',0.1898,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H04','E_WIND-OFF',0.2258,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H05','E_WIND-OFF',0.2920,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H06','E_WIND-OFF',0.3952,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H07','E_WIND-OFF',0.4312,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H08','E_WIND-OFF',0.5013,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H09','E_WIND-OFF',0.6473,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H10','E_WIND-OFF',0.7622,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H11','E_WIND-OFF',0.8391,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H12','E_WIND-OFF',0.8430,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H13','E_WIND-OFF',0.8050,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H14','E_WIND-OFF',0.7739,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H15','E_WIND-OFF',0.7495,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H16','E_WIND-OFF',0.6619,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H17','E_WIND-OFF',0.5938,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H18','E_WIND-OFF',0.6415,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H19','E_WIND-OFF',0.6775,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H20','E_WIND-OFF',0.6950,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H21','E_WIND-OFF',0.7330,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H22','E_WIND-OFF',0.7661,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H23','E_WIND-OFF',0.8060,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H00','E_WIND-OFF',0.7729,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H01','E_WIND-OFF',0.7924,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H02','E_WIND-OFF',0.8206,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H03','E_WIND-OFF',0.8605,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H04','E_WIND-OFF',0.8868,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H05','E_WIND-OFF',0.9150,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H06','E_WIND-OFF',0.9364,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H07','E_WIND-OFF',0.9559,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H08','E_WIND-OFF',0.9588,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H09','E_WIND-OFF',0.9617,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H10','E_WIND-OFF',0.9617,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H11','E_WIND-OFF',0.9588,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H12','E_WIND-OFF',0.9510,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H13','E_WIND-OFF',0.9325,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H14','E_WIND-OFF',0.9189,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H15','E_WIND-OFF',0.9150,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H16','E_WIND-OFF',0.8916,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H17','E_WIND-OFF',0.8478,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H18','E_WIND-OFF',0.7495,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H19','E_WIND-OFF',0.6940,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H20','E_WIND-OFF',0.6113,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H21','E_WIND-OFF',0.4380,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H22','E_WIND-OFF',0.2073,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H23','E_WIND-OFF',0.1898,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H00','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H01','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H02','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H03','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H04','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H05','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H06','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H07','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H08','E_SOLPV-CEN',0.1022,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H09','E_SOLPV-CEN',0.2131,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H10','E_SOLPV-CEN',0.1589,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H11','E_SOLPV-CEN',0.1172,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H12','E_SOLPV-CEN',0.1485,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H13','E_SOLPV-CEN',0.1189,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H14','E_SOLPV-CEN',0.0829,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H15','E_SOLPV-CEN',0.0444,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H16','E_SOLPV-CEN',0.0073,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H17','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H18','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H19','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H20','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H21','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H22','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H23','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H00','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H01','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H02','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H03','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H04','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H05','E_SOLPV-CEN',0.0287,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H06','E_SOLPV-CEN',0.1143,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H07','E_SOLPV-CEN',0.1922,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H08','E_SOLPV-CEN',0.2701,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H09','E_SOLPV-CEN',0.4226,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H10','E_SOLPV-CEN',0.5479,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H11','E_SOLPV-CEN',0.5199,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H12','E_SOLPV-CEN',0.6219,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H13','E_SOLPV-CEN',0.7466,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H14','E_SOLPV-CEN',0.7270,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H15','E_SOLPV-CEN',0.1105,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H16','E_SOLPV-CEN',0.3932,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H17','E_SOLPV-CEN',0.0770,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H18','E_SOLPV-CEN',0.0821,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H19','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H20','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H21','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H22','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H23','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H00','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H01','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H02','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H03','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H04','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H05','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H06','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H07','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H08','E_SOLPV-CEN',0.2024,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H09','E_SOLPV-CEN',0.4112,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H10','E_SOLPV-CEN',0.5321,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H11','E_SOLPV-CEN',0.1722,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H12','E_SOLPV-CEN',0.2827,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H13','E_SOLPV-CEN',0.2759,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H14','E_SOLPV-CEN',0.1302,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H15','E_SOLPV-CEN',0.0670,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H16','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H17','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H18','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H19','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H20','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H21','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H22','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H23','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H00','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H01','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H02','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H03','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H04','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H05','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H06','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H07','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H08','E_SOLPV-RES',0.2640,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H09','E_SOLPV-RES',0.1765,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H10','E_SOLPV-RES',0.1482,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H11','E_SOLPV-RES',0.0896,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H12','E_SOLPV-RES',0.0730,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H13','E_SOLPV-RES',0.0641,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H14','E_SOLPV-RES',0.0313,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H15','E_SOLPV-RES',0.0446,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H16','E_SOLPV-RES',0.0031,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H17','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H18','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H19','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H20','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H21','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H22','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','01-18','H23','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H00','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H01','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H02','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H03','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H04','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H05','E_SOLPV-RES',0.0322,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H06','E_SOLPV-RES',0.0016,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H07','E_SOLPV-RES',0.0250,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H08','E_SOLPV-RES',0.1806,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H09','E_SOLPV-RES',0.3601,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H10','E_SOLPV-RES',0.3386,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H11','E_SOLPV-RES',0.2813,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H12','E_SOLPV-RES',0.2897,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H13','E_SOLPV-RES',0.1155,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H14','E_SOLPV-RES',0.2728,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H15','E_SOLPV-RES',0.3953,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H16','E_SOLPV-RES',0.2573,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H17','E_SOLPV-RES',0.0910,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H18','E_SOLPV-RES',0.0692,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H19','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H20','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H21','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H22','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','05-11','H23','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H00','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H01','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H02','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H03','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H04','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H05','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H06','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H07','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H08','E_SOLPV-RES',0.0395,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H09','E_SOLPV-RES',0.3000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H10','E_SOLPV-RES',0.6349,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H11','E_SOLPV-RES',0.9539,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H12','E_SOLPV-RES',0.9638,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H13','E_SOLPV-RES',0.8731,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H14','E_SOLPV-RES',0.6855,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H15','E_SOLPV-RES',0.3836,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H16','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H17','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H18','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H19','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H20','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H21','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H22','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NS','12-17','H23','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H00','E_WIND-ON_EX',0.3308,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H01','E_WIND-ON_EX',0.2853,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H02','E_WIND-ON_EX',0.2351,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H03','E_WIND-ON_EX',0.2001,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H04','E_WIND-ON_EX',0.1749,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H05','E_WIND-ON_EX',0.1426,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H06','E_WIND-ON_EX',0.1144,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H07','E_WIND-ON_EX',0.0963,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H08','E_WIND-ON_EX',0.0788,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H09','E_WIND-ON_EX',0.0646,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H10','E_WIND-ON_EX',0.0562,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H11','E_WIND-ON_EX',0.0568,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H12','E_WIND-ON_EX',0.0667,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H13','E_WIND-ON_EX',0.0803,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H14','E_WIND-ON_EX',0.1072,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H15','E_WIND-ON_EX',0.1541,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H16','E_WIND-ON_EX',0.1928,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H17','E_WIND-ON_EX',0.2258,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H18','E_WIND-ON_EX',0.2561,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H19','E_WIND-ON_EX',0.2958,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H20','E_WIND-ON_EX',0.3499,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H21','E_WIND-ON_EX',0.4098,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H22','E_WIND-ON_EX',0.4435,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H23','E_WIND-ON_EX',0.4688,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H00','E_WIND-ON_EX',0.2473,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H01','E_WIND-ON_EX',0.2900,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H02','E_WIND-ON_EX',0.3294,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H03','E_WIND-ON_EX',0.3380,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H04','E_WIND-ON_EX',0.3320,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H05','E_WIND-ON_EX',0.3450,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H06','E_WIND-ON_EX',0.3413,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H07','E_WIND-ON_EX',0.3016,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H08','E_WIND-ON_EX',0.2603,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H09','E_WIND-ON_EX',0.2150,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H10','E_WIND-ON_EX',0.1557,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H11','E_WIND-ON_EX',0.1013,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H12','E_WIND-ON_EX',0.0760,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H13','E_WIND-ON_EX',0.0665,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H14','E_WIND-ON_EX',0.0665,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H15','E_WIND-ON_EX',0.0812,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H16','E_WIND-ON_EX',0.1148,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H17','E_WIND-ON_EX',0.1712,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H18','E_WIND-ON_EX',0.2294,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H19','E_WIND-ON_EX',0.2917,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H20','E_WIND-ON_EX',0.4122,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H21','E_WIND-ON_EX',0.5651,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H22','E_WIND-ON_EX',0.6382,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H23','E_WIND-ON_EX',0.6890,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H00','E_WIND-ON_EX',0.8779,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H01','E_WIND-ON_EX',0.8771,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H02','E_WIND-ON_EX',0.8760,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H03','E_WIND-ON_EX',0.8735,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H04','E_WIND-ON_EX',0.8613,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H05','E_WIND-ON_EX',0.8470,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H06','E_WIND-ON_EX',0.7903,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H07','E_WIND-ON_EX',0.7455,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H08','E_WIND-ON_EX',0.7232,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H09','E_WIND-ON_EX',0.6961,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H10','E_WIND-ON_EX',0.6681,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H11','E_WIND-ON_EX',0.6653,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H12','E_WIND-ON_EX',0.6528,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H13','E_WIND-ON_EX',0.6214,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H14','E_WIND-ON_EX',0.5933,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H15','E_WIND-ON_EX',0.5994,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H16','E_WIND-ON_EX',0.5759,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H17','E_WIND-ON_EX',0.6212,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H18','E_WIND-ON_EX',0.5643,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H19','E_WIND-ON_EX',0.4941,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H20','E_WIND-ON_EX',0.4828,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H21','E_WIND-ON_EX',0.4138,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H22','E_WIND-ON_EX',0.3290,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H23','E_WIND-ON_EX',0.2588,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H00','E_WIND-ON-1',0.5270,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H01','E_WIND-ON-1',0.4660,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H02','E_WIND-ON-1',0.4024,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H03','E_WIND-ON-1',0.3567,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H04','E_WIND-ON-1',0.3137,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H05','E_WIND-ON-1',0.2518,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H07','E_WIND-ON-1',0.1837,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H08','E_WIND-ON-1',0.1685,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H09','E_WIND-ON-1',0.1568,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H10','E_WIND-ON-1',0.1506,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H11','E_WIND-ON-1',0.1541,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H12','E_WIND-ON-1',0.1694,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H13','E_WIND-ON-1',0.2061,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H14','E_WIND-ON-1',0.2680,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H15','E_WIND-ON-1',0.3639,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H16','E_WIND-ON-1',0.4427,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H17','E_WIND-ON-1',0.4938,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H18','E_WIND-ON-1',0.5467,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H19','E_WIND-ON-1',0.6067,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H20','E_WIND-ON-1',0.6507,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H21','E_WIND-ON-1',0.6668,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H22','E_WIND-ON-1',0.6757,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H23','E_WIND-ON-1',0.6749,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H00','E_WIND-ON-1',0.5557,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H01','E_WIND-ON-1',0.5960,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H02','E_WIND-ON-1',0.6121,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H03','E_WIND-ON-1',0.5960,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H04','E_WIND-ON-1',0.5816,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H05','E_WIND-ON-1',0.5906,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H06','E_WIND-ON-1',0.5790,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H07','E_WIND-ON-1',0.5324,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H08','E_WIND-ON-1',0.4642,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H09','E_WIND-ON-1',0.3791,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H10','E_WIND-ON-1',0.2106,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H11','E_WIND-ON-1',0.1120,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H12','E_WIND-ON-1',0.0627,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H13','E_WIND-ON-1',0.0430,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H14','E_WIND-ON-1',0.0583,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H15','E_WIND-ON-1',0.1129,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H16','E_WIND-ON-1',0.2276,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H17','E_WIND-ON-1',0.3872,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H18','E_WIND-ON-1',0.4822,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H19','E_WIND-ON-1',0.5099,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H20','E_WIND-ON-1',0.6148,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H21','E_WIND-ON-1',0.7537,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H22','E_WIND-ON-1',0.8093,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H23','E_WIND-ON-1',0.8147,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H00','E_WIND-ON-1',0.7537,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H01','E_WIND-ON-1',0.7501,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H02','E_WIND-ON-1',0.7654,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H03','E_WIND-ON-1',0.7887,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H04','E_WIND-ON-1',0.8102,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H05','E_WIND-ON-1',0.8147,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H06','E_WIND-ON-1',0.8129,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H07','E_WIND-ON-1',0.8048,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H08','E_WIND-ON-1',0.8012,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H09','E_WIND-ON-1',0.7914,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H10','E_WIND-ON-1',0.7779,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H11','E_WIND-ON-1',0.7734,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H12','E_WIND-ON-1',0.7699,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H13','E_WIND-ON-1',0.7555,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H14','E_WIND-ON-1',0.7403,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H15','E_WIND-ON-1',0.7421,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H16','E_WIND-ON-1',0.7358,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H17','E_WIND-ON-1',0.7627,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H18','E_WIND-ON-1',0.7430,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H19','E_WIND-ON-1',0.7134,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H20','E_WIND-ON-1',0.7017,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H21','E_WIND-ON-1',0.6569,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H22','E_WIND-ON-1',0.5996,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H23','E_WIND-ON-1',0.5001,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H00','E_WIND-ON-2',0.6411,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H01','E_WIND-ON-2',0.5850,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H02','E_WIND-ON-2',0.5151,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H03','E_WIND-ON-2',0.4645,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H04','E_WIND-ON-2',0.4452,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H05','E_WIND-ON-2',0.4158,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H06','E_WIND-ON-2',0.3707,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H07','E_WIND-ON-2',0.3201,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H08','E_WIND-ON-2',0.2566,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H09','E_WIND-ON-2',0.1849,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H10','E_WIND-ON-2',0.1196,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H11','E_WIND-ON-2',0.0865,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H12','E_WIND-ON-2',0.0773,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H13','E_WIND-ON-2',0.0957,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H14','E_WIND-ON-2',0.1389,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H15','E_WIND-ON-2',0.1895,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H16','E_WIND-ON-2',0.2290,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H17','E_WIND-ON-2',0.2787,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H18','E_WIND-ON-2',0.3293,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H19','E_WIND-ON-2',0.3826,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H20','E_WIND-ON-2',0.4866,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H21','E_WIND-ON-2',0.6172,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H22','E_WIND-ON-2',0.7027,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H23','E_WIND-ON-2',0.7506,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H00','E_WIND-ON-2',0.3486,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H01','E_WIND-ON-2',0.3964,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H02','E_WIND-ON-2',0.4571,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H03','E_WIND-ON-2',0.4921,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H04','E_WIND-ON-2',0.4599,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H05','E_WIND-ON-2',0.4875,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H06','E_WIND-ON-2',0.5510,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H07','E_WIND-ON-2',0.5878,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H08','E_WIND-ON-2',0.5841,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H09','E_WIND-ON-2',0.5712,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H10','E_WIND-ON-2',0.5280,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H11','E_WIND-ON-2',0.4075,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H12','E_WIND-ON-2',0.3431,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H13','E_WIND-ON-2',0.3054,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H14','E_WIND-ON-2',0.2428,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H15','E_WIND-ON-2',0.1968,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H16','E_WIND-ON-2',0.1499,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H17','E_WIND-ON-2',0.1674,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H18','E_WIND-ON-2',0.3173,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H19','E_WIND-ON-2',0.5648,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H20','E_WIND-ON-2',0.6641,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H21','E_WIND-ON-2',0.5970,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H22','E_WIND-ON-2',0.5243,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H23','E_WIND-ON-2',0.6613,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H00','E_WIND-ON-2',0.6209,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H01','E_WIND-ON-2',0.6209,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H02','E_WIND-ON-2',0.6319,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H03','E_WIND-ON-2',0.6696,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H04','E_WIND-ON-2',0.7524,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H05','E_WIND-ON-2',0.7910,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H06','E_WIND-ON-2',0.8122,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H07','E_WIND-ON-2',0.8306,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H08','E_WIND-ON-2',0.8352,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H09','E_WIND-ON-2',0.8370,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H10','E_WIND-ON-2',0.8370,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H11','E_WIND-ON-2',0.8343,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H12','E_WIND-ON-2',0.8334,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H13','E_WIND-ON-2',0.8260,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H14','E_WIND-ON-2',0.8168,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H15','E_WIND-ON-2',0.8122,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H16','E_WIND-ON-2',0.8076,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H17','E_WIND-ON-2',0.7910,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H18','E_WIND-ON-2',0.8094,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H19','E_WIND-ON-2',0.7671,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H20','E_WIND-ON-2',0.7736,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H21','E_WIND-ON-2',0.7294,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H22','E_WIND-ON-2',0.6503,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H23','E_WIND-ON-2',0.5666,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H00','E_WIND-ON-3',0.4566,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H01','E_WIND-ON-3',0.4093,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H02','E_WIND-ON-3',0.3403,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H03','E_WIND-ON-3',0.2929,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H04','E_WIND-ON-3',0.2614,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H05','E_WIND-ON-3',0.2071,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H06','E_WIND-ON-3',0.1450,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H07','E_WIND-ON-3',0.0976,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H08','E_WIND-ON-3',0.0611,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H09','E_WIND-ON-3',0.0444,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H10','E_WIND-ON-3',0.0444,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H11','E_WIND-ON-3',0.0641,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H12','E_WIND-ON-3',0.1055,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H13','E_WIND-ON-3',0.1361,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H14','E_WIND-ON-3',0.1558,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H15','E_WIND-ON-3',0.1973,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H16','E_WIND-ON-3',0.2416,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H17','E_WIND-ON-3',0.2969,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H18','E_WIND-ON-3',0.3403,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H19','E_WIND-ON-3',0.3659,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H20','E_WIND-ON-3',0.4330,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H21','E_WIND-ON-3',0.5602,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H22','E_WIND-ON-3',0.5967,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H23','E_WIND-ON-3',0.6342,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H00','E_WIND-ON-3',0.4054,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H01','E_WIND-ON-3',0.4665,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H02','E_WIND-ON-3',0.5355,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H03','E_WIND-ON-3',0.5375,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H04','E_WIND-ON-3',0.5405,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H05','E_WIND-ON-3',0.5622,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H06','E_WIND-ON-3',0.5247,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H07','E_WIND-ON-3',0.4241,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H08','E_WIND-ON-3',0.3343,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H09','E_WIND-ON-3',0.2298,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H10','E_WIND-ON-3',0.1154,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H11','E_WIND-ON-3',0.0513,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H12','E_WIND-ON-3',0.0414,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H13','E_WIND-ON-3',0.0473,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H14','E_WIND-ON-3',0.0937,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H15','E_WIND-ON-3',0.1834,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H16','E_WIND-ON-3',0.3314,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H17','E_WIND-ON-3',0.4833,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H18','E_WIND-ON-3',0.5375,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H19','E_WIND-ON-3',0.4675,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H20','E_WIND-ON-3',0.4162,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H21','E_WIND-ON-3',0.5553,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H22','E_WIND-ON-3',0.7663,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H23','E_WIND-ON-3',0.8521,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H00','E_WIND-ON-3',0.8935,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H01','E_WIND-ON-3',0.8935,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H02','E_WIND-ON-3',0.8965,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H03','E_WIND-ON-3',0.8975,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H04','E_WIND-ON-3',0.8896,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H05','E_WIND-ON-3',0.8797,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H06','E_WIND-ON-3',0.8472,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H07','E_WIND-ON-3',0.8186,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H08','E_WIND-ON-3',0.7949,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H09','E_WIND-ON-3',0.7752,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H10','E_WIND-ON-3',0.7496,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H11','E_WIND-ON-3',0.7515,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H12','E_WIND-ON-3',0.7387,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H13','E_WIND-ON-3',0.6993,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H14','E_WIND-ON-3',0.6677,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H15','E_WIND-ON-3',0.6795,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H16','E_WIND-ON-3',0.6332,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H17','E_WIND-ON-3',0.6825,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H18','E_WIND-ON-3',0.5878,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H19','E_WIND-ON-3',0.4685,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H20','E_WIND-ON-3',0.5069,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H21','E_WIND-ON-3',0.3866,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H22','E_WIND-ON-3',0.2831,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H23','E_WIND-ON-3',0.2495,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H00','E_WIND-ON-4',0.4176,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H01','E_WIND-ON-4',0.3841,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H02','E_WIND-ON-4',0.3352,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H03','E_WIND-ON-4',0.2883,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H04','E_WIND-ON-4',0.2337,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H05','E_WIND-ON-4',0.1676,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H06','E_WIND-ON-4',0.1207,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H07','E_WIND-ON-4',0.0987,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H08','E_WIND-ON-4',0.0872,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H09','E_WIND-ON-4',0.0900,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H10','E_WIND-ON-4',0.1082,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H11','E_WIND-ON-4',0.1331,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H12','E_WIND-ON-4',0.1753,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H13','E_WIND-ON-4',0.1916,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H14','E_WIND-ON-4',0.2280,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H15','E_WIND-ON-4',0.3113,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H16','E_WIND-ON-4',0.3659,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H17','E_WIND-ON-4',0.4051,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H18','E_WIND-ON-4',0.4291,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H19','E_WIND-ON-4',0.4693,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H20','E_WIND-ON-4',0.5182,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H21','E_WIND-ON-4',0.5498,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H22','E_WIND-ON-4',0.5335,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H23','E_WIND-ON-4',0.5287,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H00','E_WIND-ON-4',0.4051,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H01','E_WIND-ON-4',0.4617,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H02','E_WIND-ON-4',0.5038,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H03','E_WIND-ON-4',0.5038,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H04','E_WIND-ON-4',0.5095,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H05','E_WIND-ON-4',0.5153,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H06','E_WIND-ON-4',0.4712,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H07','E_WIND-ON-4',0.3563,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H08','E_WIND-ON-4',0.2711,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H09','E_WIND-ON-4',0.1791,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H10','E_WIND-ON-4',0.0747,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H11','E_WIND-ON-4',0.0345,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H12','E_WIND-ON-4',0.0268,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H13','E_WIND-ON-4',0.0383,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H14','E_WIND-ON-4',0.0919,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H15','E_WIND-ON-4',0.1686,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H16','E_WIND-ON-4',0.2816,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H17','E_WIND-ON-4',0.3956,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H18','E_WIND-ON-4',0.4617,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H19','E_WIND-ON-4',0.4684,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H20','E_WIND-ON-4',0.5910,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H21','E_WIND-ON-4',0.7796,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H22','E_WIND-ON-4',0.8323,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H23','E_WIND-ON-4',0.8390,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H00','E_WIND-ON-4',0.8706,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H01','E_WIND-ON-4',0.8706,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H02','E_WIND-ON-4',0.8716,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H03','E_WIND-ON-4',0.8687,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H04','E_WIND-ON-4',0.8553,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H05','E_WIND-ON-4',0.8409,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H06','E_WIND-ON-4',0.7940,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H07','E_WIND-ON-4',0.7509,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H08','E_WIND-ON-4',0.7250,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H09','E_WIND-ON-4',0.7011,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H10','E_WIND-ON-4',0.6791,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H11','E_WIND-ON-4',0.6829,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H12','E_WIND-ON-4',0.6676,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H13','E_WIND-ON-4',0.6369,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H14','E_WIND-ON-4',0.6139,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H15','E_WIND-ON-4',0.6341,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H16','E_WIND-ON-4',0.6053,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H17','E_WIND-ON-4',0.6925,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H18','E_WIND-ON-4',0.5775,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H19','E_WIND-ON-4',0.5191,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H20','E_WIND-ON-4',0.5019,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H21','E_WIND-ON-4',0.4233,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H22','E_WIND-ON-4',0.3237,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H23','E_WIND-ON-4',0.2615,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H00','E_WIND-OFF',0.6989,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H01','E_WIND-OFF',0.6347,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H02','E_WIND-OFF',0.5528,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H03','E_WIND-OFF',0.4914,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H04','E_WIND-OFF',0.4588,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H05','E_WIND-OFF',0.4271,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H06','E_WIND-OFF',0.3825,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H07','E_WIND-OFF',0.3294,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H08','E_WIND-OFF',0.2568,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H09','E_WIND-OFF',0.1731,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H10','E_WIND-OFF',0.1014,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H11','E_WIND-OFF',0.0707,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H12','E_WIND-OFF',0.0707,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H13','E_WIND-OFF',0.0968,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H14','E_WIND-OFF',0.1508,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H15','E_WIND-OFF',0.2066,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H16','E_WIND-OFF',0.2429,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H17','E_WIND-OFF',0.2792,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H18','E_WIND-OFF',0.3183,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H19','E_WIND-OFF',0.3667,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H20','E_WIND-OFF',0.4830,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H21','E_WIND-OFF',0.6319,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H22','E_WIND-OFF',0.7268,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H23','E_WIND-OFF',0.7733,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H00','E_WIND-OFF',0.2950,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H01','E_WIND-OFF',0.3304,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H02','E_WIND-OFF',0.3862,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H03','E_WIND-OFF',0.4243,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H04','E_WIND-OFF',0.4067,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H05','E_WIND-OFF',0.4541,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H06','E_WIND-OFF',0.5267,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H07','E_WIND-OFF',0.5835,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H08','E_WIND-OFF',0.6151,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H09','E_WIND-OFF',0.6226,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H10','E_WIND-OFF',0.6570,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H11','E_WIND-OFF',0.5611,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H12','E_WIND-OFF',0.4746,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H13','E_WIND-OFF',0.4476,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H14','E_WIND-OFF',0.3713,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H15','E_WIND-OFF',0.2661,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H16','E_WIND-OFF',0.1703,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H17','E_WIND-OFF',0.1117,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H18','E_WIND-OFF',0.1405,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H19','E_WIND-OFF',0.3667,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H20','E_WIND-OFF',0.6849,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H21','E_WIND-OFF',0.7184,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H22','E_WIND-OFF',0.6067,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H23','E_WIND-OFF',0.5304,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H00','E_WIND-OFF',0.7175,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H01','E_WIND-OFF',0.7212,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H02','E_WIND-OFF',0.7305,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H03','E_WIND-OFF',0.7584,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H04','E_WIND-OFF',0.8310,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H05','E_WIND-OFF',0.8748,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H06','E_WIND-OFF',0.8915,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H07','E_WIND-OFF',0.9110,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H08','E_WIND-OFF',0.9166,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H09','E_WIND-OFF',0.9194,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H10','E_WIND-OFF',0.9194,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H11','E_WIND-OFF',0.9166,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H12','E_WIND-OFF',0.9157,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H13','E_WIND-OFF',0.9083,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H14','E_WIND-OFF',0.8980,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H15','E_WIND-OFF',0.8924,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H16','E_WIND-OFF',0.8878,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H17','E_WIND-OFF',0.8645,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H18','E_WIND-OFF',0.8850,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H19','E_WIND-OFF',0.8357,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H20','E_WIND-OFF',0.8357,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H21','E_WIND-OFF',0.7975,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H22','E_WIND-OFF',0.6942,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H23','E_WIND-OFF',0.6049,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H00','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H01','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H02','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H03','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H04','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H05','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H06','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H07','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H08','E_SOLPV-CEN',0.3282,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H09','E_SOLPV-CEN',0.0811,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H10','E_SOLPV-CEN',0.0600,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H11','E_SOLPV-CEN',0.9024,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H12','E_SOLPV-CEN',0.1941,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H13','E_SOLPV-CEN',0.1773,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H14','E_SOLPV-CEN',0.3539,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H15','E_SOLPV-CEN',0.2431,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H16','E_SOLPV-CEN',0.0174,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H17','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H18','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H19','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H20','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H21','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H22','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H23','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H00','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H01','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H02','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H03','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H04','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H05','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H06','E_SOLPV-CEN',0.0803,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H07','E_SOLPV-CEN',0.6636,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H08','E_SOLPV-CEN',0.6563,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H09','E_SOLPV-CEN',0.6200,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H10','E_SOLPV-CEN',0.8349,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H11','E_SOLPV-CEN',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H12','E_SOLPV-CEN',0.4649,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H13','E_SOLPV-CEN',0.8260,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H14','E_SOLPV-CEN',0.1015,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H15','E_SOLPV-CEN',0.1804,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H16','E_SOLPV-CEN',0.2067,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H17','E_SOLPV-CEN',0.0295,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H18','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H19','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H20','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H21','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H22','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H23','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H00','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H01','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H02','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H03','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H04','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H05','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H06','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H07','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H08','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H09','E_SOLPV-CEN',0.0407,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H10','E_SOLPV-CEN',0.6993,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H11','E_SOLPV-CEN',0.3725,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H12','E_SOLPV-CEN',0.0284,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H13','E_SOLPV-CEN',0.0300,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H14','E_SOLPV-CEN',0.0166,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H15','E_SOLPV-CEN',0.0009,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H16','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H17','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H18','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H19','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H20','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H21','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H22','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H23','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H00','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H01','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H02','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H03','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H04','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H05','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H06','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H07','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H08','E_SOLPV-RES',0.1056,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H09','E_SOLPV-RES',0.2710,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H10','E_SOLPV-RES',0.1060,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H11','E_SOLPV-RES',0.1818,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H12','E_SOLPV-RES',0.4661,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H13','E_SOLPV-RES',0.4356,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H14','E_SOLPV-RES',0.3584,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H15','E_SOLPV-RES',0.0481,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H16','E_SOLPV-RES',0.0617,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H17','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H18','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H19','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H20','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H21','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H22','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','01-18','H23','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H00','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H01','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H02','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H03','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H04','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H05','E_SOLPV-RES',0.0193,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H06','E_SOLPV-RES',0.0824,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H07','E_SOLPV-RES',0.1959,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H08','E_SOLPV-RES',0.3054,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H09','E_SOLPV-RES',0.4596,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H10','E_SOLPV-RES',0.4175,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H11','E_SOLPV-RES',0.4477,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H12','E_SOLPV-RES',0.5198,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H13','E_SOLPV-RES',0.5559,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H14','E_SOLPV-RES',0.4927,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H15','E_SOLPV-RES',0.3084,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H16','E_SOLPV-RES',0.2131,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H17','E_SOLPV-RES',0.0894,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H18','E_SOLPV-RES',0.0309,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H19','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H20','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H21','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H22','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','05-11','H23','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H00','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H01','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H02','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H03','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H04','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H05','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H06','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H07','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H08','E_SOLPV-RES',0.0695,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H09','E_SOLPV-RES',0.1764,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H10','E_SOLPV-RES',0.2398,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H11','E_SOLPV-RES',0.2938,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H12','E_SOLPV-RES',0.2137,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H13','E_SOLPV-RES',0.1813,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H14','E_SOLPV-RES',0.1243,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H15','E_SOLPV-RES',0.0521,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H16','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H17','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H18','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H19','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H20','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H21','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H22','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('PEI','12-17','H23','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H00','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H01','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H02','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H03','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H04','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H05','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H06','E_WIND-ON_EX',0.9368,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H07','E_WIND-ON_EX',0.8393,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H08','E_WIND-ON_EX',0.7201,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H09','E_WIND-ON_EX',0.6172,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H10','E_WIND-ON_EX',0.5240,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H11','E_WIND-ON_EX',0.4136,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H12','E_WIND-ON_EX',0.3043,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H13','E_WIND-ON_EX',0.1810,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H14','E_WIND-ON_EX',0.1040,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H15','E_WIND-ON_EX',0.0614,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H16','E_WIND-ON_EX',0.0312,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H17','E_WIND-ON_EX',0.0168,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H18','E_WIND-ON_EX',0.0237,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H19','E_WIND-ON_EX',0.0574,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H20','E_WIND-ON_EX',0.1374,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H21','E_WIND-ON_EX',0.2583,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H22','E_WIND-ON_EX',0.3874,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H23','E_WIND-ON_EX',0.5184,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H00','E_WIND-ON_EX',0.2100,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H01','E_WIND-ON_EX',0.1850,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H02','E_WIND-ON_EX',0.1743,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H03','E_WIND-ON_EX',0.1334,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H04','E_WIND-ON_EX',0.0970,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H05','E_WIND-ON_EX',0.0836,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H06','E_WIND-ON_EX',0.0798,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H07','E_WIND-ON_EX',0.0752,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H08','E_WIND-ON_EX',0.0654,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H09','E_WIND-ON_EX',0.0422,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H10','E_WIND-ON_EX',0.0291,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H11','E_WIND-ON_EX',0.0239,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H12','E_WIND-ON_EX',0.0187,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H13','E_WIND-ON_EX',0.0096,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H14','E_WIND-ON_EX',0.0056,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H15','E_WIND-ON_EX',0.0091,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H16','E_WIND-ON_EX',0.0210,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H17','E_WIND-ON_EX',0.0367,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H18','E_WIND-ON_EX',0.0435,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H19','E_WIND-ON_EX',0.0406,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H20','E_WIND-ON_EX',0.0424,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H21','E_WIND-ON_EX',0.0577,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H22','E_WIND-ON_EX',0.0755,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H23','E_WIND-ON_EX',0.1022,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H00','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H01','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H02','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H03','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H04','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H05','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H06','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H07','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H08','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H09','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H10','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H11','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H12','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H13','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H14','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H15','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H16','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H17','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H18','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H19','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H20','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H21','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H22','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H23','E_WIND-ON_EX',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H00','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H01','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H02','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H03','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H04','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H05','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H06','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H07','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H08','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H09','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H10','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H11','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H12','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H13','E_WIND-ON-1',0.7059,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H14','E_WIND-ON-1',0.5281,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H15','E_WIND-ON-1',0.3901,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H16','E_WIND-ON-1',0.2388,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H17','E_WIND-ON-1',0.1194,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H18','E_WIND-ON-1',0.0770,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H19','E_WIND-ON-1',0.1433,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H20','E_WIND-ON-1',0.3583,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H21','E_WIND-ON-1',0.6369,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H22','E_WIND-ON-1',0.9289,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H23','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H00','E_WIND-ON-1',0.8174,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H01','E_WIND-ON-1',0.6927,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H02','E_WIND-ON-1',0.6343,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H03','E_WIND-ON-1',0.5042,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H04','E_WIND-ON-1',0.3715,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H05','E_WIND-ON-1',0.3264,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H06','E_WIND-ON-1',0.2946,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H07','E_WIND-ON-1',0.2707,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H08','E_WIND-ON-1',0.2548,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H09','E_WIND-ON-1',0.1566,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H10','E_WIND-ON-1',0.1247,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H11','E_WIND-ON-1',0.1274,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H12','E_WIND-ON-1',0.1141,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H13','E_WIND-ON-1',0.0876,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H14','E_WIND-ON-1',0.0663,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H15','E_WIND-ON-1',0.0531,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H16','E_WIND-ON-1',0.0425,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H17','E_WIND-ON-1',0.0345,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H18','E_WIND-ON-1',0.0318,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H19','E_WIND-ON-1',0.0398,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H20','E_WIND-ON-1',0.0876,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H21','E_WIND-ON-1',0.1460,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H22','E_WIND-ON-1',0.1619,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H23','E_WIND-ON-1',0.1858,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H00','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H01','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H02','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H03','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H04','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H05','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H06','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H07','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H08','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H09','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H10','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H11','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H12','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H13','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H14','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H15','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H16','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H17','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H18','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H19','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H20','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H21','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H22','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H23','E_WIND-ON-1',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H00','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H01','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H02','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H03','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H04','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H05','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H06','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H07','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H08','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H09','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H10','E_WIND-ON-2',0.8860,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H11','E_WIND-ON-2',0.7836,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H12','E_WIND-ON-2',0.6218,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H13','E_WIND-ON-2',0.4763,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H14','E_WIND-ON-2',0.5553,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H15','E_WIND-ON-2',0.5500,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H16','E_WIND-ON-2',0.5032,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H17','E_WIND-ON-2',0.3882,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H18','E_WIND-ON-2',0.2642,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H19','E_WIND-ON-2',0.3630,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H20','E_WIND-ON-2',0.5140,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H21','E_WIND-ON-2',0.4188,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H22','E_WIND-ON-2',0.3864,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H23','E_WIND-ON-2',0.3541,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H00','E_WIND-ON-2',0.1060,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H01','E_WIND-ON-2',0.0773,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H02','E_WIND-ON-2',0.0503,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H03','E_WIND-ON-2',0.0449,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H04','E_WIND-ON-2',0.0593,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H05','E_WIND-ON-2',0.0575,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H06','E_WIND-ON-2',0.0503,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H07','E_WIND-ON-2',0.0503,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H08','E_WIND-ON-2',0.0485,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H09','E_WIND-ON-2',0.0216,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H10','E_WIND-ON-2',0.0108,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H11','E_WIND-ON-2',0.0144,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H12','E_WIND-ON-2',0.0252,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H13','E_WIND-ON-2',0.0683,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H14','E_WIND-ON-2',0.1582,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H15','E_WIND-ON-2',0.2929,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H16','E_WIND-ON-2',0.3523,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H17','E_WIND-ON-2',0.3882,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H18','E_WIND-ON-2',0.4295,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H19','E_WIND-ON-2',0.4673,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H20','E_WIND-ON-2',0.4367,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H21','E_WIND-ON-2',0.3253,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H22','E_WIND-ON-2',0.3019,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H23','E_WIND-ON-2',0.3145,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H00','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H01','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H02','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H03','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H04','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H05','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H06','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H07','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H08','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H09','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H10','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H11','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H12','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H13','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H14','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H15','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H16','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H17','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H18','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H19','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H20','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H21','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H22','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H23','E_WIND-ON-2',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H00','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H01','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H02','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H03','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H04','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H05','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H06','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H07','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H08','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H09','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H10','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H11','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H12','E_WIND-OFF',0.9960,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H13','E_WIND-OFF',0.8225,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H14','E_WIND-OFF',0.8032,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H15','E_WIND-OFF',0.8075,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H16','E_WIND-OFF',0.8268,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H17','E_WIND-OFF',0.8396,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H18','E_WIND-OFF',0.8482,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H19','E_WIND-OFF',0.8696,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H20','E_WIND-OFF',0.9810,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H21','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H22','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H23','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H00','E_WIND-OFF',0.2849,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H01','E_WIND-OFF',0.1457,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H02','E_WIND-OFF',0.0750,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H03','E_WIND-OFF',0.0557,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H04','E_WIND-OFF',0.0493,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H05','E_WIND-OFF',0.0364,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H06','E_WIND-OFF',0.0193,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H07','E_WIND-OFF',0.0171,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H08','E_WIND-OFF',0.0278,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H09','E_WIND-OFF',0.0428,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H10','E_WIND-OFF',0.0407,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H11','E_WIND-OFF',0.0364,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H12','E_WIND-OFF',0.0793,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H14','E_WIND-OFF',0.3856,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H15','E_WIND-OFF',0.5719,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H16','E_WIND-OFF',0.6747,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H17','E_WIND-OFF',0.8439,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H18','E_WIND-OFF',0.9489,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H19','E_WIND-OFF',0.9082,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H20','E_WIND-OFF',0.6854,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H21','E_WIND-OFF',0.3877,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H22','E_WIND-OFF',0.1842,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H23','E_WIND-OFF',0.1349,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H00','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H01','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H02','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H03','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H04','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H05','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H06','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H07','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H08','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H09','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H10','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H11','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H12','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H13','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H14','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H15','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H16','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H17','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H18','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H19','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H20','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H21','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H22','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H23','E_WIND-OFF',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H00','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H01','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H02','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H03','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H04','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H05','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H06','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H07','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H08','E_SOLPV-CEN',0.3006,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H09','E_SOLPV-CEN',0.4762,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H10','E_SOLPV-CEN',0.5460,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H11','E_SOLPV-CEN',0.0589,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H12','E_SOLPV-CEN',0.0896,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H13','E_SOLPV-CEN',0.0558,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H14','E_SOLPV-CEN',0.5138,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H15','E_SOLPV-CEN',0.3686,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H16','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H17','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H18','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H19','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H20','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H21','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H22','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H23','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H00','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H01','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H02','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H03','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H04','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H05','E_SOLPV-CEN',0.0990,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H06','E_SOLPV-CEN',0.0760,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H07','E_SOLPV-CEN',0.1786,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H08','E_SOLPV-CEN',0.4706,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H09','E_SOLPV-CEN',0.4179,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H10','E_SOLPV-CEN',0.2161,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H11','E_SOLPV-CEN',0.5278,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H12','E_SOLPV-CEN',0.2525,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H13','E_SOLPV-CEN',0.2373,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H14','E_SOLPV-CEN',0.5855,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H15','E_SOLPV-CEN',0.5269,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H16','E_SOLPV-CEN',0.5008,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H17','E_SOLPV-CEN',0.1152,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H18','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H19','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H20','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H21','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H22','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H23','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H00','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H01','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H02','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H03','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H04','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H05','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H06','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H07','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H08','E_SOLPV-CEN',0.3229,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H09','E_SOLPV-CEN',0.4670,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H10','E_SOLPV-CEN',0.0471,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H11','E_SOLPV-CEN',0.1454,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H12','E_SOLPV-CEN',0.1463,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H13','E_SOLPV-CEN',0.0465,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H14','E_SOLPV-CEN',0.4250,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H15','E_SOLPV-CEN',0.1853,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H16','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H17','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H18','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H19','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H20','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H21','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H22','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H23','E_SOLPV-CEN',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H00','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H01','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H02','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H03','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H04','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H05','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H06','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H07','E_SOLPV-RES',0.0253,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H08','E_SOLPV-RES',0.0624,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H09','E_SOLPV-RES',0.7921,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H10','E_SOLPV-RES',0.7667,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H11','E_SOLPV-RES',1.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H12','E_SOLPV-RES',0.9858,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H13','E_SOLPV-RES',0.2666,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H14','E_SOLPV-RES',0.2053,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H15','E_SOLPV-RES',0.0523,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H16','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H17','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H18','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H19','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H20','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H21','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H22','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','01-18','H23','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H00','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H01','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H02','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H03','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H04','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H05','E_SOLPV-RES',0.0002,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H06','E_SOLPV-RES',0.0160,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H07','E_SOLPV-RES',0.1034,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H08','E_SOLPV-RES',0.2398,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H09','E_SOLPV-RES',0.2079,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H10','E_SOLPV-RES',0.2854,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H11','E_SOLPV-RES',0.6053,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H12','E_SOLPV-RES',0.5435,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H13','E_SOLPV-RES',0.8236,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H14','E_SOLPV-RES',0.6956,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H15','E_SOLPV-RES',0.4046,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H16','E_SOLPV-RES',0.1328,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H17','E_SOLPV-RES',0.1110,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H18','E_SOLPV-RES',0.0214,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H19','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H20','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H21','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H22','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','05-11','H23','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H00','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H01','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H02','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H03','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H04','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H05','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H06','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H07','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H08','E_SOLPV-RES',0.0262,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H09','E_SOLPV-RES',0.1442,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H10','E_SOLPV-RES',0.1374,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H11','E_SOLPV-RES',0.0815,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H12','E_SOLPV-RES',0.0343,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H13','E_SOLPV-RES',0.0705,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H14','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H15','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H16','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H17','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H18','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H19','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H20','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H21','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H22','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('NL','12-17','H23','E_SOLPV-RES',0.0000,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','01-18','H00','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','01-18','H01','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','01-18','H02','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','01-18','H03','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','01-18','H04','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','01-18','H05','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','01-18','H06','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','01-18','H07','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','01-18','H08','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','01-18','H09','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','01-18','H10','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','01-18','H11','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','01-18','H12','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','01-18','H13','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','01-18','H14','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','01-18','H15','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','01-18','H16','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','01-18','H17','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','01-18','H18','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','01-18','H19','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','01-18','H20','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','01-18','H21','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','01-18','H22','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','01-18','H23','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','05-11','H00','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','05-11','H01','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','05-11','H02','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','05-11','H03','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','05-11','H04','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','05-11','H05','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','05-11','H06','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','05-11','H07','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','05-11','H08','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','05-11','H09','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','05-11','H10','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','05-11','H11','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','05-11','H12','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','05-11','H13','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','05-11','H14','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','05-11','H15','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','05-11','H16','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','05-11','H17','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','05-11','H18','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','05-11','H19','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','05-11','H20','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','05-11','H21','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','05-11','H22','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','05-11','H23','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','12-17','H00','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','12-17','H01','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','12-17','H02','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','12-17','H03','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','12-17','H04','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','12-17','H05','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','12-17','H06','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','12-17','H07','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','12-17','H08','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','12-17','H09','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','12-17','H10','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','12-17','H11','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','12-17','H12','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','12-17','H13','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','12-17','H14','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','12-17','H15','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','12-17','H16','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','12-17','H17','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','12-17','H18','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','12-17','H19','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','12-17','H20','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','12-17','H21','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','12-17','H22','E_HYDRO-ROR_EX',0.9429,'');
INSERT INTO `CapacityFactorTech` VALUES ('LAB','12-17','H23','E_HYDRO-ROR_EX',0.9429,'');









COMMIT;
